/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern4 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_SFmode:
      return pattern0 (x3, 
E_SFmode); /* [-1, 0] */

    case E_DFmode:
      if (pattern0 (x3, 
E_DFmode) != 0)
        return -1;
      return 1;

    case E_HFmode:
      if (pattern0 (x3, 
E_HFmode) != 0)
        return -1;
      return 2;

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 3;

    case E_DImode:
      if (pattern3 (x3) != 0)
        return -1;
      return 4;

    case E_RVVM8QImode:
      if (pattern0 (x3, 
E_RVVM8QImode) != 0)
        return -1;
      return 5;

    case E_RVVM4QImode:
      if (pattern0 (x3, 
E_RVVM4QImode) != 0)
        return -1;
      return 6;

    case E_RVVM2QImode:
      if (pattern0 (x3, 
E_RVVM2QImode) != 0)
        return -1;
      return 7;

    case E_RVVM1QImode:
      if (pattern0 (x3, 
E_RVVM1QImode) != 0)
        return -1;
      return 8;

    case E_RVVM8HImode:
      if (pattern0 (x3, 
E_RVVM8HImode) != 0)
        return -1;
      return 9;

    case E_RVVM4HImode:
      if (pattern0 (x3, 
E_RVVM4HImode) != 0)
        return -1;
      return 10;

    case E_RVVM2HImode:
      if (pattern0 (x3, 
E_RVVM2HImode) != 0)
        return -1;
      return 11;

    case E_RVVM1HImode:
      if (pattern0 (x3, 
E_RVVM1HImode) != 0)
        return -1;
      return 12;

    case E_RVVM8SImode:
      if (pattern0 (x3, 
E_RVVM8SImode) != 0)
        return -1;
      return 13;

    case E_RVVM4SImode:
      if (pattern0 (x3, 
E_RVVM4SImode) != 0)
        return -1;
      return 14;

    case E_RVVM2SImode:
      if (pattern0 (x3, 
E_RVVM2SImode) != 0)
        return -1;
      return 15;

    case E_RVVM1SImode:
      if (pattern0 (x3, 
E_RVVM1SImode) != 0)
        return -1;
      return 16;

    case E_RVVM8DImode:
      if (pattern0 (x3, 
E_RVVM8DImode) != 0)
        return -1;
      return 17;

    case E_RVVM4DImode:
      if (pattern0 (x3, 
E_RVVM4DImode) != 0)
        return -1;
      return 18;

    case E_RVVM2DImode:
      if (pattern0 (x3, 
E_RVVM2DImode) != 0)
        return -1;
      return 19;

    case E_RVVM1DImode:
      if (pattern0 (x3, 
E_RVVM1DImode) != 0)
        return -1;
      return 20;

    case E_RVVMF2QImode:
      if (pattern0 (x3, 
E_RVVMF2QImode) != 0)
        return -1;
      return 21;

    case E_RVVMF4QImode:
      if (pattern0 (x3, 
E_RVVMF4QImode) != 0)
        return -1;
      return 22;

    case E_RVVMF8QImode:
      if (pattern0 (x3, 
E_RVVMF8QImode) != 0)
        return -1;
      return 23;

    case E_RVVMF2HImode:
      if (pattern0 (x3, 
E_RVVMF2HImode) != 0)
        return -1;
      return 24;

    case E_RVVMF4HImode:
      if (pattern0 (x3, 
E_RVVMF4HImode) != 0)
        return -1;
      return 25;

    case E_RVVMF2SImode:
      if (pattern0 (x3, 
E_RVVMF2SImode) != 0)
        return -1;
      return 26;

    case E_V1QImode:
      if (pattern0 (x3, 
E_V1QImode) != 0)
        return -1;
      return 27;

    case E_V2QImode:
      if (pattern0 (x3, 
E_V2QImode) != 0)
        return -1;
      return 28;

    case E_V4QImode:
      if (pattern0 (x3, 
E_V4QImode) != 0)
        return -1;
      return 29;

    case E_V8QImode:
      if (pattern0 (x3, 
E_V8QImode) != 0)
        return -1;
      return 30;

    case E_V16QImode:
      if (pattern0 (x3, 
E_V16QImode) != 0)
        return -1;
      return 31;

    case E_V32QImode:
      if (pattern0 (x3, 
E_V32QImode) != 0)
        return -1;
      return 32;

    case E_V64QImode:
      if (pattern0 (x3, 
E_V64QImode) != 0)
        return -1;
      return 33;

    case E_V128QImode:
      if (pattern0 (x3, 
E_V128QImode) != 0)
        return -1;
      return 34;

    case E_V256QImode:
      if (pattern0 (x3, 
E_V256QImode) != 0)
        return -1;
      return 35;

    case E_V512QImode:
      if (pattern0 (x3, 
E_V512QImode) != 0)
        return -1;
      return 36;

    case E_V1024QImode:
      if (pattern0 (x3, 
E_V1024QImode) != 0)
        return -1;
      return 37;

    case E_V2048QImode:
      if (pattern0 (x3, 
E_V2048QImode) != 0)
        return -1;
      return 38;

    case E_V4096QImode:
      if (pattern0 (x3, 
E_V4096QImode) != 0)
        return -1;
      return 39;

    case E_V1HImode:
      if (pattern0 (x3, 
E_V1HImode) != 0)
        return -1;
      return 40;

    case E_V2HImode:
      if (pattern0 (x3, 
E_V2HImode) != 0)
        return -1;
      return 41;

    case E_V4HImode:
      if (pattern0 (x3, 
E_V4HImode) != 0)
        return -1;
      return 42;

    case E_V8HImode:
      if (pattern0 (x3, 
E_V8HImode) != 0)
        return -1;
      return 43;

    case E_V16HImode:
      if (pattern0 (x3, 
E_V16HImode) != 0)
        return -1;
      return 44;

    case E_V32HImode:
      if (pattern0 (x3, 
E_V32HImode) != 0)
        return -1;
      return 45;

    case E_V64HImode:
      if (pattern0 (x3, 
E_V64HImode) != 0)
        return -1;
      return 46;

    case E_V128HImode:
      if (pattern0 (x3, 
E_V128HImode) != 0)
        return -1;
      return 47;

    case E_V256HImode:
      if (pattern0 (x3, 
E_V256HImode) != 0)
        return -1;
      return 48;

    case E_V512HImode:
      if (pattern0 (x3, 
E_V512HImode) != 0)
        return -1;
      return 49;

    case E_V1024HImode:
      if (pattern0 (x3, 
E_V1024HImode) != 0)
        return -1;
      return 50;

    case E_V2048HImode:
      if (pattern0 (x3, 
E_V2048HImode) != 0)
        return -1;
      return 51;

    case E_V1SImode:
      if (pattern0 (x3, 
E_V1SImode) != 0)
        return -1;
      return 52;

    case E_V2SImode:
      if (pattern0 (x3, 
E_V2SImode) != 0)
        return -1;
      return 53;

    case E_V4SImode:
      if (pattern0 (x3, 
E_V4SImode) != 0)
        return -1;
      return 54;

    case E_V8SImode:
      if (pattern0 (x3, 
E_V8SImode) != 0)
        return -1;
      return 55;

    case E_V16SImode:
      if (pattern0 (x3, 
E_V16SImode) != 0)
        return -1;
      return 56;

    case E_V32SImode:
      if (pattern0 (x3, 
E_V32SImode) != 0)
        return -1;
      return 57;

    case E_V64SImode:
      if (pattern0 (x3, 
E_V64SImode) != 0)
        return -1;
      return 58;

    case E_V128SImode:
      if (pattern0 (x3, 
E_V128SImode) != 0)
        return -1;
      return 59;

    case E_V256SImode:
      if (pattern0 (x3, 
E_V256SImode) != 0)
        return -1;
      return 60;

    case E_V512SImode:
      if (pattern0 (x3, 
E_V512SImode) != 0)
        return -1;
      return 61;

    case E_V1024SImode:
      if (pattern0 (x3, 
E_V1024SImode) != 0)
        return -1;
      return 62;

    case E_V1DImode:
      if (pattern0 (x3, 
E_V1DImode) != 0)
        return -1;
      return 63;

    case E_V2DImode:
      if (pattern0 (x3, 
E_V2DImode) != 0)
        return -1;
      return 64;

    case E_V4DImode:
      if (pattern0 (x3, 
E_V4DImode) != 0)
        return -1;
      return 65;

    case E_V8DImode:
      if (pattern0 (x3, 
E_V8DImode) != 0)
        return -1;
      return 66;

    case E_V16DImode:
      if (pattern0 (x3, 
E_V16DImode) != 0)
        return -1;
      return 67;

    case E_V32DImode:
      if (pattern0 (x3, 
E_V32DImode) != 0)
        return -1;
      return 68;

    case E_V64DImode:
      if (pattern0 (x3, 
E_V64DImode) != 0)
        return -1;
      return 69;

    case E_V128DImode:
      if (pattern0 (x3, 
E_V128DImode) != 0)
        return -1;
      return 70;

    case E_V256DImode:
      if (pattern0 (x3, 
E_V256DImode) != 0)
        return -1;
      return 71;

    case E_V512DImode:
      if (pattern0 (x3, 
E_V512DImode) != 0)
        return -1;
      return 72;

    case E_RVVM8HFmode:
      if (pattern0 (x3, 
E_RVVM8HFmode) != 0)
        return -1;
      return 73;

    case E_RVVM4HFmode:
      if (pattern0 (x3, 
E_RVVM4HFmode) != 0)
        return -1;
      return 74;

    case E_RVVM2HFmode:
      if (pattern0 (x3, 
E_RVVM2HFmode) != 0)
        return -1;
      return 75;

    case E_RVVM1HFmode:
      if (pattern0 (x3, 
E_RVVM1HFmode) != 0)
        return -1;
      return 76;

    case E_RVVMF2HFmode:
      if (pattern0 (x3, 
E_RVVMF2HFmode) != 0)
        return -1;
      return 77;

    case E_RVVMF4HFmode:
      if (pattern0 (x3, 
E_RVVMF4HFmode) != 0)
        return -1;
      return 78;

    case E_RVVM8SFmode:
      if (pattern0 (x3, 
E_RVVM8SFmode) != 0)
        return -1;
      return 79;

    case E_RVVM4SFmode:
      if (pattern0 (x3, 
E_RVVM4SFmode) != 0)
        return -1;
      return 80;

    case E_RVVM2SFmode:
      if (pattern0 (x3, 
E_RVVM2SFmode) != 0)
        return -1;
      return 81;

    case E_RVVM1SFmode:
      if (pattern0 (x3, 
E_RVVM1SFmode) != 0)
        return -1;
      return 82;

    case E_RVVMF2SFmode:
      if (pattern0 (x3, 
E_RVVMF2SFmode) != 0)
        return -1;
      return 83;

    case E_RVVM8DFmode:
      if (pattern0 (x3, 
E_RVVM8DFmode) != 0)
        return -1;
      return 84;

    case E_RVVM4DFmode:
      if (pattern0 (x3, 
E_RVVM4DFmode) != 0)
        return -1;
      return 85;

    case E_RVVM2DFmode:
      if (pattern0 (x3, 
E_RVVM2DFmode) != 0)
        return -1;
      return 86;

    case E_RVVM1DFmode:
      if (pattern0 (x3, 
E_RVVM1DFmode) != 0)
        return -1;
      return 87;

    case E_V1HFmode:
      if (pattern0 (x3, 
E_V1HFmode) != 0)
        return -1;
      return 88;

    case E_V2HFmode:
      if (pattern0 (x3, 
E_V2HFmode) != 0)
        return -1;
      return 89;

    case E_V4HFmode:
      if (pattern0 (x3, 
E_V4HFmode) != 0)
        return -1;
      return 90;

    case E_V8HFmode:
      if (pattern0 (x3, 
E_V8HFmode) != 0)
        return -1;
      return 91;

    case E_V16HFmode:
      if (pattern0 (x3, 
E_V16HFmode) != 0)
        return -1;
      return 92;

    case E_V32HFmode:
      if (pattern0 (x3, 
E_V32HFmode) != 0)
        return -1;
      return 93;

    case E_V64HFmode:
      if (pattern0 (x3, 
E_V64HFmode) != 0)
        return -1;
      return 94;

    case E_V128HFmode:
      if (pattern0 (x3, 
E_V128HFmode) != 0)
        return -1;
      return 95;

    case E_V256HFmode:
      if (pattern0 (x3, 
E_V256HFmode) != 0)
        return -1;
      return 96;

    case E_V512HFmode:
      if (pattern0 (x3, 
E_V512HFmode) != 0)
        return -1;
      return 97;

    case E_V1024HFmode:
      if (pattern0 (x3, 
E_V1024HFmode) != 0)
        return -1;
      return 98;

    case E_V2048HFmode:
      if (pattern0 (x3, 
E_V2048HFmode) != 0)
        return -1;
      return 99;

    case E_V1SFmode:
      if (pattern0 (x3, 
E_V1SFmode) != 0)
        return -1;
      return 100;

    case E_V2SFmode:
      if (pattern0 (x3, 
E_V2SFmode) != 0)
        return -1;
      return 101;

    case E_V4SFmode:
      if (pattern0 (x3, 
E_V4SFmode) != 0)
        return -1;
      return 102;

    case E_V8SFmode:
      if (pattern0 (x3, 
E_V8SFmode) != 0)
        return -1;
      return 103;

    case E_V16SFmode:
      if (pattern0 (x3, 
E_V16SFmode) != 0)
        return -1;
      return 104;

    case E_V32SFmode:
      if (pattern0 (x3, 
E_V32SFmode) != 0)
        return -1;
      return 105;

    case E_V64SFmode:
      if (pattern0 (x3, 
E_V64SFmode) != 0)
        return -1;
      return 106;

    case E_V128SFmode:
      if (pattern0 (x3, 
E_V128SFmode) != 0)
        return -1;
      return 107;

    case E_V256SFmode:
      if (pattern0 (x3, 
E_V256SFmode) != 0)
        return -1;
      return 108;

    case E_V512SFmode:
      if (pattern0 (x3, 
E_V512SFmode) != 0)
        return -1;
      return 109;

    case E_V1024SFmode:
      if (pattern0 (x3, 
E_V1024SFmode) != 0)
        return -1;
      return 110;

    case E_V1DFmode:
      if (pattern0 (x3, 
E_V1DFmode) != 0)
        return -1;
      return 111;

    case E_V2DFmode:
      if (pattern0 (x3, 
E_V2DFmode) != 0)
        return -1;
      return 112;

    case E_V4DFmode:
      if (pattern0 (x3, 
E_V4DFmode) != 0)
        return -1;
      return 113;

    case E_V8DFmode:
      if (pattern0 (x3, 
E_V8DFmode) != 0)
        return -1;
      return 114;

    case E_V16DFmode:
      if (pattern0 (x3, 
E_V16DFmode) != 0)
        return -1;
      return 115;

    case E_V32DFmode:
      if (pattern0 (x3, 
E_V32DFmode) != 0)
        return -1;
      return 116;

    case E_V64DFmode:
      if (pattern0 (x3, 
E_V64DFmode) != 0)
        return -1;
      return 117;

    case E_V128DFmode:
      if (pattern0 (x3, 
E_V128DFmode) != 0)
        return -1;
      return 118;

    case E_V256DFmode:
      if (pattern0 (x3, 
E_V256DFmode) != 0)
        return -1;
      return 119;

    case E_V512DFmode:
      if (pattern0 (x3, 
E_V512DFmode) != 0)
        return -1;
      return 120;

    default:
      return -1;
    }
}

int
pattern120 (rtx x1, unsigned int i1, unsigned int i2, unsigned int i3, unsigned int i4, unsigned int i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_CODE (x3) != PLUS)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 2)
    return -1;
  x5 = XEXP (x2, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 2)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x6) != SET)
    return -1;
  x7 = XEXP (x6, 1);
  if (GET_CODE (x7) != MEM)
    return -1;
  x8 = XEXP (x7, 0);
  if (GET_CODE (x8) != PLUS)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_CODE (x9) != REG
      || REGNO (x9) != 2)
    return -1;
  x10 = XEXP (x8, 1);
  if (GET_CODE (x10) != CONST_INT)
    return -1;
  x11 = XEXP (x6, 0);
  if (GET_CODE (x11) != REG
      || REGNO (x11) != i5)
    return -1;
  x12 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x12) != SET)
    return -1;
  x13 = XEXP (x12, 1);
  if (GET_CODE (x13) != MEM)
    return -1;
  x14 = XEXP (x13, 0);
  if (GET_CODE (x14) != PLUS)
    return -1;
  x15 = XEXP (x14, 0);
  if (GET_CODE (x15) != REG
      || REGNO (x15) != 2)
    return -1;
  x16 = XEXP (x14, 1);
  if (GET_CODE (x16) != CONST_INT)
    return -1;
  x17 = XEXP (x12, 0);
  if (GET_CODE (x17) != REG
      || REGNO (x17) != i4)
    return -1;
  x18 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x18) != SET)
    return -1;
  x19 = XEXP (x18, 1);
  if (GET_CODE (x19) != MEM)
    return -1;
  x20 = XEXP (x19, 0);
  if (GET_CODE (x20) != PLUS)
    return -1;
  x21 = XEXP (x20, 0);
  if (GET_CODE (x21) != REG
      || REGNO (x21) != 2)
    return -1;
  x22 = XEXP (x20, 1);
  if (GET_CODE (x22) != CONST_INT)
    return -1;
  x23 = XEXP (x18, 0);
  if (GET_CODE (x23) != REG
      || REGNO (x23) != i3)
    return -1;
  x24 = XVECEXP (x1, 0, 4);
  if (GET_CODE (x24) != SET)
    return -1;
  x25 = XEXP (x24, 1);
  if (GET_CODE (x25) != MEM)
    return -1;
  x26 = XEXP (x25, 0);
  if (GET_CODE (x26) != PLUS)
    return -1;
  x27 = XEXP (x26, 0);
  if (GET_CODE (x27) != REG
      || REGNO (x27) != 2)
    return -1;
  x28 = XEXP (x26, 1);
  if (GET_CODE (x28) != CONST_INT)
    return -1;
  x29 = XEXP (x24, 0);
  if (GET_CODE (x29) != REG
      || REGNO (x29) != i2)
    return -1;
  x30 = XVECEXP (x1, 0, 5);
  if (GET_CODE (x30) != SET)
    return -1;
  x31 = XEXP (x30, 1);
  if (GET_CODE (x31) != MEM)
    return -1;
  x32 = XEXP (x31, 0);
  if (GET_CODE (x32) != PLUS)
    return -1;
  x33 = XEXP (x32, 0);
  if (GET_CODE (x33) != REG
      || REGNO (x33) != 2)
    return -1;
  x34 = XEXP (x32, 1);
  if (GET_CODE (x34) != CONST_INT)
    return -1;
  x35 = XEXP (x30, 0);
  if (GET_CODE (x35) != REG
      || REGNO (x35) != i1)
    return -1;
  return 0;
}

int
pattern126 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern53 (x1); /* [-1, 1] */

    case E_RVVM4HFmode:
      res = pattern54 (x1);
      if (res >= 0)
        return res + 2; /* [2, 4] */
      return -1;

    case E_RVVM2HFmode:
      res = pattern55 (x1);
      if (res >= 0)
        return res + 5; /* [5, 7] */
      return -1;

    case E_RVVM1HFmode:
      res = pattern56 (x1);
      if (res >= 0)
        return res + 8; /* [8, 10] */
      return -1;

    case E_RVVMF2HFmode:
      res = pattern57 (x1);
      if (res >= 0)
        return res + 11; /* [11, 13] */
      return -1;

    case E_RVVMF4HFmode:
      res = pattern58 (x1);
      if (res >= 0)
        return res + 14; /* [14, 16] */
      return -1;

    case E_RVVM8SFmode:
      res = pattern59 (x1);
      if (res >= 0)
        return res + 17; /* [17, 18] */
      return -1;

    case E_RVVM4SFmode:
      res = pattern60 (x1);
      if (res >= 0)
        return res + 19; /* [19, 21] */
      return -1;

    case E_RVVM2SFmode:
      res = pattern61 (x1);
      if (res >= 0)
        return res + 22; /* [22, 24] */
      return -1;

    case E_RVVM1SFmode:
      res = pattern62 (x1);
      if (res >= 0)
        return res + 25; /* [25, 27] */
      return -1;

    case E_RVVMF2SFmode:
      res = pattern63 (x1);
      if (res >= 0)
        return res + 28; /* [28, 30] */
      return -1;

    case E_RVVM8DFmode:
      res = pattern64 (x1);
      if (res >= 0)
        return res + 31; /* [31, 32] */
      return -1;

    case E_RVVM4DFmode:
      res = pattern65 (x1);
      if (res >= 0)
        return res + 33; /* [33, 34] */
      return -1;

    case E_RVVM2DFmode:
      res = pattern66 (x1);
      if (res >= 0)
        return res + 35; /* [35, 36] */
      return -1;

    case E_RVVM1DFmode:
      res = pattern67 (x1);
      if (res >= 0)
        return res + 37; /* [37, 38] */
      return -1;

    case E_V1HFmode:
      res = pattern68 (x1);
      if (res >= 0)
        return res + 39; /* [39, 41] */
      return -1;

    case E_V2HFmode:
      res = pattern69 (x1);
      if (res >= 0)
        return res + 42; /* [42, 44] */
      return -1;

    case E_V4HFmode:
      res = pattern70 (x1);
      if (res >= 0)
        return res + 45; /* [45, 47] */
      return -1;

    case E_V8HFmode:
      res = pattern71 (x1);
      if (res >= 0)
        return res + 48; /* [48, 50] */
      return -1;

    case E_V16HFmode:
      res = pattern72 (x1);
      if (res >= 0)
        return res + 51; /* [51, 53] */
      return -1;

    case E_V32HFmode:
      res = pattern73 (x1);
      if (res >= 0)
        return res + 54; /* [54, 56] */
      return -1;

    case E_V64HFmode:
      res = pattern74 (x1);
      if (res >= 0)
        return res + 57; /* [57, 59] */
      return -1;

    case E_V128HFmode:
      res = pattern75 (x1);
      if (res >= 0)
        return res + 60; /* [60, 62] */
      return -1;

    case E_V256HFmode:
      res = pattern76 (x1);
      if (res >= 0)
        return res + 63; /* [63, 65] */
      return -1;

    case E_V512HFmode:
      res = pattern77 (x1);
      if (res >= 0)
        return res + 66; /* [66, 68] */
      return -1;

    case E_V1024HFmode:
      res = pattern78 (x1);
      if (res >= 0)
        return res + 69; /* [69, 71] */
      return -1;

    case E_V2048HFmode:
      res = pattern79 (x1);
      if (res >= 0)
        return res + 72; /* [72, 73] */
      return -1;

    case E_V1SFmode:
      res = pattern80 (x1);
      if (res >= 0)
        return res + 74; /* [74, 76] */
      return -1;

    case E_V2SFmode:
      res = pattern81 (x1);
      if (res >= 0)
        return res + 77; /* [77, 79] */
      return -1;

    case E_V4SFmode:
      res = pattern82 (x1);
      if (res >= 0)
        return res + 80; /* [80, 82] */
      return -1;

    case E_V8SFmode:
      res = pattern83 (x1);
      if (res >= 0)
        return res + 83; /* [83, 85] */
      return -1;

    case E_V16SFmode:
      res = pattern84 (x1);
      if (res >= 0)
        return res + 86; /* [86, 88] */
      return -1;

    case E_V32SFmode:
      res = pattern85 (x1);
      if (res >= 0)
        return res + 89; /* [89, 91] */
      return -1;

    case E_V64SFmode:
      res = pattern86 (x1);
      if (res >= 0)
        return res + 92; /* [92, 94] */
      return -1;

    case E_V128SFmode:
      res = pattern87 (x1);
      if (res >= 0)
        return res + 95; /* [95, 97] */
      return -1;

    case E_V256SFmode:
      res = pattern88 (x1);
      if (res >= 0)
        return res + 98; /* [98, 100] */
      return -1;

    case E_V512SFmode:
      res = pattern89 (x1);
      if (res >= 0)
        return res + 101; /* [101, 103] */
      return -1;

    case E_V1024SFmode:
      res = pattern90 (x1);
      if (res >= 0)
        return res + 104; /* [104, 105] */
      return -1;

    case E_V1DFmode:
      res = pattern91 (x1);
      if (res >= 0)
        return res + 106; /* [106, 107] */
      return -1;

    case E_V2DFmode:
      res = pattern92 (x1);
      if (res >= 0)
        return res + 108; /* [108, 109] */
      return -1;

    case E_V4DFmode:
      res = pattern93 (x1);
      if (res >= 0)
        return res + 110; /* [110, 111] */
      return -1;

    case E_V8DFmode:
      res = pattern94 (x1);
      if (res >= 0)
        return res + 112; /* [112, 113] */
      return -1;

    case E_V16DFmode:
      res = pattern95 (x1);
      if (res >= 0)
        return res + 114; /* [114, 115] */
      return -1;

    case E_V32DFmode:
      res = pattern96 (x1);
      if (res >= 0)
        return res + 116; /* [116, 117] */
      return -1;

    case E_V64DFmode:
      res = pattern97 (x1);
      if (res >= 0)
        return res + 118; /* [118, 119] */
      return -1;

    case E_V128DFmode:
      res = pattern98 (x1);
      if (res >= 0)
        return res + 120; /* [120, 121] */
      return -1;

    case E_V256DFmode:
      res = pattern99 (x1);
      if (res >= 0)
        return res + 122; /* [122, 123] */
      return -1;

    case E_V512DFmode:
      res = pattern100 (x1);
      if (res >= 0)
        return res + 124; /* [124, 125] */
      return -1;

    default:
      return -1;
    }
}

int
pattern144 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != MULT)
    return -1;
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x1, 1);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern143 (x1, 
E_RVVM8HFmode); /* [-1, 0] */

    case E_RVVM4HFmode:
      if (pattern143 (x1, 
E_RVVM4HFmode) != 0)
        return -1;
      return 1;

    case E_RVVM2HFmode:
      if (pattern143 (x1, 
E_RVVM2HFmode) != 0)
        return -1;
      return 2;

    case E_RVVM1HFmode:
      if (pattern143 (x1, 
E_RVVM1HFmode) != 0)
        return -1;
      return 3;

    case E_RVVMF2HFmode:
      if (pattern143 (x1, 
E_RVVMF2HFmode) != 0)
        return -1;
      return 4;

    case E_RVVMF4HFmode:
      if (pattern143 (x1, 
E_RVVMF4HFmode) != 0)
        return -1;
      return 5;

    case E_RVVM8SFmode:
      if (pattern143 (x1, 
E_RVVM8SFmode) != 0)
        return -1;
      return 6;

    case E_RVVM4SFmode:
      if (pattern143 (x1, 
E_RVVM4SFmode) != 0)
        return -1;
      return 7;

    case E_RVVM2SFmode:
      if (pattern143 (x1, 
E_RVVM2SFmode) != 0)
        return -1;
      return 8;

    case E_RVVM1SFmode:
      if (pattern143 (x1, 
E_RVVM1SFmode) != 0)
        return -1;
      return 9;

    case E_RVVMF2SFmode:
      if (pattern143 (x1, 
E_RVVMF2SFmode) != 0)
        return -1;
      return 10;

    case E_RVVM8DFmode:
      if (pattern143 (x1, 
E_RVVM8DFmode) != 0)
        return -1;
      return 11;

    case E_RVVM4DFmode:
      if (pattern143 (x1, 
E_RVVM4DFmode) != 0)
        return -1;
      return 12;

    case E_RVVM2DFmode:
      if (pattern143 (x1, 
E_RVVM2DFmode) != 0)
        return -1;
      return 13;

    case E_RVVM1DFmode:
      if (pattern143 (x1, 
E_RVVM1DFmode) != 0)
        return -1;
      return 14;

    case E_V1HFmode:
      if (pattern143 (x1, 
E_V1HFmode) != 0)
        return -1;
      return 15;

    case E_V2HFmode:
      if (pattern143 (x1, 
E_V2HFmode) != 0)
        return -1;
      return 16;

    case E_V4HFmode:
      if (pattern143 (x1, 
E_V4HFmode) != 0)
        return -1;
      return 17;

    case E_V8HFmode:
      if (pattern143 (x1, 
E_V8HFmode) != 0)
        return -1;
      return 18;

    case E_V16HFmode:
      if (pattern143 (x1, 
E_V16HFmode) != 0)
        return -1;
      return 19;

    case E_V32HFmode:
      if (pattern143 (x1, 
E_V32HFmode) != 0)
        return -1;
      return 20;

    case E_V64HFmode:
      if (pattern143 (x1, 
E_V64HFmode) != 0)
        return -1;
      return 21;

    case E_V128HFmode:
      if (pattern143 (x1, 
E_V128HFmode) != 0)
        return -1;
      return 22;

    case E_V256HFmode:
      if (pattern143 (x1, 
E_V256HFmode) != 0)
        return -1;
      return 23;

    case E_V512HFmode:
      if (pattern143 (x1, 
E_V512HFmode) != 0)
        return -1;
      return 24;

    case E_V1024HFmode:
      if (pattern143 (x1, 
E_V1024HFmode) != 0)
        return -1;
      return 25;

    case E_V2048HFmode:
      if (pattern143 (x1, 
E_V2048HFmode) != 0)
        return -1;
      return 26;

    case E_V1SFmode:
      if (pattern143 (x1, 
E_V1SFmode) != 0)
        return -1;
      return 27;

    case E_V2SFmode:
      if (pattern143 (x1, 
E_V2SFmode) != 0)
        return -1;
      return 28;

    case E_V4SFmode:
      if (pattern143 (x1, 
E_V4SFmode) != 0)
        return -1;
      return 29;

    case E_V8SFmode:
      if (pattern143 (x1, 
E_V8SFmode) != 0)
        return -1;
      return 30;

    case E_V16SFmode:
      if (pattern143 (x1, 
E_V16SFmode) != 0)
        return -1;
      return 31;

    case E_V32SFmode:
      if (pattern143 (x1, 
E_V32SFmode) != 0)
        return -1;
      return 32;

    case E_V64SFmode:
      if (pattern143 (x1, 
E_V64SFmode) != 0)
        return -1;
      return 33;

    case E_V128SFmode:
      if (pattern143 (x1, 
E_V128SFmode) != 0)
        return -1;
      return 34;

    case E_V256SFmode:
      if (pattern143 (x1, 
E_V256SFmode) != 0)
        return -1;
      return 35;

    case E_V512SFmode:
      if (pattern143 (x1, 
E_V512SFmode) != 0)
        return -1;
      return 36;

    case E_V1024SFmode:
      if (pattern143 (x1, 
E_V1024SFmode) != 0)
        return -1;
      return 37;

    case E_V1DFmode:
      if (pattern143 (x1, 
E_V1DFmode) != 0)
        return -1;
      return 38;

    case E_V2DFmode:
      if (pattern143 (x1, 
E_V2DFmode) != 0)
        return -1;
      return 39;

    case E_V4DFmode:
      if (pattern143 (x1, 
E_V4DFmode) != 0)
        return -1;
      return 40;

    case E_V8DFmode:
      if (pattern143 (x1, 
E_V8DFmode) != 0)
        return -1;
      return 41;

    case E_V16DFmode:
      if (pattern143 (x1, 
E_V16DFmode) != 0)
        return -1;
      return 42;

    case E_V32DFmode:
      if (pattern143 (x1, 
E_V32DFmode) != 0)
        return -1;
      return 43;

    case E_V64DFmode:
      if (pattern143 (x1, 
E_V64DFmode) != 0)
        return -1;
      return 44;

    case E_V128DFmode:
      if (pattern143 (x1, 
E_V128DFmode) != 0)
        return -1;
      return 45;

    case E_V256DFmode:
      if (pattern143 (x1, 
E_V256DFmode) != 0)
        return -1;
      return 46;

    case E_V512DFmode:
      if (pattern143 (x1, 
E_V512DFmode) != 0)
        return -1;
      return 47;

    default:
      return -1;
    }
}

int
pattern155 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case ZERO_EXTEND:
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      return pattern145 (x1); /* [-1, 47] */

    case REG:
    case SUBREG:
      res = pattern153 (x1);
      if (res >= 0)
        return res + 48; /* [48, 95] */
      return -1;

    case SIGN_EXTEND:
      x3 = XEXP (x1, 0);
      x4 = XEXP (x3, 0);
      operands[2] = x4;
      x5 = XEXP (x2, 0);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern154 (x1, 
E_RVVM4QImode, 
E_RVVM8HImode) != 0)
            return -1;
          return 96;

        case E_RVVM4HImode:
          if (pattern154 (x1, 
E_RVVM2QImode, 
E_RVVM4HImode) != 0)
            return -1;
          return 97;

        case E_RVVM2HImode:
          if (pattern154 (x1, 
E_RVVM1QImode, 
E_RVVM2HImode) != 0)
            return -1;
          return 98;

        case E_RVVM1HImode:
          if (pattern154 (x1, 
E_RVVMF2QImode, 
E_RVVM1HImode) != 0)
            return -1;
          return 99;

        case E_RVVMF2HImode:
          if (pattern154 (x1, 
E_RVVMF4QImode, 
E_RVVMF2HImode) != 0)
            return -1;
          return 100;

        case E_RVVMF4HImode:
          if (pattern154 (x1, 
E_RVVMF8QImode, 
E_RVVMF4HImode) != 0)
            return -1;
          return 101;

        case E_RVVM8SImode:
          if (pattern154 (x1, 
E_RVVM4HImode, 
E_RVVM8SImode) != 0)
            return -1;
          return 102;

        case E_RVVM4SImode:
          if (pattern154 (x1, 
E_RVVM2HImode, 
E_RVVM4SImode) != 0)
            return -1;
          return 103;

        case E_RVVM2SImode:
          if (pattern154 (x1, 
E_RVVM1HImode, 
E_RVVM2SImode) != 0)
            return -1;
          return 104;

        case E_RVVM1SImode:
          if (pattern154 (x1, 
E_RVVMF2HImode, 
E_RVVM1SImode) != 0)
            return -1;
          return 105;

        case E_RVVMF2SImode:
          if (pattern154 (x1, 
E_RVVMF4HImode, 
E_RVVMF2SImode) != 0)
            return -1;
          return 106;

        case E_RVVM8DImode:
          if (pattern154 (x1, 
E_RVVM4SImode, 
E_RVVM8DImode) != 0)
            return -1;
          return 107;

        case E_RVVM4DImode:
          if (pattern154 (x1, 
E_RVVM2SImode, 
E_RVVM4DImode) != 0)
            return -1;
          return 108;

        case E_RVVM2DImode:
          if (pattern154 (x1, 
E_RVVM1SImode, 
E_RVVM2DImode) != 0)
            return -1;
          return 109;

        case E_RVVM1DImode:
          if (pattern154 (x1, 
E_RVVMF2SImode, 
E_RVVM1DImode) != 0)
            return -1;
          return 110;

        case E_V1HImode:
          if (pattern154 (x1, 
E_V1QImode, 
E_V1HImode) != 0)
            return -1;
          return 111;

        case E_V2HImode:
          if (pattern154 (x1, 
E_V2QImode, 
E_V2HImode) != 0)
            return -1;
          return 112;

        case E_V4HImode:
          if (pattern154 (x1, 
E_V4QImode, 
E_V4HImode) != 0)
            return -1;
          return 113;

        case E_V8HImode:
          if (pattern154 (x1, 
E_V8QImode, 
E_V8HImode) != 0)
            return -1;
          return 114;

        case E_V16HImode:
          if (pattern154 (x1, 
E_V16QImode, 
E_V16HImode) != 0)
            return -1;
          return 115;

        case E_V32HImode:
          if (pattern154 (x1, 
E_V32QImode, 
E_V32HImode) != 0)
            return -1;
          return 116;

        case E_V64HImode:
          if (pattern154 (x1, 
E_V64QImode, 
E_V64HImode) != 0)
            return -1;
          return 117;

        case E_V128HImode:
          if (pattern154 (x1, 
E_V128QImode, 
E_V128HImode) != 0)
            return -1;
          return 118;

        case E_V256HImode:
          if (pattern154 (x1, 
E_V256QImode, 
E_V256HImode) != 0)
            return -1;
          return 119;

        case E_V512HImode:
          if (pattern154 (x1, 
E_V512QImode, 
E_V512HImode) != 0)
            return -1;
          return 120;

        case E_V1024HImode:
          if (pattern154 (x1, 
E_V1024QImode, 
E_V1024HImode) != 0)
            return -1;
          return 121;

        case E_V2048HImode:
          if (pattern154 (x1, 
E_V2048QImode, 
E_V2048HImode) != 0)
            return -1;
          return 122;

        case E_V1SImode:
          if (pattern154 (x1, 
E_V1HImode, 
E_V1SImode) != 0)
            return -1;
          return 123;

        case E_V2SImode:
          if (pattern154 (x1, 
E_V2HImode, 
E_V2SImode) != 0)
            return -1;
          return 124;

        case E_V4SImode:
          if (pattern154 (x1, 
E_V4HImode, 
E_V4SImode) != 0)
            return -1;
          return 125;

        case E_V8SImode:
          if (pattern154 (x1, 
E_V8HImode, 
E_V8SImode) != 0)
            return -1;
          return 126;

        case E_V16SImode:
          if (pattern154 (x1, 
E_V16HImode, 
E_V16SImode) != 0)
            return -1;
          return 127;

        case E_V32SImode:
          if (pattern154 (x1, 
E_V32HImode, 
E_V32SImode) != 0)
            return -1;
          return 128;

        case E_V64SImode:
          if (pattern154 (x1, 
E_V64HImode, 
E_V64SImode) != 0)
            return -1;
          return 129;

        case E_V128SImode:
          if (pattern154 (x1, 
E_V128HImode, 
E_V128SImode) != 0)
            return -1;
          return 130;

        case E_V256SImode:
          if (pattern154 (x1, 
E_V256HImode, 
E_V256SImode) != 0)
            return -1;
          return 131;

        case E_V512SImode:
          if (pattern154 (x1, 
E_V512HImode, 
E_V512SImode) != 0)
            return -1;
          return 132;

        case E_V1024SImode:
          if (pattern154 (x1, 
E_V1024HImode, 
E_V1024SImode) != 0)
            return -1;
          return 133;

        case E_V1DImode:
          if (pattern154 (x1, 
E_V1SImode, 
E_V1DImode) != 0)
            return -1;
          return 134;

        case E_V2DImode:
          if (pattern154 (x1, 
E_V2SImode, 
E_V2DImode) != 0)
            return -1;
          return 135;

        case E_V4DImode:
          if (pattern154 (x1, 
E_V4SImode, 
E_V4DImode) != 0)
            return -1;
          return 136;

        case E_V8DImode:
          if (pattern154 (x1, 
E_V8SImode, 
E_V8DImode) != 0)
            return -1;
          return 137;

        case E_V16DImode:
          if (pattern154 (x1, 
E_V16SImode, 
E_V16DImode) != 0)
            return -1;
          return 138;

        case E_V32DImode:
          if (pattern154 (x1, 
E_V32SImode, 
E_V32DImode) != 0)
            return -1;
          return 139;

        case E_V64DImode:
          if (pattern154 (x1, 
E_V64SImode, 
E_V64DImode) != 0)
            return -1;
          return 140;

        case E_V128DImode:
          if (pattern154 (x1, 
E_V128SImode, 
E_V128DImode) != 0)
            return -1;
          return 141;

        case E_V256DImode:
          if (pattern154 (x1, 
E_V256SImode, 
E_V256DImode) != 0)
            return -1;
          return 142;

        case E_V512DImode:
          if (pattern154 (x1, 
E_V512SImode, 
E_V512DImode) != 0)
            return -1;
          return 143;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern188 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM1QImode:
      if (!register_operand (operands[3], E_RVVM1QImode))
        return -1;
      return 0;

    case E_RVVM2HImode:
      if (!register_operand (operands[3], E_RVVM2HImode))
        return -1;
      return 1;

    case E_RVVM4SImode:
      if (!register_operand (operands[3], E_RVVM4SImode))
        return -1;
      return 2;

    case E_RVVM8DImode:
      if (!register_operand (operands[3], E_RVVM8DImode))
        return -1;
      return 3;

    case E_RVVM2BFmode:
      if (!register_operand (operands[3], E_RVVM2BFmode))
        return -1;
      return 4;

    case E_RVVM2HFmode:
      if (!register_operand (operands[3], E_RVVM2HFmode))
        return -1;
      return 5;

    case E_RVVM4SFmode:
      if (!register_operand (operands[3], E_RVVM4SFmode))
        return -1;
      return 6;

    case E_RVVM8DFmode:
      if (!register_operand (operands[3], E_RVVM8DFmode))
        return -1;
      return 7;

    case E_RVVM1x2QImode:
      if (!register_operand (operands[3], E_RVVM1x2QImode))
        return -1;
      return 8;

    case E_RVVM1x3QImode:
      if (!register_operand (operands[3], E_RVVM1x3QImode))
        return -1;
      return 9;

    case E_RVVM1x4QImode:
      if (!register_operand (operands[3], E_RVVM1x4QImode))
        return -1;
      return 10;

    case E_RVVM1x5QImode:
      if (!register_operand (operands[3], E_RVVM1x5QImode))
        return -1;
      return 11;

    case E_RVVM1x6QImode:
      if (!register_operand (operands[3], E_RVVM1x6QImode))
        return -1;
      return 12;

    case E_RVVM1x7QImode:
      if (!register_operand (operands[3], E_RVVM1x7QImode))
        return -1;
      return 13;

    case E_RVVM1x8QImode:
      if (!register_operand (operands[3], E_RVVM1x8QImode))
        return -1;
      return 14;

    case E_RVVM2x2HImode:
      if (!register_operand (operands[3], E_RVVM2x2HImode))
        return -1;
      return 15;

    case E_RVVM2x3HImode:
      if (!register_operand (operands[3], E_RVVM2x3HImode))
        return -1;
      return 16;

    case E_RVVM2x4HImode:
      if (!register_operand (operands[3], E_RVVM2x4HImode))
        return -1;
      return 17;

    case E_RVVM4x2SImode:
      if (!register_operand (operands[3], E_RVVM4x2SImode))
        return -1;
      return 18;

    case E_RVVM2x2BFmode:
      if (!register_operand (operands[3], E_RVVM2x2BFmode))
        return -1;
      return 19;

    case E_RVVM2x3BFmode:
      if (!register_operand (operands[3], E_RVVM2x3BFmode))
        return -1;
      return 20;

    case E_RVVM2x4BFmode:
      if (!register_operand (operands[3], E_RVVM2x4BFmode))
        return -1;
      return 21;

    case E_RVVM2x2HFmode:
      if (!register_operand (operands[3], E_RVVM2x2HFmode))
        return -1;
      return 22;

    case E_RVVM2x3HFmode:
      if (!register_operand (operands[3], E_RVVM2x3HFmode))
        return -1;
      return 23;

    case E_RVVM2x4HFmode:
      if (!register_operand (operands[3], E_RVVM2x4HFmode))
        return -1;
      return 24;

    case E_RVVM4x2SFmode:
      if (!register_operand (operands[3], E_RVVM4x2SFmode))
        return -1;
      return 25;

    default:
      return -1;
    }
}

int
pattern194 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2)
      || !vector_merge_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !reg_or_0_operand (operands[4], i3))
    return -1;
  return 0;
}

int
pattern197 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != UNSPEC
      || XVECLEN (x3, 0) != 7
      || XINT (x3, 1) != 93)
    return -1;
  x4 = XVECEXP (x3, 0, 5);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XVECEXP (x3, 0, 6);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 67
      || GET_MODE (x5) != E_SImode)
    return -1;
  x6 = XEXP (x1, 0);
  operands[0] = x6;
  x7 = XVECEXP (x3, 0, 0);
  operands[1] = x7;
  x8 = XVECEXP (x3, 0, 1);
  operands[5] = x8;
  if (!vector_length_operand (operands[5], E_VOIDmode))
    return -1;
  x9 = XVECEXP (x3, 0, 2);
  operands[6] = x9;
  if (!const_int_operand (operands[6], E_VOIDmode))
    return -1;
  x10 = XVECEXP (x3, 0, 3);
  operands[7] = x10;
  if (!const_int_operand (operands[7], E_VOIDmode))
    return -1;
  x11 = XVECEXP (x3, 0, 4);
  operands[8] = x11;
  if (!const_int_operand (operands[8], E_VOIDmode))
    return -1;
  x12 = XVECEXP (x2, 0, 1);
  operands[2] = x12;
  x13 = XVECEXP (x2, 0, 2);
  operands[3] = x13;
  x14 = XVECEXP (x2, 0, 3);
  operands[4] = x14;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern196 (x2, 
E_RVVM8HFmode, 
E_RVVMF2BImode, 
E_HFmode); /* [-1, 0] */

    case E_RVVM4HFmode:
      if (pattern196 (x2, 
E_RVVM4HFmode, 
E_RVVMF4BImode, 
E_HFmode) != 0)
        return -1;
      return 1;

    case E_RVVM2HFmode:
      if (pattern196 (x2, 
E_RVVM2HFmode, 
E_RVVMF8BImode, 
E_HFmode) != 0)
        return -1;
      return 2;

    case E_RVVM1HFmode:
      if (pattern196 (x2, 
E_RVVM1HFmode, 
E_RVVMF16BImode, 
E_HFmode) != 0)
        return -1;
      return 3;

    case E_RVVMF2HFmode:
      if (pattern196 (x2, 
E_RVVMF2HFmode, 
E_RVVMF32BImode, 
E_HFmode) != 0)
        return -1;
      return 4;

    case E_RVVMF4HFmode:
      if (pattern196 (x2, 
E_RVVMF4HFmode, 
E_RVVMF64BImode, 
E_HFmode) != 0)
        return -1;
      return 5;

    case E_RVVM8SFmode:
      if (pattern196 (x2, 
E_RVVM8SFmode, 
E_RVVMF4BImode, 
E_SFmode) != 0)
        return -1;
      return 6;

    case E_RVVM4SFmode:
      if (pattern196 (x2, 
E_RVVM4SFmode, 
E_RVVMF8BImode, 
E_SFmode) != 0)
        return -1;
      return 7;

    case E_RVVM2SFmode:
      if (pattern196 (x2, 
E_RVVM2SFmode, 
E_RVVMF16BImode, 
E_SFmode) != 0)
        return -1;
      return 8;

    case E_RVVM1SFmode:
      if (pattern196 (x2, 
E_RVVM1SFmode, 
E_RVVMF32BImode, 
E_SFmode) != 0)
        return -1;
      return 9;

    case E_RVVMF2SFmode:
      if (pattern196 (x2, 
E_RVVMF2SFmode, 
E_RVVMF64BImode, 
E_SFmode) != 0)
        return -1;
      return 10;

    case E_RVVM8DFmode:
      if (pattern196 (x2, 
E_RVVM8DFmode, 
E_RVVMF8BImode, 
E_DFmode) != 0)
        return -1;
      return 11;

    case E_RVVM4DFmode:
      if (pattern196 (x2, 
E_RVVM4DFmode, 
E_RVVMF16BImode, 
E_DFmode) != 0)
        return -1;
      return 12;

    case E_RVVM2DFmode:
      if (pattern196 (x2, 
E_RVVM2DFmode, 
E_RVVMF32BImode, 
E_DFmode) != 0)
        return -1;
      return 13;

    case E_RVVM1DFmode:
      if (pattern196 (x2, 
E_RVVM1DFmode, 
E_RVVMF64BImode, 
E_DFmode) != 0)
        return -1;
      return 14;

    case E_V1HFmode:
      if (pattern196 (x2, 
E_V1HFmode, 
E_V1BImode, 
E_HFmode) != 0)
        return -1;
      return 15;

    case E_V2HFmode:
      if (pattern196 (x2, 
E_V2HFmode, 
E_V2BImode, 
E_HFmode) != 0)
        return -1;
      return 16;

    case E_V4HFmode:
      if (pattern196 (x2, 
E_V4HFmode, 
E_V4BImode, 
E_HFmode) != 0)
        return -1;
      return 17;

    case E_V8HFmode:
      if (pattern196 (x2, 
E_V8HFmode, 
E_V8BImode, 
E_HFmode) != 0)
        return -1;
      return 18;

    case E_V16HFmode:
      if (pattern196 (x2, 
E_V16HFmode, 
E_V16BImode, 
E_HFmode) != 0)
        return -1;
      return 19;

    case E_V32HFmode:
      if (pattern196 (x2, 
E_V32HFmode, 
E_V32BImode, 
E_HFmode) != 0)
        return -1;
      return 20;

    case E_V64HFmode:
      if (pattern196 (x2, 
E_V64HFmode, 
E_V64BImode, 
E_HFmode) != 0)
        return -1;
      return 21;

    case E_V128HFmode:
      if (pattern196 (x2, 
E_V128HFmode, 
E_V128BImode, 
E_HFmode) != 0)
        return -1;
      return 22;

    case E_V256HFmode:
      if (pattern196 (x2, 
E_V256HFmode, 
E_V256BImode, 
E_HFmode) != 0)
        return -1;
      return 23;

    case E_V512HFmode:
      if (pattern196 (x2, 
E_V512HFmode, 
E_V512BImode, 
E_HFmode) != 0)
        return -1;
      return 24;

    case E_V1024HFmode:
      if (pattern196 (x2, 
E_V1024HFmode, 
E_V1024BImode, 
E_HFmode) != 0)
        return -1;
      return 25;

    case E_V2048HFmode:
      if (pattern196 (x2, 
E_V2048HFmode, 
E_V2048BImode, 
E_HFmode) != 0)
        return -1;
      return 26;

    case E_V1SFmode:
      if (pattern196 (x2, 
E_V1SFmode, 
E_V1BImode, 
E_SFmode) != 0)
        return -1;
      return 27;

    case E_V2SFmode:
      if (pattern196 (x2, 
E_V2SFmode, 
E_V2BImode, 
E_SFmode) != 0)
        return -1;
      return 28;

    case E_V4SFmode:
      if (pattern196 (x2, 
E_V4SFmode, 
E_V4BImode, 
E_SFmode) != 0)
        return -1;
      return 29;

    case E_V8SFmode:
      if (pattern196 (x2, 
E_V8SFmode, 
E_V8BImode, 
E_SFmode) != 0)
        return -1;
      return 30;

    case E_V16SFmode:
      if (pattern196 (x2, 
E_V16SFmode, 
E_V16BImode, 
E_SFmode) != 0)
        return -1;
      return 31;

    case E_V32SFmode:
      if (pattern196 (x2, 
E_V32SFmode, 
E_V32BImode, 
E_SFmode) != 0)
        return -1;
      return 32;

    case E_V64SFmode:
      if (pattern196 (x2, 
E_V64SFmode, 
E_V64BImode, 
E_SFmode) != 0)
        return -1;
      return 33;

    case E_V128SFmode:
      if (pattern196 (x2, 
E_V128SFmode, 
E_V128BImode, 
E_SFmode) != 0)
        return -1;
      return 34;

    case E_V256SFmode:
      if (pattern196 (x2, 
E_V256SFmode, 
E_V256BImode, 
E_SFmode) != 0)
        return -1;
      return 35;

    case E_V512SFmode:
      if (pattern196 (x2, 
E_V512SFmode, 
E_V512BImode, 
E_SFmode) != 0)
        return -1;
      return 36;

    case E_V1024SFmode:
      if (pattern196 (x2, 
E_V1024SFmode, 
E_V1024BImode, 
E_SFmode) != 0)
        return -1;
      return 37;

    case E_V1DFmode:
      if (pattern196 (x2, 
E_V1DFmode, 
E_V1BImode, 
E_DFmode) != 0)
        return -1;
      return 38;

    case E_V2DFmode:
      if (pattern196 (x2, 
E_V2DFmode, 
E_V2BImode, 
E_DFmode) != 0)
        return -1;
      return 39;

    case E_V4DFmode:
      if (pattern196 (x2, 
E_V4DFmode, 
E_V4BImode, 
E_DFmode) != 0)
        return -1;
      return 40;

    case E_V8DFmode:
      if (pattern196 (x2, 
E_V8DFmode, 
E_V8BImode, 
E_DFmode) != 0)
        return -1;
      return 41;

    case E_V16DFmode:
      if (pattern196 (x2, 
E_V16DFmode, 
E_V16BImode, 
E_DFmode) != 0)
        return -1;
      return 42;

    case E_V32DFmode:
      if (pattern196 (x2, 
E_V32DFmode, 
E_V32BImode, 
E_DFmode) != 0)
        return -1;
      return 43;

    case E_V64DFmode:
      if (pattern196 (x2, 
E_V64DFmode, 
E_V64BImode, 
E_DFmode) != 0)
        return -1;
      return 44;

    case E_V128DFmode:
      if (pattern196 (x2, 
E_V128DFmode, 
E_V128BImode, 
E_DFmode) != 0)
        return -1;
      return 45;

    case E_V256DFmode:
      if (pattern196 (x2, 
E_V256DFmode, 
E_V256BImode, 
E_DFmode) != 0)
        return -1;
      return 46;

    case E_V512DFmode:
      if (pattern196 (x2, 
E_V512DFmode, 
E_V512BImode, 
E_DFmode) != 0)
        return -1;
      return 47;

    default:
      return -1;
    }
}

int
pattern219 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (GET_CODE (x2))
    {
    case CONST_INT:
    case CONST_WIDE_INT:
    case CONST_POLY_INT:
    case CONST_FIXED:
    case CONST_DOUBLE:
    case CONST_VECTOR:
    case CONST:
    case REG:
    case SUBREG:
    case LABEL_REF:
    case SYMBOL_REF:
    case HIGH:
      operands[1] = x2;
      x3 = XEXP (x1, 0);
      operands[3] = x3;
      x4 = XEXP (x1, 2);
      operands[2] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8QImode:
          return pattern206 (x1, 
E_RVVM8QImode, 
E_RVVM1BImode); /* [-1, 0] */

        case E_RVVM4QImode:
          if (pattern206 (x1, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 1;

        case E_RVVM2QImode:
          if (pattern206 (x1, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 2;

        case E_RVVM1QImode:
          if (pattern206 (x1, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 3;

        case E_RVVM8HImode:
          if (pattern206 (x1, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 4;

        case E_RVVM4HImode:
          if (pattern206 (x1, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 5;

        case E_RVVM2HImode:
          if (pattern206 (x1, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 6;

        case E_RVVM1HImode:
          if (pattern206 (x1, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 7;

        case E_RVVM8SImode:
          if (pattern206 (x1, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 8;

        case E_RVVM4SImode:
          if (pattern206 (x1, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 9;

        case E_RVVM2SImode:
          if (pattern206 (x1, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 10;

        case E_RVVM1SImode:
          if (pattern206 (x1, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 11;

        case E_RVVM8DImode:
          if (pattern206 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 12;

        case E_RVVM4DImode:
          if (pattern206 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 13;

        case E_RVVM2DImode:
          if (pattern206 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 14;

        case E_RVVM1DImode:
          if (pattern206 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 15;

        case E_RVVMF2QImode:
          if (pattern206 (x1, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 16;

        case E_RVVMF4QImode:
          if (pattern206 (x1, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 17;

        case E_RVVMF8QImode:
          if (pattern206 (x1, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 18;

        case E_RVVMF2HImode:
          if (pattern206 (x1, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 19;

        case E_RVVMF4HImode:
          if (pattern206 (x1, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 20;

        case E_RVVMF2SImode:
          if (pattern206 (x1, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 21;

        case E_RVVM8BFmode:
          if (pattern206 (x1, 
E_RVVM8BFmode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 22;

        case E_RVVM4BFmode:
          if (pattern206 (x1, 
E_RVVM4BFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 23;

        case E_RVVM2BFmode:
          if (pattern206 (x1, 
E_RVVM2BFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 24;

        case E_RVVM1BFmode:
          if (pattern206 (x1, 
E_RVVM1BFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 25;

        case E_RVVMF2BFmode:
          if (pattern206 (x1, 
E_RVVMF2BFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 26;

        case E_RVVMF4BFmode:
          if (pattern206 (x1, 
E_RVVMF4BFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 27;

        case E_RVVM8HFmode:
          if (pattern206 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 28;

        case E_RVVM4HFmode:
          if (pattern206 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 29;

        case E_RVVM2HFmode:
          if (pattern206 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 30;

        case E_RVVM1HFmode:
          if (pattern206 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 31;

        case E_RVVMF2HFmode:
          if (pattern206 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 32;

        case E_RVVMF4HFmode:
          if (pattern206 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 33;

        case E_RVVM8SFmode:
          if (pattern206 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 34;

        case E_RVVM4SFmode:
          if (pattern206 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 35;

        case E_RVVM2SFmode:
          if (pattern206 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 36;

        case E_RVVM1SFmode:
          if (pattern206 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 37;

        case E_RVVMF2SFmode:
          if (pattern206 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 38;

        case E_RVVM8DFmode:
          if (pattern206 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 39;

        case E_RVVM4DFmode:
          if (pattern206 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 40;

        case E_RVVM2DFmode:
          if (pattern206 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 41;

        case E_RVVM1DFmode:
          if (pattern206 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 42;

        case E_V1QImode:
          if (pattern206 (x1, 
E_V1QImode, 
E_V1BImode) != 0)
            return -1;
          return 43;

        case E_V2QImode:
          if (pattern206 (x1, 
E_V2QImode, 
E_V2BImode) != 0)
            return -1;
          return 44;

        case E_V4QImode:
          if (pattern206 (x1, 
E_V4QImode, 
E_V4BImode) != 0)
            return -1;
          return 45;

        case E_V8QImode:
          if (pattern206 (x1, 
E_V8QImode, 
E_V8BImode) != 0)
            return -1;
          return 46;

        case E_V16QImode:
          if (pattern206 (x1, 
E_V16QImode, 
E_V16BImode) != 0)
            return -1;
          return 47;

        case E_V32QImode:
          if (pattern206 (x1, 
E_V32QImode, 
E_V32BImode) != 0)
            return -1;
          return 48;

        case E_V64QImode:
          if (pattern206 (x1, 
E_V64QImode, 
E_V64BImode) != 0)
            return -1;
          return 49;

        case E_V128QImode:
          if (pattern206 (x1, 
E_V128QImode, 
E_V128BImode) != 0)
            return -1;
          return 50;

        case E_V256QImode:
          if (pattern206 (x1, 
E_V256QImode, 
E_V256BImode) != 0)
            return -1;
          return 51;

        case E_V512QImode:
          if (pattern206 (x1, 
E_V512QImode, 
E_V512BImode) != 0)
            return -1;
          return 52;

        case E_V1024QImode:
          if (pattern206 (x1, 
E_V1024QImode, 
E_V1024BImode) != 0)
            return -1;
          return 53;

        case E_V2048QImode:
          if (pattern206 (x1, 
E_V2048QImode, 
E_V2048BImode) != 0)
            return -1;
          return 54;

        case E_V4096QImode:
          if (pattern206 (x1, 
E_V4096QImode, 
E_V4096BImode) != 0)
            return -1;
          return 55;

        case E_V1HImode:
          if (pattern206 (x1, 
E_V1HImode, 
E_V1BImode) != 0)
            return -1;
          return 56;

        case E_V2HImode:
          if (pattern206 (x1, 
E_V2HImode, 
E_V2BImode) != 0)
            return -1;
          return 57;

        case E_V4HImode:
          if (pattern206 (x1, 
E_V4HImode, 
E_V4BImode) != 0)
            return -1;
          return 58;

        case E_V8HImode:
          if (pattern206 (x1, 
E_V8HImode, 
E_V8BImode) != 0)
            return -1;
          return 59;

        case E_V16HImode:
          if (pattern206 (x1, 
E_V16HImode, 
E_V16BImode) != 0)
            return -1;
          return 60;

        case E_V32HImode:
          if (pattern206 (x1, 
E_V32HImode, 
E_V32BImode) != 0)
            return -1;
          return 61;

        case E_V64HImode:
          if (pattern206 (x1, 
E_V64HImode, 
E_V64BImode) != 0)
            return -1;
          return 62;

        case E_V128HImode:
          if (pattern206 (x1, 
E_V128HImode, 
E_V128BImode) != 0)
            return -1;
          return 63;

        case E_V256HImode:
          if (pattern206 (x1, 
E_V256HImode, 
E_V256BImode) != 0)
            return -1;
          return 64;

        case E_V512HImode:
          if (pattern206 (x1, 
E_V512HImode, 
E_V512BImode) != 0)
            return -1;
          return 65;

        case E_V1024HImode:
          if (pattern206 (x1, 
E_V1024HImode, 
E_V1024BImode) != 0)
            return -1;
          return 66;

        case E_V2048HImode:
          if (pattern206 (x1, 
E_V2048HImode, 
E_V2048BImode) != 0)
            return -1;
          return 67;

        case E_V1SImode:
          if (pattern206 (x1, 
E_V1SImode, 
E_V1BImode) != 0)
            return -1;
          return 68;

        case E_V2SImode:
          if (pattern206 (x1, 
E_V2SImode, 
E_V2BImode) != 0)
            return -1;
          return 69;

        case E_V4SImode:
          if (pattern206 (x1, 
E_V4SImode, 
E_V4BImode) != 0)
            return -1;
          return 70;

        case E_V8SImode:
          if (pattern206 (x1, 
E_V8SImode, 
E_V8BImode) != 0)
            return -1;
          return 71;

        case E_V16SImode:
          if (pattern206 (x1, 
E_V16SImode, 
E_V16BImode) != 0)
            return -1;
          return 72;

        case E_V32SImode:
          if (pattern206 (x1, 
E_V32SImode, 
E_V32BImode) != 0)
            return -1;
          return 73;

        case E_V64SImode:
          if (pattern206 (x1, 
E_V64SImode, 
E_V64BImode) != 0)
            return -1;
          return 74;

        case E_V128SImode:
          if (pattern206 (x1, 
E_V128SImode, 
E_V128BImode) != 0)
            return -1;
          return 75;

        case E_V256SImode:
          if (pattern206 (x1, 
E_V256SImode, 
E_V256BImode) != 0)
            return -1;
          return 76;

        case E_V512SImode:
          if (pattern206 (x1, 
E_V512SImode, 
E_V512BImode) != 0)
            return -1;
          return 77;

        case E_V1024SImode:
          if (pattern206 (x1, 
E_V1024SImode, 
E_V1024BImode) != 0)
            return -1;
          return 78;

        case E_V1DImode:
          if (pattern206 (x1, 
E_V1DImode, 
E_V1BImode) != 0)
            return -1;
          return 79;

        case E_V2DImode:
          if (pattern206 (x1, 
E_V2DImode, 
E_V2BImode) != 0)
            return -1;
          return 80;

        case E_V4DImode:
          if (pattern206 (x1, 
E_V4DImode, 
E_V4BImode) != 0)
            return -1;
          return 81;

        case E_V8DImode:
          if (pattern206 (x1, 
E_V8DImode, 
E_V8BImode) != 0)
            return -1;
          return 82;

        case E_V16DImode:
          if (pattern206 (x1, 
E_V16DImode, 
E_V16BImode) != 0)
            return -1;
          return 83;

        case E_V32DImode:
          if (pattern206 (x1, 
E_V32DImode, 
E_V32BImode) != 0)
            return -1;
          return 84;

        case E_V64DImode:
          if (pattern206 (x1, 
E_V64DImode, 
E_V64BImode) != 0)
            return -1;
          return 85;

        case E_V128DImode:
          if (pattern206 (x1, 
E_V128DImode, 
E_V128BImode) != 0)
            return -1;
          return 86;

        case E_V256DImode:
          if (pattern206 (x1, 
E_V256DImode, 
E_V256BImode) != 0)
            return -1;
          return 87;

        case E_V512DImode:
          if (pattern206 (x1, 
E_V512DImode, 
E_V512BImode) != 0)
            return -1;
          return 88;

        case E_V1HFmode:
          if (pattern206 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
            return -1;
          return 89;

        case E_V2HFmode:
          if (pattern206 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
            return -1;
          return 90;

        case E_V4HFmode:
          if (pattern206 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
            return -1;
          return 91;

        case E_V8HFmode:
          if (pattern206 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
            return -1;
          return 92;

        case E_V16HFmode:
          if (pattern206 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
            return -1;
          return 93;

        case E_V32HFmode:
          if (pattern206 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
            return -1;
          return 94;

        case E_V64HFmode:
          if (pattern206 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
            return -1;
          return 95;

        case E_V128HFmode:
          if (pattern206 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
            return -1;
          return 96;

        case E_V256HFmode:
          if (pattern206 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
            return -1;
          return 97;

        case E_V512HFmode:
          if (pattern206 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
            return -1;
          return 98;

        case E_V1024HFmode:
          if (pattern206 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
            return -1;
          return 99;

        case E_V2048HFmode:
          if (pattern206 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
            return -1;
          return 100;

        case E_V1SFmode:
          if (pattern206 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 101;

        case E_V2SFmode:
          if (pattern206 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 102;

        case E_V4SFmode:
          if (pattern206 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 103;

        case E_V8SFmode:
          if (pattern206 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 104;

        case E_V16SFmode:
          if (pattern206 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 105;

        case E_V32SFmode:
          if (pattern206 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 106;

        case E_V64SFmode:
          if (pattern206 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 107;

        case E_V128SFmode:
          if (pattern206 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 108;

        case E_V256SFmode:
          if (pattern206 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 109;

        case E_V512SFmode:
          if (pattern206 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 110;

        case E_V1024SFmode:
          if (pattern206 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
            return -1;
          return 111;

        case E_V1DFmode:
          if (pattern206 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
            return -1;
          return 112;

        case E_V2DFmode:
          if (pattern206 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
            return -1;
          return 113;

        case E_V4DFmode:
          if (pattern206 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
            return -1;
          return 114;

        case E_V8DFmode:
          if (pattern206 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
            return -1;
          return 115;

        case E_V16DFmode:
          if (pattern206 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
            return -1;
          return 116;

        case E_V32DFmode:
          if (pattern206 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
            return -1;
          return 117;

        case E_V64DFmode:
          if (pattern206 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
            return -1;
          return 118;

        case E_V128DFmode:
          if (pattern206 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
            return -1;
          return 119;

        case E_V256DFmode:
          if (pattern206 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
            return -1;
          return 120;

        case E_V512DFmode:
          if (pattern206 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
            return -1;
          return 121;

        default:
          return -1;
        }

    case ABS:
      x3 = XEXP (x1, 0);
      operands[1] = x3;
      x5 = XEXP (x2, 0);
      operands[2] = x5;
      x4 = XEXP (x1, 2);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HFmode:
          if (pattern207 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 122;

        case E_RVVM4HFmode:
          if (pattern207 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 123;

        case E_RVVM2HFmode:
          if (pattern207 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 124;

        case E_RVVM1HFmode:
          if (pattern207 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 125;

        case E_RVVMF2HFmode:
          if (pattern207 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 126;

        case E_RVVMF4HFmode:
          if (pattern207 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 127;

        case E_RVVM8SFmode:
          if (pattern207 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 128;

        case E_RVVM4SFmode:
          if (pattern207 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 129;

        case E_RVVM2SFmode:
          if (pattern207 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 130;

        case E_RVVM1SFmode:
          if (pattern207 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 131;

        case E_RVVMF2SFmode:
          if (pattern207 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 132;

        case E_RVVM8DFmode:
          if (pattern207 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 133;

        case E_RVVM4DFmode:
          if (pattern207 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 134;

        case E_RVVM2DFmode:
          if (pattern207 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 135;

        case E_RVVM1DFmode:
          if (pattern207 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 136;

        case E_V1HFmode:
          if (pattern207 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
            return -1;
          return 137;

        case E_V2HFmode:
          if (pattern207 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
            return -1;
          return 138;

        case E_V4HFmode:
          if (pattern207 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
            return -1;
          return 139;

        case E_V8HFmode:
          if (pattern207 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
            return -1;
          return 140;

        case E_V16HFmode:
          if (pattern207 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
            return -1;
          return 141;

        case E_V32HFmode:
          if (pattern207 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
            return -1;
          return 142;

        case E_V64HFmode:
          if (pattern207 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
            return -1;
          return 143;

        case E_V128HFmode:
          if (pattern207 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
            return -1;
          return 144;

        case E_V256HFmode:
          if (pattern207 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
            return -1;
          return 145;

        case E_V512HFmode:
          if (pattern207 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
            return -1;
          return 146;

        case E_V1024HFmode:
          if (pattern207 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
            return -1;
          return 147;

        case E_V2048HFmode:
          if (pattern207 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
            return -1;
          return 148;

        case E_V1SFmode:
          if (pattern207 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 149;

        case E_V2SFmode:
          if (pattern207 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 150;

        case E_V4SFmode:
          if (pattern207 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 151;

        case E_V8SFmode:
          if (pattern207 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 152;

        case E_V16SFmode:
          if (pattern207 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 153;

        case E_V32SFmode:
          if (pattern207 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 154;

        case E_V64SFmode:
          if (pattern207 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 155;

        case E_V128SFmode:
          if (pattern207 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 156;

        case E_V256SFmode:
          if (pattern207 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 157;

        case E_V512SFmode:
          if (pattern207 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 158;

        case E_V1024SFmode:
          if (pattern207 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
            return -1;
          return 159;

        case E_V1DFmode:
          if (pattern207 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
            return -1;
          return 160;

        case E_V2DFmode:
          if (pattern207 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
            return -1;
          return 161;

        case E_V4DFmode:
          if (pattern207 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
            return -1;
          return 162;

        case E_V8DFmode:
          if (pattern207 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
            return -1;
          return 163;

        case E_V16DFmode:
          if (pattern207 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
            return -1;
          return 164;

        case E_V32DFmode:
          if (pattern207 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
            return -1;
          return 165;

        case E_V64DFmode:
          if (pattern207 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
            return -1;
          return 166;

        case E_V128DFmode:
          if (pattern207 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
            return -1;
          return 167;

        case E_V256DFmode:
          if (pattern207 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
            return -1;
          return 168;

        case E_V512DFmode:
          if (pattern207 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
            return -1;
          return 169;

        default:
          return -1;
        }

    case SQRT:
      x3 = XEXP (x1, 0);
      operands[1] = x3;
      x5 = XEXP (x2, 0);
      operands[2] = x5;
      x4 = XEXP (x1, 2);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HFmode:
          if (pattern208 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
            return -1;
          return 170;

        case E_RVVM4HFmode:
          if (pattern208 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 171;

        case E_RVVM2HFmode:
          if (pattern208 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 172;

        case E_RVVM1HFmode:
          if (pattern208 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 173;

        case E_RVVMF2HFmode:
          if (pattern208 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 174;

        case E_RVVMF4HFmode:
          if (pattern208 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 175;

        case E_RVVM8SFmode:
          if (pattern208 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 176;

        case E_RVVM4SFmode:
          if (pattern208 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 177;

        case E_RVVM2SFmode:
          if (pattern208 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 178;

        case E_RVVM1SFmode:
          if (pattern208 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 179;

        case E_RVVMF2SFmode:
          if (pattern208 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 180;

        case E_RVVM8DFmode:
          if (pattern208 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 181;

        case E_RVVM4DFmode:
          if (pattern208 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 182;

        case E_RVVM2DFmode:
          if (pattern208 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 183;

        case E_RVVM1DFmode:
          if (pattern208 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 184;

        case E_V1HFmode:
          if (pattern208 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
            return -1;
          return 185;

        case E_V2HFmode:
          if (pattern208 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
            return -1;
          return 186;

        case E_V4HFmode:
          if (pattern208 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
            return -1;
          return 187;

        case E_V8HFmode:
          if (pattern208 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
            return -1;
          return 188;

        case E_V16HFmode:
          if (pattern208 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
            return -1;
          return 189;

        case E_V32HFmode:
          if (pattern208 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
            return -1;
          return 190;

        case E_V64HFmode:
          if (pattern208 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
            return -1;
          return 191;

        case E_V128HFmode:
          if (pattern208 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
            return -1;
          return 192;

        case E_V256HFmode:
          if (pattern208 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
            return -1;
          return 193;

        case E_V512HFmode:
          if (pattern208 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
            return -1;
          return 194;

        case E_V1024HFmode:
          if (pattern208 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
            return -1;
          return 195;

        case E_V2048HFmode:
          if (pattern208 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
            return -1;
          return 196;

        case E_V1SFmode:
          if (pattern208 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 197;

        case E_V2SFmode:
          if (pattern208 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 198;

        case E_V4SFmode:
          if (pattern208 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 199;

        case E_V8SFmode:
          if (pattern208 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 200;

        case E_V16SFmode:
          if (pattern208 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 201;

        case E_V32SFmode:
          if (pattern208 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 202;

        case E_V64SFmode:
          if (pattern208 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 203;

        case E_V128SFmode:
          if (pattern208 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 204;

        case E_V256SFmode:
          if (pattern208 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 205;

        case E_V512SFmode:
          if (pattern208 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 206;

        case E_V1024SFmode:
          if (pattern208 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
            return -1;
          return 207;

        case E_V1DFmode:
          if (pattern208 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
            return -1;
          return 208;

        case E_V2DFmode:
          if (pattern208 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
            return -1;
          return 209;

        case E_V4DFmode:
          if (pattern208 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
            return -1;
          return 210;

        case E_V8DFmode:
          if (pattern208 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
            return -1;
          return 211;

        case E_V16DFmode:
          if (pattern208 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
            return -1;
          return 212;

        case E_V32DFmode:
          if (pattern208 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
            return -1;
          return 213;

        case E_V64DFmode:
          if (pattern208 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
            return -1;
          return 214;

        case E_V128DFmode:
          if (pattern208 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
            return -1;
          return 215;

        case E_V256DFmode:
          if (pattern208 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
            return -1;
          return 216;

        case E_V512DFmode:
          if (pattern208 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
            return -1;
          return 217;

        default:
          return -1;
        }

    case SIGN_EXTEND:
      res = pattern210 (x1);
      if (res >= 0)
        return res + 218; /* [218, 309] */
      return -1;

    case ZERO_EXTEND:
      res = pattern210 (x1);
      if (res >= 0)
        return res + 310; /* [310, 401] */
      return -1;

    case TRUNCATE:
      x3 = XEXP (x1, 0);
      operands[1] = x3;
      x5 = XEXP (x2, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[2] = x5;
          x4 = XEXP (x1, 2);
          operands[3] = x4;
          switch (GET_MODE (operands[0]))
            {
            case E_RVVM4QImode:
              if (pattern209 (x1, 
E_RVVM4QImode, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
                return -1;
              return 402;

            case E_RVVM2QImode:
              if (pattern209 (x1, 
E_RVVM2QImode, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
                return -1;
              return 403;

            case E_RVVM1QImode:
              if (pattern209 (x1, 
E_RVVM1QImode, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 404;

            case E_RVVMF2QImode:
              if (pattern209 (x1, 
E_RVVMF2QImode, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 405;

            case E_RVVMF4QImode:
              if (pattern209 (x1, 
E_RVVMF4QImode, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 406;

            case E_RVVMF8QImode:
              if (pattern209 (x1, 
E_RVVMF8QImode, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 407;

            case E_RVVM4HImode:
              if (pattern209 (x1, 
E_RVVM4HImode, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
                return -1;
              return 408;

            case E_RVVM2HImode:
              if (pattern209 (x1, 
E_RVVM2HImode, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 409;

            case E_RVVM1HImode:
              if (pattern209 (x1, 
E_RVVM1HImode, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 410;

            case E_RVVMF2HImode:
              if (pattern209 (x1, 
E_RVVMF2HImode, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 411;

            case E_RVVMF4HImode:
              if (pattern209 (x1, 
E_RVVMF4HImode, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 412;

            case E_RVVM4SImode:
              if (pattern209 (x1, 
E_RVVM4SImode, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
                return -1;
              return 413;

            case E_RVVM2SImode:
              if (pattern209 (x1, 
E_RVVM2SImode, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
                return -1;
              return 414;

            case E_RVVM1SImode:
              if (pattern209 (x1, 
E_RVVM1SImode, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
                return -1;
              return 415;

            case E_RVVMF2SImode:
              if (pattern209 (x1, 
E_RVVMF2SImode, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
                return -1;
              return 416;

            case E_V1QImode:
              if (pattern209 (x1, 
E_V1QImode, 
E_V1HImode, 
E_V1BImode) != 0)
                return -1;
              return 417;

            case E_V2QImode:
              if (pattern209 (x1, 
E_V2QImode, 
E_V2HImode, 
E_V2BImode) != 0)
                return -1;
              return 418;

            case E_V4QImode:
              if (pattern209 (x1, 
E_V4QImode, 
E_V4HImode, 
E_V4BImode) != 0)
                return -1;
              return 419;

            case E_V8QImode:
              if (pattern209 (x1, 
E_V8QImode, 
E_V8HImode, 
E_V8BImode) != 0)
                return -1;
              return 420;

            case E_V16QImode:
              if (pattern209 (x1, 
E_V16QImode, 
E_V16HImode, 
E_V16BImode) != 0)
                return -1;
              return 421;

            case E_V32QImode:
              if (pattern209 (x1, 
E_V32QImode, 
E_V32HImode, 
E_V32BImode) != 0)
                return -1;
              return 422;

            case E_V64QImode:
              if (pattern209 (x1, 
E_V64QImode, 
E_V64HImode, 
E_V64BImode) != 0)
                return -1;
              return 423;

            case E_V128QImode:
              if (pattern209 (x1, 
E_V128QImode, 
E_V128HImode, 
E_V128BImode) != 0)
                return -1;
              return 424;

            case E_V256QImode:
              if (pattern209 (x1, 
E_V256QImode, 
E_V256HImode, 
E_V256BImode) != 0)
                return -1;
              return 425;

            case E_V512QImode:
              if (pattern209 (x1, 
E_V512QImode, 
E_V512HImode, 
E_V512BImode) != 0)
                return -1;
              return 426;

            case E_V1024QImode:
              if (pattern209 (x1, 
E_V1024QImode, 
E_V1024HImode, 
E_V1024BImode) != 0)
                return -1;
              return 427;

            case E_V2048QImode:
              if (pattern209 (x1, 
E_V2048QImode, 
E_V2048HImode, 
E_V2048BImode) != 0)
                return -1;
              return 428;

            case E_V1HImode:
              if (pattern209 (x1, 
E_V1HImode, 
E_V1SImode, 
E_V1BImode) != 0)
                return -1;
              return 429;

            case E_V2HImode:
              if (pattern209 (x1, 
E_V2HImode, 
E_V2SImode, 
E_V2BImode) != 0)
                return -1;
              return 430;

            case E_V4HImode:
              if (pattern209 (x1, 
E_V4HImode, 
E_V4SImode, 
E_V4BImode) != 0)
                return -1;
              return 431;

            case E_V8HImode:
              if (pattern209 (x1, 
E_V8HImode, 
E_V8SImode, 
E_V8BImode) != 0)
                return -1;
              return 432;

            case E_V16HImode:
              if (pattern209 (x1, 
E_V16HImode, 
E_V16SImode, 
E_V16BImode) != 0)
                return -1;
              return 433;

            case E_V32HImode:
              if (pattern209 (x1, 
E_V32HImode, 
E_V32SImode, 
E_V32BImode) != 0)
                return -1;
              return 434;

            case E_V64HImode:
              if (pattern209 (x1, 
E_V64HImode, 
E_V64SImode, 
E_V64BImode) != 0)
                return -1;
              return 435;

            case E_V128HImode:
              if (pattern209 (x1, 
E_V128HImode, 
E_V128SImode, 
E_V128BImode) != 0)
                return -1;
              return 436;

            case E_V256HImode:
              if (pattern209 (x1, 
E_V256HImode, 
E_V256SImode, 
E_V256BImode) != 0)
                return -1;
              return 437;

            case E_V512HImode:
              if (pattern209 (x1, 
E_V512HImode, 
E_V512SImode, 
E_V512BImode) != 0)
                return -1;
              return 438;

            case E_V1024HImode:
              if (pattern209 (x1, 
E_V1024HImode, 
E_V1024SImode, 
E_V1024BImode) != 0)
                return -1;
              return 439;

            case E_V1SImode:
              if (pattern209 (x1, 
E_V1SImode, 
E_V1DImode, 
E_V1BImode) != 0)
                return -1;
              return 440;

            case E_V2SImode:
              if (pattern209 (x1, 
E_V2SImode, 
E_V2DImode, 
E_V2BImode) != 0)
                return -1;
              return 441;

            case E_V4SImode:
              if (pattern209 (x1, 
E_V4SImode, 
E_V4DImode, 
E_V4BImode) != 0)
                return -1;
              return 442;

            case E_V8SImode:
              if (pattern209 (x1, 
E_V8SImode, 
E_V8DImode, 
E_V8BImode) != 0)
                return -1;
              return 443;

            case E_V16SImode:
              if (pattern209 (x1, 
E_V16SImode, 
E_V16DImode, 
E_V16BImode) != 0)
                return -1;
              return 444;

            case E_V32SImode:
              if (pattern209 (x1, 
E_V32SImode, 
E_V32DImode, 
E_V32BImode) != 0)
                return -1;
              return 445;

            case E_V64SImode:
              if (pattern209 (x1, 
E_V64SImode, 
E_V64DImode, 
E_V64BImode) != 0)
                return -1;
              return 446;

            case E_V128SImode:
              if (pattern209 (x1, 
E_V128SImode, 
E_V128DImode, 
E_V128BImode) != 0)
                return -1;
              return 447;

            case E_V256SImode:
              if (pattern209 (x1, 
E_V256SImode, 
E_V256DImode, 
E_V256BImode) != 0)
                return -1;
              return 448;

            case E_V512SImode:
              if (pattern209 (x1, 
E_V512SImode, 
E_V512DImode, 
E_V512BImode) != 0)
                return -1;
              return 449;

            default:
              return -1;
            }

        case ASHIFTRT:
          res = pattern214 (x1);
          if (res >= 0)
            return res + 450; /* [450, 593] */
          return -1;

        case LSHIFTRT:
          res = pattern214 (x1);
          if (res >= 0)
            return res + 594; /* [594, 737] */
          return -1;

        default:
          return -1;
        }

    case FLOAT_EXTEND:
      x3 = XEXP (x1, 0);
      operands[1] = x3;
      x5 = XEXP (x2, 0);
      operands[2] = x5;
      x4 = XEXP (x1, 2);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8SFmode:
          if (pattern209 (x1, 
E_RVVM8SFmode, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 738;

        case E_RVVM4SFmode:
          if (pattern209 (x1, 
E_RVVM4SFmode, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 739;

        case E_RVVM2SFmode:
          if (pattern209 (x1, 
E_RVVM2SFmode, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 740;

        case E_RVVM1SFmode:
          if (pattern209 (x1, 
E_RVVM1SFmode, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 741;

        case E_RVVMF2SFmode:
          if (pattern209 (x1, 
E_RVVMF2SFmode, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 742;

        case E_RVVM8DFmode:
          if (pattern209 (x1, 
E_RVVM8DFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 743;

        case E_RVVM4DFmode:
          if (pattern209 (x1, 
E_RVVM4DFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 744;

        case E_RVVM2DFmode:
          if (pattern209 (x1, 
E_RVVM2DFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 745;

        case E_RVVM1DFmode:
          if (pattern209 (x1, 
E_RVVM1DFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 746;

        case E_V1SFmode:
          if (pattern209 (x1, 
E_V1SFmode, 
E_V1HFmode, 
E_V1BImode) != 0)
            return -1;
          return 747;

        case E_V2SFmode:
          if (pattern209 (x1, 
E_V2SFmode, 
E_V2HFmode, 
E_V2BImode) != 0)
            return -1;
          return 748;

        case E_V4SFmode:
          if (pattern209 (x1, 
E_V4SFmode, 
E_V4HFmode, 
E_V4BImode) != 0)
            return -1;
          return 749;

        case E_V8SFmode:
          if (pattern209 (x1, 
E_V8SFmode, 
E_V8HFmode, 
E_V8BImode) != 0)
            return -1;
          return 750;

        case E_V16SFmode:
          if (pattern209 (x1, 
E_V16SFmode, 
E_V16HFmode, 
E_V16BImode) != 0)
            return -1;
          return 751;

        case E_V32SFmode:
          if (pattern209 (x1, 
E_V32SFmode, 
E_V32HFmode, 
E_V32BImode) != 0)
            return -1;
          return 752;

        case E_V64SFmode:
          if (pattern209 (x1, 
E_V64SFmode, 
E_V64HFmode, 
E_V64BImode) != 0)
            return -1;
          return 753;

        case E_V128SFmode:
          if (pattern209 (x1, 
E_V128SFmode, 
E_V128HFmode, 
E_V128BImode) != 0)
            return -1;
          return 754;

        case E_V256SFmode:
          if (pattern209 (x1, 
E_V256SFmode, 
E_V256HFmode, 
E_V256BImode) != 0)
            return -1;
          return 755;

        case E_V512SFmode:
          if (pattern209 (x1, 
E_V512SFmode, 
E_V512HFmode, 
E_V512BImode) != 0)
            return -1;
          return 756;

        case E_V1024SFmode:
          if (pattern209 (x1, 
E_V1024SFmode, 
E_V1024HFmode, 
E_V1024BImode) != 0)
            return -1;
          return 757;

        case E_V1DFmode:
          if (pattern209 (x1, 
E_V1DFmode, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 758;

        case E_V2DFmode:
          if (pattern209 (x1, 
E_V2DFmode, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 759;

        case E_V4DFmode:
          if (pattern209 (x1, 
E_V4DFmode, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 760;

        case E_V8DFmode:
          if (pattern209 (x1, 
E_V8DFmode, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 761;

        case E_V16DFmode:
          if (pattern209 (x1, 
E_V16DFmode, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 762;

        case E_V32DFmode:
          if (pattern209 (x1, 
E_V32DFmode, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 763;

        case E_V64DFmode:
          if (pattern209 (x1, 
E_V64DFmode, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 764;

        case E_V128DFmode:
          if (pattern209 (x1, 
E_V128DFmode, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 765;

        case E_V256DFmode:
          if (pattern209 (x1, 
E_V256DFmode, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 766;

        case E_V512DFmode:
          if (pattern209 (x1, 
E_V512DFmode, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 767;

        default:
          return -1;
        }

    case FLOAT_TRUNCATE:
      x3 = XEXP (x1, 0);
      operands[1] = x3;
      x5 = XEXP (x2, 0);
      operands[2] = x5;
      x4 = XEXP (x1, 2);
      operands[3] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM4HFmode:
          if (pattern209 (x1, 
E_RVVM4HFmode, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 768;

        case E_RVVM2HFmode:
          if (pattern209 (x1, 
E_RVVM2HFmode, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 769;

        case E_RVVM1HFmode:
          if (pattern209 (x1, 
E_RVVM1HFmode, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 770;

        case E_RVVMF2HFmode:
          if (pattern209 (x1, 
E_RVVMF2HFmode, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 771;

        case E_RVVMF4HFmode:
          if (pattern209 (x1, 
E_RVVMF4HFmode, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 772;

        case E_RVVM4SFmode:
          if (pattern209 (x1, 
E_RVVM4SFmode, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 773;

        case E_RVVM2SFmode:
          if (pattern209 (x1, 
E_RVVM2SFmode, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 774;

        case E_RVVM1SFmode:
          if (pattern209 (x1, 
E_RVVM1SFmode, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 775;

        case E_RVVMF2SFmode:
          if (pattern209 (x1, 
E_RVVMF2SFmode, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 776;

        case E_V1HFmode:
          if (pattern209 (x1, 
E_V1HFmode, 
E_V1SFmode, 
E_V1BImode) != 0)
            return -1;
          return 777;

        case E_V2HFmode:
          if (pattern209 (x1, 
E_V2HFmode, 
E_V2SFmode, 
E_V2BImode) != 0)
            return -1;
          return 778;

        case E_V4HFmode:
          if (pattern209 (x1, 
E_V4HFmode, 
E_V4SFmode, 
E_V4BImode) != 0)
            return -1;
          return 779;

        case E_V8HFmode:
          if (pattern209 (x1, 
E_V8HFmode, 
E_V8SFmode, 
E_V8BImode) != 0)
            return -1;
          return 780;

        case E_V16HFmode:
          if (pattern209 (x1, 
E_V16HFmode, 
E_V16SFmode, 
E_V16BImode) != 0)
            return -1;
          return 781;

        case E_V32HFmode:
          if (pattern209 (x1, 
E_V32HFmode, 
E_V32SFmode, 
E_V32BImode) != 0)
            return -1;
          return 782;

        case E_V64HFmode:
          if (pattern209 (x1, 
E_V64HFmode, 
E_V64SFmode, 
E_V64BImode) != 0)
            return -1;
          return 783;

        case E_V128HFmode:
          if (pattern209 (x1, 
E_V128HFmode, 
E_V128SFmode, 
E_V128BImode) != 0)
            return -1;
          return 784;

        case E_V256HFmode:
          if (pattern209 (x1, 
E_V256HFmode, 
E_V256SFmode, 
E_V256BImode) != 0)
            return -1;
          return 785;

        case E_V512HFmode:
          if (pattern209 (x1, 
E_V512HFmode, 
E_V512SFmode, 
E_V512BImode) != 0)
            return -1;
          return 786;

        case E_V1024HFmode:
          if (pattern209 (x1, 
E_V1024HFmode, 
E_V1024SFmode, 
E_V1024BImode) != 0)
            return -1;
          return 787;

        case E_V1SFmode:
          if (pattern209 (x1, 
E_V1SFmode, 
E_V1DFmode, 
E_V1BImode) != 0)
            return -1;
          return 788;

        case E_V2SFmode:
          if (pattern209 (x1, 
E_V2SFmode, 
E_V2DFmode, 
E_V2BImode) != 0)
            return -1;
          return 789;

        case E_V4SFmode:
          if (pattern209 (x1, 
E_V4SFmode, 
E_V4DFmode, 
E_V4BImode) != 0)
            return -1;
          return 790;

        case E_V8SFmode:
          if (pattern209 (x1, 
E_V8SFmode, 
E_V8DFmode, 
E_V8BImode) != 0)
            return -1;
          return 791;

        case E_V16SFmode:
          if (pattern209 (x1, 
E_V16SFmode, 
E_V16DFmode, 
E_V16BImode) != 0)
            return -1;
          return 792;

        case E_V32SFmode:
          if (pattern209 (x1, 
E_V32SFmode, 
E_V32DFmode, 
E_V32BImode) != 0)
            return -1;
          return 793;

        case E_V64SFmode:
          if (pattern209 (x1, 
E_V64SFmode, 
E_V64DFmode, 
E_V64BImode) != 0)
            return -1;
          return 794;

        case E_V128SFmode:
          if (pattern209 (x1, 
E_V128SFmode, 
E_V128DFmode, 
E_V128BImode) != 0)
            return -1;
          return 795;

        case E_V256SFmode:
          if (pattern209 (x1, 
E_V256SFmode, 
E_V256DFmode, 
E_V256BImode) != 0)
            return -1;
          return 796;

        case E_V512SFmode:
          if (pattern209 (x1, 
E_V512SFmode, 
E_V512DFmode, 
E_V512BImode) != 0)
            return -1;
          return 797;

        default:
          return -1;
        }

    case FIX:
      res = pattern215 (x1);
      if (res >= 0)
        return res + 798; /* [798, 923] */
      return -1;

    case UNSIGNED_FIX:
      res = pattern215 (x1);
      if (res >= 0)
        return res + 924; /* [924, 1049] */
      return -1;

    case FLOAT:
      res = pattern216 (x1);
      if (res >= 0)
        return res + 1050; /* [1050, 1175] */
      return -1;

    case UNSIGNED_FLOAT:
      res = pattern216 (x1);
      if (res >= 0)
        return res + 1176; /* [1176, 1301] */
      return -1;

    case SMUL_HIGHPART:
      res = pattern218 (x1);
      if (res >= 0)
        return res + 1302; /* [1302, 1369] */
      return -1;

    case UMUL_HIGHPART:
      res = pattern218 (x1);
      if (res >= 0)
        return res + 1370; /* [1370, 1437] */
      return -1;

    default:
      return -1;
    }
}

int
pattern433 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  return 0;
}

int
pattern439 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != ASHIFT
      || GET_MODE (x1) != E_SImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_CODE (x3) != SUBREG
      || maybe_ne (SUBREG_BYTE (x3), 0)
      || GET_MODE (x3) != E_QImode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != AND
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x4, 1);
  operands[2] = x5;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  x6 = XEXP (x4, 0);
  return pattern341 (x6); /* [-1, 3] */
}

int
pattern446 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_RVVM8SImode:
      if (!register_operand (operands[1], E_RVVM8SImode))
        return -1;
      return 0;

    case E_RVVM4SImode:
      if (!register_operand (operands[1], E_RVVM4SImode))
        return -1;
      return 1;

    case E_RVVM2SImode:
      if (!register_operand (operands[1], E_RVVM2SImode))
        return -1;
      return 2;

    case E_RVVM1SImode:
      if (!register_operand (operands[1], E_RVVM1SImode))
        return -1;
      return 3;

    case E_RVVMF2SImode:
      if (!register_operand (operands[1], E_RVVMF2SImode))
        return -1;
      return 4;

    case E_V1SImode:
      if (!register_operand (operands[1], E_V1SImode))
        return -1;
      return 5;

    case E_V2SImode:
      if (!register_operand (operands[1], E_V2SImode))
        return -1;
      return 6;

    case E_V4SImode:
      if (!register_operand (operands[1], E_V4SImode))
        return -1;
      return 7;

    case E_V8SImode:
      if (!register_operand (operands[1], E_V8SImode))
        return -1;
      return 8;

    case E_V16SImode:
      if (!register_operand (operands[1], E_V16SImode))
        return -1;
      return 9;

    case E_V32SImode:
      if (!register_operand (operands[1], E_V32SImode))
        return -1;
      return 10;

    case E_V64SImode:
      if (!register_operand (operands[1], E_V64SImode))
        return -1;
      return 11;

    case E_V128SImode:
      if (!register_operand (operands[1], E_V128SImode))
        return -1;
      return 12;

    case E_V256SImode:
      if (!register_operand (operands[1], E_V256SImode))
        return -1;
      return 13;

    case E_V512SImode:
      if (!register_operand (operands[1], E_V512SImode))
        return -1;
      return 14;

    case E_V1024SImode:
      if (!register_operand (operands[1], E_V1024SImode))
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern456 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[4] = x7;
  if (!autovec_length_operand (operands[4], E_VOIDmode))
    return -1;
  x8 = XVECEXP (x3, 0, 4);
  operands[5] = x8;
  if (!const_0_operand (operands[5], E_VOIDmode))
    return -1;
  x9 = XVECEXP (x2, 0, 1);
  operands[6] = x9;
  if (!autovec_length_operand (operands[6], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern455 (x1, 
E_SImode); /* [-1, 19] */

    case E_DImode:
      res = pattern455 (x1, 
E_DImode);
      if (res >= 0)
        return res + 20; /* [20, 39] */
      return -1;

    default:
      return -1;
    }
}

int
pattern466 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  if (!branch_on_bit_operand (operands[3], E_VOIDmode))
    return -1;
  return pattern464 (x1); /* [-1, 1] */
}

int
pattern470 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i3)
      || !vector_merge_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern474 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[4] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[5] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[6] = x5;
  x6 = XVECEXP (x2, 0, 4);
  operands[7] = x6;
  x7 = XEXP (x1, 1);
  operands[3] = x7;
  x8 = XEXP (x1, 2);
  operands[2] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      return pattern473 (x1, 
E_RVVM8QImode, 
E_RVVM1BImode); /* [-1, 0] */

    case E_RVVM4QImode:
      if (pattern473 (x1, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 1;

    case E_RVVM2QImode:
      if (pattern473 (x1, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 2;

    case E_RVVM1QImode:
      if (pattern473 (x1, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 3;

    case E_RVVM8HImode:
      if (pattern473 (x1, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 4;

    case E_RVVM4HImode:
      if (pattern473 (x1, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 5;

    case E_RVVM2HImode:
      if (pattern473 (x1, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 6;

    case E_RVVM1HImode:
      if (pattern473 (x1, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 7;

    case E_RVVM8SImode:
      if (pattern473 (x1, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 8;

    case E_RVVM4SImode:
      if (pattern473 (x1, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 9;

    case E_RVVM2SImode:
      if (pattern473 (x1, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 10;

    case E_RVVM1SImode:
      if (pattern473 (x1, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 11;

    case E_RVVM8DImode:
      if (pattern473 (x1, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 12;

    case E_RVVM4DImode:
      if (pattern473 (x1, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 13;

    case E_RVVM2DImode:
      if (pattern473 (x1, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 14;

    case E_RVVM1DImode:
      if (pattern473 (x1, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 15;

    case E_RVVMF2QImode:
      if (pattern473 (x1, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 16;

    case E_RVVMF4QImode:
      if (pattern473 (x1, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 17;

    case E_RVVMF8QImode:
      if (pattern473 (x1, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 18;

    case E_RVVMF2HImode:
      if (pattern473 (x1, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 19;

    case E_RVVMF4HImode:
      if (pattern473 (x1, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 20;

    case E_RVVMF2SImode:
      if (pattern473 (x1, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 21;

    case E_RVVM8BFmode:
      if (pattern473 (x1, 
E_RVVM8BFmode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 22;

    case E_RVVM4BFmode:
      if (pattern473 (x1, 
E_RVVM4BFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 23;

    case E_RVVM2BFmode:
      if (pattern473 (x1, 
E_RVVM2BFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 24;

    case E_RVVM1BFmode:
      if (pattern473 (x1, 
E_RVVM1BFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 25;

    case E_RVVMF2BFmode:
      if (pattern473 (x1, 
E_RVVMF2BFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 26;

    case E_RVVMF4BFmode:
      if (pattern473 (x1, 
E_RVVMF4BFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 27;

    case E_RVVM8HFmode:
      if (pattern473 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 28;

    case E_RVVM4HFmode:
      if (pattern473 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 29;

    case E_RVVM2HFmode:
      if (pattern473 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 30;

    case E_RVVM1HFmode:
      if (pattern473 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 31;

    case E_RVVMF2HFmode:
      if (pattern473 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 32;

    case E_RVVMF4HFmode:
      if (pattern473 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 33;

    case E_RVVM8SFmode:
      if (pattern473 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 34;

    case E_RVVM4SFmode:
      if (pattern473 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 35;

    case E_RVVM2SFmode:
      if (pattern473 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 36;

    case E_RVVM1SFmode:
      if (pattern473 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 37;

    case E_RVVMF2SFmode:
      if (pattern473 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 38;

    case E_RVVM8DFmode:
      if (pattern473 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 39;

    case E_RVVM4DFmode:
      if (pattern473 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 40;

    case E_RVVM2DFmode:
      if (pattern473 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 41;

    case E_RVVM1DFmode:
      if (pattern473 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 42;

    case E_V1QImode:
      if (pattern473 (x1, 
E_V1QImode, 
E_V1BImode) != 0)
        return -1;
      return 43;

    case E_V2QImode:
      if (pattern473 (x1, 
E_V2QImode, 
E_V2BImode) != 0)
        return -1;
      return 44;

    case E_V4QImode:
      if (pattern473 (x1, 
E_V4QImode, 
E_V4BImode) != 0)
        return -1;
      return 45;

    case E_V8QImode:
      if (pattern473 (x1, 
E_V8QImode, 
E_V8BImode) != 0)
        return -1;
      return 46;

    case E_V16QImode:
      if (pattern473 (x1, 
E_V16QImode, 
E_V16BImode) != 0)
        return -1;
      return 47;

    case E_V32QImode:
      if (pattern473 (x1, 
E_V32QImode, 
E_V32BImode) != 0)
        return -1;
      return 48;

    case E_V64QImode:
      if (pattern473 (x1, 
E_V64QImode, 
E_V64BImode) != 0)
        return -1;
      return 49;

    case E_V128QImode:
      if (pattern473 (x1, 
E_V128QImode, 
E_V128BImode) != 0)
        return -1;
      return 50;

    case E_V256QImode:
      if (pattern473 (x1, 
E_V256QImode, 
E_V256BImode) != 0)
        return -1;
      return 51;

    case E_V512QImode:
      if (pattern473 (x1, 
E_V512QImode, 
E_V512BImode) != 0)
        return -1;
      return 52;

    case E_V1024QImode:
      if (pattern473 (x1, 
E_V1024QImode, 
E_V1024BImode) != 0)
        return -1;
      return 53;

    case E_V2048QImode:
      if (pattern473 (x1, 
E_V2048QImode, 
E_V2048BImode) != 0)
        return -1;
      return 54;

    case E_V4096QImode:
      if (pattern473 (x1, 
E_V4096QImode, 
E_V4096BImode) != 0)
        return -1;
      return 55;

    case E_V1HImode:
      if (pattern473 (x1, 
E_V1HImode, 
E_V1BImode) != 0)
        return -1;
      return 56;

    case E_V2HImode:
      if (pattern473 (x1, 
E_V2HImode, 
E_V2BImode) != 0)
        return -1;
      return 57;

    case E_V4HImode:
      if (pattern473 (x1, 
E_V4HImode, 
E_V4BImode) != 0)
        return -1;
      return 58;

    case E_V8HImode:
      if (pattern473 (x1, 
E_V8HImode, 
E_V8BImode) != 0)
        return -1;
      return 59;

    case E_V16HImode:
      if (pattern473 (x1, 
E_V16HImode, 
E_V16BImode) != 0)
        return -1;
      return 60;

    case E_V32HImode:
      if (pattern473 (x1, 
E_V32HImode, 
E_V32BImode) != 0)
        return -1;
      return 61;

    case E_V64HImode:
      if (pattern473 (x1, 
E_V64HImode, 
E_V64BImode) != 0)
        return -1;
      return 62;

    case E_V128HImode:
      if (pattern473 (x1, 
E_V128HImode, 
E_V128BImode) != 0)
        return -1;
      return 63;

    case E_V256HImode:
      if (pattern473 (x1, 
E_V256HImode, 
E_V256BImode) != 0)
        return -1;
      return 64;

    case E_V512HImode:
      if (pattern473 (x1, 
E_V512HImode, 
E_V512BImode) != 0)
        return -1;
      return 65;

    case E_V1024HImode:
      if (pattern473 (x1, 
E_V1024HImode, 
E_V1024BImode) != 0)
        return -1;
      return 66;

    case E_V2048HImode:
      if (pattern473 (x1, 
E_V2048HImode, 
E_V2048BImode) != 0)
        return -1;
      return 67;

    case E_V1SImode:
      if (pattern473 (x1, 
E_V1SImode, 
E_V1BImode) != 0)
        return -1;
      return 68;

    case E_V2SImode:
      if (pattern473 (x1, 
E_V2SImode, 
E_V2BImode) != 0)
        return -1;
      return 69;

    case E_V4SImode:
      if (pattern473 (x1, 
E_V4SImode, 
E_V4BImode) != 0)
        return -1;
      return 70;

    case E_V8SImode:
      if (pattern473 (x1, 
E_V8SImode, 
E_V8BImode) != 0)
        return -1;
      return 71;

    case E_V16SImode:
      if (pattern473 (x1, 
E_V16SImode, 
E_V16BImode) != 0)
        return -1;
      return 72;

    case E_V32SImode:
      if (pattern473 (x1, 
E_V32SImode, 
E_V32BImode) != 0)
        return -1;
      return 73;

    case E_V64SImode:
      if (pattern473 (x1, 
E_V64SImode, 
E_V64BImode) != 0)
        return -1;
      return 74;

    case E_V128SImode:
      if (pattern473 (x1, 
E_V128SImode, 
E_V128BImode) != 0)
        return -1;
      return 75;

    case E_V256SImode:
      if (pattern473 (x1, 
E_V256SImode, 
E_V256BImode) != 0)
        return -1;
      return 76;

    case E_V512SImode:
      if (pattern473 (x1, 
E_V512SImode, 
E_V512BImode) != 0)
        return -1;
      return 77;

    case E_V1024SImode:
      if (pattern473 (x1, 
E_V1024SImode, 
E_V1024BImode) != 0)
        return -1;
      return 78;

    case E_V1DImode:
      if (pattern473 (x1, 
E_V1DImode, 
E_V1BImode) != 0)
        return -1;
      return 79;

    case E_V2DImode:
      if (pattern473 (x1, 
E_V2DImode, 
E_V2BImode) != 0)
        return -1;
      return 80;

    case E_V4DImode:
      if (pattern473 (x1, 
E_V4DImode, 
E_V4BImode) != 0)
        return -1;
      return 81;

    case E_V8DImode:
      if (pattern473 (x1, 
E_V8DImode, 
E_V8BImode) != 0)
        return -1;
      return 82;

    case E_V16DImode:
      if (pattern473 (x1, 
E_V16DImode, 
E_V16BImode) != 0)
        return -1;
      return 83;

    case E_V32DImode:
      if (pattern473 (x1, 
E_V32DImode, 
E_V32BImode) != 0)
        return -1;
      return 84;

    case E_V64DImode:
      if (pattern473 (x1, 
E_V64DImode, 
E_V64BImode) != 0)
        return -1;
      return 85;

    case E_V128DImode:
      if (pattern473 (x1, 
E_V128DImode, 
E_V128BImode) != 0)
        return -1;
      return 86;

    case E_V256DImode:
      if (pattern473 (x1, 
E_V256DImode, 
E_V256BImode) != 0)
        return -1;
      return 87;

    case E_V512DImode:
      if (pattern473 (x1, 
E_V512DImode, 
E_V512BImode) != 0)
        return -1;
      return 88;

    case E_V1HFmode:
      if (pattern473 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
        return -1;
      return 89;

    case E_V2HFmode:
      if (pattern473 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
        return -1;
      return 90;

    case E_V4HFmode:
      if (pattern473 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
        return -1;
      return 91;

    case E_V8HFmode:
      if (pattern473 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
        return -1;
      return 92;

    case E_V16HFmode:
      if (pattern473 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
        return -1;
      return 93;

    case E_V32HFmode:
      if (pattern473 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
        return -1;
      return 94;

    case E_V64HFmode:
      if (pattern473 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
        return -1;
      return 95;

    case E_V128HFmode:
      if (pattern473 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
        return -1;
      return 96;

    case E_V256HFmode:
      if (pattern473 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
        return -1;
      return 97;

    case E_V512HFmode:
      if (pattern473 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
        return -1;
      return 98;

    case E_V1024HFmode:
      if (pattern473 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
        return -1;
      return 99;

    case E_V2048HFmode:
      if (pattern473 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
        return -1;
      return 100;

    case E_V1SFmode:
      if (pattern473 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
        return -1;
      return 101;

    case E_V2SFmode:
      if (pattern473 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
        return -1;
      return 102;

    case E_V4SFmode:
      if (pattern473 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
        return -1;
      return 103;

    case E_V8SFmode:
      if (pattern473 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
        return -1;
      return 104;

    case E_V16SFmode:
      if (pattern473 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
        return -1;
      return 105;

    case E_V32SFmode:
      if (pattern473 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
        return -1;
      return 106;

    case E_V64SFmode:
      if (pattern473 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
        return -1;
      return 107;

    case E_V128SFmode:
      if (pattern473 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
        return -1;
      return 108;

    case E_V256SFmode:
      if (pattern473 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
        return -1;
      return 109;

    case E_V512SFmode:
      if (pattern473 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
        return -1;
      return 110;

    case E_V1024SFmode:
      if (pattern473 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
        return -1;
      return 111;

    case E_V1DFmode:
      if (pattern473 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
        return -1;
      return 112;

    case E_V2DFmode:
      if (pattern473 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
        return -1;
      return 113;

    case E_V4DFmode:
      if (pattern473 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
        return -1;
      return 114;

    case E_V8DFmode:
      if (pattern473 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
        return -1;
      return 115;

    case E_V16DFmode:
      if (pattern473 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
        return -1;
      return 116;

    case E_V32DFmode:
      if (pattern473 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
        return -1;
      return 117;

    case E_V64DFmode:
      if (pattern473 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
        return -1;
      return 118;

    case E_V128DFmode:
      if (pattern473 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
        return -1;
      return 119;

    case E_V256DFmode:
      if (pattern473 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
        return -1;
      return 120;

    case E_V512DFmode:
      if (pattern473 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
        return -1;
      return 121;

    default:
      return -1;
    }
}

int
pattern509 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_CODE (x2) != ZERO_EXTEND
      || GET_MODE (x2) != E_DImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  if (!immediate_operand (operands[2], E_DImode))
    return -1;
  return 0;
}

int
pattern511 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM4QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM4QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_RVVM4QImode))
        return -1;
      return 0;

    case E_RVVM8HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM8HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_RVVM8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern513 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM1QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM1QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_RVVM1QImode))
        return -1;
      return 0;

    case E_RVVM2HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM2HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_RVVM2HImode))
        return -1;
      return 1;

    case E_RVVM4SImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM4SImode
          || !reg_or_0_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_RVVM4SImode))
        return -1;
      return 2;

    case E_RVVM8DImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM8DImode
          || !reg_or_0_operand (operands[2], E_DImode)
          || !register_operand (operands[1], E_RVVM8DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern516 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVMF8QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF8QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_RVVMF8QImode))
        return -1;
      return 0;

    case E_RVVMF4HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF4HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_RVVMF4HImode))
        return -1;
      return 1;

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF2SImode
          || !reg_or_0_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_RVVMF2SImode))
        return -1;
      return 2;

    case E_RVVM1DImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVM1DImode
          || !reg_or_0_operand (operands[2], E_DImode)
          || !register_operand (operands[1], E_RVVM1DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern519 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_V4QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_V4QImode))
        return -1;
      return 0;

    case E_V4HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_V4HImode))
        return -1;
      return 1;

    case E_V4SImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4SImode
          || !reg_or_0_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_V4SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern522 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_V32QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_V32QImode))
        return -1;
      return 0;

    case E_V32HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_V32HImode))
        return -1;
      return 1;

    case E_V32SImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32SImode
          || !reg_or_0_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_V32SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern525 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_V256QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_V256QImode))
        return -1;
      return 0;

    case E_V256HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_V256HImode))
        return -1;
      return 1;

    case E_V256SImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256SImode
          || !reg_or_0_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_V256SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern528 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_V2048QImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2048QImode
          || !reg_or_0_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_V2048QImode))
        return -1;
      return 0;

    case E_V2048HImode:
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2048HImode
          || !reg_or_0_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_V2048HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern532 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !reg_or_0_operand (operands[4], i3)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern534 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[4] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          return pattern531 (x1, 
E_RVVM8HImode, 
E_RVVM4QImode, 
E_RVVMF2BImode); /* [-1, 0] */

        case E_RVVM4HImode:
          if (pattern531 (x1, 
E_RVVM4HImode, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 1;

        case E_RVVM2HImode:
          if (pattern531 (x1, 
E_RVVM2HImode, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 2;

        case E_RVVM1HImode:
          if (pattern531 (x1, 
E_RVVM1HImode, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 3;

        case E_RVVMF2HImode:
          if (pattern531 (x1, 
E_RVVMF2HImode, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 4;

        case E_RVVMF4HImode:
          if (pattern531 (x1, 
E_RVVMF4HImode, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 5;

        case E_RVVM8SImode:
          if (pattern531 (x1, 
E_RVVM8SImode, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0)
            return -1;
          return 6;

        case E_RVVM4SImode:
          if (pattern531 (x1, 
E_RVVM4SImode, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 7;

        case E_RVVM2SImode:
          if (pattern531 (x1, 
E_RVVM2SImode, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 8;

        case E_RVVM1SImode:
          if (pattern531 (x1, 
E_RVVM1SImode, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 9;

        case E_RVVMF2SImode:
          if (pattern531 (x1, 
E_RVVMF2SImode, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 10;

        case E_RVVM8DImode:
          if (pattern531 (x1, 
E_RVVM8DImode, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0)
            return -1;
          return 11;

        case E_RVVM4DImode:
          if (pattern531 (x1, 
E_RVVM4DImode, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0)
            return -1;
          return 12;

        case E_RVVM2DImode:
          if (pattern531 (x1, 
E_RVVM2DImode, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0)
            return -1;
          return 13;

        case E_RVVM1DImode:
          if (pattern531 (x1, 
E_RVVM1DImode, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0)
            return -1;
          return 14;

        case E_V1HImode:
          if (pattern531 (x1, 
E_V1HImode, 
E_V1QImode, 
E_V1BImode) != 0)
            return -1;
          return 15;

        case E_V2HImode:
          if (pattern531 (x1, 
E_V2HImode, 
E_V2QImode, 
E_V2BImode) != 0)
            return -1;
          return 16;

        case E_V4HImode:
          if (pattern531 (x1, 
E_V4HImode, 
E_V4QImode, 
E_V4BImode) != 0)
            return -1;
          return 17;

        case E_V8HImode:
          if (pattern531 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V8BImode) != 0)
            return -1;
          return 18;

        case E_V16HImode:
          if (pattern531 (x1, 
E_V16HImode, 
E_V16QImode, 
E_V16BImode) != 0)
            return -1;
          return 19;

        case E_V32HImode:
          if (pattern531 (x1, 
E_V32HImode, 
E_V32QImode, 
E_V32BImode) != 0)
            return -1;
          return 20;

        case E_V64HImode:
          if (pattern531 (x1, 
E_V64HImode, 
E_V64QImode, 
E_V64BImode) != 0)
            return -1;
          return 21;

        case E_V128HImode:
          if (pattern531 (x1, 
E_V128HImode, 
E_V128QImode, 
E_V128BImode) != 0)
            return -1;
          return 22;

        case E_V256HImode:
          if (pattern531 (x1, 
E_V256HImode, 
E_V256QImode, 
E_V256BImode) != 0)
            return -1;
          return 23;

        case E_V512HImode:
          if (pattern531 (x1, 
E_V512HImode, 
E_V512QImode, 
E_V512BImode) != 0)
            return -1;
          return 24;

        case E_V1024HImode:
          if (pattern531 (x1, 
E_V1024HImode, 
E_V1024QImode, 
E_V1024BImode) != 0)
            return -1;
          return 25;

        case E_V2048HImode:
          if (pattern531 (x1, 
E_V2048HImode, 
E_V2048QImode, 
E_V2048BImode) != 0)
            return -1;
          return 26;

        case E_V1SImode:
          if (pattern531 (x1, 
E_V1SImode, 
E_V1HImode, 
E_V1BImode) != 0)
            return -1;
          return 27;

        case E_V2SImode:
          if (pattern531 (x1, 
E_V2SImode, 
E_V2HImode, 
E_V2BImode) != 0)
            return -1;
          return 28;

        case E_V4SImode:
          if (pattern531 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V4BImode) != 0)
            return -1;
          return 29;

        case E_V8SImode:
          if (pattern531 (x1, 
E_V8SImode, 
E_V8HImode, 
E_V8BImode) != 0)
            return -1;
          return 30;

        case E_V16SImode:
          if (pattern531 (x1, 
E_V16SImode, 
E_V16HImode, 
E_V16BImode) != 0)
            return -1;
          return 31;

        case E_V32SImode:
          if (pattern531 (x1, 
E_V32SImode, 
E_V32HImode, 
E_V32BImode) != 0)
            return -1;
          return 32;

        case E_V64SImode:
          if (pattern531 (x1, 
E_V64SImode, 
E_V64HImode, 
E_V64BImode) != 0)
            return -1;
          return 33;

        case E_V128SImode:
          if (pattern531 (x1, 
E_V128SImode, 
E_V128HImode, 
E_V128BImode) != 0)
            return -1;
          return 34;

        case E_V256SImode:
          if (pattern531 (x1, 
E_V256SImode, 
E_V256HImode, 
E_V256BImode) != 0)
            return -1;
          return 35;

        case E_V512SImode:
          if (pattern531 (x1, 
E_V512SImode, 
E_V512HImode, 
E_V512BImode) != 0)
            return -1;
          return 36;

        case E_V1024SImode:
          if (pattern531 (x1, 
E_V1024SImode, 
E_V1024HImode, 
E_V1024BImode) != 0)
            return -1;
          return 37;

        case E_V1DImode:
          if (pattern531 (x1, 
E_V1DImode, 
E_V1SImode, 
E_V1BImode) != 0)
            return -1;
          return 38;

        case E_V2DImode:
          if (pattern531 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V2BImode) != 0)
            return -1;
          return 39;

        case E_V4DImode:
          if (pattern531 (x1, 
E_V4DImode, 
E_V4SImode, 
E_V4BImode) != 0)
            return -1;
          return 40;

        case E_V8DImode:
          if (pattern531 (x1, 
E_V8DImode, 
E_V8SImode, 
E_V8BImode) != 0)
            return -1;
          return 41;

        case E_V16DImode:
          if (pattern531 (x1, 
E_V16DImode, 
E_V16SImode, 
E_V16BImode) != 0)
            return -1;
          return 42;

        case E_V32DImode:
          if (pattern531 (x1, 
E_V32DImode, 
E_V32SImode, 
E_V32BImode) != 0)
            return -1;
          return 43;

        case E_V64DImode:
          if (pattern531 (x1, 
E_V64DImode, 
E_V64SImode, 
E_V64BImode) != 0)
            return -1;
          return 44;

        case E_V128DImode:
          if (pattern531 (x1, 
E_V128DImode, 
E_V128SImode, 
E_V128BImode) != 0)
            return -1;
          return 45;

        case E_V256DImode:
          if (pattern531 (x1, 
E_V256DImode, 
E_V256SImode, 
E_V256BImode) != 0)
            return -1;
          return 46;

        case E_V512DImode:
          if (pattern531 (x1, 
E_V512DImode, 
E_V512SImode, 
E_V512BImode) != 0)
            return -1;
          return 47;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      x5 = XEXP (x4, 0);
      operands[4] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_RVVM8HImode:
          if (pattern533 (x1, 
E_RVVM8HImode, 
E_RVVM4QImode, 
E_RVVMF2BImode, 
E_QImode) != 0)
            return -1;
          return 48;

        case E_RVVM4HImode:
          if (pattern533 (x1, 
E_RVVM4HImode, 
E_RVVM2QImode, 
E_RVVMF4BImode, 
E_QImode) != 0)
            return -1;
          return 49;

        case E_RVVM2HImode:
          if (pattern533 (x1, 
E_RVVM2HImode, 
E_RVVM1QImode, 
E_RVVMF8BImode, 
E_QImode) != 0)
            return -1;
          return 50;

        case E_RVVM1HImode:
          if (pattern533 (x1, 
E_RVVM1HImode, 
E_RVVMF2QImode, 
E_RVVMF16BImode, 
E_QImode) != 0)
            return -1;
          return 51;

        case E_RVVMF2HImode:
          if (pattern533 (x1, 
E_RVVMF2HImode, 
E_RVVMF4QImode, 
E_RVVMF32BImode, 
E_QImode) != 0)
            return -1;
          return 52;

        case E_RVVMF4HImode:
          if (pattern533 (x1, 
E_RVVMF4HImode, 
E_RVVMF8QImode, 
E_RVVMF64BImode, 
E_QImode) != 0)
            return -1;
          return 53;

        case E_RVVM8SImode:
          if (pattern533 (x1, 
E_RVVM8SImode, 
E_RVVM4HImode, 
E_RVVMF4BImode, 
E_HImode) != 0)
            return -1;
          return 54;

        case E_RVVM4SImode:
          if (pattern533 (x1, 
E_RVVM4SImode, 
E_RVVM2HImode, 
E_RVVMF8BImode, 
E_HImode) != 0)
            return -1;
          return 55;

        case E_RVVM2SImode:
          if (pattern533 (x1, 
E_RVVM2SImode, 
E_RVVM1HImode, 
E_RVVMF16BImode, 
E_HImode) != 0)
            return -1;
          return 56;

        case E_RVVM1SImode:
          if (pattern533 (x1, 
E_RVVM1SImode, 
E_RVVMF2HImode, 
E_RVVMF32BImode, 
E_HImode) != 0)
            return -1;
          return 57;

        case E_RVVMF2SImode:
          if (pattern533 (x1, 
E_RVVMF2SImode, 
E_RVVMF4HImode, 
E_RVVMF64BImode, 
E_HImode) != 0)
            return -1;
          return 58;

        case E_RVVM8DImode:
          if (pattern533 (x1, 
E_RVVM8DImode, 
E_RVVM4SImode, 
E_RVVMF8BImode, 
E_SImode) != 0)
            return -1;
          return 59;

        case E_RVVM4DImode:
          if (pattern533 (x1, 
E_RVVM4DImode, 
E_RVVM2SImode, 
E_RVVMF16BImode, 
E_SImode) != 0)
            return -1;
          return 60;

        case E_RVVM2DImode:
          if (pattern533 (x1, 
E_RVVM2DImode, 
E_RVVM1SImode, 
E_RVVMF32BImode, 
E_SImode) != 0)
            return -1;
          return 61;

        case E_RVVM1DImode:
          if (pattern533 (x1, 
E_RVVM1DImode, 
E_RVVMF2SImode, 
E_RVVMF64BImode, 
E_SImode) != 0)
            return -1;
          return 62;

        case E_V1HImode:
          if (pattern533 (x1, 
E_V1HImode, 
E_V1QImode, 
E_V1BImode, 
E_QImode) != 0)
            return -1;
          return 63;

        case E_V2HImode:
          if (pattern533 (x1, 
E_V2HImode, 
E_V2QImode, 
E_V2BImode, 
E_QImode) != 0)
            return -1;
          return 64;

        case E_V4HImode:
          if (pattern533 (x1, 
E_V4HImode, 
E_V4QImode, 
E_V4BImode, 
E_QImode) != 0)
            return -1;
          return 65;

        case E_V8HImode:
          if (pattern533 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V8BImode, 
E_QImode) != 0)
            return -1;
          return 66;

        case E_V16HImode:
          if (pattern533 (x1, 
E_V16HImode, 
E_V16QImode, 
E_V16BImode, 
E_QImode) != 0)
            return -1;
          return 67;

        case E_V32HImode:
          if (pattern533 (x1, 
E_V32HImode, 
E_V32QImode, 
E_V32BImode, 
E_QImode) != 0)
            return -1;
          return 68;

        case E_V64HImode:
          if (pattern533 (x1, 
E_V64HImode, 
E_V64QImode, 
E_V64BImode, 
E_QImode) != 0)
            return -1;
          return 69;

        case E_V128HImode:
          if (pattern533 (x1, 
E_V128HImode, 
E_V128QImode, 
E_V128BImode, 
E_QImode) != 0)
            return -1;
          return 70;

        case E_V256HImode:
          if (pattern533 (x1, 
E_V256HImode, 
E_V256QImode, 
E_V256BImode, 
E_QImode) != 0)
            return -1;
          return 71;

        case E_V512HImode:
          if (pattern533 (x1, 
E_V512HImode, 
E_V512QImode, 
E_V512BImode, 
E_QImode) != 0)
            return -1;
          return 72;

        case E_V1024HImode:
          if (pattern533 (x1, 
E_V1024HImode, 
E_V1024QImode, 
E_V1024BImode, 
E_QImode) != 0)
            return -1;
          return 73;

        case E_V2048HImode:
          if (pattern533 (x1, 
E_V2048HImode, 
E_V2048QImode, 
E_V2048BImode, 
E_QImode) != 0)
            return -1;
          return 74;

        case E_V1SImode:
          if (pattern533 (x1, 
E_V1SImode, 
E_V1HImode, 
E_V1BImode, 
E_HImode) != 0)
            return -1;
          return 75;

        case E_V2SImode:
          if (pattern533 (x1, 
E_V2SImode, 
E_V2HImode, 
E_V2BImode, 
E_HImode) != 0)
            return -1;
          return 76;

        case E_V4SImode:
          if (pattern533 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V4BImode, 
E_HImode) != 0)
            return -1;
          return 77;

        case E_V8SImode:
          if (pattern533 (x1, 
E_V8SImode, 
E_V8HImode, 
E_V8BImode, 
E_HImode) != 0)
            return -1;
          return 78;

        case E_V16SImode:
          if (pattern533 (x1, 
E_V16SImode, 
E_V16HImode, 
E_V16BImode, 
E_HImode) != 0)
            return -1;
          return 79;

        case E_V32SImode:
          if (pattern533 (x1, 
E_V32SImode, 
E_V32HImode, 
E_V32BImode, 
E_HImode) != 0)
            return -1;
          return 80;

        case E_V64SImode:
          if (pattern533 (x1, 
E_V64SImode, 
E_V64HImode, 
E_V64BImode, 
E_HImode) != 0)
            return -1;
          return 81;

        case E_V128SImode:
          if (pattern533 (x1, 
E_V128SImode, 
E_V128HImode, 
E_V128BImode, 
E_HImode) != 0)
            return -1;
          return 82;

        case E_V256SImode:
          if (pattern533 (x1, 
E_V256SImode, 
E_V256HImode, 
E_V256BImode, 
E_HImode) != 0)
            return -1;
          return 83;

        case E_V512SImode:
          if (pattern533 (x1, 
E_V512SImode, 
E_V512HImode, 
E_V512BImode, 
E_HImode) != 0)
            return -1;
          return 84;

        case E_V1024SImode:
          if (pattern533 (x1, 
E_V1024SImode, 
E_V1024HImode, 
E_V1024BImode, 
E_HImode) != 0)
            return -1;
          return 85;

        case E_V1DImode:
          if (pattern533 (x1, 
E_V1DImode, 
E_V1SImode, 
E_V1BImode, 
E_SImode) != 0)
            return -1;
          return 86;

        case E_V2DImode:
          if (pattern533 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V2BImode, 
E_SImode) != 0)
            return -1;
          return 87;

        case E_V4DImode:
          if (pattern533 (x1, 
E_V4DImode, 
E_V4SImode, 
E_V4BImode, 
E_SImode) != 0)
            return -1;
          return 88;

        case E_V8DImode:
          if (pattern533 (x1, 
E_V8DImode, 
E_V8SImode, 
E_V8BImode, 
E_SImode) != 0)
            return -1;
          return 89;

        case E_V16DImode:
          if (pattern533 (x1, 
E_V16DImode, 
E_V16SImode, 
E_V16BImode, 
E_SImode) != 0)
            return -1;
          return 90;

        case E_V32DImode:
          if (pattern533 (x1, 
E_V32DImode, 
E_V32SImode, 
E_V32BImode, 
E_SImode) != 0)
            return -1;
          return 91;

        case E_V64DImode:
          if (pattern533 (x1, 
E_V64DImode, 
E_V64SImode, 
E_V64BImode, 
E_SImode) != 0)
            return -1;
          return 92;

        case E_V128DImode:
          if (pattern533 (x1, 
E_V128DImode, 
E_V128SImode, 
E_V128BImode, 
E_SImode) != 0)
            return -1;
          return 93;

        case E_V256DImode:
          if (pattern533 (x1, 
E_V256DImode, 
E_V256SImode, 
E_V256BImode, 
E_SImode) != 0)
            return -1;
          return 94;

        case E_V512DImode:
          if (pattern533 (x1, 
E_V512DImode, 
E_V512SImode, 
E_V512BImode, 
E_SImode) != 0)
            return -1;
          return 95;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern566 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[7] = x5;
  x6 = XVECEXP (x2, 0, 4);
  operands[8] = x6;
  x7 = XEXP (x1, 1);
  x8 = XEXP (x7, 0);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  return pattern534 (x1); /* [-1, 95] */
}

int
pattern568 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i2))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i4
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern571 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 1);
  if (!comparison_except_ge_operator (x3, i1))
    return -1;
  return 0;
}

int
pattern573 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !vector_all_trues_mask_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !vector_undef_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern575 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[3] = x3;
  x4 = XEXP (x1, 2);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern493 (x1, 
E_RVVM8HFmode, 
E_RVVMF2BImode); /* [-1, 0] */

    case E_RVVM4HFmode:
      if (pattern493 (x1, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 1;

    case E_RVVM2HFmode:
      if (pattern493 (x1, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 2;

    case E_RVVM1HFmode:
      if (pattern493 (x1, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 3;

    case E_RVVMF2HFmode:
      if (pattern493 (x1, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 4;

    case E_RVVMF4HFmode:
      if (pattern493 (x1, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 5;

    case E_RVVM8SFmode:
      if (pattern493 (x1, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 6;

    case E_RVVM4SFmode:
      if (pattern493 (x1, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 7;

    case E_RVVM2SFmode:
      if (pattern493 (x1, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 8;

    case E_RVVM1SFmode:
      if (pattern493 (x1, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 9;

    case E_RVVMF2SFmode:
      if (pattern493 (x1, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 10;

    case E_RVVM8DFmode:
      if (pattern493 (x1, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 11;

    case E_RVVM4DFmode:
      if (pattern493 (x1, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 12;

    case E_RVVM2DFmode:
      if (pattern493 (x1, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 13;

    case E_RVVM1DFmode:
      if (pattern493 (x1, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 14;

    case E_V1HFmode:
      if (pattern493 (x1, 
E_V1HFmode, 
E_V1BImode) != 0)
        return -1;
      return 15;

    case E_V2HFmode:
      if (pattern493 (x1, 
E_V2HFmode, 
E_V2BImode) != 0)
        return -1;
      return 16;

    case E_V4HFmode:
      if (pattern493 (x1, 
E_V4HFmode, 
E_V4BImode) != 0)
        return -1;
      return 17;

    case E_V8HFmode:
      if (pattern493 (x1, 
E_V8HFmode, 
E_V8BImode) != 0)
        return -1;
      return 18;

    case E_V16HFmode:
      if (pattern493 (x1, 
E_V16HFmode, 
E_V16BImode) != 0)
        return -1;
      return 19;

    case E_V32HFmode:
      if (pattern493 (x1, 
E_V32HFmode, 
E_V32BImode) != 0)
        return -1;
      return 20;

    case E_V64HFmode:
      if (pattern493 (x1, 
E_V64HFmode, 
E_V64BImode) != 0)
        return -1;
      return 21;

    case E_V128HFmode:
      if (pattern493 (x1, 
E_V128HFmode, 
E_V128BImode) != 0)
        return -1;
      return 22;

    case E_V256HFmode:
      if (pattern493 (x1, 
E_V256HFmode, 
E_V256BImode) != 0)
        return -1;
      return 23;

    case E_V512HFmode:
      if (pattern493 (x1, 
E_V512HFmode, 
E_V512BImode) != 0)
        return -1;
      return 24;

    case E_V1024HFmode:
      if (pattern493 (x1, 
E_V1024HFmode, 
E_V1024BImode) != 0)
        return -1;
      return 25;

    case E_V2048HFmode:
      if (pattern493 (x1, 
E_V2048HFmode, 
E_V2048BImode) != 0)
        return -1;
      return 26;

    case E_V1SFmode:
      if (pattern493 (x1, 
E_V1SFmode, 
E_V1BImode) != 0)
        return -1;
      return 27;

    case E_V2SFmode:
      if (pattern493 (x1, 
E_V2SFmode, 
E_V2BImode) != 0)
        return -1;
      return 28;

    case E_V4SFmode:
      if (pattern493 (x1, 
E_V4SFmode, 
E_V4BImode) != 0)
        return -1;
      return 29;

    case E_V8SFmode:
      if (pattern493 (x1, 
E_V8SFmode, 
E_V8BImode) != 0)
        return -1;
      return 30;

    case E_V16SFmode:
      if (pattern493 (x1, 
E_V16SFmode, 
E_V16BImode) != 0)
        return -1;
      return 31;

    case E_V32SFmode:
      if (pattern493 (x1, 
E_V32SFmode, 
E_V32BImode) != 0)
        return -1;
      return 32;

    case E_V64SFmode:
      if (pattern493 (x1, 
E_V64SFmode, 
E_V64BImode) != 0)
        return -1;
      return 33;

    case E_V128SFmode:
      if (pattern493 (x1, 
E_V128SFmode, 
E_V128BImode) != 0)
        return -1;
      return 34;

    case E_V256SFmode:
      if (pattern493 (x1, 
E_V256SFmode, 
E_V256BImode) != 0)
        return -1;
      return 35;

    case E_V512SFmode:
      if (pattern493 (x1, 
E_V512SFmode, 
E_V512BImode) != 0)
        return -1;
      return 36;

    case E_V1024SFmode:
      if (pattern493 (x1, 
E_V1024SFmode, 
E_V1024BImode) != 0)
        return -1;
      return 37;

    case E_V1DFmode:
      if (pattern493 (x1, 
E_V1DFmode, 
E_V1BImode) != 0)
        return -1;
      return 38;

    case E_V2DFmode:
      if (pattern493 (x1, 
E_V2DFmode, 
E_V2BImode) != 0)
        return -1;
      return 39;

    case E_V4DFmode:
      if (pattern493 (x1, 
E_V4DFmode, 
E_V4BImode) != 0)
        return -1;
      return 40;

    case E_V8DFmode:
      if (pattern493 (x1, 
E_V8DFmode, 
E_V8BImode) != 0)
        return -1;
      return 41;

    case E_V16DFmode:
      if (pattern493 (x1, 
E_V16DFmode, 
E_V16BImode) != 0)
        return -1;
      return 42;

    case E_V32DFmode:
      if (pattern493 (x1, 
E_V32DFmode, 
E_V32BImode) != 0)
        return -1;
      return 43;

    case E_V64DFmode:
      if (pattern493 (x1, 
E_V64DFmode, 
E_V64BImode) != 0)
        return -1;
      return 44;

    case E_V128DFmode:
      if (pattern493 (x1, 
E_V128DFmode, 
E_V128BImode) != 0)
        return -1;
      return 45;

    case E_V256DFmode:
      if (pattern493 (x1, 
E_V256DFmode, 
E_V256BImode) != 0)
        return -1;
      return 46;

    case E_V512DFmode:
      if (pattern493 (x1, 
E_V512DFmode, 
E_V512BImode) != 0)
        return -1;
      return 47;

    default:
      return -1;
    }
}

int
pattern590 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern594 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], i1))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  if (!register_operand (operands[4], i2))
    return -1;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  if (!vector_neg_arith_operand (operands[5], i2))
    return -1;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern599 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern603 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern606 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern608 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[7] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  if (!register_operand (operands[3], i1))
    return -1;
  x8 = XEXP (x6, 1);
  operands[4] = x8;
  if (!register_operand (operands[4], i1))
    return -1;
  x9 = XEXP (x1, 2);
  if (!rtx_equal_p (x9, operands[1]))
    return -1;
  return 0;
}

int
pattern610 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], E_RVVMF8BImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], E_RVVMF8BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_RVVM2HFmode:
      if (!register_operand (operands[4], E_RVVM2HFmode)
          || !register_operand (operands[5], E_RVVM2HFmode))
        return -1;
      return 0;

    case E_RVVM4SFmode:
      if (!register_operand (operands[4], E_RVVM4SFmode)
          || !register_operand (operands[5], E_RVVM4SFmode))
        return -1;
      return 1;

    case E_RVVM8DFmode:
      if (!register_operand (operands[4], E_RVVM8DFmode)
          || !register_operand (operands[5], E_RVVM8DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern612 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], E_RVVMF32BImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], E_RVVMF32BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_RVVMF2HFmode:
      if (!register_operand (operands[4], E_RVVMF2HFmode)
          || !register_operand (operands[5], E_RVVMF2HFmode))
        return -1;
      return 0;

    case E_RVVM1SFmode:
      if (!register_operand (operands[4], E_RVVM1SFmode)
          || !register_operand (operands[5], E_RVVM1SFmode))
        return -1;
      return 1;

    case E_RVVM2DFmode:
      if (!register_operand (operands[4], E_RVVM2DFmode)
          || !register_operand (operands[5], E_RVVM2DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern615 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], E_V2BImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], E_V2BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V2HFmode:
      if (!register_operand (operands[4], E_V2HFmode)
          || !register_operand (operands[5], E_V2HFmode))
        return -1;
      return 0;

    case E_V2SFmode:
      if (!register_operand (operands[4], E_V2SFmode)
          || !register_operand (operands[5], E_V2SFmode))
        return -1;
      return 1;

    case E_V2DFmode:
      if (!register_operand (operands[4], E_V2DFmode)
          || !register_operand (operands[5], E_V2DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern618 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], E_V16BImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], E_V16BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V16HFmode:
      if (!register_operand (operands[4], E_V16HFmode)
          || !register_operand (operands[5], E_V16HFmode))
        return -1;
      return 0;

    case E_V16SFmode:
      if (!register_operand (operands[4], E_V16SFmode)
          || !register_operand (operands[5], E_V16SFmode))
        return -1;
      return 1;

    case E_V16DFmode:
      if (!register_operand (operands[4], E_V16DFmode)
          || !register_operand (operands[5], E_V16DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern621 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[1], E_V128BImode))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[6] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[7] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[8] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[4] = x7;
  x8 = XEXP (x6, 1);
  operands[5] = x8;
  x9 = XEXP (x1, 2);
  operands[2] = x9;
  if (!vector_merge_operand (operands[2], E_V128BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V128HFmode:
      if (!register_operand (operands[4], E_V128HFmode)
          || !register_operand (operands[5], E_V128HFmode))
        return -1;
      return 0;

    case E_V128SFmode:
      if (!register_operand (operands[4], E_V128SFmode)
          || !register_operand (operands[5], E_V128SFmode))
        return -1;
      return 1;

    case E_V128DFmode:
      if (!register_operand (operands[4], E_V128DFmode)
          || !register_operand (operands[5], E_V128DFmode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern625 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[5] = x3;
  x4 = XVECEXP (x2, 0, 2);
  operands[6] = x4;
  x5 = XVECEXP (x2, 0, 3);
  operands[7] = x5;
  x6 = XEXP (x1, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  if (!register_operand (operands[3], i1))
    return -1;
  x8 = XEXP (x6, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  operands[4] = x9;
  if (!register_operand (operands[4], i3))
    return -1;
  x10 = XEXP (x1, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  return 0;
}

int
pattern629 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM4QImode:
      if (!register_operand (operands[1], E_RVVM4QImode)
          || !vector_arith_operand (operands[2], E_RVVM4QImode))
        return -1;
      return 0;

    case E_RVVM8HImode:
      if (!register_operand (operands[1], E_RVVM8HImode)
          || !vector_arith_operand (operands[2], E_RVVM8HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern633 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM1SImode:
      if (!register_operand (operands[1], E_RVVM1SImode)
          || !vector_arith_operand (operands[2], E_RVVM1SImode))
        return -1;
      return 0;

    case E_RVVM2DImode:
      if (!register_operand (operands[1], E_RVVM2DImode)
          || !vector_arith_operand (operands[2], E_RVVM2DImode))
        return -1;
      return 1;

    case E_RVVMF4QImode:
      if (!register_operand (operands[1], E_RVVMF4QImode)
          || !vector_arith_operand (operands[2], E_RVVMF4QImode))
        return -1;
      return 2;

    case E_RVVMF2HImode:
      if (!register_operand (operands[1], E_RVVMF2HImode)
          || !vector_arith_operand (operands[2], E_RVVMF2HImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern637 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_RVVM1QImode:
      if (!register_operand (operands[1], E_RVVM1QImode)
          || !register_operand (operands[2], E_RVVM1QImode))
        return -1;
      return 0;

    case E_RVVM2HImode:
      if (!register_operand (operands[1], E_RVVM2HImode)
          || !register_operand (operands[2], E_RVVM2HImode))
        return -1;
      return 1;

    case E_RVVM4SImode:
      if (!register_operand (operands[1], E_RVVM4SImode)
          || !register_operand (operands[2], E_RVVM4SImode))
        return -1;
      return 2;

    case E_RVVM8DImode:
      if (!register_operand (operands[1], E_RVVM8DImode)
          || !register_operand (operands[2], E_RVVM8DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern642 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || GET_MODE (x1) != i2
      || !vector_mask_operand (operands[1], i2)
      || !vector_eew16_stride_operand (operands[2], E_VOIDmode)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern645 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i3)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[4], i2)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern652 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_RVVMF64BImode
      || !vector_mask_operand (operands[1], E_RVVMF64BImode))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !vector_merge_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_RVVMF8QImode:
      if (!register_operand (operands[4], E_RVVMF8QImode))
        return -1;
      return 0;

    case E_RVVMF4HImode:
      if (!register_operand (operands[4], E_RVVMF4HImode))
        return -1;
      return 1;

    case E_RVVMF2SImode:
      if (!register_operand (operands[4], E_RVVMF2SImode))
        return -1;
      return 2;

    case E_RVVM1DImode:
      if (!register_operand (operands[4], E_RVVM1DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern659 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_RVVMF4BImode
      || !vector_mask_operand (operands[1], E_RVVMF4BImode))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !vector_merge_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_RVVM8SImode:
      if (!register_operand (operands[4], E_RVVM8SImode))
        return -1;
      return 0;

    case E_RVVM4HImode:
      if (!register_operand (operands[4], E_RVVM4HImode))
        return -1;
      return 1;

    case E_RVVM2QImode:
      if (!register_operand (operands[4], E_RVVM2QImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern663 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_RVVMF64BImode
      || !vector_mask_operand (operands[1], E_RVVMF64BImode))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !vector_merge_operand (operands[2], i1))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_RVVMF2SImode:
      if (!register_operand (operands[4], E_RVVMF2SImode))
        return -1;
      return 0;

    case E_RVVMF4HImode:
      if (!register_operand (operands[4], E_RVVMF4HImode))
        return -1;
      return 1;

    case E_RVVMF8QImode:
      if (!register_operand (operands[4], E_RVVMF8QImode))
        return -1;
      return 2;

    case E_RVVM1DImode:
      if (!register_operand (operands[4], E_RVVM1DImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern670 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern675 (rtx x1, unsigned int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != REG
      || REGNO (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != MEM)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != PLUS)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 2)
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_CODE (x6) != CONST_INT)
    return -1;
  return 0;
}

int
pattern680 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVM1DImode)
      || GET_MODE (x1) != E_RVVM1DImode)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != E_RVVM1DImode
      || !register_operand (operands[4], E_RVVM1DImode)
      || !vector_merge_operand (operands[2], E_RVVM1DImode))
    return -1;
  x3 = XVECEXP (x1, 0, 0);
  switch (GET_MODE (x3))
    {
    case E_RVVMF8BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF8BImode)
          || !register_operand (operands[3], E_RVVM8DImode))
        return -1;
      return 0;

    case E_RVVMF16BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF16BImode)
          || !register_operand (operands[3], E_RVVM4DImode))
        return -1;
      return 1;

    case E_RVVMF32BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF32BImode)
          || !register_operand (operands[3], E_RVVM2DImode))
        return -1;
      return 2;

    case E_RVVMF64BImode:
      if (!vector_mask_operand (operands[1], E_RVVMF64BImode)
          || !register_operand (operands[3], E_RVVM1DImode))
        return -1;
      return 3;

    case E_V1BImode:
      if (!vector_mask_operand (operands[1], E_V1BImode)
          || !register_operand (operands[3], E_V1DImode))
        return -1;
      return 4;

    case E_V2BImode:
      if (!vector_mask_operand (operands[1], E_V2BImode)
          || !register_operand (operands[3], E_V2DImode))
        return -1;
      return 5;

    case E_V4BImode:
      if (!vector_mask_operand (operands[1], E_V4BImode)
          || !register_operand (operands[3], E_V4DImode))
        return -1;
      return 6;

    case E_V8BImode:
      if (!vector_mask_operand (operands[1], E_V8BImode)
          || !register_operand (operands[3], E_V8DImode))
        return -1;
      return 7;

    case E_V16BImode:
      if (!vector_mask_operand (operands[1], E_V16BImode)
          || !register_operand (operands[3], E_V16DImode))
        return -1;
      return 8;

    case E_V32BImode:
      if (!vector_mask_operand (operands[1], E_V32BImode)
          || !register_operand (operands[3], E_V32DImode))
        return -1;
      return 9;

    case E_V64BImode:
      if (!vector_mask_operand (operands[1], E_V64BImode)
          || !register_operand (operands[3], E_V64DImode))
        return -1;
      return 10;

    case E_V128BImode:
      if (!vector_mask_operand (operands[1], E_V128BImode)
          || !register_operand (operands[3], E_V128DImode))
        return -1;
      return 11;

    case E_V256BImode:
      if (!vector_mask_operand (operands[1], E_V256BImode)
          || !register_operand (operands[3], E_V256DImode))
        return -1;
      return 12;

    case E_V512BImode:
      if (!vector_mask_operand (operands[1], E_V512BImode)
          || !register_operand (operands[3], E_V512DImode))
        return -1;
      return 13;

    default:
      return -1;
    }
}

int
pattern684 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[4], i2)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern688 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i2)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern695 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XVECEXP (x1, 0, 1);
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1)
    return -1;
  x8 = XEXP (x6, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XVECEXP (x1, 0, 2);
  x12 = XEXP (x11, 0);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x11, 1);
  if (GET_MODE (x13) != i1)
    return -1;
  x14 = XEXP (x13, 0);
  if (GET_MODE (x14) != i1)
    return -1;
  x15 = XEXP (x14, 0);
  if (GET_MODE (x15) != i1)
    return -1;
  return 0;
}

int
pattern704 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[3], i4))
    return -1;
  x7 = XEXP (x4, 1);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[4], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern711 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[4], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern714 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XVECEXP (x3, 0, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[4], i2)
      || !vector_merge_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern717 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !memory_operand (operands[3], i1)
      || !vector_eew16_stride_operand (operands[4], E_VOIDmode)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern721 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !vector_mask_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[3], i1)
      || !vector_merge_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern726 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !vector_mask_operand (operands[1], i3))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i2))
    return -1;
  x5 = XEXP (x3, 1);
  return pattern725 (x5, 
i1, 
i2, 
i4); /* [-1, 0] */
}

int
pattern728 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  operands[4] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HFmode:
      return pattern542 (x1, 
E_RVVM8HFmode, 
E_HFmode, 
E_RVVMF2BImode); /* [-1, 0] */

    case E_RVVM4HFmode:
      if (pattern542 (x1, 
E_RVVM4HFmode, 
E_HFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 1;

    case E_RVVM2HFmode:
      if (pattern542 (x1, 
E_RVVM2HFmode, 
E_HFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 2;

    case E_RVVM1HFmode:
      if (pattern542 (x1, 
E_RVVM1HFmode, 
E_HFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 3;

    case E_RVVMF2HFmode:
      if (pattern542 (x1, 
E_RVVMF2HFmode, 
E_HFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 4;

    case E_RVVMF4HFmode:
      if (pattern542 (x1, 
E_RVVMF4HFmode, 
E_HFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 5;

    case E_RVVM8SFmode:
      if (pattern542 (x1, 
E_RVVM8SFmode, 
E_SFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 6;

    case E_RVVM4SFmode:
      if (pattern542 (x1, 
E_RVVM4SFmode, 
E_SFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 7;

    case E_RVVM2SFmode:
      if (pattern542 (x1, 
E_RVVM2SFmode, 
E_SFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 8;

    case E_RVVM1SFmode:
      if (pattern542 (x1, 
E_RVVM1SFmode, 
E_SFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 9;

    case E_RVVMF2SFmode:
      if (pattern542 (x1, 
E_RVVMF2SFmode, 
E_SFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 10;

    case E_RVVM8DFmode:
      if (pattern542 (x1, 
E_RVVM8DFmode, 
E_DFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 11;

    case E_RVVM4DFmode:
      if (pattern542 (x1, 
E_RVVM4DFmode, 
E_DFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 12;

    case E_RVVM2DFmode:
      if (pattern542 (x1, 
E_RVVM2DFmode, 
E_DFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 13;

    case E_RVVM1DFmode:
      if (pattern542 (x1, 
E_RVVM1DFmode, 
E_DFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 14;

    default:
      return -1;
    }
}

int
pattern729 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HImode:
      return pattern671 (x1, 
E_RVVM8HImode, 
E_RVVM8HFmode, 
E_RVVMF2BImode); /* [-1, 0] */

    case E_RVVM4HImode:
      if (!register_operand (operands[0], E_RVVM4HImode)
          || GET_MODE (x1) != E_RVVM4HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF4BImode
          || !vector_mask_operand (operands[1], E_RVVMF4BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM4HImode
          || !vector_merge_operand (operands[2], E_RVVM4HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4HFmode:
          if (!register_operand (operands[3], E_RVVM4HFmode))
            return -1;
          return 1;

        case E_RVVM8SFmode:
          if (!register_operand (operands[3], E_RVVM8SFmode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_RVVM2HImode:
      if (!register_operand (operands[0], E_RVVM2HImode)
          || GET_MODE (x1) != E_RVVM2HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF8BImode
          || !vector_mask_operand (operands[1], E_RVVMF8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM2HImode
          || !vector_merge_operand (operands[2], E_RVVM2HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2HFmode:
          if (!register_operand (operands[3], E_RVVM2HFmode))
            return -1;
          return 3;

        case E_RVVM4SFmode:
          if (!register_operand (operands[3], E_RVVM4SFmode))
            return -1;
          return 4;

        default:
          return -1;
        }

    case E_RVVM1HImode:
      if (!register_operand (operands[0], E_RVVM1HImode)
          || GET_MODE (x1) != E_RVVM1HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF16BImode
          || !vector_mask_operand (operands[1], E_RVVMF16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM1HImode
          || !vector_merge_operand (operands[2], E_RVVM1HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1HFmode:
          if (!register_operand (operands[3], E_RVVM1HFmode))
            return -1;
          return 5;

        case E_RVVM2SFmode:
          if (!register_operand (operands[3], E_RVVM2SFmode))
            return -1;
          return 6;

        default:
          return -1;
        }

    case E_RVVMF2HImode:
      if (!register_operand (operands[0], E_RVVMF2HImode)
          || GET_MODE (x1) != E_RVVMF2HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF32BImode
          || !vector_mask_operand (operands[1], E_RVVMF32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVMF2HImode
          || !vector_merge_operand (operands[2], E_RVVMF2HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF2HFmode:
          if (!register_operand (operands[3], E_RVVMF2HFmode))
            return -1;
          return 7;

        case E_RVVM1SFmode:
          if (!register_operand (operands[3], E_RVVM1SFmode))
            return -1;
          return 8;

        default:
          return -1;
        }

    case E_RVVMF4HImode:
      if (!register_operand (operands[0], E_RVVMF4HImode)
          || GET_MODE (x1) != E_RVVMF4HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF64BImode
          || !vector_mask_operand (operands[1], E_RVVMF64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVMF4HImode
          || !vector_merge_operand (operands[2], E_RVVMF4HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF4HFmode:
          if (!register_operand (operands[3], E_RVVMF4HFmode))
            return -1;
          return 9;

        case E_RVVMF2SFmode:
          if (!register_operand (operands[3], E_RVVMF2SFmode))
            return -1;
          return 10;

        default:
          return -1;
        }

    case E_RVVM8SImode:
      if (!register_operand (operands[0], E_RVVM8SImode)
          || GET_MODE (x1) != E_RVVM8SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF4BImode
          || !vector_mask_operand (operands[1], E_RVVMF4BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM8SImode
          || !vector_merge_operand (operands[2], E_RVVM8SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM8SFmode:
          if (!register_operand (operands[3], E_RVVM8SFmode))
            return -1;
          return 11;

        case E_RVVM4HFmode:
          if (!register_operand (operands[3], E_RVVM4HFmode))
            return -1;
          return 12;

        default:
          return -1;
        }

    case E_RVVM4SImode:
      if (!register_operand (operands[0], E_RVVM4SImode)
          || GET_MODE (x1) != E_RVVM4SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF8BImode
          || !vector_mask_operand (operands[1], E_RVVMF8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM4SImode
          || !vector_merge_operand (operands[2], E_RVVM4SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4SFmode:
          if (!register_operand (operands[3], E_RVVM4SFmode))
            return -1;
          return 13;

        case E_RVVM2HFmode:
          if (!register_operand (operands[3], E_RVVM2HFmode))
            return -1;
          return 14;

        case E_RVVM8DFmode:
          if (!register_operand (operands[3], E_RVVM8DFmode))
            return -1;
          return 15;

        default:
          return -1;
        }

    case E_RVVM2SImode:
      if (!register_operand (operands[0], E_RVVM2SImode)
          || GET_MODE (x1) != E_RVVM2SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF16BImode
          || !vector_mask_operand (operands[1], E_RVVMF16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM2SImode
          || !vector_merge_operand (operands[2], E_RVVM2SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2SFmode:
          if (!register_operand (operands[3], E_RVVM2SFmode))
            return -1;
          return 16;

        case E_RVVM1HFmode:
          if (!register_operand (operands[3], E_RVVM1HFmode))
            return -1;
          return 17;

        case E_RVVM4DFmode:
          if (!register_operand (operands[3], E_RVVM4DFmode))
            return -1;
          return 18;

        default:
          return -1;
        }

    case E_RVVM1SImode:
      if (!register_operand (operands[0], E_RVVM1SImode)
          || GET_MODE (x1) != E_RVVM1SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF32BImode
          || !vector_mask_operand (operands[1], E_RVVMF32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM1SImode
          || !vector_merge_operand (operands[2], E_RVVM1SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1SFmode:
          if (!register_operand (operands[3], E_RVVM1SFmode))
            return -1;
          return 19;

        case E_RVVMF2HFmode:
          if (!register_operand (operands[3], E_RVVMF2HFmode))
            return -1;
          return 20;

        case E_RVVM2DFmode:
          if (!register_operand (operands[3], E_RVVM2DFmode))
            return -1;
          return 21;

        default:
          return -1;
        }

    case E_RVVMF2SImode:
      if (!register_operand (operands[0], E_RVVMF2SImode)
          || GET_MODE (x1) != E_RVVMF2SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF64BImode
          || !vector_mask_operand (operands[1], E_RVVMF64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVMF2SImode
          || !vector_merge_operand (operands[2], E_RVVMF2SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVMF2SFmode:
          if (!register_operand (operands[3], E_RVVMF2SFmode))
            return -1;
          return 22;

        case E_RVVMF4HFmode:
          if (!register_operand (operands[3], E_RVVMF4HFmode))
            return -1;
          return 23;

        case E_RVVM1DFmode:
          if (!register_operand (operands[3], E_RVVM1DFmode))
            return -1;
          return 24;

        default:
          return -1;
        }

    case E_RVVM8DImode:
      if (!register_operand (operands[0], E_RVVM8DImode)
          || GET_MODE (x1) != E_RVVM8DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF8BImode
          || !vector_mask_operand (operands[1], E_RVVMF8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM8DImode
          || !vector_merge_operand (operands[2], E_RVVM8DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM8DFmode:
          if (!register_operand (operands[3], E_RVVM8DFmode))
            return -1;
          return 25;

        case E_RVVM4SFmode:
          if (!register_operand (operands[3], E_RVVM4SFmode))
            return -1;
          return 26;

        default:
          return -1;
        }

    case E_RVVM4DImode:
      if (!register_operand (operands[0], E_RVVM4DImode)
          || GET_MODE (x1) != E_RVVM4DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF16BImode
          || !vector_mask_operand (operands[1], E_RVVMF16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM4DImode
          || !vector_merge_operand (operands[2], E_RVVM4DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM4DFmode:
          if (!register_operand (operands[3], E_RVVM4DFmode))
            return -1;
          return 27;

        case E_RVVM2SFmode:
          if (!register_operand (operands[3], E_RVVM2SFmode))
            return -1;
          return 28;

        default:
          return -1;
        }

    case E_RVVM2DImode:
      if (!register_operand (operands[0], E_RVVM2DImode)
          || GET_MODE (x1) != E_RVVM2DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF32BImode
          || !vector_mask_operand (operands[1], E_RVVMF32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM2DImode
          || !vector_merge_operand (operands[2], E_RVVM2DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM2DFmode:
          if (!register_operand (operands[3], E_RVVM2DFmode))
            return -1;
          return 29;

        case E_RVVM1SFmode:
          if (!register_operand (operands[3], E_RVVM1SFmode))
            return -1;
          return 30;

        default:
          return -1;
        }

    case E_RVVM1DImode:
      if (!register_operand (operands[0], E_RVVM1DImode)
          || GET_MODE (x1) != E_RVVM1DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_RVVMF64BImode
          || !vector_mask_operand (operands[1], E_RVVMF64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_RVVM1DImode
          || !vector_merge_operand (operands[2], E_RVVM1DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_RVVM1DFmode:
          if (!register_operand (operands[3], E_RVVM1DFmode))
            return -1;
          return 31;

        case E_RVVMF2SFmode:
          if (!register_operand (operands[3], E_RVVMF2SFmode))
            return -1;
          return 32;

        default:
          return -1;
        }

    case E_V1HImode:
      if (!register_operand (operands[0], E_V1HImode)
          || GET_MODE (x1) != E_V1HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V1BImode
          || !vector_mask_operand (operands[1], E_V1BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V1HImode
          || !vector_merge_operand (operands[2], E_V1HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1HFmode:
          if (!register_operand (operands[3], E_V1HFmode))
            return -1;
          return 33;

        case E_V1SFmode:
          if (!register_operand (operands[3], E_V1SFmode))
            return -1;
          return 34;

        default:
          return -1;
        }

    case E_V2HImode:
      if (!register_operand (operands[0], E_V2HImode)
          || GET_MODE (x1) != E_V2HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2BImode
          || !vector_mask_operand (operands[1], E_V2BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V2HImode
          || !vector_merge_operand (operands[2], E_V2HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V2HFmode:
          if (!register_operand (operands[3], E_V2HFmode))
            return -1;
          return 35;

        case E_V2SFmode:
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          return 36;

        default:
          return -1;
        }

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x1) != E_V4HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4BImode
          || !vector_mask_operand (operands[1], E_V4BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V4HImode
          || !vector_merge_operand (operands[2], E_V4HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 37;

        case E_V4SFmode:
          if (!register_operand (operands[3], E_V4SFmode))
            return -1;
          return 38;

        default:
          return -1;
        }

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V8BImode
          || !vector_mask_operand (operands[1], E_V8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V8HImode
          || !vector_merge_operand (operands[2], E_V8HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 39;

        case E_V8SFmode:
          if (!register_operand (operands[3], E_V8SFmode))
            return -1;
          return 40;

        default:
          return -1;
        }

    case E_V16HImode:
      if (!register_operand (operands[0], E_V16HImode)
          || GET_MODE (x1) != E_V16HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V16BImode
          || !vector_mask_operand (operands[1], E_V16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V16HImode
          || !vector_merge_operand (operands[2], E_V16HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V16HFmode:
          if (!register_operand (operands[3], E_V16HFmode))
            return -1;
          return 41;

        case E_V16SFmode:
          if (!register_operand (operands[3], E_V16SFmode))
            return -1;
          return 42;

        default:
          return -1;
        }

    case E_V32HImode:
      if (!register_operand (operands[0], E_V32HImode)
          || GET_MODE (x1) != E_V32HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32BImode
          || !vector_mask_operand (operands[1], E_V32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V32HImode
          || !vector_merge_operand (operands[2], E_V32HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V32HFmode:
          if (!register_operand (operands[3], E_V32HFmode))
            return -1;
          return 43;

        case E_V32SFmode:
          if (!register_operand (operands[3], E_V32SFmode))
            return -1;
          return 44;

        default:
          return -1;
        }

    case E_V64HImode:
      if (!register_operand (operands[0], E_V64HImode)
          || GET_MODE (x1) != E_V64HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V64BImode
          || !vector_mask_operand (operands[1], E_V64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V64HImode
          || !vector_merge_operand (operands[2], E_V64HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V64HFmode:
          if (!register_operand (operands[3], E_V64HFmode))
            return -1;
          return 45;

        case E_V64SFmode:
          if (!register_operand (operands[3], E_V64SFmode))
            return -1;
          return 46;

        default:
          return -1;
        }

    case E_V128HImode:
      if (!register_operand (operands[0], E_V128HImode)
          || GET_MODE (x1) != E_V128HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V128BImode
          || !vector_mask_operand (operands[1], E_V128BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V128HImode
          || !vector_merge_operand (operands[2], E_V128HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V128HFmode:
          if (!register_operand (operands[3], E_V128HFmode))
            return -1;
          return 47;

        case E_V128SFmode:
          if (!register_operand (operands[3], E_V128SFmode))
            return -1;
          return 48;

        default:
          return -1;
        }

    case E_V256HImode:
      if (!register_operand (operands[0], E_V256HImode)
          || GET_MODE (x1) != E_V256HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256BImode
          || !vector_mask_operand (operands[1], E_V256BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V256HImode
          || !vector_merge_operand (operands[2], E_V256HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V256HFmode:
          if (!register_operand (operands[3], E_V256HFmode))
            return -1;
          return 49;

        case E_V256SFmode:
          if (!register_operand (operands[3], E_V256SFmode))
            return -1;
          return 50;

        default:
          return -1;
        }

    case E_V512HImode:
      if (!register_operand (operands[0], E_V512HImode)
          || GET_MODE (x1) != E_V512HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V512BImode
          || !vector_mask_operand (operands[1], E_V512BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V512HImode
          || !vector_merge_operand (operands[2], E_V512HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V512HFmode:
          if (!register_operand (operands[3], E_V512HFmode))
            return -1;
          return 51;

        case E_V512SFmode:
          if (!register_operand (operands[3], E_V512SFmode))
            return -1;
          return 52;

        default:
          return -1;
        }

    case E_V1024HImode:
      if (!register_operand (operands[0], E_V1024HImode)
          || GET_MODE (x1) != E_V1024HImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V1024BImode
          || !vector_mask_operand (operands[1], E_V1024BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V1024HImode
          || !vector_merge_operand (operands[2], E_V1024HImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1024HFmode:
          if (!register_operand (operands[3], E_V1024HFmode))
            return -1;
          return 53;

        case E_V1024SFmode:
          if (!register_operand (operands[3], E_V1024SFmode))
            return -1;
          return 54;

        default:
          return -1;
        }

    case E_V2048HImode:
      if (pattern671 (x1, 
E_V2048HImode, 
E_V2048HFmode, 
E_V2048BImode) != 0)
        return -1;
      return 55;

    case E_V1SImode:
      if (!register_operand (operands[0], E_V1SImode)
          || GET_MODE (x1) != E_V1SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V1BImode
          || !vector_mask_operand (operands[1], E_V1BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V1SImode
          || !vector_merge_operand (operands[2], E_V1SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1SFmode:
          if (!register_operand (operands[3], E_V1SFmode))
            return -1;
          return 56;

        case E_V1HFmode:
          if (!register_operand (operands[3], E_V1HFmode))
            return -1;
          return 57;

        case E_V1DFmode:
          if (!register_operand (operands[3], E_V1DFmode))
            return -1;
          return 58;

        default:
          return -1;
        }

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x1) != E_V2SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2BImode
          || !vector_mask_operand (operands[1], E_V2BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V2SImode
          || !vector_merge_operand (operands[2], E_V2SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V2SFmode:
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          return 59;

        case E_V2HFmode:
          if (!register_operand (operands[3], E_V2HFmode))
            return -1;
          return 60;

        case E_V2DFmode:
          if (!register_operand (operands[3], E_V2DFmode))
            return -1;
          return 61;

        default:
          return -1;
        }

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4BImode
          || !vector_mask_operand (operands[1], E_V4BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V4SImode
          || !vector_merge_operand (operands[2], E_V4SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4SFmode:
          if (!register_operand (operands[3], E_V4SFmode))
            return -1;
          return 62;

        case E_V4HFmode:
          if (!register_operand (operands[3], E_V4HFmode))
            return -1;
          return 63;

        case E_V4DFmode:
          if (!register_operand (operands[3], E_V4DFmode))
            return -1;
          return 64;

        default:
          return -1;
        }

    case E_V8SImode:
      if (!register_operand (operands[0], E_V8SImode)
          || GET_MODE (x1) != E_V8SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V8BImode
          || !vector_mask_operand (operands[1], E_V8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V8SImode
          || !vector_merge_operand (operands[2], E_V8SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8SFmode:
          if (!register_operand (operands[3], E_V8SFmode))
            return -1;
          return 65;

        case E_V8HFmode:
          if (!register_operand (operands[3], E_V8HFmode))
            return -1;
          return 66;

        case E_V8DFmode:
          if (!register_operand (operands[3], E_V8DFmode))
            return -1;
          return 67;

        default:
          return -1;
        }

    case E_V16SImode:
      if (!register_operand (operands[0], E_V16SImode)
          || GET_MODE (x1) != E_V16SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V16BImode
          || !vector_mask_operand (operands[1], E_V16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V16SImode
          || !vector_merge_operand (operands[2], E_V16SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V16SFmode:
          if (!register_operand (operands[3], E_V16SFmode))
            return -1;
          return 68;

        case E_V16HFmode:
          if (!register_operand (operands[3], E_V16HFmode))
            return -1;
          return 69;

        case E_V16DFmode:
          if (!register_operand (operands[3], E_V16DFmode))
            return -1;
          return 70;

        default:
          return -1;
        }

    case E_V32SImode:
      if (!register_operand (operands[0], E_V32SImode)
          || GET_MODE (x1) != E_V32SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32BImode
          || !vector_mask_operand (operands[1], E_V32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V32SImode
          || !vector_merge_operand (operands[2], E_V32SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V32SFmode:
          if (!register_operand (operands[3], E_V32SFmode))
            return -1;
          return 71;

        case E_V32HFmode:
          if (!register_operand (operands[3], E_V32HFmode))
            return -1;
          return 72;

        case E_V32DFmode:
          if (!register_operand (operands[3], E_V32DFmode))
            return -1;
          return 73;

        default:
          return -1;
        }

    case E_V64SImode:
      if (!register_operand (operands[0], E_V64SImode)
          || GET_MODE (x1) != E_V64SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V64BImode
          || !vector_mask_operand (operands[1], E_V64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V64SImode
          || !vector_merge_operand (operands[2], E_V64SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V64SFmode:
          if (!register_operand (operands[3], E_V64SFmode))
            return -1;
          return 74;

        case E_V64HFmode:
          if (!register_operand (operands[3], E_V64HFmode))
            return -1;
          return 75;

        case E_V64DFmode:
          if (!register_operand (operands[3], E_V64DFmode))
            return -1;
          return 76;

        default:
          return -1;
        }

    case E_V128SImode:
      if (!register_operand (operands[0], E_V128SImode)
          || GET_MODE (x1) != E_V128SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V128BImode
          || !vector_mask_operand (operands[1], E_V128BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V128SImode
          || !vector_merge_operand (operands[2], E_V128SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V128SFmode:
          if (!register_operand (operands[3], E_V128SFmode))
            return -1;
          return 77;

        case E_V128HFmode:
          if (!register_operand (operands[3], E_V128HFmode))
            return -1;
          return 78;

        case E_V128DFmode:
          if (!register_operand (operands[3], E_V128DFmode))
            return -1;
          return 79;

        default:
          return -1;
        }

    case E_V256SImode:
      if (!register_operand (operands[0], E_V256SImode)
          || GET_MODE (x1) != E_V256SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256BImode
          || !vector_mask_operand (operands[1], E_V256BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V256SImode
          || !vector_merge_operand (operands[2], E_V256SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V256SFmode:
          if (!register_operand (operands[3], E_V256SFmode))
            return -1;
          return 80;

        case E_V256HFmode:
          if (!register_operand (operands[3], E_V256HFmode))
            return -1;
          return 81;

        case E_V256DFmode:
          if (!register_operand (operands[3], E_V256DFmode))
            return -1;
          return 82;

        default:
          return -1;
        }

    case E_V512SImode:
      if (!register_operand (operands[0], E_V512SImode)
          || GET_MODE (x1) != E_V512SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V512BImode
          || !vector_mask_operand (operands[1], E_V512BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V512SImode
          || !vector_merge_operand (operands[2], E_V512SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V512SFmode:
          if (!register_operand (operands[3], E_V512SFmode))
            return -1;
          return 83;

        case E_V512HFmode:
          if (!register_operand (operands[3], E_V512HFmode))
            return -1;
          return 84;

        case E_V512DFmode:
          if (!register_operand (operands[3], E_V512DFmode))
            return -1;
          return 85;

        default:
          return -1;
        }

    case E_V1024SImode:
      if (!register_operand (operands[0], E_V1024SImode)
          || GET_MODE (x1) != E_V1024SImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V1024BImode
          || !vector_mask_operand (operands[1], E_V1024BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V1024SImode
          || !vector_merge_operand (operands[2], E_V1024SImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1024SFmode:
          if (!register_operand (operands[3], E_V1024SFmode))
            return -1;
          return 86;

        case E_V1024HFmode:
          if (!register_operand (operands[3], E_V1024HFmode))
            return -1;
          return 87;

        default:
          return -1;
        }

    case E_V1DImode:
      if (!register_operand (operands[0], E_V1DImode)
          || GET_MODE (x1) != E_V1DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V1BImode
          || !vector_mask_operand (operands[1], E_V1BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V1DImode
          || !vector_merge_operand (operands[2], E_V1DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V1DFmode:
          if (!register_operand (operands[3], E_V1DFmode))
            return -1;
          return 88;

        case E_V1SFmode:
          if (!register_operand (operands[3], E_V1SFmode))
            return -1;
          return 89;

        default:
          return -1;
        }

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V2BImode
          || !vector_mask_operand (operands[1], E_V2BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V2DImode
          || !vector_merge_operand (operands[2], E_V2DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V2DFmode:
          if (!register_operand (operands[3], E_V2DFmode))
            return -1;
          return 90;

        case E_V2SFmode:
          if (!register_operand (operands[3], E_V2SFmode))
            return -1;
          return 91;

        default:
          return -1;
        }

    case E_V4DImode:
      if (!register_operand (operands[0], E_V4DImode)
          || GET_MODE (x1) != E_V4DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V4BImode
          || !vector_mask_operand (operands[1], E_V4BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V4DImode
          || !vector_merge_operand (operands[2], E_V4DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V4DFmode:
          if (!register_operand (operands[3], E_V4DFmode))
            return -1;
          return 92;

        case E_V4SFmode:
          if (!register_operand (operands[3], E_V4SFmode))
            return -1;
          return 93;

        default:
          return -1;
        }

    case E_V8DImode:
      if (!register_operand (operands[0], E_V8DImode)
          || GET_MODE (x1) != E_V8DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V8BImode
          || !vector_mask_operand (operands[1], E_V8BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V8DImode
          || !vector_merge_operand (operands[2], E_V8DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V8DFmode:
          if (!register_operand (operands[3], E_V8DFmode))
            return -1;
          return 94;

        case E_V8SFmode:
          if (!register_operand (operands[3], E_V8SFmode))
            return -1;
          return 95;

        default:
          return -1;
        }

    case E_V16DImode:
      if (!register_operand (operands[0], E_V16DImode)
          || GET_MODE (x1) != E_V16DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V16BImode
          || !vector_mask_operand (operands[1], E_V16BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V16DImode
          || !vector_merge_operand (operands[2], E_V16DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V16DFmode:
          if (!register_operand (operands[3], E_V16DFmode))
            return -1;
          return 96;

        case E_V16SFmode:
          if (!register_operand (operands[3], E_V16SFmode))
            return -1;
          return 97;

        default:
          return -1;
        }

    case E_V32DImode:
      if (!register_operand (operands[0], E_V32DImode)
          || GET_MODE (x1) != E_V32DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V32BImode
          || !vector_mask_operand (operands[1], E_V32BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V32DImode
          || !vector_merge_operand (operands[2], E_V32DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V32DFmode:
          if (!register_operand (operands[3], E_V32DFmode))
            return -1;
          return 98;

        case E_V32SFmode:
          if (!register_operand (operands[3], E_V32SFmode))
            return -1;
          return 99;

        default:
          return -1;
        }

    case E_V64DImode:
      if (!register_operand (operands[0], E_V64DImode)
          || GET_MODE (x1) != E_V64DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V64BImode
          || !vector_mask_operand (operands[1], E_V64BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V64DImode
          || !vector_merge_operand (operands[2], E_V64DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V64DFmode:
          if (!register_operand (operands[3], E_V64DFmode))
            return -1;
          return 100;

        case E_V64SFmode:
          if (!register_operand (operands[3], E_V64SFmode))
            return -1;
          return 101;

        default:
          return -1;
        }

    case E_V128DImode:
      if (!register_operand (operands[0], E_V128DImode)
          || GET_MODE (x1) != E_V128DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V128BImode
          || !vector_mask_operand (operands[1], E_V128BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V128DImode
          || !vector_merge_operand (operands[2], E_V128DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V128DFmode:
          if (!register_operand (operands[3], E_V128DFmode))
            return -1;
          return 102;

        case E_V128SFmode:
          if (!register_operand (operands[3], E_V128SFmode))
            return -1;
          return 103;

        default:
          return -1;
        }

    case E_V256DImode:
      if (!register_operand (operands[0], E_V256DImode)
          || GET_MODE (x1) != E_V256DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V256BImode
          || !vector_mask_operand (operands[1], E_V256BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V256DImode
          || !vector_merge_operand (operands[2], E_V256DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V256DFmode:
          if (!register_operand (operands[3], E_V256DFmode))
            return -1;
          return 104;

        case E_V256SFmode:
          if (!register_operand (operands[3], E_V256SFmode))
            return -1;
          return 105;

        default:
          return -1;
        }

    case E_V512DImode:
      if (!register_operand (operands[0], E_V512DImode)
          || GET_MODE (x1) != E_V512DImode)
        return -1;
      x2 = XEXP (x1, 0);
      if (GET_MODE (x2) != E_V512BImode
          || !vector_mask_operand (operands[1], E_V512BImode))
        return -1;
      x3 = XEXP (x1, 1);
      if (GET_MODE (x3) != E_V512DImode
          || !vector_merge_operand (operands[2], E_V512DImode))
        return -1;
      switch (GET_MODE (operands[3]))
        {
        case E_V512DFmode:
          if (!register_operand (operands[3], E_V512DFmode))
            return -1;
          return 106;

        case E_V512SFmode:
          if (!register_operand (operands[3], E_V512SFmode))
            return -1;
          return 107;

        default:
          return -1;
        }

    case E_RVVM4QImode:
      if (pattern671 (x1, 
E_RVVM4QImode, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0)
        return -1;
      return 108;

    case E_RVVM2QImode:
      if (pattern671 (x1, 
E_RVVM2QImode, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0)
        return -1;
      return 109;

    case E_RVVM1QImode:
      if (pattern671 (x1, 
E_RVVM1QImode, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0)
        return -1;
      return 110;

    case E_RVVMF2QImode:
      if (pattern671 (x1, 
E_RVVMF2QImode, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0)
        return -1;
      return 111;

    case E_RVVMF4QImode:
      if (pattern671 (x1, 
E_RVVMF4QImode, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0)
        return -1;
      return 112;

    case E_RVVMF8QImode:
      if (pattern671 (x1, 
E_RVVMF8QImode, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
        return -1;
      return 113;

    case E_V1QImode:
      if (pattern671 (x1, 
E_V1QImode, 
E_V1HFmode, 
E_V1BImode) != 0)
        return -1;
      return 114;

    case E_V2QImode:
      if (pattern671 (x1, 
E_V2QImode, 
E_V2HFmode, 
E_V2BImode) != 0)
        return -1;
      return 115;

    case E_V4QImode:
      if (pattern671 (x1, 
E_V4QImode, 
E_V4HFmode, 
E_V4BImode) != 0)
        return -1;
      return 116;

    case E_V8QImode:
      if (pattern671 (x1, 
E_V8QImode, 
E_V8HFmode, 
E_V8BImode) != 0)
        return -1;
      return 117;

    case E_V16QImode:
      if (pattern671 (x1, 
E_V16QImode, 
E_V16HFmode, 
E_V16BImode) != 0)
        return -1;
      return 118;

    case E_V32QImode:
      if (pattern671 (x1, 
E_V32QImode, 
E_V32HFmode, 
E_V32BImode) != 0)
        return -1;
      return 119;

    case E_V64QImode:
      if (pattern671 (x1, 
E_V64QImode, 
E_V64HFmode, 
E_V64BImode) != 0)
        return -1;
      return 120;

    case E_V128QImode:
      if (pattern671 (x1, 
E_V128QImode, 
E_V128HFmode, 
E_V128BImode) != 0)
        return -1;
      return 121;

    case E_V256QImode:
      if (pattern671 (x1, 
E_V256QImode, 
E_V256HFmode, 
E_V256BImode) != 0)
        return -1;
      return 122;

    case E_V512QImode:
      if (pattern671 (x1, 
E_V512QImode, 
E_V512HFmode, 
E_V512BImode) != 0)
        return -1;
      return 123;

    case E_V1024QImode:
      if (pattern671 (x1, 
E_V1024QImode, 
E_V1024HFmode, 
E_V1024BImode) != 0)
        return -1;
      return 124;

    case E_V2048QImode:
      if (pattern671 (x1, 
E_V2048QImode, 
E_V2048HFmode, 
E_V2048BImode) != 0)
        return -1;
      return 125;

    default:
      return -1;
    }
}

 int
recog_16 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (XVECLEN (x3, 0))
    {
    case 1:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      switch (XINT (x3, 1))
        {
        case 23:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2186 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 179; /* lrintsfsi2_sext */

            case 1:
              if (!(
#line 2186 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 180; /* lrintdfsi2_sext */

            case 2:
              if (!(
#line 2186 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 181; /* lrinthfsi2_sext */

            default:
              return -1;
            }

        case 17:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 203; /* lroundsfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 209; /* lrounddfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 215; /* lroundhfsi2_sext */

            default:
              return -1;
            }

        case 18:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 204; /* lfloorsfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 210; /* lfloordfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 216; /* lfloorhfsi2_sext */

            default:
              return -1;
            }

        case 19:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 205; /* lceilsfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 211; /* lceildfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 217; /* lceilhfsi2_sext */

            default:
              return -1;
            }

        case 20:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 206; /* lbtruncsfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 212; /* lbtruncdfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 218; /* lbtrunchfsi2_sext */

            default:
              return -1;
            }

        case 21:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 207; /* lroundevensfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 213; /* lroundevendfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 219; /* lroundevenhfsi2_sext */

            default:
              return -1;
            }

        case 22:
          switch (pattern400 ())
            {
            case 0:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
                return -1;
              return 208; /* lnearbyintsfsi2_sext */

            case 1:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
                return -1;
              return 214; /* lnearbyintdfsi2_sext */

            case 2:
              if (!(
#line 2235 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && (TARGET_HARD_FLOAT || TARGET_ZFINX)) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
                return -1;
              return 220; /* lnearbyinthfsi2_sext */

            default:
              return -1;
            }

        case 62:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
            return -1;
          return 698; /* riscv_sha256sig0_di_extended */

        case 63:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
            return -1;
          return 699; /* riscv_sha256sig1_di_extended */

        case 64:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
            return -1;
          return 700; /* riscv_sha256sum0_di_extended */

        case 65:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNH && TARGET_64BIT))
            return -1;
          return 701; /* riscv_sha256sum1_di_extended */

        case 76:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 465 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSH && TARGET_64BIT))
            return -1;
          return 714; /* riscv_sm3p0_di_extended */

        case 77:
          if (!register_operand (operands[1], E_SImode)
              || !
#line 465 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSH && TARGET_64BIT))
            return -1;
          return 715; /* riscv_sm3p1_di_extended */

        default:
          return -1;
        }

    case 3:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode
          || GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x5 = XVECEXP (x3, 0, 1);
      operands[2] = x5;
      if (!register_operand (operands[2], E_SImode))
        return -1;
      x6 = XVECEXP (x3, 0, 2);
      operands[3] = x6;
      if (!const_0_3_operand (operands[3], E_SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 78:
          if (!
#line 510 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSED && TARGET_64BIT))
            return -1;
          return 718; /* riscv_sm4ed_di_extended */

        case 79:
          if (!
#line 510 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSED && TARGET_64BIT))
            return -1;
          return 719; /* riscv_sm4ks_di_extended */

        default:
          return -1;
        }

    case 2:
      return recog_15 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_18 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_SImode) != 0)
        return -1;
      if ((
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADMAC) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
        return 907; /* *th_mulssi */
      if (
#line 373 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADMAC && TARGET_64BIT))
        return 910; /* *th_mulswsi2 */
      if (!
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVMAC && !TARGET_64BIT))
        return -1;
      return 33906; /* riscv_cv_mac_msu */

    case E_DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_DImode) != 0
          || !(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADMAC) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
        return -1;
      return 908; /* *th_mulsdi */

    case E_RVVM8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8QImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27247; /* fnmarvvm8qi4 */

    case E_RVVM4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4QImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27248; /* fnmarvvm4qi4 */

    case E_RVVM2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2QImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27249; /* fnmarvvm2qi4 */

    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1QImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27250; /* fnmarvvm1qi4 */

    case E_RVVM8HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8HImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27251; /* fnmarvvm8hi4 */

    case E_RVVM4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4HImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27252; /* fnmarvvm4hi4 */

    case E_RVVM2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2HImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27253; /* fnmarvvm2hi4 */

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1HImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27254; /* fnmarvvm1hi4 */

    case E_RVVM8SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8SImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27255; /* fnmarvvm8si4 */

    case E_RVVM4SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4SImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27256; /* fnmarvvm4si4 */

    case E_RVVM2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2SImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27257; /* fnmarvvm2si4 */

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1SImode) != 0
          || !
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 27258; /* fnmarvvm1si4 */

    case E_RVVM8DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27259; /* fnmarvvm8di4 */

    case E_RVVM4DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27260; /* fnmarvvm4di4 */

    case E_RVVM2DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27261; /* fnmarvvm2di4 */

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27262; /* fnmarvvm1di4 */

    case E_RVVMF2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 27263; /* fnmarvvmf2qi4 */

    case E_RVVMF4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 27264; /* fnmarvvmf4qi4 */

    case E_RVVMF8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF8QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 27265; /* fnmarvvmf8qi4 */

    case E_RVVMF2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 27266; /* fnmarvvmf2hi4 */

    case E_RVVMF4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 27267; /* fnmarvvmf4hi4 */

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 27268; /* fnmarvvmf2si4 */

    case E_V1QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 27269; /* fnmav1qi4 */

    case E_V2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 27270; /* fnmav2qi4 */

    case E_V4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 27271; /* fnmav4qi4 */

    case E_V8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 27272; /* fnmav8qi4 */

    case E_V16QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 27273; /* fnmav16qi4 */

    case E_V32QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 27274; /* fnmav32qi4 */

    case E_V64QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27275; /* fnmav64qi4 */

    case E_V128QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27276; /* fnmav128qi4 */

    case E_V256QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27277; /* fnmav256qi4 */

    case E_V512QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27278; /* fnmav512qi4 */

    case E_V1024QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27279; /* fnmav1024qi4 */

    case E_V2048QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27280; /* fnmav2048qi4 */

    case E_V4096QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4096QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27281; /* fnmav4096qi4 */

    case E_V1HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 27282; /* fnmav1hi4 */

    case E_V2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 27283; /* fnmav2hi4 */

    case E_V4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 27284; /* fnmav4hi4 */

    case E_V8HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 27285; /* fnmav8hi4 */

    case E_V16HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 27286; /* fnmav16hi4 */

    case E_V32HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27287; /* fnmav32hi4 */

    case E_V64HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27288; /* fnmav64hi4 */

    case E_V128HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27289; /* fnmav128hi4 */

    case E_V256HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27290; /* fnmav256hi4 */

    case E_V512HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27291; /* fnmav512hi4 */

    case E_V1024HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27292; /* fnmav1024hi4 */

    case E_V2048HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27293; /* fnmav2048hi4 */

    case E_V1SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 27294; /* fnmav1si4 */

    case E_V2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 27295; /* fnmav2si4 */

    case E_V4SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 27296; /* fnmav4si4 */

    case E_V8SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 27297; /* fnmav8si4 */

    case E_V16SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27298; /* fnmav16si4 */

    case E_V32SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27299; /* fnmav32si4 */

    case E_V64SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27300; /* fnmav64si4 */

    case E_V128SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27301; /* fnmav128si4 */

    case E_V256SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27302; /* fnmav256si4 */

    case E_V512SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27303; /* fnmav512si4 */

    case E_V1024SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27304; /* fnmav1024si4 */

    case E_V1DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27305; /* fnmav1di4 */

    case E_V2DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27306; /* fnmav2di4 */

    case E_V4DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 27307; /* fnmav4di4 */

    case E_V8DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27308; /* fnmav8di4 */

    case E_V16DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27309; /* fnmav16di4 */

    case E_V32DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27310; /* fnmav32di4 */

    case E_V64DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27311; /* fnmav64di4 */

    case E_V128DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27312; /* fnmav128di4 */

    case E_V256DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27313; /* fnmav256di4 */

    case E_V512DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512DImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27314; /* fnmav512di4 */

    case E_RVVM8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27363; /* fnmarvvm8hf4 */

    case E_RVVM4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27364; /* fnmarvvm4hf4 */

    case E_RVVM2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27365; /* fnmarvvm2hf4 */

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27366; /* fnmarvvm1hf4 */

    case E_RVVMF2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27367; /* fnmarvvmf2hf4 */

    case E_RVVMF4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 27368; /* fnmarvvmf4hf4 */

    case E_RVVM8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27369; /* fnmarvvm8sf4 */

    case E_RVVM4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27370; /* fnmarvvm4sf4 */

    case E_RVVM2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27371; /* fnmarvvm2sf4 */

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27372; /* fnmarvvm1sf4 */

    case E_RVVMF2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 27373; /* fnmarvvmf2sf4 */

    case E_RVVM8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27374; /* fnmarvvm8df4 */

    case E_RVVM4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27375; /* fnmarvvm4df4 */

    case E_RVVM2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27376; /* fnmarvvm2df4 */

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27377; /* fnmarvvm1df4 */

    case E_V1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 27378; /* fnmav1hf4 */

    case E_V2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 27379; /* fnmav2hf4 */

    case E_V4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 27380; /* fnmav4hf4 */

    case E_V8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 27381; /* fnmav8hf4 */

    case E_V16HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 27382; /* fnmav16hf4 */

    case E_V32HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27383; /* fnmav32hf4 */

    case E_V64HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27384; /* fnmav64hf4 */

    case E_V128HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27385; /* fnmav128hf4 */

    case E_V256HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27386; /* fnmav256hf4 */

    case E_V512HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27387; /* fnmav512hf4 */

    case E_V1024HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27388; /* fnmav1024hf4 */

    case E_V2048HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048HFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27389; /* fnmav2048hf4 */

    case E_V1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27390; /* fnmav1sf4 */

    case E_V2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27391; /* fnmav2sf4 */

    case E_V4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27392; /* fnmav4sf4 */

    case E_V8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27393; /* fnmav8sf4 */

    case E_V16SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27394; /* fnmav16sf4 */

    case E_V32SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27395; /* fnmav32sf4 */

    case E_V64SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27396; /* fnmav64sf4 */

    case E_V128SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27397; /* fnmav128sf4 */

    case E_V256SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27398; /* fnmav256sf4 */

    case E_V512SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27399; /* fnmav512sf4 */

    case E_V1024SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024SFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27400; /* fnmav1024sf4 */

    case E_V1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27401; /* fnmav1df4 */

    case E_V2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27402; /* fnmav2df4 */

    case E_V4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27403; /* fnmav4df4 */

    case E_V8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27404; /* fnmav8df4 */

    case E_V16DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27405; /* fnmav16df4 */

    case E_V32DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27406; /* fnmav32df4 */

    case E_V64DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27407; /* fnmav64df4 */

    case E_V128DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27408; /* fnmav128df4 */

    case E_V256DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27409; /* fnmav256df4 */

    case E_V512DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512DFmode) != 0
          || !(
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27410; /* fnmav512df4 */

    default:
      return -1;
    }
}

 int
recog_30 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern160 (x2))
    {
    case 0:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29858; /* *narrow_ashrextendrvvm8hi */

    case 1:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29862; /* *narrow_ashrextendrvvm4hi */

    case 2:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29866; /* *narrow_ashrextendrvvm2hi */

    case 3:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29870; /* *narrow_ashrextendrvvm1hi */

    case 4:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29874; /* *narrow_ashrextendrvvmf2hi */

    case 5:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29878; /* *narrow_ashrextendrvvmf4hi */

    case 6:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29882; /* *narrow_ashrextendrvvm8si */

    case 7:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29886; /* *narrow_ashrextendrvvm4si */

    case 8:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29890; /* *narrow_ashrextendrvvm2si */

    case 9:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29894; /* *narrow_ashrextendrvvm1si */

    case 10:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29898; /* *narrow_ashrextendrvvmf2si */

    case 11:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29902; /* *narrow_ashrextendrvvm8di */

    case 12:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29906; /* *narrow_ashrextendrvvm4di */

    case 13:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29910; /* *narrow_ashrextendrvvm2di */

    case 14:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29914; /* *narrow_ashrextendrvvm1di */

    case 15:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29918; /* *narrow_ashrextendv1hi */

    case 16:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29922; /* *narrow_ashrextendv2hi */

    case 17:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29926; /* *narrow_ashrextendv4hi */

    case 18:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29930; /* *narrow_ashrextendv8hi */

    case 19:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29934; /* *narrow_ashrextendv16hi */

    case 20:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29938; /* *narrow_ashrextendv32hi */

    case 21:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29942; /* *narrow_ashrextendv64hi */

    case 22:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29946; /* *narrow_ashrextendv128hi */

    case 23:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29950; /* *narrow_ashrextendv256hi */

    case 24:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29954; /* *narrow_ashrextendv512hi */

    case 25:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29958; /* *narrow_ashrextendv1024hi */

    case 26:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29962; /* *narrow_ashrextendv2048hi */

    case 27:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29966; /* *narrow_ashrextendv1si */

    case 28:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29970; /* *narrow_ashrextendv2si */

    case 29:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29974; /* *narrow_ashrextendv4si */

    case 30:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29978; /* *narrow_ashrextendv8si */

    case 31:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29982; /* *narrow_ashrextendv16si */

    case 32:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29986; /* *narrow_ashrextendv32si */

    case 33:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29990; /* *narrow_ashrextendv64si */

    case 34:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29994; /* *narrow_ashrextendv128si */

    case 35:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29998; /* *narrow_ashrextendv256si */

    case 36:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30002; /* *narrow_ashrextendv512si */

    case 37:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30006; /* *narrow_ashrextendv1024si */

    case 38:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30010; /* *narrow_ashrextendv1di */

    case 39:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30014; /* *narrow_ashrextendv2di */

    case 40:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30018; /* *narrow_ashrextendv4di */

    case 41:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 30022; /* *narrow_ashrextendv8di */

    case 42:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 30026; /* *narrow_ashrextendv16di */

    case 43:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 30030; /* *narrow_ashrextendv32di */

    case 44:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 30034; /* *narrow_ashrextendv64di */

    case 45:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30038; /* *narrow_ashrextendv128di */

    case 46:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30042; /* *narrow_ashrextendv256di */

    case 47:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30046; /* *narrow_ashrextendv512di */

    case 48:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29860; /* *narrow_ashrzero_extendrvvm8hi */

    case 49:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29864; /* *narrow_ashrzero_extendrvvm4hi */

    case 50:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29868; /* *narrow_ashrzero_extendrvvm2hi */

    case 51:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29872; /* *narrow_ashrzero_extendrvvm1hi */

    case 52:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29876; /* *narrow_ashrzero_extendrvvmf2hi */

    case 53:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29880; /* *narrow_ashrzero_extendrvvmf4hi */

    case 54:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29884; /* *narrow_ashrzero_extendrvvm8si */

    case 55:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29888; /* *narrow_ashrzero_extendrvvm4si */

    case 56:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29892; /* *narrow_ashrzero_extendrvvm2si */

    case 57:
      if (!
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 29896; /* *narrow_ashrzero_extendrvvm1si */

    case 58:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 29900; /* *narrow_ashrzero_extendrvvmf2si */

    case 59:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29904; /* *narrow_ashrzero_extendrvvm8di */

    case 60:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29908; /* *narrow_ashrzero_extendrvvm4di */

    case 61:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29912; /* *narrow_ashrzero_extendrvvm2di */

    case 62:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 29916; /* *narrow_ashrzero_extendrvvm1di */

    case 63:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 29920; /* *narrow_ashrzero_extendv1hi */

    case 64:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 29924; /* *narrow_ashrzero_extendv2hi */

    case 65:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 29928; /* *narrow_ashrzero_extendv4hi */

    case 66:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 29932; /* *narrow_ashrzero_extendv8hi */

    case 67:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 29936; /* *narrow_ashrzero_extendv16hi */

    case 68:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29940; /* *narrow_ashrzero_extendv32hi */

    case 69:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29944; /* *narrow_ashrzero_extendv64hi */

    case 70:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29948; /* *narrow_ashrzero_extendv128hi */

    case 71:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29952; /* *narrow_ashrzero_extendv256hi */

    case 72:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 29956; /* *narrow_ashrzero_extendv512hi */

    case 73:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 29960; /* *narrow_ashrzero_extendv1024hi */

    case 74:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 29964; /* *narrow_ashrzero_extendv2048hi */

    case 75:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 29968; /* *narrow_ashrzero_extendv1si */

    case 76:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 29972; /* *narrow_ashrzero_extendv2si */

    case 77:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 29976; /* *narrow_ashrzero_extendv4si */

    case 78:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 29980; /* *narrow_ashrzero_extendv8si */

    case 79:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 29984; /* *narrow_ashrzero_extendv16si */

    case 80:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 29988; /* *narrow_ashrzero_extendv32si */

    case 81:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 29992; /* *narrow_ashrzero_extendv64si */

    case 82:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 29996; /* *narrow_ashrzero_extendv128si */

    case 83:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30000; /* *narrow_ashrzero_extendv256si */

    case 84:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30004; /* *narrow_ashrzero_extendv512si */

    case 85:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30008; /* *narrow_ashrzero_extendv1024si */

    case 86:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30012; /* *narrow_ashrzero_extendv1di */

    case 87:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30016; /* *narrow_ashrzero_extendv2di */

    case 88:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30020; /* *narrow_ashrzero_extendv4di */

    case 89:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 30024; /* *narrow_ashrzero_extendv8di */

    case 90:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 30028; /* *narrow_ashrzero_extendv16di */

    case 91:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 30032; /* *narrow_ashrzero_extendv32di */

    case 92:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 30036; /* *narrow_ashrzero_extendv64di */

    case 93:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30040; /* *narrow_ashrzero_extendv128di */

    case 94:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30044; /* *narrow_ashrzero_extendv256di */

    case 95:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30048; /* *narrow_ashrzero_extendv512di */

    case 96:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30050; /* *narrow_ashrrvvm8hi_scalar */

    case 97:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30052; /* *narrow_ashrrvvm4hi_scalar */

    case 98:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30054; /* *narrow_ashrrvvm2hi_scalar */

    case 99:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30056; /* *narrow_ashrrvvm1hi_scalar */

    case 100:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30058; /* *narrow_ashrrvvmf2hi_scalar */

    case 101:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 30060; /* *narrow_ashrrvvmf4hi_scalar */

    case 102:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30062; /* *narrow_ashrrvvm8si_scalar */

    case 103:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30064; /* *narrow_ashrrvvm4si_scalar */

    case 104:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30066; /* *narrow_ashrrvvm2si_scalar */

    case 105:
      if (!
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 30068; /* *narrow_ashrrvvm1si_scalar */

    case 106:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 30070; /* *narrow_ashrrvvmf2si_scalar */

    case 107:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30072; /* *narrow_ashrrvvm8di_scalar */

    case 108:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30074; /* *narrow_ashrrvvm4di_scalar */

    case 109:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30076; /* *narrow_ashrrvvm2di_scalar */

    case 110:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30078; /* *narrow_ashrrvvm1di_scalar */

    case 111:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 30080; /* *narrow_ashrv1hi_scalar */

    case 112:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 30082; /* *narrow_ashrv2hi_scalar */

    case 113:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 30084; /* *narrow_ashrv4hi_scalar */

    case 114:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 30086; /* *narrow_ashrv8hi_scalar */

    case 115:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 30088; /* *narrow_ashrv16hi_scalar */

    case 116:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 30090; /* *narrow_ashrv32hi_scalar */

    case 117:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 30092; /* *narrow_ashrv64hi_scalar */

    case 118:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 30094; /* *narrow_ashrv128hi_scalar */

    case 119:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 30096; /* *narrow_ashrv256hi_scalar */

    case 120:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30098; /* *narrow_ashrv512hi_scalar */

    case 121:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30100; /* *narrow_ashrv1024hi_scalar */

    case 122:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30102; /* *narrow_ashrv2048hi_scalar */

    case 123:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 30104; /* *narrow_ashrv1si_scalar */

    case 124:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 30106; /* *narrow_ashrv2si_scalar */

    case 125:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 30108; /* *narrow_ashrv4si_scalar */

    case 126:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 30110; /* *narrow_ashrv8si_scalar */

    case 127:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 30112; /* *narrow_ashrv16si_scalar */

    case 128:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 30114; /* *narrow_ashrv32si_scalar */

    case 129:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 30116; /* *narrow_ashrv64si_scalar */

    case 130:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 30118; /* *narrow_ashrv128si_scalar */

    case 131:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30120; /* *narrow_ashrv256si_scalar */

    case 132:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30122; /* *narrow_ashrv512si_scalar */

    case 133:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30124; /* *narrow_ashrv1024si_scalar */

    case 134:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30126; /* *narrow_ashrv1di_scalar */

    case 135:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30128; /* *narrow_ashrv2di_scalar */

    case 136:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 30130; /* *narrow_ashrv4di_scalar */

    case 137:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 30132; /* *narrow_ashrv8di_scalar */

    case 138:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 30134; /* *narrow_ashrv16di_scalar */

    case 139:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 30136; /* *narrow_ashrv32di_scalar */

    case 140:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 30138; /* *narrow_ashrv64di_scalar */

    case 141:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 30140; /* *narrow_ashrv128di_scalar */

    case 142:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 30142; /* *narrow_ashrv256di_scalar */

    case 143:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 30144; /* *narrow_ashrv512di_scalar */

    default:
      return -1;
    }
}

 int
recog_44 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_SFmode:
      if (pattern168 (x3, 
E_SFmode) != 0
          || !
#line 1620 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))
        return -1;
      return 81; /* copysignsf3 */

    case E_DFmode:
      if (pattern168 (x3, 
E_DFmode) != 0
          || !(
#line 1620 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
        return -1;
      return 82; /* copysigndf3 */

    case E_HFmode:
      if (pattern168 (x3, 
E_HFmode) != 0
          || !(
#line 1620 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
        return -1;
      return 83; /* copysignhf3 */

    default:
      return -1;
    }
}

 int
recog_49 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (pattern388 (x3, 
E_SImode) != 0)
        return -1;
      *pnum_clobbers = 1;
      return 477; /* stack_protect_test_si */

    case E_DImode:
      if (pattern388 (x3, 
E_DImode) != 0
          || !
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))
        return -1;
      *pnum_clobbers = 1;
      return 478; /* stack_protect_test_di */

    default:
      return -1;
    }
}

 int
recog_54 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode))
        return -1;
      switch (pattern176 ())
        {
        case 0:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))))
            return -1;
          return 405; /* fclasssfsi */

        case 1:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX))))
            return -1;
          return 407; /* fclassdfsi */

        case 2:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX))))
            return -1;
          return 409; /* fclasshfsi */

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode))
        return -1;
      switch (pattern176 ())
        {
        case 0:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX))))
            return -1;
          return 406; /* fclasssfdi */

        case 1:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX))))
            return -1;
          return 408; /* fclassdfdi */

        case 2:
          if (!(
#line 3595 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_HARD_FLOAT) && (
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX))))
            return -1;
          return 410; /* fclasshfdi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_60 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_RVVMF4BImode))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_RVVMF4BImode
      || !register_operand (operands[3], E_RVVMF4BImode))
    return -1;
  x3 = XVECEXP (x2, 0, 2);
  if (GET_MODE (x3) != E_RVVMF4BImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  switch (GET_MODE (x4))
    {
    case E_RVVM2QImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM2QImode
          || !register_operand (operands[2], E_QImode)
          || !register_operand (operands[1], E_RVVM2QImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8691; /* pred_madcrvvm2qi_scalar */

    case E_RVVM4HImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM4HImode
          || !register_operand (operands[2], E_HImode)
          || !register_operand (operands[1], E_RVVM4HImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8697; /* pred_madcrvvm4hi_scalar */

    case E_RVVM8SImode:
      x5 = XEXP (x4, 0);
      if (GET_MODE (x5) != E_RVVM8SImode
          || !register_operand (operands[2], E_SImode)
          || !register_operand (operands[1], E_RVVM8SImode)
          || !
#line 3496 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 8702; /* pred_madcrvvm8si_scalar */

    default:
      return -1;
    }
}

 int
recog_65 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      switch (pattern677 (x2, 
E_RVVM1QImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18129; /* pred_redminrvvm8qi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18137; /* pred_redminrvvm4qi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18145; /* pred_redminrvvm2qi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18153; /* pred_redminrvvm1qi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18257; /* pred_redminrvvmf2qi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18265; /* pred_redminrvvmf4qi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18273; /* pred_redminrvvmf8qi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 18305; /* pred_redminv1qi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 18313; /* pred_redminv2qi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 18321; /* pred_redminv4qi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 18329; /* pred_redminv8qi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 18337; /* pred_redminv16qi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 18345; /* pred_redminv32qi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18353; /* pred_redminv64qi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18361; /* pred_redminv128qi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18369; /* pred_redminv256qi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18377; /* pred_redminv512qi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18385; /* pred_redminv1024qi */

        case 18:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18393; /* pred_redminv2048qi */

        case 19:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18401; /* pred_redminv4096qi */

        default:
          return -1;
        }

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      switch (pattern678 (x2, 
E_RVVM1HImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18161; /* pred_redminrvvm8hi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18169; /* pred_redminrvvm4hi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18177; /* pred_redminrvvm2hi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18185; /* pred_redminrvvm1hi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18281; /* pred_redminrvvmf2hi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18289; /* pred_redminrvvmf4hi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 18409; /* pred_redminv1hi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 18417; /* pred_redminv2hi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 18425; /* pred_redminv4hi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 18433; /* pred_redminv8hi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 18441; /* pred_redminv16hi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18449; /* pred_redminv32hi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18457; /* pred_redminv64hi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18465; /* pred_redminv128hi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18473; /* pred_redminv256hi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18481; /* pred_redminv512hi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18489; /* pred_redminv1024hi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18497; /* pred_redminv2048hi */

        default:
          return -1;
        }

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern679 (x2, 
E_RVVM1SImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18193; /* pred_redminrvvm8si */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18201; /* pred_redminrvvm4si */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18209; /* pred_redminrvvm2si */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18217; /* pred_redminrvvm1si */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18297; /* pred_redminrvvmf2si */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 18505; /* pred_redminv1si */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 18513; /* pred_redminv2si */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 18521; /* pred_redminv4si */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 18529; /* pred_redminv8si */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18537; /* pred_redminv16si */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18545; /* pred_redminv32si */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18553; /* pred_redminv64si */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18561; /* pred_redminv128si */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18569; /* pred_redminv256si */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18577; /* pred_redminv512si */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18585; /* pred_redminv1024si */

        default:
          return -1;
        }

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern680 (x2))
        {
        case 0:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18225; /* pred_redminrvvm8di */

        case 1:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18233; /* pred_redminrvvm4di */

        case 2:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18241; /* pred_redminrvvm2di */

        case 3:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18249; /* pred_redminrvvm1di */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18593; /* pred_redminv1di */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18601; /* pred_redminv2di */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18609; /* pred_redminv4di */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18617; /* pred_redminv8di */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18625; /* pred_redminv16di */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18633; /* pred_redminv32di */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18641; /* pred_redminv64di */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18649; /* pred_redminv128di */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18657; /* pred_redminv256di */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18665; /* pred_redminv512di */

        default:
          return -1;
        }

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      switch (pattern681 (x2, 
E_RVVM1HFmode))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19430; /* pred_redminrvvm8hf */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19432; /* pred_redminrvvm4hf */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19434; /* pred_redminrvvm2hf */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19436; /* pred_redminrvvm1hf */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19438; /* pred_redminrvvmf2hf */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19440; /* pred_redminrvvmf4hf */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
            return -1;
          return 19460; /* pred_redminv1hf */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
            return -1;
          return 19462; /* pred_redminv2hf */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
            return -1;
          return 19464; /* pred_redminv4hf */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
            return -1;
          return 19466; /* pred_redminv8hf */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
            return -1;
          return 19468; /* pred_redminv16hf */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19470; /* pred_redminv32hf */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19472; /* pred_redminv64hf */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19474; /* pred_redminv128hf */

        case 14:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19476; /* pred_redminv256hf */

        case 15:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19478; /* pred_redminv512hf */

        case 16:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19480; /* pred_redminv1024hf */

        case 17:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19482; /* pred_redminv2048hf */

        default:
          return -1;
        }

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      switch (pattern682 (x2, 
E_RVVM1SFmode))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19442; /* pred_redminrvvm8sf */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19444; /* pred_redminrvvm4sf */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19446; /* pred_redminrvvm2sf */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19448; /* pred_redminrvvm1sf */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19450; /* pred_redminrvvmf2sf */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19484; /* pred_redminv1sf */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19486; /* pred_redminv2sf */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19488; /* pred_redminv4sf */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19490; /* pred_redminv8sf */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19492; /* pred_redminv16sf */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19494; /* pred_redminv32sf */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19496; /* pred_redminv64sf */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19498; /* pred_redminv128sf */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19500; /* pred_redminv256sf */

        case 14:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19502; /* pred_redminv512sf */

        case 15:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19504; /* pred_redminv1024sf */

        default:
          return -1;
        }

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      switch (pattern683 (x2))
        {
        case 0:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19452; /* pred_redminrvvm8df */

        case 1:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19454; /* pred_redminrvvm4df */

        case 2:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19456; /* pred_redminrvvm2df */

        case 3:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19458; /* pred_redminrvvm1df */

        case 4:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19506; /* pred_redminv1df */

        case 5:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19508; /* pred_redminv2df */

        case 6:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19510; /* pred_redminv4df */

        case 7:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19512; /* pred_redminv8df */

        case 8:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19514; /* pred_redminv16df */

        case 9:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19516; /* pred_redminv32df */

        case 10:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19518; /* pred_redminv64df */

        case 11:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19520; /* pred_redminv128df */

        case 12:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19522; /* pred_redminv256df */

        case 13:
          if (!(
#line 7867 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19524; /* pred_redminv512df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_75 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      switch (pattern677 (x2, 
E_RVVM1QImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18130; /* pred_redandrvvm8qi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18138; /* pred_redandrvvm4qi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18146; /* pred_redandrvvm2qi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18154; /* pred_redandrvvm1qi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18258; /* pred_redandrvvmf2qi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18266; /* pred_redandrvvmf4qi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18274; /* pred_redandrvvmf8qi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 18306; /* pred_redandv1qi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 18314; /* pred_redandv2qi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 18322; /* pred_redandv4qi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 18330; /* pred_redandv8qi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 18338; /* pred_redandv16qi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 18346; /* pred_redandv32qi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18354; /* pred_redandv64qi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18362; /* pred_redandv128qi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18370; /* pred_redandv256qi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18378; /* pred_redandv512qi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18386; /* pred_redandv1024qi */

        case 18:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18394; /* pred_redandv2048qi */

        case 19:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18402; /* pred_redandv4096qi */

        default:
          return -1;
        }

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      switch (pattern678 (x2, 
E_RVVM1HImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18162; /* pred_redandrvvm8hi */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18170; /* pred_redandrvvm4hi */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18178; /* pred_redandrvvm2hi */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18186; /* pred_redandrvvm1hi */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 18282; /* pred_redandrvvmf2hi */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18290; /* pred_redandrvvmf4hi */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 18410; /* pred_redandv1hi */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 18418; /* pred_redandv2hi */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 18426; /* pred_redandv4hi */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 18434; /* pred_redandv8hi */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 18442; /* pred_redandv16hi */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18450; /* pred_redandv32hi */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18458; /* pred_redandv64hi */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18466; /* pred_redandv128hi */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18474; /* pred_redandv256hi */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18482; /* pred_redandv512hi */

        case 16:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18490; /* pred_redandv1024hi */

        case 17:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18498; /* pred_redandv2048hi */

        default:
          return -1;
        }

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      switch (pattern679 (x2, 
E_RVVM1SImode))
        {
        case 0:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18194; /* pred_redandrvvm8si */

        case 1:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18202; /* pred_redandrvvm4si */

        case 2:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18210; /* pred_redandrvvm2si */

        case 3:
          if (!
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 18218; /* pred_redandrvvm1si */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 18298; /* pred_redandrvvmf2si */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 18506; /* pred_redandv1si */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 18514; /* pred_redandv2si */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 18522; /* pred_redandv4si */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 18530; /* pred_redandv8si */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18538; /* pred_redandv16si */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18546; /* pred_redandv32si */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18554; /* pred_redandv64si */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18562; /* pred_redandv128si */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18570; /* pred_redandv256si */

        case 14:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18578; /* pred_redandv512si */

        case 15:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18586; /* pred_redandv1024si */

        default:
          return -1;
        }

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      switch (pattern680 (x2))
        {
        case 0:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18226; /* pred_redandrvvm8di */

        case 1:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18234; /* pred_redandrvvm4di */

        case 2:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18242; /* pred_redandrvvm2di */

        case 3:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18250; /* pred_redandrvvm1di */

        case 4:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18594; /* pred_redandv1di */

        case 5:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18602; /* pred_redandv2di */

        case 6:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 18610; /* pred_redandv4di */

        case 7:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 18618; /* pred_redandv8di */

        case 8:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 18626; /* pred_redandv16di */

        case 9:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 18634; /* pred_redandv32di */

        case 10:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 18642; /* pred_redandv64di */

        case 11:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 18650; /* pred_redandv128di */

        case 12:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 18658; /* pred_redandv256di */

        case 13:
          if (!(
#line 7781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 18666; /* pred_redandv512di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_83 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      switch (pattern681 (x2, 
E_RVVM1HFmode))
        {
        case 0:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19621; /* pred_redosumrvvm8hf */

        case 1:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19623; /* pred_redosumrvvm4hf */

        case 2:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19625; /* pred_redosumrvvm2hf */

        case 3:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19627; /* pred_redosumrvvm1hf */

        case 4:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 19629; /* pred_redosumrvvmf2hf */

        case 5:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19631; /* pred_redosumrvvmf4hf */

        case 6:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
            return -1;
          return 19651; /* pred_redosumv1hf */

        case 7:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
            return -1;
          return 19653; /* pred_redosumv2hf */

        case 8:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
            return -1;
          return 19655; /* pred_redosumv4hf */

        case 9:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
            return -1;
          return 19657; /* pred_redosumv8hf */

        case 10:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
            return -1;
          return 19659; /* pred_redosumv16hf */

        case 11:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19661; /* pred_redosumv32hf */

        case 12:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19663; /* pred_redosumv64hf */

        case 13:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19665; /* pred_redosumv128hf */

        case 14:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19667; /* pred_redosumv256hf */

        case 15:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19669; /* pred_redosumv512hf */

        case 16:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19671; /* pred_redosumv1024hf */

        case 17:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19673; /* pred_redosumv2048hf */

        default:
          return -1;
        }

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      switch (pattern682 (x2, 
E_RVVM1SFmode))
        {
        case 0:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19633; /* pred_redosumrvvm8sf */

        case 1:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19635; /* pred_redosumrvvm4sf */

        case 2:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19637; /* pred_redosumrvvm2sf */

        case 3:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19639; /* pred_redosumrvvm1sf */

        case 4:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 19641; /* pred_redosumrvvmf2sf */

        case 5:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19675; /* pred_redosumv1sf */

        case 6:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19677; /* pred_redosumv2sf */

        case 7:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19679; /* pred_redosumv4sf */

        case 8:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 19681; /* pred_redosumv8sf */

        case 9:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19683; /* pred_redosumv16sf */

        case 10:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19685; /* pred_redosumv32sf */

        case 11:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19687; /* pred_redosumv64sf */

        case 12:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19689; /* pred_redosumv128sf */

        case 13:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19691; /* pred_redosumv256sf */

        case 14:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19693; /* pred_redosumv512sf */

        case 15:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19695; /* pred_redosumv1024sf */

        default:
          return -1;
        }

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      switch (pattern683 (x2))
        {
        case 0:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19643; /* pred_redosumrvvm8df */

        case 1:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19645; /* pred_redosumrvvm4df */

        case 2:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19647; /* pred_redosumrvvm2df */

        case 3:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19649; /* pred_redosumrvvm1df */

        case 4:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19697; /* pred_redosumv1df */

        case 5:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19699; /* pred_redosumv2df */

        case 6:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 19701; /* pred_redosumv4df */

        case 7:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 19703; /* pred_redosumv8df */

        case 8:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 19705; /* pred_redosumv16df */

        case 9:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 19707; /* pred_redosumv32df */

        case 10:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 19709; /* pred_redosumv64df */

        case 11:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 19711; /* pred_redosumv128df */

        case 12:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 19713; /* pred_redosumv256df */

        case 13:
          if (!(
#line 7912 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 19715; /* pred_redosumv512df */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_90 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!vector_mask_operand (operands[0], E_RVVMF64BImode))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVMF8x2QImode:
      if (!register_operand (operands[3], E_RVVMF8x2QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21603; /* pred_strided_storervvmf8x2qi */

    case E_RVVMF8x3QImode:
      if (!register_operand (operands[3], E_RVVMF8x3QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21604; /* pred_strided_storervvmf8x3qi */

    case E_RVVMF8x4QImode:
      if (!register_operand (operands[3], E_RVVMF8x4QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21605; /* pred_strided_storervvmf8x4qi */

    case E_RVVMF8x5QImode:
      if (!register_operand (operands[3], E_RVVMF8x5QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21606; /* pred_strided_storervvmf8x5qi */

    case E_RVVMF8x6QImode:
      if (!register_operand (operands[3], E_RVVMF8x6QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21607; /* pred_strided_storervvmf8x6qi */

    case E_RVVMF8x7QImode:
      if (!register_operand (operands[3], E_RVVMF8x7QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21608; /* pred_strided_storervvmf8x7qi */

    case E_RVVMF8x8QImode:
      if (!register_operand (operands[3], E_RVVMF8x8QImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21609; /* pred_strided_storervvmf8x8qi */

    case E_RVVMF4x2HImode:
      if (!register_operand (operands[3], E_RVVMF4x2HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21610; /* pred_strided_storervvmf4x2hi */

    case E_RVVMF4x3HImode:
      if (!register_operand (operands[3], E_RVVMF4x3HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21611; /* pred_strided_storervvmf4x3hi */

    case E_RVVMF4x4HImode:
      if (!register_operand (operands[3], E_RVVMF4x4HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21612; /* pred_strided_storervvmf4x4hi */

    case E_RVVMF4x5HImode:
      if (!register_operand (operands[3], E_RVVMF4x5HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21613; /* pred_strided_storervvmf4x5hi */

    case E_RVVMF4x6HImode:
      if (!register_operand (operands[3], E_RVVMF4x6HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21614; /* pred_strided_storervvmf4x6hi */

    case E_RVVMF4x7HImode:
      if (!register_operand (operands[3], E_RVVMF4x7HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21615; /* pred_strided_storervvmf4x7hi */

    case E_RVVMF4x8HImode:
      if (!register_operand (operands[3], E_RVVMF4x8HImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21616; /* pred_strided_storervvmf4x8hi */

    case E_RVVMF2x2SImode:
      if (!register_operand (operands[3], E_RVVMF2x2SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21617; /* pred_strided_storervvmf2x2si */

    case E_RVVMF2x3SImode:
      if (!register_operand (operands[3], E_RVVMF2x3SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21618; /* pred_strided_storervvmf2x3si */

    case E_RVVMF2x4SImode:
      if (!register_operand (operands[3], E_RVVMF2x4SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21619; /* pred_strided_storervvmf2x4si */

    case E_RVVMF2x5SImode:
      if (!register_operand (operands[3], E_RVVMF2x5SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21620; /* pred_strided_storervvmf2x5si */

    case E_RVVMF2x6SImode:
      if (!register_operand (operands[3], E_RVVMF2x6SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21621; /* pred_strided_storervvmf2x6si */

    case E_RVVMF2x7SImode:
      if (!register_operand (operands[3], E_RVVMF2x7SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21622; /* pred_strided_storervvmf2x7si */

    case E_RVVMF2x8SImode:
      if (!register_operand (operands[3], E_RVVMF2x8SImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21623; /* pred_strided_storervvmf2x8si */

    case E_RVVM1x2DImode:
      if (!register_operand (operands[3], E_RVVM1x2DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21624; /* pred_strided_storervvm1x2di */

    case E_RVVM1x3DImode:
      if (!register_operand (operands[3], E_RVVM1x3DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21625; /* pred_strided_storervvm1x3di */

    case E_RVVM1x4DImode:
      if (!register_operand (operands[3], E_RVVM1x4DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21626; /* pred_strided_storervvm1x4di */

    case E_RVVM1x5DImode:
      if (!register_operand (operands[3], E_RVVM1x5DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21627; /* pred_strided_storervvm1x5di */

    case E_RVVM1x6DImode:
      if (!register_operand (operands[3], E_RVVM1x6DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21628; /* pred_strided_storervvm1x6di */

    case E_RVVM1x7DImode:
      if (!register_operand (operands[3], E_RVVM1x7DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21629; /* pred_strided_storervvm1x7di */

    case E_RVVM1x8DImode:
      if (!register_operand (operands[3], E_RVVM1x8DImode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 21630; /* pred_strided_storervvm1x8di */

    case E_RVVMF4x2BFmode:
      if (!register_operand (operands[3], E_RVVMF4x2BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21631; /* pred_strided_storervvmf4x2bf */

    case E_RVVMF4x3BFmode:
      if (!register_operand (operands[3], E_RVVMF4x3BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21632; /* pred_strided_storervvmf4x3bf */

    case E_RVVMF4x4BFmode:
      if (!register_operand (operands[3], E_RVVMF4x4BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21633; /* pred_strided_storervvmf4x4bf */

    case E_RVVMF4x5BFmode:
      if (!register_operand (operands[3], E_RVVMF4x5BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21634; /* pred_strided_storervvmf4x5bf */

    case E_RVVMF4x6BFmode:
      if (!register_operand (operands[3], E_RVVMF4x6BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21635; /* pred_strided_storervvmf4x6bf */

    case E_RVVMF4x7BFmode:
      if (!register_operand (operands[3], E_RVVMF4x7BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21636; /* pred_strided_storervvmf4x7bf */

    case E_RVVMF4x8BFmode:
      if (!register_operand (operands[3], E_RVVMF4x8BFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 21637; /* pred_strided_storervvmf4x8bf */

    case E_RVVMF4x2HFmode:
      if (!register_operand (operands[3], E_RVVMF4x2HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21638; /* pred_strided_storervvmf4x2hf */

    case E_RVVMF4x3HFmode:
      if (!register_operand (operands[3], E_RVVMF4x3HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21639; /* pred_strided_storervvmf4x3hf */

    case E_RVVMF4x4HFmode:
      if (!register_operand (operands[3], E_RVVMF4x4HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21640; /* pred_strided_storervvmf4x4hf */

    case E_RVVMF4x5HFmode:
      if (!register_operand (operands[3], E_RVVMF4x5HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21641; /* pred_strided_storervvmf4x5hf */

    case E_RVVMF4x6HFmode:
      if (!register_operand (operands[3], E_RVVMF4x6HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21642; /* pred_strided_storervvmf4x6hf */

    case E_RVVMF4x7HFmode:
      if (!register_operand (operands[3], E_RVVMF4x7HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21643; /* pred_strided_storervvmf4x7hf */

    case E_RVVMF4x8HFmode:
      if (!register_operand (operands[3], E_RVVMF4x8HFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 21644; /* pred_strided_storervvmf4x8hf */

    case E_RVVMF2x2SFmode:
      if (!register_operand (operands[3], E_RVVMF2x2SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21645; /* pred_strided_storervvmf2x2sf */

    case E_RVVMF2x3SFmode:
      if (!register_operand (operands[3], E_RVVMF2x3SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21646; /* pred_strided_storervvmf2x3sf */

    case E_RVVMF2x4SFmode:
      if (!register_operand (operands[3], E_RVVMF2x4SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21647; /* pred_strided_storervvmf2x4sf */

    case E_RVVMF2x5SFmode:
      if (!register_operand (operands[3], E_RVVMF2x5SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21648; /* pred_strided_storervvmf2x5sf */

    case E_RVVMF2x6SFmode:
      if (!register_operand (operands[3], E_RVVMF2x6SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21649; /* pred_strided_storervvmf2x6sf */

    case E_RVVMF2x7SFmode:
      if (!register_operand (operands[3], E_RVVMF2x7SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21650; /* pred_strided_storervvmf2x7sf */

    case E_RVVMF2x8SFmode:
      if (!register_operand (operands[3], E_RVVMF2x8SFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 21651; /* pred_strided_storervvmf2x8sf */

    case E_RVVM1x2DFmode:
      if (!register_operand (operands[3], E_RVVM1x2DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21652; /* pred_strided_storervvm1x2df */

    case E_RVVM1x3DFmode:
      if (!register_operand (operands[3], E_RVVM1x3DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21653; /* pred_strided_storervvm1x3df */

    case E_RVVM1x4DFmode:
      if (!register_operand (operands[3], E_RVVM1x4DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21654; /* pred_strided_storervvm1x4df */

    case E_RVVM1x5DFmode:
      if (!register_operand (operands[3], E_RVVM1x5DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21655; /* pred_strided_storervvm1x5df */

    case E_RVVM1x6DFmode:
      if (!register_operand (operands[3], E_RVVM1x6DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21656; /* pred_strided_storervvm1x6df */

    case E_RVVM1x7DFmode:
      if (!register_operand (operands[3], E_RVVM1x7DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21657; /* pred_strided_storervvm1x7df */

    case E_RVVM1x8DFmode:
      if (!register_operand (operands[3], E_RVVM1x8DFmode)
          || !(
#line 8435 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 21658; /* pred_strided_storervvm1x8df */

    default:
      return -1;
    }
}

 int
recog_96 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern191 (x1))
    {
    case 0:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5188; /* pred_indexed_ustorervvmf8qirvvmf8qi */

    case 1:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5190; /* pred_indexed_ustorervvmf4hirvvmf8qi */

    case 2:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5192; /* pred_indexed_ustorervvmf2sirvvmf8qi */

    case 3:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 809 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5194; /* pred_indexed_ustorervvm1dirvvmf8qi */

    case 4:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 810 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5196; /* pred_indexed_ustorervvmf4bfrvvmf8qi */

    case 5:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 811 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5198; /* pred_indexed_ustorervvmf4hfrvvmf8qi */

    case 6:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 812 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5200; /* pred_indexed_ustorervvmf2sfrvvmf8qi */

    case 7:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 813 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5202; /* pred_indexed_ustorervvm1dfrvvmf8qi */

    case 8:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23238; /* pred_indexed_ustorervvmf8x2qirvvmf8qi */

    case 9:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23246; /* pred_indexed_ustorervvmf8x3qirvvmf8qi */

    case 10:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23254; /* pred_indexed_ustorervvmf8x4qirvvmf8qi */

    case 11:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23262; /* pred_indexed_ustorervvmf8x5qirvvmf8qi */

    case 12:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23270; /* pred_indexed_ustorervvmf8x6qirvvmf8qi */

    case 13:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23278; /* pred_indexed_ustorervvmf8x7qirvvmf8qi */

    case 14:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23286; /* pred_indexed_ustorervvmf8x8qirvvmf8qi */

    case 15:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23294; /* pred_indexed_ustorervvmf4x2hirvvmf8qi */

    case 16:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23302; /* pred_indexed_ustorervvmf4x3hirvvmf8qi */

    case 17:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23310; /* pred_indexed_ustorervvmf4x4hirvvmf8qi */

    case 18:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23318; /* pred_indexed_ustorervvmf4x5hirvvmf8qi */

    case 19:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23326; /* pred_indexed_ustorervvmf4x6hirvvmf8qi */

    case 20:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23334; /* pred_indexed_ustorervvmf4x7hirvvmf8qi */

    case 21:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23342; /* pred_indexed_ustorervvmf4x8hirvvmf8qi */

    case 22:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23350; /* pred_indexed_ustorervvmf2x2sirvvmf8qi */

    case 23:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23358; /* pred_indexed_ustorervvmf2x3sirvvmf8qi */

    case 24:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23366; /* pred_indexed_ustorervvmf2x4sirvvmf8qi */

    case 25:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23374; /* pred_indexed_ustorervvmf2x5sirvvmf8qi */

    case 26:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23382; /* pred_indexed_ustorervvmf2x6sirvvmf8qi */

    case 27:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23390; /* pred_indexed_ustorervvmf2x7sirvvmf8qi */

    case 28:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23398; /* pred_indexed_ustorervvmf2x8sirvvmf8qi */

    case 29:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23406; /* pred_indexed_ustorervvm1x2dirvvmf8qi */

    case 30:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23414; /* pred_indexed_ustorervvm1x3dirvvmf8qi */

    case 31:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23422; /* pred_indexed_ustorervvm1x4dirvvmf8qi */

    case 32:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23430; /* pred_indexed_ustorervvm1x5dirvvmf8qi */

    case 33:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23438; /* pred_indexed_ustorervvm1x6dirvvmf8qi */

    case 34:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23446; /* pred_indexed_ustorervvm1x7dirvvmf8qi */

    case 35:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23454; /* pred_indexed_ustorervvm1x8dirvvmf8qi */

    case 36:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23462; /* pred_indexed_ustorervvmf4x2bfrvvmf8qi */

    case 37:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23470; /* pred_indexed_ustorervvmf4x3bfrvvmf8qi */

    case 38:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23478; /* pred_indexed_ustorervvmf4x4bfrvvmf8qi */

    case 39:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23486; /* pred_indexed_ustorervvmf4x5bfrvvmf8qi */

    case 40:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23494; /* pred_indexed_ustorervvmf4x6bfrvvmf8qi */

    case 41:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23502; /* pred_indexed_ustorervvmf4x7bfrvvmf8qi */

    case 42:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23510; /* pred_indexed_ustorervvmf4x8bfrvvmf8qi */

    case 43:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23518; /* pred_indexed_ustorervvmf4x2hfrvvmf8qi */

    case 44:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23526; /* pred_indexed_ustorervvmf4x3hfrvvmf8qi */

    case 45:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23534; /* pred_indexed_ustorervvmf4x4hfrvvmf8qi */

    case 46:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23542; /* pred_indexed_ustorervvmf4x5hfrvvmf8qi */

    case 47:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23550; /* pred_indexed_ustorervvmf4x6hfrvvmf8qi */

    case 48:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23558; /* pred_indexed_ustorervvmf4x7hfrvvmf8qi */

    case 49:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23566; /* pred_indexed_ustorervvmf4x8hfrvvmf8qi */

    case 50:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23574; /* pred_indexed_ustorervvmf2x2sfrvvmf8qi */

    case 51:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23582; /* pred_indexed_ustorervvmf2x3sfrvvmf8qi */

    case 52:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23590; /* pred_indexed_ustorervvmf2x4sfrvvmf8qi */

    case 53:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23598; /* pred_indexed_ustorervvmf2x5sfrvvmf8qi */

    case 54:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23606; /* pred_indexed_ustorervvmf2x6sfrvvmf8qi */

    case 55:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23614; /* pred_indexed_ustorervvmf2x7sfrvvmf8qi */

    case 56:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23622; /* pred_indexed_ustorervvmf2x8sfrvvmf8qi */

    case 57:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23630; /* pred_indexed_ustorervvm1x2dfrvvmf8qi */

    case 58:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23638; /* pred_indexed_ustorervvm1x3dfrvvmf8qi */

    case 59:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23646; /* pred_indexed_ustorervvm1x4dfrvvmf8qi */

    case 60:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23654; /* pred_indexed_ustorervvm1x5dfrvvmf8qi */

    case 61:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23662; /* pred_indexed_ustorervvm1x6dfrvvmf8qi */

    case 62:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23670; /* pred_indexed_ustorervvm1x7dfrvvmf8qi */

    case 63:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23678; /* pred_indexed_ustorervvm1x8dfrvvmf8qi */

    case 64:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5204; /* pred_indexed_ustorervvmf8qirvvmf4hi */

    case 65:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5206; /* pred_indexed_ustorervvmf4hirvvmf4hi */

    case 66:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5208; /* pred_indexed_ustorervvmf2sirvvmf4hi */

    case 67:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 809 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5210; /* pred_indexed_ustorervvm1dirvvmf4hi */

    case 68:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 810 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5212; /* pred_indexed_ustorervvmf4bfrvvmf4hi */

    case 69:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 811 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5214; /* pred_indexed_ustorervvmf4hfrvvmf4hi */

    case 70:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 812 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5216; /* pred_indexed_ustorervvmf2sfrvvmf4hi */

    case 71:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 813 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5218; /* pred_indexed_ustorervvm1dfrvvmf4hi */

    case 72:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23240; /* pred_indexed_ustorervvmf8x2qirvvmf4hi */

    case 73:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23248; /* pred_indexed_ustorervvmf8x3qirvvmf4hi */

    case 74:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23256; /* pred_indexed_ustorervvmf8x4qirvvmf4hi */

    case 75:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23264; /* pred_indexed_ustorervvmf8x5qirvvmf4hi */

    case 76:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23272; /* pred_indexed_ustorervvmf8x6qirvvmf4hi */

    case 77:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23280; /* pred_indexed_ustorervvmf8x7qirvvmf4hi */

    case 78:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23288; /* pred_indexed_ustorervvmf8x8qirvvmf4hi */

    case 79:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23296; /* pred_indexed_ustorervvmf4x2hirvvmf4hi */

    case 80:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23304; /* pred_indexed_ustorervvmf4x3hirvvmf4hi */

    case 81:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23312; /* pred_indexed_ustorervvmf4x4hirvvmf4hi */

    case 82:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23320; /* pred_indexed_ustorervvmf4x5hirvvmf4hi */

    case 83:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23328; /* pred_indexed_ustorervvmf4x6hirvvmf4hi */

    case 84:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23336; /* pred_indexed_ustorervvmf4x7hirvvmf4hi */

    case 85:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23344; /* pred_indexed_ustorervvmf4x8hirvvmf4hi */

    case 86:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23352; /* pred_indexed_ustorervvmf2x2sirvvmf4hi */

    case 87:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23360; /* pred_indexed_ustorervvmf2x3sirvvmf4hi */

    case 88:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23368; /* pred_indexed_ustorervvmf2x4sirvvmf4hi */

    case 89:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23376; /* pred_indexed_ustorervvmf2x5sirvvmf4hi */

    case 90:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23384; /* pred_indexed_ustorervvmf2x6sirvvmf4hi */

    case 91:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23392; /* pred_indexed_ustorervvmf2x7sirvvmf4hi */

    case 92:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23400; /* pred_indexed_ustorervvmf2x8sirvvmf4hi */

    case 93:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23408; /* pred_indexed_ustorervvm1x2dirvvmf4hi */

    case 94:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23416; /* pred_indexed_ustorervvm1x3dirvvmf4hi */

    case 95:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23424; /* pred_indexed_ustorervvm1x4dirvvmf4hi */

    case 96:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23432; /* pred_indexed_ustorervvm1x5dirvvmf4hi */

    case 97:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23440; /* pred_indexed_ustorervvm1x6dirvvmf4hi */

    case 98:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23448; /* pred_indexed_ustorervvm1x7dirvvmf4hi */

    case 99:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23456; /* pred_indexed_ustorervvm1x8dirvvmf4hi */

    case 100:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23464; /* pred_indexed_ustorervvmf4x2bfrvvmf4hi */

    case 101:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23472; /* pred_indexed_ustorervvmf4x3bfrvvmf4hi */

    case 102:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23480; /* pred_indexed_ustorervvmf4x4bfrvvmf4hi */

    case 103:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23488; /* pred_indexed_ustorervvmf4x5bfrvvmf4hi */

    case 104:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23496; /* pred_indexed_ustorervvmf4x6bfrvvmf4hi */

    case 105:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23504; /* pred_indexed_ustorervvmf4x7bfrvvmf4hi */

    case 106:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23512; /* pred_indexed_ustorervvmf4x8bfrvvmf4hi */

    case 107:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23520; /* pred_indexed_ustorervvmf4x2hfrvvmf4hi */

    case 108:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23528; /* pred_indexed_ustorervvmf4x3hfrvvmf4hi */

    case 109:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23536; /* pred_indexed_ustorervvmf4x4hfrvvmf4hi */

    case 110:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23544; /* pred_indexed_ustorervvmf4x5hfrvvmf4hi */

    case 111:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23552; /* pred_indexed_ustorervvmf4x6hfrvvmf4hi */

    case 112:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23560; /* pred_indexed_ustorervvmf4x7hfrvvmf4hi */

    case 113:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23568; /* pred_indexed_ustorervvmf4x8hfrvvmf4hi */

    case 114:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23576; /* pred_indexed_ustorervvmf2x2sfrvvmf4hi */

    case 115:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23584; /* pred_indexed_ustorervvmf2x3sfrvvmf4hi */

    case 116:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23592; /* pred_indexed_ustorervvmf2x4sfrvvmf4hi */

    case 117:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23600; /* pred_indexed_ustorervvmf2x5sfrvvmf4hi */

    case 118:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23608; /* pred_indexed_ustorervvmf2x6sfrvvmf4hi */

    case 119:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23616; /* pred_indexed_ustorervvmf2x7sfrvvmf4hi */

    case 120:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23624; /* pred_indexed_ustorervvmf2x8sfrvvmf4hi */

    case 121:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23632; /* pred_indexed_ustorervvm1x2dfrvvmf4hi */

    case 122:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23640; /* pred_indexed_ustorervvm1x3dfrvvmf4hi */

    case 123:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23648; /* pred_indexed_ustorervvm1x4dfrvvmf4hi */

    case 124:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23656; /* pred_indexed_ustorervvm1x5dfrvvmf4hi */

    case 125:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23664; /* pred_indexed_ustorervvm1x6dfrvvmf4hi */

    case 126:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23672; /* pred_indexed_ustorervvm1x7dfrvvmf4hi */

    case 127:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23680; /* pred_indexed_ustorervvm1x8dfrvvmf4hi */

    case 128:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5220; /* pred_indexed_ustorervvmf8qirvvmf2si */

    case 129:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5222; /* pred_indexed_ustorervvmf4hirvvmf2si */

    case 130:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5224; /* pred_indexed_ustorervvmf2sirvvmf2si */

    case 131:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 809 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5226; /* pred_indexed_ustorervvm1dirvvmf2si */

    case 132:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 810 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5228; /* pred_indexed_ustorervvmf4bfrvvmf2si */

    case 133:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 811 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5230; /* pred_indexed_ustorervvmf4hfrvvmf2si */

    case 134:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 812 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5232; /* pred_indexed_ustorervvmf2sfrvvmf2si */

    case 135:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 813 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5234; /* pred_indexed_ustorervvm1dfrvvmf2si */

    case 136:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23242; /* pred_indexed_ustorervvmf8x2qirvvmf2si */

    case 137:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23250; /* pred_indexed_ustorervvmf8x3qirvvmf2si */

    case 138:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23258; /* pred_indexed_ustorervvmf8x4qirvvmf2si */

    case 139:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23266; /* pred_indexed_ustorervvmf8x5qirvvmf2si */

    case 140:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23274; /* pred_indexed_ustorervvmf8x6qirvvmf2si */

    case 141:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23282; /* pred_indexed_ustorervvmf8x7qirvvmf2si */

    case 142:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23290; /* pred_indexed_ustorervvmf8x8qirvvmf2si */

    case 143:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23298; /* pred_indexed_ustorervvmf4x2hirvvmf2si */

    case 144:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23306; /* pred_indexed_ustorervvmf4x3hirvvmf2si */

    case 145:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23314; /* pred_indexed_ustorervvmf4x4hirvvmf2si */

    case 146:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23322; /* pred_indexed_ustorervvmf4x5hirvvmf2si */

    case 147:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23330; /* pred_indexed_ustorervvmf4x6hirvvmf2si */

    case 148:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23338; /* pred_indexed_ustorervvmf4x7hirvvmf2si */

    case 149:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23346; /* pred_indexed_ustorervvmf4x8hirvvmf2si */

    case 150:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23354; /* pred_indexed_ustorervvmf2x2sirvvmf2si */

    case 151:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23362; /* pred_indexed_ustorervvmf2x3sirvvmf2si */

    case 152:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23370; /* pred_indexed_ustorervvmf2x4sirvvmf2si */

    case 153:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23378; /* pred_indexed_ustorervvmf2x5sirvvmf2si */

    case 154:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23386; /* pred_indexed_ustorervvmf2x6sirvvmf2si */

    case 155:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23394; /* pred_indexed_ustorervvmf2x7sirvvmf2si */

    case 156:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 23402; /* pred_indexed_ustorervvmf2x8sirvvmf2si */

    case 157:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23410; /* pred_indexed_ustorervvm1x2dirvvmf2si */

    case 158:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23418; /* pred_indexed_ustorervvm1x3dirvvmf2si */

    case 159:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23426; /* pred_indexed_ustorervvm1x4dirvvmf2si */

    case 160:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23434; /* pred_indexed_ustorervvm1x5dirvvmf2si */

    case 161:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23442; /* pred_indexed_ustorervvm1x6dirvvmf2si */

    case 162:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23450; /* pred_indexed_ustorervvm1x7dirvvmf2si */

    case 163:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23458; /* pred_indexed_ustorervvm1x8dirvvmf2si */

    case 164:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23466; /* pred_indexed_ustorervvmf4x2bfrvvmf2si */

    case 165:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23474; /* pred_indexed_ustorervvmf4x3bfrvvmf2si */

    case 166:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23482; /* pred_indexed_ustorervvmf4x4bfrvvmf2si */

    case 167:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23490; /* pred_indexed_ustorervvmf4x5bfrvvmf2si */

    case 168:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23498; /* pred_indexed_ustorervvmf4x6bfrvvmf2si */

    case 169:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23506; /* pred_indexed_ustorervvmf4x7bfrvvmf2si */

    case 170:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23514; /* pred_indexed_ustorervvmf4x8bfrvvmf2si */

    case 171:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23522; /* pred_indexed_ustorervvmf4x2hfrvvmf2si */

    case 172:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23530; /* pred_indexed_ustorervvmf4x3hfrvvmf2si */

    case 173:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23538; /* pred_indexed_ustorervvmf4x4hfrvvmf2si */

    case 174:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23546; /* pred_indexed_ustorervvmf4x5hfrvvmf2si */

    case 175:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23554; /* pred_indexed_ustorervvmf4x6hfrvvmf2si */

    case 176:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23562; /* pred_indexed_ustorervvmf4x7hfrvvmf2si */

    case 177:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23570; /* pred_indexed_ustorervvmf4x8hfrvvmf2si */

    case 178:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23578; /* pred_indexed_ustorervvmf2x2sfrvvmf2si */

    case 179:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23586; /* pred_indexed_ustorervvmf2x3sfrvvmf2si */

    case 180:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23594; /* pred_indexed_ustorervvmf2x4sfrvvmf2si */

    case 181:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23602; /* pred_indexed_ustorervvmf2x5sfrvvmf2si */

    case 182:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23610; /* pred_indexed_ustorervvmf2x6sfrvvmf2si */

    case 183:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23618; /* pred_indexed_ustorervvmf2x7sfrvvmf2si */

    case 184:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23626; /* pred_indexed_ustorervvmf2x8sfrvvmf2si */

    case 185:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23634; /* pred_indexed_ustorervvm1x2dfrvvmf2si */

    case 186:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23642; /* pred_indexed_ustorervvm1x3dfrvvmf2si */

    case 187:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23650; /* pred_indexed_ustorervvm1x4dfrvvmf2si */

    case 188:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23658; /* pred_indexed_ustorervvm1x5dfrvvmf2si */

    case 189:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23666; /* pred_indexed_ustorervvm1x6dfrvvmf2si */

    case 190:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23674; /* pred_indexed_ustorervvm1x7dfrvvmf2si */

    case 191:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23682; /* pred_indexed_ustorervvm1x8dfrvvmf2si */

    case 192:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 806 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 5236; /* pred_indexed_ustorervvmf8qirvvm1di */

    case 193:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 807 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 5238; /* pred_indexed_ustorervvmf4hirvvm1di */

    case 194:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 808 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 5240; /* pred_indexed_ustorervvmf2sirvvm1di */

    case 195:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 809 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5242; /* pred_indexed_ustorervvm1dirvvm1di */

    case 196:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 810 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5244; /* pred_indexed_ustorervvmf4bfrvvm1di */

    case 197:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 811 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5246; /* pred_indexed_ustorervvmf4hfrvvm1di */

    case 198:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 812 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32))))
        return -1;
      return 5248; /* pred_indexed_ustorervvmf2sfrvvm1di */

    case 199:
      if (!(
#line 2588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 813 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5250; /* pred_indexed_ustorervvm1dfrvvm1di */

    case 200:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23244; /* pred_indexed_ustorervvmf8x2qirvvm1di */

    case 201:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23252; /* pred_indexed_ustorervvmf8x3qirvvm1di */

    case 202:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23260; /* pred_indexed_ustorervvmf8x4qirvvm1di */

    case 203:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23268; /* pred_indexed_ustorervvmf8x5qirvvm1di */

    case 204:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23276; /* pred_indexed_ustorervvmf8x6qirvvm1di */

    case 205:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23284; /* pred_indexed_ustorervvmf8x7qirvvm1di */

    case 206:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23292; /* pred_indexed_ustorervvmf8x8qirvvm1di */

    case 207:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23300; /* pred_indexed_ustorervvmf4x2hirvvm1di */

    case 208:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23308; /* pred_indexed_ustorervvmf4x3hirvvm1di */

    case 209:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23316; /* pred_indexed_ustorervvmf4x4hirvvm1di */

    case 210:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23324; /* pred_indexed_ustorervvmf4x5hirvvm1di */

    case 211:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23332; /* pred_indexed_ustorervvmf4x6hirvvm1di */

    case 212:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23340; /* pred_indexed_ustorervvmf4x7hirvvm1di */

    case 213:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23348; /* pred_indexed_ustorervvmf4x8hirvvm1di */

    case 214:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23356; /* pred_indexed_ustorervvmf2x2sirvvm1di */

    case 215:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23364; /* pred_indexed_ustorervvmf2x3sirvvm1di */

    case 216:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23372; /* pred_indexed_ustorervvmf2x4sirvvm1di */

    case 217:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23380; /* pred_indexed_ustorervvmf2x5sirvvm1di */

    case 218:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23388; /* pred_indexed_ustorervvmf2x6sirvvm1di */

    case 219:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23396; /* pred_indexed_ustorervvmf2x7sirvvm1di */

    case 220:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 23404; /* pred_indexed_ustorervvmf2x8sirvvm1di */

    case 221:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23412; /* pred_indexed_ustorervvm1x2dirvvm1di */

    case 222:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23420; /* pred_indexed_ustorervvm1x3dirvvm1di */

    case 223:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23428; /* pred_indexed_ustorervvm1x4dirvvm1di */

    case 224:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23436; /* pred_indexed_ustorervvm1x5dirvvm1di */

    case 225:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23444; /* pred_indexed_ustorervvm1x6dirvvm1di */

    case 226:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23452; /* pred_indexed_ustorervvm1x7dirvvm1di */

    case 227:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23460; /* pred_indexed_ustorervvm1x8dirvvm1di */

    case 228:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23468; /* pred_indexed_ustorervvmf4x2bfrvvm1di */

    case 229:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23476; /* pred_indexed_ustorervvmf4x3bfrvvm1di */

    case 230:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23484; /* pred_indexed_ustorervvmf4x4bfrvvm1di */

    case 231:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23492; /* pred_indexed_ustorervvmf4x5bfrvvm1di */

    case 232:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23500; /* pred_indexed_ustorervvmf4x6bfrvvm1di */

    case 233:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23508; /* pred_indexed_ustorervvmf4x7bfrvvm1di */

    case 234:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23516; /* pred_indexed_ustorervvmf4x8bfrvvm1di */

    case 235:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23524; /* pred_indexed_ustorervvmf4x2hfrvvm1di */

    case 236:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23532; /* pred_indexed_ustorervvmf4x3hfrvvm1di */

    case 237:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23540; /* pred_indexed_ustorervvmf4x4hfrvvm1di */

    case 238:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23548; /* pred_indexed_ustorervvmf4x5hfrvvm1di */

    case 239:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23556; /* pred_indexed_ustorervvmf4x6hfrvvm1di */

    case 240:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23564; /* pred_indexed_ustorervvmf4x7hfrvvm1di */

    case 241:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23572; /* pred_indexed_ustorervvmf4x8hfrvvm1di */

    case 242:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23580; /* pred_indexed_ustorervvmf2x2sfrvvm1di */

    case 243:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23588; /* pred_indexed_ustorervvmf2x3sfrvvm1di */

    case 244:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23596; /* pred_indexed_ustorervvmf2x4sfrvvm1di */

    case 245:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23604; /* pred_indexed_ustorervvmf2x5sfrvvm1di */

    case 246:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23612; /* pred_indexed_ustorervvmf2x6sfrvvm1di */

    case 247:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23620; /* pred_indexed_ustorervvmf2x7sfrvvm1di */

    case 248:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23628; /* pred_indexed_ustorervvmf2x8sfrvvm1di */

    case 249:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23636; /* pred_indexed_ustorervvm1x2dfrvvm1di */

    case 250:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23644; /* pred_indexed_ustorervvm1x3dfrvvm1di */

    case 251:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23652; /* pred_indexed_ustorervvm1x4dfrvvm1di */

    case 252:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23660; /* pred_indexed_ustorervvm1x5dfrvvm1di */

    case 253:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23668; /* pred_indexed_ustorervvm1x6dfrvvm1di */

    case 254:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23676; /* pred_indexed_ustorervvm1x7dfrvvm1di */

    case 255:
      if (!(
#line 8609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23684; /* pred_indexed_ustorervvm1x8dfrvvm1di */

    case 256:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5252; /* pred_indexed_ustorervvmf4qirvvmf4qi */

    case 257:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5260; /* pred_indexed_ustorervvmf2hirvvmf4qi */

    case 258:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5268; /* pred_indexed_ustorervvm1sirvvmf4qi */

    case 259:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 820 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5276; /* pred_indexed_ustorervvm2dirvvmf4qi */

    case 260:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 821 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5284; /* pred_indexed_ustorervvmf2bfrvvmf4qi */

    case 261:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 822 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5292; /* pred_indexed_ustorervvmf2hfrvvmf4qi */

    case 262:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 823 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5300; /* pred_indexed_ustorervvm1sfrvvmf4qi */

    case 263:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5308; /* pred_indexed_ustorervvm2dfrvvmf4qi */

    case 264:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23686; /* pred_indexed_ustorervvmf4x2qirvvmf4qi */

    case 265:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23688; /* pred_indexed_ustorervvmf4x3qirvvmf4qi */

    case 266:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23690; /* pred_indexed_ustorervvmf4x4qirvvmf4qi */

    case 267:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23692; /* pred_indexed_ustorervvmf4x5qirvvmf4qi */

    case 268:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23694; /* pred_indexed_ustorervvmf4x6qirvvmf4qi */

    case 269:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23696; /* pred_indexed_ustorervvmf4x7qirvvmf4qi */

    case 270:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23698; /* pred_indexed_ustorervvmf4x8qirvvmf4qi */

    case 271:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23700; /* pred_indexed_ustorervvmf2x2hirvvmf4qi */

    case 272:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23702; /* pred_indexed_ustorervvmf2x3hirvvmf4qi */

    case 273:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23704; /* pred_indexed_ustorervvmf2x4hirvvmf4qi */

    case 274:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23706; /* pred_indexed_ustorervvmf2x5hirvvmf4qi */

    case 275:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23708; /* pred_indexed_ustorervvmf2x6hirvvmf4qi */

    case 276:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23710; /* pred_indexed_ustorervvmf2x7hirvvmf4qi */

    case 277:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23712; /* pred_indexed_ustorervvmf2x8hirvvmf4qi */

    case 278:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23714; /* pred_indexed_ustorervvm1x2sirvvmf4qi */

    case 279:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23716; /* pred_indexed_ustorervvm1x3sirvvmf4qi */

    case 280:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23718; /* pred_indexed_ustorervvm1x4sirvvmf4qi */

    case 281:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23720; /* pred_indexed_ustorervvm1x5sirvvmf4qi */

    case 282:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23722; /* pred_indexed_ustorervvm1x6sirvvmf4qi */

    case 283:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23724; /* pred_indexed_ustorervvm1x7sirvvmf4qi */

    case 284:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23726; /* pred_indexed_ustorervvm1x8sirvvmf4qi */

    case 285:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23728; /* pred_indexed_ustorervvm2x2dirvvmf4qi */

    case 286:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23730; /* pred_indexed_ustorervvm2x3dirvvmf4qi */

    case 287:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23732; /* pred_indexed_ustorervvm2x4dirvvmf4qi */

    case 288:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23734; /* pred_indexed_ustorervvmf2x2bfrvvmf4qi */

    case 289:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23736; /* pred_indexed_ustorervvmf2x3bfrvvmf4qi */

    case 290:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23738; /* pred_indexed_ustorervvmf2x4bfrvvmf4qi */

    case 291:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23740; /* pred_indexed_ustorervvmf2x5bfrvvmf4qi */

    case 292:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23742; /* pred_indexed_ustorervvmf2x6bfrvvmf4qi */

    case 293:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23744; /* pred_indexed_ustorervvmf2x7bfrvvmf4qi */

    case 294:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23746; /* pred_indexed_ustorervvmf2x8bfrvvmf4qi */

    case 295:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23748; /* pred_indexed_ustorervvmf2x2hfrvvmf4qi */

    case 296:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23750; /* pred_indexed_ustorervvmf2x3hfrvvmf4qi */

    case 297:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23752; /* pred_indexed_ustorervvmf2x4hfrvvmf4qi */

    case 298:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23754; /* pred_indexed_ustorervvmf2x5hfrvvmf4qi */

    case 299:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23756; /* pred_indexed_ustorervvmf2x6hfrvvmf4qi */

    case 300:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23758; /* pred_indexed_ustorervvmf2x7hfrvvmf4qi */

    case 301:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23760; /* pred_indexed_ustorervvmf2x8hfrvvmf4qi */

    case 302:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23762; /* pred_indexed_ustorervvm1x2sfrvvmf4qi */

    case 303:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23764; /* pred_indexed_ustorervvm1x3sfrvvmf4qi */

    case 304:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23766; /* pred_indexed_ustorervvm1x4sfrvvmf4qi */

    case 305:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23768; /* pred_indexed_ustorervvm1x5sfrvvmf4qi */

    case 306:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23770; /* pred_indexed_ustorervvm1x6sfrvvmf4qi */

    case 307:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23772; /* pred_indexed_ustorervvm1x7sfrvvmf4qi */

    case 308:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23774; /* pred_indexed_ustorervvm1x8sfrvvmf4qi */

    case 309:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23776; /* pred_indexed_ustorervvm2x2dfrvvmf4qi */

    case 310:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23778; /* pred_indexed_ustorervvm2x3dfrvvmf4qi */

    case 311:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23780; /* pred_indexed_ustorervvm2x4dfrvvmf4qi */

    case 312:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5254; /* pred_indexed_ustorervvmf4qirvvmf2hi */

    case 313:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5262; /* pred_indexed_ustorervvmf2hirvvmf2hi */

    case 314:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5270; /* pred_indexed_ustorervvm1sirvvmf2hi */

    case 315:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 820 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5278; /* pred_indexed_ustorervvm2dirvvmf2hi */

    case 316:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 821 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5286; /* pred_indexed_ustorervvmf2bfrvvmf2hi */

    case 317:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 822 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5294; /* pred_indexed_ustorervvmf2hfrvvmf2hi */

    case 318:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 823 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5302; /* pred_indexed_ustorervvm1sfrvvmf2hi */

    case 319:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5310; /* pred_indexed_ustorervvm2dfrvvmf2hi */

    case 320:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23782; /* pred_indexed_ustorervvmf4x2qirvvmf2hi */

    case 321:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23784; /* pred_indexed_ustorervvmf4x3qirvvmf2hi */

    case 322:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23786; /* pred_indexed_ustorervvmf4x4qirvvmf2hi */

    case 323:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23788; /* pred_indexed_ustorervvmf4x5qirvvmf2hi */

    case 324:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23790; /* pred_indexed_ustorervvmf4x6qirvvmf2hi */

    case 325:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23792; /* pred_indexed_ustorervvmf4x7qirvvmf2hi */

    case 326:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23794; /* pred_indexed_ustorervvmf4x8qirvvmf2hi */

    case 327:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23796; /* pred_indexed_ustorervvmf2x2hirvvmf2hi */

    case 328:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23798; /* pred_indexed_ustorervvmf2x3hirvvmf2hi */

    case 329:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23800; /* pred_indexed_ustorervvmf2x4hirvvmf2hi */

    case 330:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23802; /* pred_indexed_ustorervvmf2x5hirvvmf2hi */

    case 331:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23804; /* pred_indexed_ustorervvmf2x6hirvvmf2hi */

    case 332:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23806; /* pred_indexed_ustorervvmf2x7hirvvmf2hi */

    case 333:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23808; /* pred_indexed_ustorervvmf2x8hirvvmf2hi */

    case 334:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23810; /* pred_indexed_ustorervvm1x2sirvvmf2hi */

    case 335:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23812; /* pred_indexed_ustorervvm1x3sirvvmf2hi */

    case 336:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23814; /* pred_indexed_ustorervvm1x4sirvvmf2hi */

    case 337:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23816; /* pred_indexed_ustorervvm1x5sirvvmf2hi */

    case 338:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23818; /* pred_indexed_ustorervvm1x6sirvvmf2hi */

    case 339:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23820; /* pred_indexed_ustorervvm1x7sirvvmf2hi */

    case 340:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23822; /* pred_indexed_ustorervvm1x8sirvvmf2hi */

    case 341:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23824; /* pred_indexed_ustorervvm2x2dirvvmf2hi */

    case 342:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23826; /* pred_indexed_ustorervvm2x3dirvvmf2hi */

    case 343:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23828; /* pred_indexed_ustorervvm2x4dirvvmf2hi */

    case 344:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23830; /* pred_indexed_ustorervvmf2x2bfrvvmf2hi */

    case 345:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23832; /* pred_indexed_ustorervvmf2x3bfrvvmf2hi */

    case 346:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23834; /* pred_indexed_ustorervvmf2x4bfrvvmf2hi */

    case 347:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23836; /* pred_indexed_ustorervvmf2x5bfrvvmf2hi */

    case 348:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23838; /* pred_indexed_ustorervvmf2x6bfrvvmf2hi */

    case 349:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23840; /* pred_indexed_ustorervvmf2x7bfrvvmf2hi */

    case 350:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23842; /* pred_indexed_ustorervvmf2x8bfrvvmf2hi */

    case 351:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23844; /* pred_indexed_ustorervvmf2x2hfrvvmf2hi */

    case 352:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23846; /* pred_indexed_ustorervvmf2x3hfrvvmf2hi */

    case 353:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23848; /* pred_indexed_ustorervvmf2x4hfrvvmf2hi */

    case 354:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23850; /* pred_indexed_ustorervvmf2x5hfrvvmf2hi */

    case 355:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23852; /* pred_indexed_ustorervvmf2x6hfrvvmf2hi */

    case 356:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23854; /* pred_indexed_ustorervvmf2x7hfrvvmf2hi */

    case 357:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23856; /* pred_indexed_ustorervvmf2x8hfrvvmf2hi */

    case 358:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23858; /* pred_indexed_ustorervvm1x2sfrvvmf2hi */

    case 359:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23860; /* pred_indexed_ustorervvm1x3sfrvvmf2hi */

    case 360:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23862; /* pred_indexed_ustorervvm1x4sfrvvmf2hi */

    case 361:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23864; /* pred_indexed_ustorervvm1x5sfrvvmf2hi */

    case 362:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23866; /* pred_indexed_ustorervvm1x6sfrvvmf2hi */

    case 363:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23868; /* pred_indexed_ustorervvm1x7sfrvvmf2hi */

    case 364:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23870; /* pred_indexed_ustorervvm1x8sfrvvmf2hi */

    case 365:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23872; /* pred_indexed_ustorervvm2x2dfrvvmf2hi */

    case 366:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23874; /* pred_indexed_ustorervvm2x3dfrvvmf2hi */

    case 367:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23876; /* pred_indexed_ustorervvm2x4dfrvvmf2hi */

    case 368:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5256; /* pred_indexed_ustorervvmf4qirvvm1si */

    case 369:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5264; /* pred_indexed_ustorervvmf2hirvvm1si */

    case 370:
      if (!
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5272; /* pred_indexed_ustorervvm1sirvvm1si */

    case 371:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 820 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5280; /* pred_indexed_ustorervvm2dirvvm1si */

    case 372:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 821 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5288; /* pred_indexed_ustorervvmf2bfrvvm1si */

    case 373:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 822 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5296; /* pred_indexed_ustorervvmf2hfrvvm1si */

    case 374:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 823 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5304; /* pred_indexed_ustorervvm1sfrvvm1si */

    case 375:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5312; /* pred_indexed_ustorervvm2dfrvvm1si */

    case 376:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23878; /* pred_indexed_ustorervvmf4x2qirvvm1si */

    case 377:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23880; /* pred_indexed_ustorervvmf4x3qirvvm1si */

    case 378:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23882; /* pred_indexed_ustorervvmf4x4qirvvm1si */

    case 379:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23884; /* pred_indexed_ustorervvmf4x5qirvvm1si */

    case 380:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23886; /* pred_indexed_ustorervvmf4x6qirvvm1si */

    case 381:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23888; /* pred_indexed_ustorervvmf4x7qirvvm1si */

    case 382:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23890; /* pred_indexed_ustorervvmf4x8qirvvm1si */

    case 383:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23892; /* pred_indexed_ustorervvmf2x2hirvvm1si */

    case 384:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23894; /* pred_indexed_ustorervvmf2x3hirvvm1si */

    case 385:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23896; /* pred_indexed_ustorervvmf2x4hirvvm1si */

    case 386:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23898; /* pred_indexed_ustorervvmf2x5hirvvm1si */

    case 387:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23900; /* pred_indexed_ustorervvmf2x6hirvvm1si */

    case 388:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23902; /* pred_indexed_ustorervvmf2x7hirvvm1si */

    case 389:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23904; /* pred_indexed_ustorervvmf2x8hirvvm1si */

    case 390:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23906; /* pred_indexed_ustorervvm1x2sirvvm1si */

    case 391:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23908; /* pred_indexed_ustorervvm1x3sirvvm1si */

    case 392:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23910; /* pred_indexed_ustorervvm1x4sirvvm1si */

    case 393:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23912; /* pred_indexed_ustorervvm1x5sirvvm1si */

    case 394:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23914; /* pred_indexed_ustorervvm1x6sirvvm1si */

    case 395:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23916; /* pred_indexed_ustorervvm1x7sirvvm1si */

    case 396:
      if (!
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23918; /* pred_indexed_ustorervvm1x8sirvvm1si */

    case 397:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23920; /* pred_indexed_ustorervvm2x2dirvvm1si */

    case 398:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23922; /* pred_indexed_ustorervvm2x3dirvvm1si */

    case 399:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 23924; /* pred_indexed_ustorervvm2x4dirvvm1si */

    case 400:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23926; /* pred_indexed_ustorervvmf2x2bfrvvm1si */

    case 401:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23928; /* pred_indexed_ustorervvmf2x3bfrvvm1si */

    case 402:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23930; /* pred_indexed_ustorervvmf2x4bfrvvm1si */

    case 403:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23932; /* pred_indexed_ustorervvmf2x5bfrvvm1si */

    case 404:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23934; /* pred_indexed_ustorervvmf2x6bfrvvm1si */

    case 405:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23936; /* pred_indexed_ustorervvmf2x7bfrvvm1si */

    case 406:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23938; /* pred_indexed_ustorervvmf2x8bfrvvm1si */

    case 407:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23940; /* pred_indexed_ustorervvmf2x2hfrvvm1si */

    case 408:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23942; /* pred_indexed_ustorervvmf2x3hfrvvm1si */

    case 409:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23944; /* pred_indexed_ustorervvmf2x4hfrvvm1si */

    case 410:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23946; /* pred_indexed_ustorervvmf2x5hfrvvm1si */

    case 411:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23948; /* pred_indexed_ustorervvmf2x6hfrvvm1si */

    case 412:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23950; /* pred_indexed_ustorervvmf2x7hfrvvm1si */

    case 413:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23952; /* pred_indexed_ustorervvmf2x8hfrvvm1si */

    case 414:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23954; /* pred_indexed_ustorervvm1x2sfrvvm1si */

    case 415:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23956; /* pred_indexed_ustorervvm1x3sfrvvm1si */

    case 416:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23958; /* pred_indexed_ustorervvm1x4sfrvvm1si */

    case 417:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23960; /* pred_indexed_ustorervvm1x5sfrvvm1si */

    case 418:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23962; /* pred_indexed_ustorervvm1x6sfrvvm1si */

    case 419:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23964; /* pred_indexed_ustorervvm1x7sfrvvm1si */

    case 420:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23966; /* pred_indexed_ustorervvm1x8sfrvvm1si */

    case 421:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23968; /* pred_indexed_ustorervvm2x2dfrvvm1si */

    case 422:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23970; /* pred_indexed_ustorervvm2x3dfrvvm1si */

    case 423:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 23972; /* pred_indexed_ustorervvm2x4dfrvvm1si */

    case 424:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5258; /* pred_indexed_ustorervvmf4qirvvm2di */

    case 425:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5266; /* pred_indexed_ustorervvmf2hirvvm2di */

    case 426:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5274; /* pred_indexed_ustorervvm1sirvvm2di */

    case 427:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 820 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5282; /* pred_indexed_ustorervvm2dirvvm2di */

    case 428:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 821 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 5290; /* pred_indexed_ustorervvmf2bfrvvm2di */

    case 429:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 822 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 5298; /* pred_indexed_ustorervvmf2hfrvvm2di */

    case 430:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 823 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 5306; /* pred_indexed_ustorervvm1sfrvvm2di */

    case 431:
      if (!(
#line 2605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 824 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5314; /* pred_indexed_ustorervvm2dfrvvm2di */

    case 432:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23974; /* pred_indexed_ustorervvmf4x2qirvvm2di */

    case 433:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23976; /* pred_indexed_ustorervvmf4x3qirvvm2di */

    case 434:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23978; /* pred_indexed_ustorervvmf4x4qirvvm2di */

    case 435:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23980; /* pred_indexed_ustorervvmf4x5qirvvm2di */

    case 436:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23982; /* pred_indexed_ustorervvmf4x6qirvvm2di */

    case 437:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23984; /* pred_indexed_ustorervvmf4x7qirvvm2di */

    case 438:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23986; /* pred_indexed_ustorervvmf4x8qirvvm2di */

    case 439:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23988; /* pred_indexed_ustorervvmf2x2hirvvm2di */

    case 440:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23990; /* pred_indexed_ustorervvmf2x3hirvvm2di */

    case 441:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23992; /* pred_indexed_ustorervvmf2x4hirvvm2di */

    case 442:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23994; /* pred_indexed_ustorervvmf2x5hirvvm2di */

    case 443:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23996; /* pred_indexed_ustorervvmf2x6hirvvm2di */

    case 444:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23998; /* pred_indexed_ustorervvmf2x7hirvvm2di */

    case 445:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24000; /* pred_indexed_ustorervvmf2x8hirvvm2di */

    case 446:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24002; /* pred_indexed_ustorervvm1x2sirvvm2di */

    case 447:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24004; /* pred_indexed_ustorervvm1x3sirvvm2di */

    case 448:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24006; /* pred_indexed_ustorervvm1x4sirvvm2di */

    case 449:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24008; /* pred_indexed_ustorervvm1x5sirvvm2di */

    case 450:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24010; /* pred_indexed_ustorervvm1x6sirvvm2di */

    case 451:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24012; /* pred_indexed_ustorervvm1x7sirvvm2di */

    case 452:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24014; /* pred_indexed_ustorervvm1x8sirvvm2di */

    case 453:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 24016; /* pred_indexed_ustorervvm2x2dirvvm2di */

    case 454:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 24018; /* pred_indexed_ustorervvm2x3dirvvm2di */

    case 455:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 24020; /* pred_indexed_ustorervvm2x4dirvvm2di */

    case 456:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24022; /* pred_indexed_ustorervvmf2x2bfrvvm2di */

    case 457:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24024; /* pred_indexed_ustorervvmf2x3bfrvvm2di */

    case 458:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24026; /* pred_indexed_ustorervvmf2x4bfrvvm2di */

    case 459:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24028; /* pred_indexed_ustorervvmf2x5bfrvvm2di */

    case 460:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24030; /* pred_indexed_ustorervvmf2x6bfrvvm2di */

    case 461:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24032; /* pred_indexed_ustorervvmf2x7bfrvvm2di */

    case 462:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24034; /* pred_indexed_ustorervvmf2x8bfrvvm2di */

    case 463:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24036; /* pred_indexed_ustorervvmf2x2hfrvvm2di */

    case 464:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24038; /* pred_indexed_ustorervvmf2x3hfrvvm2di */

    case 465:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24040; /* pred_indexed_ustorervvmf2x4hfrvvm2di */

    case 466:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24042; /* pred_indexed_ustorervvmf2x5hfrvvm2di */

    case 467:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24044; /* pred_indexed_ustorervvmf2x6hfrvvm2di */

    case 468:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24046; /* pred_indexed_ustorervvmf2x7hfrvvm2di */

    case 469:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24048; /* pred_indexed_ustorervvmf2x8hfrvvm2di */

    case 470:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24050; /* pred_indexed_ustorervvm1x2sfrvvm2di */

    case 471:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24052; /* pred_indexed_ustorervvm1x3sfrvvm2di */

    case 472:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24054; /* pred_indexed_ustorervvm1x4sfrvvm2di */

    case 473:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24056; /* pred_indexed_ustorervvm1x5sfrvvm2di */

    case 474:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24058; /* pred_indexed_ustorervvm1x6sfrvvm2di */

    case 475:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24060; /* pred_indexed_ustorervvm1x7sfrvvm2di */

    case 476:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24062; /* pred_indexed_ustorervvm1x8sfrvvm2di */

    case 477:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 24064; /* pred_indexed_ustorervvm2x2dfrvvm2di */

    case 478:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 24066; /* pred_indexed_ustorervvm2x3dfrvvm2di */

    case 479:
      if (!(
#line 8626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 24068; /* pred_indexed_ustorervvm2x4dfrvvm2di */

    case 480:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5316; /* pred_indexed_ustorervvmf2qirvvmf2qi */

    case 481:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5318; /* pred_indexed_ustorervvm1hirvvmf2qi */

    case 482:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5320; /* pred_indexed_ustorervvm2sirvvmf2qi */

    case 483:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 831 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5322; /* pred_indexed_ustorervvm4dirvvmf2qi */

    case 484:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 832 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5324; /* pred_indexed_ustorervvm1bfrvvmf2qi */

    case 485:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 833 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5326; /* pred_indexed_ustorervvm1hfrvvmf2qi */

    case 486:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 834 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5328; /* pred_indexed_ustorervvm2sfrvvmf2qi */

    case 487:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 835 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5330; /* pred_indexed_ustorervvm4dfrvvmf2qi */

    case 488:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24070; /* pred_indexed_ustorervvmf2x2qirvvmf2qi */

    case 489:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24072; /* pred_indexed_ustorervvmf2x3qirvvmf2qi */

    case 490:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24074; /* pred_indexed_ustorervvmf2x4qirvvmf2qi */

    case 491:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24076; /* pred_indexed_ustorervvmf2x5qirvvmf2qi */

    case 492:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24078; /* pred_indexed_ustorervvmf2x6qirvvmf2qi */

    case 493:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24080; /* pred_indexed_ustorervvmf2x7qirvvmf2qi */

    case 494:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24082; /* pred_indexed_ustorervvmf2x8qirvvmf2qi */

    case 495:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24084; /* pred_indexed_ustorervvm1x2hirvvmf2qi */

    case 496:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24086; /* pred_indexed_ustorervvm1x3hirvvmf2qi */

    case 497:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24088; /* pred_indexed_ustorervvm1x4hirvvmf2qi */

    case 498:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24090; /* pred_indexed_ustorervvm1x5hirvvmf2qi */

    case 499:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24092; /* pred_indexed_ustorervvm1x6hirvvmf2qi */

    case 500:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24094; /* pred_indexed_ustorervvm1x7hirvvmf2qi */

    case 501:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24096; /* pred_indexed_ustorervvm1x8hirvvmf2qi */

    case 502:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24098; /* pred_indexed_ustorervvm2x2sirvvmf2qi */

    case 503:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24100; /* pred_indexed_ustorervvm2x3sirvvmf2qi */

    case 504:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24102; /* pred_indexed_ustorervvm2x4sirvvmf2qi */

    case 505:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24104; /* pred_indexed_ustorervvm4x2dirvvmf2qi */

    case 506:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24106; /* pred_indexed_ustorervvm1x2bfrvvmf2qi */

    case 507:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24108; /* pred_indexed_ustorervvm1x3bfrvvmf2qi */

    case 508:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24110; /* pred_indexed_ustorervvm1x4bfrvvmf2qi */

    case 509:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24112; /* pred_indexed_ustorervvm1x5bfrvvmf2qi */

    case 510:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24114; /* pred_indexed_ustorervvm1x6bfrvvmf2qi */

    case 511:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24116; /* pred_indexed_ustorervvm1x7bfrvvmf2qi */

    case 512:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24118; /* pred_indexed_ustorervvm1x8bfrvvmf2qi */

    case 513:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24120; /* pred_indexed_ustorervvm1x2hfrvvmf2qi */

    case 514:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24122; /* pred_indexed_ustorervvm1x3hfrvvmf2qi */

    case 515:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24124; /* pred_indexed_ustorervvm1x4hfrvvmf2qi */

    case 516:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24126; /* pred_indexed_ustorervvm1x5hfrvvmf2qi */

    case 517:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24128; /* pred_indexed_ustorervvm1x6hfrvvmf2qi */

    case 518:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24130; /* pred_indexed_ustorervvm1x7hfrvvmf2qi */

    case 519:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24132; /* pred_indexed_ustorervvm1x8hfrvvmf2qi */

    case 520:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24134; /* pred_indexed_ustorervvm2x2sfrvvmf2qi */

    case 521:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24136; /* pred_indexed_ustorervvm2x3sfrvvmf2qi */

    case 522:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24138; /* pred_indexed_ustorervvm2x4sfrvvmf2qi */

    case 523:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 24140; /* pred_indexed_ustorervvm4x2dfrvvmf2qi */

    case 524:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5332; /* pred_indexed_ustorervvmf2qirvvm1hi */

    case 525:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5334; /* pred_indexed_ustorervvm1hirvvm1hi */

    case 526:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5336; /* pred_indexed_ustorervvm2sirvvm1hi */

    case 527:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 831 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5338; /* pred_indexed_ustorervvm4dirvvm1hi */

    case 528:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 832 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5340; /* pred_indexed_ustorervvm1bfrvvm1hi */

    case 529:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 833 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5342; /* pred_indexed_ustorervvm1hfrvvm1hi */

    case 530:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 834 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5344; /* pred_indexed_ustorervvm2sfrvvm1hi */

    case 531:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 835 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5346; /* pred_indexed_ustorervvm4dfrvvm1hi */

    case 532:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24142; /* pred_indexed_ustorervvmf2x2qirvvm1hi */

    case 533:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24144; /* pred_indexed_ustorervvmf2x3qirvvm1hi */

    case 534:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24146; /* pred_indexed_ustorervvmf2x4qirvvm1hi */

    case 535:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24148; /* pred_indexed_ustorervvmf2x5qirvvm1hi */

    case 536:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24150; /* pred_indexed_ustorervvmf2x6qirvvm1hi */

    case 537:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24152; /* pred_indexed_ustorervvmf2x7qirvvm1hi */

    case 538:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24154; /* pred_indexed_ustorervvmf2x8qirvvm1hi */

    case 539:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24156; /* pred_indexed_ustorervvm1x2hirvvm1hi */

    case 540:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24158; /* pred_indexed_ustorervvm1x3hirvvm1hi */

    case 541:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24160; /* pred_indexed_ustorervvm1x4hirvvm1hi */

    case 542:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24162; /* pred_indexed_ustorervvm1x5hirvvm1hi */

    case 543:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24164; /* pred_indexed_ustorervvm1x6hirvvm1hi */

    case 544:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24166; /* pred_indexed_ustorervvm1x7hirvvm1hi */

    case 545:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24168; /* pred_indexed_ustorervvm1x8hirvvm1hi */

    case 546:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24170; /* pred_indexed_ustorervvm2x2sirvvm1hi */

    case 547:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24172; /* pred_indexed_ustorervvm2x3sirvvm1hi */

    case 548:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24174; /* pred_indexed_ustorervvm2x4sirvvm1hi */

    case 549:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24176; /* pred_indexed_ustorervvm4x2dirvvm1hi */

    case 550:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24178; /* pred_indexed_ustorervvm1x2bfrvvm1hi */

    case 551:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24180; /* pred_indexed_ustorervvm1x3bfrvvm1hi */

    case 552:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24182; /* pred_indexed_ustorervvm1x4bfrvvm1hi */

    case 553:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24184; /* pred_indexed_ustorervvm1x5bfrvvm1hi */

    case 554:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24186; /* pred_indexed_ustorervvm1x6bfrvvm1hi */

    case 555:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24188; /* pred_indexed_ustorervvm1x7bfrvvm1hi */

    case 556:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24190; /* pred_indexed_ustorervvm1x8bfrvvm1hi */

    case 557:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24192; /* pred_indexed_ustorervvm1x2hfrvvm1hi */

    case 558:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24194; /* pred_indexed_ustorervvm1x3hfrvvm1hi */

    case 559:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24196; /* pred_indexed_ustorervvm1x4hfrvvm1hi */

    case 560:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24198; /* pred_indexed_ustorervvm1x5hfrvvm1hi */

    case 561:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24200; /* pred_indexed_ustorervvm1x6hfrvvm1hi */

    case 562:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24202; /* pred_indexed_ustorervvm1x7hfrvvm1hi */

    case 563:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24204; /* pred_indexed_ustorervvm1x8hfrvvm1hi */

    case 564:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24206; /* pred_indexed_ustorervvm2x2sfrvvm1hi */

    case 565:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24208; /* pred_indexed_ustorervvm2x3sfrvvm1hi */

    case 566:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24210; /* pred_indexed_ustorervvm2x4sfrvvm1hi */

    case 567:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 24212; /* pred_indexed_ustorervvm4x2dfrvvm1hi */

    case 568:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5348; /* pred_indexed_ustorervvmf2qirvvm2si */

    case 569:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5350; /* pred_indexed_ustorervvm1hirvvm2si */

    case 570:
      if (!
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5352; /* pred_indexed_ustorervvm2sirvvm2si */

    case 571:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 831 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5354; /* pred_indexed_ustorervvm4dirvvm2si */

    case 572:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 832 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5356; /* pred_indexed_ustorervvm1bfrvvm2si */

    case 573:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 833 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5358; /* pred_indexed_ustorervvm1hfrvvm2si */

    case 574:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 834 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5360; /* pred_indexed_ustorervvm2sfrvvm2si */

    case 575:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 835 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5362; /* pred_indexed_ustorervvm4dfrvvm2si */

    case 576:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24214; /* pred_indexed_ustorervvmf2x2qirvvm2si */

    case 577:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24216; /* pred_indexed_ustorervvmf2x3qirvvm2si */

    case 578:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24218; /* pred_indexed_ustorervvmf2x4qirvvm2si */

    case 579:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24220; /* pred_indexed_ustorervvmf2x5qirvvm2si */

    case 580:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24222; /* pred_indexed_ustorervvmf2x6qirvvm2si */

    case 581:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24224; /* pred_indexed_ustorervvmf2x7qirvvm2si */

    case 582:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24226; /* pred_indexed_ustorervvmf2x8qirvvm2si */

    case 583:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24228; /* pred_indexed_ustorervvm1x2hirvvm2si */

    case 584:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24230; /* pred_indexed_ustorervvm1x3hirvvm2si */

    case 585:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24232; /* pred_indexed_ustorervvm1x4hirvvm2si */

    case 586:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24234; /* pred_indexed_ustorervvm1x5hirvvm2si */

    case 587:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24236; /* pred_indexed_ustorervvm1x6hirvvm2si */

    case 588:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24238; /* pred_indexed_ustorervvm1x7hirvvm2si */

    case 589:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24240; /* pred_indexed_ustorervvm1x8hirvvm2si */

    case 590:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24242; /* pred_indexed_ustorervvm2x2sirvvm2si */

    case 591:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24244; /* pred_indexed_ustorervvm2x3sirvvm2si */

    case 592:
      if (!
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24246; /* pred_indexed_ustorervvm2x4sirvvm2si */

    case 593:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24248; /* pred_indexed_ustorervvm4x2dirvvm2si */

    case 594:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24250; /* pred_indexed_ustorervvm1x2bfrvvm2si */

    case 595:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24252; /* pred_indexed_ustorervvm1x3bfrvvm2si */

    case 596:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24254; /* pred_indexed_ustorervvm1x4bfrvvm2si */

    case 597:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24256; /* pred_indexed_ustorervvm1x5bfrvvm2si */

    case 598:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24258; /* pred_indexed_ustorervvm1x6bfrvvm2si */

    case 599:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24260; /* pred_indexed_ustorervvm1x7bfrvvm2si */

    case 600:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24262; /* pred_indexed_ustorervvm1x8bfrvvm2si */

    case 601:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24264; /* pred_indexed_ustorervvm1x2hfrvvm2si */

    case 602:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24266; /* pred_indexed_ustorervvm1x3hfrvvm2si */

    case 603:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24268; /* pred_indexed_ustorervvm1x4hfrvvm2si */

    case 604:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24270; /* pred_indexed_ustorervvm1x5hfrvvm2si */

    case 605:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24272; /* pred_indexed_ustorervvm1x6hfrvvm2si */

    case 606:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24274; /* pred_indexed_ustorervvm1x7hfrvvm2si */

    case 607:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24276; /* pred_indexed_ustorervvm1x8hfrvvm2si */

    case 608:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24278; /* pred_indexed_ustorervvm2x2sfrvvm2si */

    case 609:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24280; /* pred_indexed_ustorervvm2x3sfrvvm2si */

    case 610:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24282; /* pred_indexed_ustorervvm2x4sfrvvm2si */

    case 611:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 24284; /* pred_indexed_ustorervvm4x2dfrvvm2si */

    case 612:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5364; /* pred_indexed_ustorervvmf2qirvvm4di */

    case 613:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5366; /* pred_indexed_ustorervvm1hirvvm4di */

    case 614:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5368; /* pred_indexed_ustorervvm2sirvvm4di */

    case 615:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 831 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5370; /* pred_indexed_ustorervvm4dirvvm4di */

    case 616:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 832 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 5372; /* pred_indexed_ustorervvm1bfrvvm4di */

    case 617:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 833 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 5374; /* pred_indexed_ustorervvm1hfrvvm4di */

    case 618:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 834 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 5376; /* pred_indexed_ustorervvm2sfrvvm4di */

    case 619:
      if (!(
#line 2622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 835 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5378; /* pred_indexed_ustorervvm4dfrvvm4di */

    case 620:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24286; /* pred_indexed_ustorervvmf2x2qirvvm4di */

    case 621:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24288; /* pred_indexed_ustorervvmf2x3qirvvm4di */

    case 622:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24290; /* pred_indexed_ustorervvmf2x4qirvvm4di */

    case 623:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24292; /* pred_indexed_ustorervvmf2x5qirvvm4di */

    case 624:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24294; /* pred_indexed_ustorervvmf2x6qirvvm4di */

    case 625:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24296; /* pred_indexed_ustorervvmf2x7qirvvm4di */

    case 626:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24298; /* pred_indexed_ustorervvmf2x8qirvvm4di */

    case 627:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24300; /* pred_indexed_ustorervvm1x2hirvvm4di */

    case 628:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24302; /* pred_indexed_ustorervvm1x3hirvvm4di */

    case 629:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24304; /* pred_indexed_ustorervvm1x4hirvvm4di */

    case 630:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24306; /* pred_indexed_ustorervvm1x5hirvvm4di */

    case 631:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24308; /* pred_indexed_ustorervvm1x6hirvvm4di */

    case 632:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24310; /* pred_indexed_ustorervvm1x7hirvvm4di */

    case 633:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24312; /* pred_indexed_ustorervvm1x8hirvvm4di */

    case 634:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24314; /* pred_indexed_ustorervvm2x2sirvvm4di */

    case 635:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24316; /* pred_indexed_ustorervvm2x3sirvvm4di */

    case 636:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24318; /* pred_indexed_ustorervvm2x4sirvvm4di */

    case 637:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 24320; /* pred_indexed_ustorervvm4x2dirvvm4di */

    case 638:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24322; /* pred_indexed_ustorervvm1x2bfrvvm4di */

    case 639:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24324; /* pred_indexed_ustorervvm1x3bfrvvm4di */

    case 640:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24326; /* pred_indexed_ustorervvm1x4bfrvvm4di */

    case 641:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24328; /* pred_indexed_ustorervvm1x5bfrvvm4di */

    case 642:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24330; /* pred_indexed_ustorervvm1x6bfrvvm4di */

    case 643:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24332; /* pred_indexed_ustorervvm1x7bfrvvm4di */

    case 644:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24334; /* pred_indexed_ustorervvm1x8bfrvvm4di */

    case 645:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24336; /* pred_indexed_ustorervvm1x2hfrvvm4di */

    case 646:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24338; /* pred_indexed_ustorervvm1x3hfrvvm4di */

    case 647:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24340; /* pred_indexed_ustorervvm1x4hfrvvm4di */

    case 648:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24342; /* pred_indexed_ustorervvm1x5hfrvvm4di */

    case 649:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24344; /* pred_indexed_ustorervvm1x6hfrvvm4di */

    case 650:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24346; /* pred_indexed_ustorervvm1x7hfrvvm4di */

    case 651:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24348; /* pred_indexed_ustorervvm1x8hfrvvm4di */

    case 652:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24350; /* pred_indexed_ustorervvm2x2sfrvvm4di */

    case 653:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24352; /* pred_indexed_ustorervvm2x3sfrvvm4di */

    case 654:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24354; /* pred_indexed_ustorervvm2x4sfrvvm4di */

    case 655:
      if (!(
#line 8643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 24356; /* pred_indexed_ustorervvm4x2dfrvvm4di */

    case 656:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5380; /* pred_indexed_ustorervvm1qirvvm1qi */

    case 657:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5382; /* pred_indexed_ustorervvm2hirvvm1qi */

    case 658:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5384; /* pred_indexed_ustorervvm4sirvvm1qi */

    case 659:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 842 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5386; /* pred_indexed_ustorervvm8dirvvm1qi */

    case 660:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 843 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5388; /* pred_indexed_ustorervvm2bfrvvm1qi */

    case 661:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 844 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5390; /* pred_indexed_ustorervvm2hfrvvm1qi */

    case 662:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 845 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5392; /* pred_indexed_ustorervvm4sfrvvm1qi */

    case 663:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5394; /* pred_indexed_ustorervvm8dfrvvm1qi */

    case 664:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24358; /* pred_indexed_ustorervvm1x2qirvvm1qi */

    case 665:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24366; /* pred_indexed_ustorervvm1x3qirvvm1qi */

    case 666:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24374; /* pred_indexed_ustorervvm1x4qirvvm1qi */

    case 667:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24382; /* pred_indexed_ustorervvm1x5qirvvm1qi */

    case 668:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24390; /* pred_indexed_ustorervvm1x6qirvvm1qi */

    case 669:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24398; /* pred_indexed_ustorervvm1x7qirvvm1qi */

    case 670:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24406; /* pred_indexed_ustorervvm1x8qirvvm1qi */

    case 671:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24414; /* pred_indexed_ustorervvm2x2hirvvm1qi */

    case 672:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24422; /* pred_indexed_ustorervvm2x3hirvvm1qi */

    case 673:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24430; /* pred_indexed_ustorervvm2x4hirvvm1qi */

    case 674:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24438; /* pred_indexed_ustorervvm4x2sirvvm1qi */

    case 675:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24446; /* pred_indexed_ustorervvm2x2bfrvvm1qi */

    case 676:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24454; /* pred_indexed_ustorervvm2x3bfrvvm1qi */

    case 677:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24462; /* pred_indexed_ustorervvm2x4bfrvvm1qi */

    case 678:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24470; /* pred_indexed_ustorervvm2x2hfrvvm1qi */

    case 679:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24478; /* pred_indexed_ustorervvm2x3hfrvvm1qi */

    case 680:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24486; /* pred_indexed_ustorervvm2x4hfrvvm1qi */

    case 681:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24494; /* pred_indexed_ustorervvm4x2sfrvvm1qi */

    case 682:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5396; /* pred_indexed_ustorervvm1qirvvm2hi */

    case 683:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5398; /* pred_indexed_ustorervvm2hirvvm2hi */

    case 684:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5400; /* pred_indexed_ustorervvm4sirvvm2hi */

    case 685:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 842 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5402; /* pred_indexed_ustorervvm8dirvvm2hi */

    case 686:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 843 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5404; /* pred_indexed_ustorervvm2bfrvvm2hi */

    case 687:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 844 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5406; /* pred_indexed_ustorervvm2hfrvvm2hi */

    case 688:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 845 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5408; /* pred_indexed_ustorervvm4sfrvvm2hi */

    case 689:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5410; /* pred_indexed_ustorervvm8dfrvvm2hi */

    case 690:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24360; /* pred_indexed_ustorervvm1x2qirvvm2hi */

    case 691:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24368; /* pred_indexed_ustorervvm1x3qirvvm2hi */

    case 692:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24376; /* pred_indexed_ustorervvm1x4qirvvm2hi */

    case 693:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24384; /* pred_indexed_ustorervvm1x5qirvvm2hi */

    case 694:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24392; /* pred_indexed_ustorervvm1x6qirvvm2hi */

    case 695:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24400; /* pred_indexed_ustorervvm1x7qirvvm2hi */

    case 696:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24408; /* pred_indexed_ustorervvm1x8qirvvm2hi */

    case 697:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24416; /* pred_indexed_ustorervvm2x2hirvvm2hi */

    case 698:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24424; /* pred_indexed_ustorervvm2x3hirvvm2hi */

    case 699:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24432; /* pred_indexed_ustorervvm2x4hirvvm2hi */

    case 700:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24440; /* pred_indexed_ustorervvm4x2sirvvm2hi */

    case 701:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24448; /* pred_indexed_ustorervvm2x2bfrvvm2hi */

    case 702:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24456; /* pred_indexed_ustorervvm2x3bfrvvm2hi */

    case 703:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24464; /* pred_indexed_ustorervvm2x4bfrvvm2hi */

    case 704:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24472; /* pred_indexed_ustorervvm2x2hfrvvm2hi */

    case 705:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24480; /* pred_indexed_ustorervvm2x3hfrvvm2hi */

    case 706:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24488; /* pred_indexed_ustorervvm2x4hfrvvm2hi */

    case 707:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24496; /* pred_indexed_ustorervvm4x2sfrvvm2hi */

    case 708:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5412; /* pred_indexed_ustorervvm1qirvvm4si */

    case 709:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5414; /* pred_indexed_ustorervvm2hirvvm4si */

    case 710:
      if (!
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5416; /* pred_indexed_ustorervvm4sirvvm4si */

    case 711:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 842 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5418; /* pred_indexed_ustorervvm8dirvvm4si */

    case 712:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 843 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5420; /* pred_indexed_ustorervvm2bfrvvm4si */

    case 713:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 844 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5422; /* pred_indexed_ustorervvm2hfrvvm4si */

    case 714:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 845 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5424; /* pred_indexed_ustorervvm4sfrvvm4si */

    case 715:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5426; /* pred_indexed_ustorervvm8dfrvvm4si */

    case 716:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24362; /* pred_indexed_ustorervvm1x2qirvvm4si */

    case 717:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24370; /* pred_indexed_ustorervvm1x3qirvvm4si */

    case 718:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24378; /* pred_indexed_ustorervvm1x4qirvvm4si */

    case 719:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24386; /* pred_indexed_ustorervvm1x5qirvvm4si */

    case 720:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24394; /* pred_indexed_ustorervvm1x6qirvvm4si */

    case 721:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24402; /* pred_indexed_ustorervvm1x7qirvvm4si */

    case 722:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24410; /* pred_indexed_ustorervvm1x8qirvvm4si */

    case 723:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24418; /* pred_indexed_ustorervvm2x2hirvvm4si */

    case 724:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24426; /* pred_indexed_ustorervvm2x3hirvvm4si */

    case 725:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24434; /* pred_indexed_ustorervvm2x4hirvvm4si */

    case 726:
      if (!
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24442; /* pred_indexed_ustorervvm4x2sirvvm4si */

    case 727:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24450; /* pred_indexed_ustorervvm2x2bfrvvm4si */

    case 728:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24458; /* pred_indexed_ustorervvm2x3bfrvvm4si */

    case 729:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24466; /* pred_indexed_ustorervvm2x4bfrvvm4si */

    case 730:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24474; /* pred_indexed_ustorervvm2x2hfrvvm4si */

    case 731:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24482; /* pred_indexed_ustorervvm2x3hfrvvm4si */

    case 732:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24490; /* pred_indexed_ustorervvm2x4hfrvvm4si */

    case 733:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 24498; /* pred_indexed_ustorervvm4x2sfrvvm4si */

    case 734:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5428; /* pred_indexed_ustorervvm1qirvvm8di */

    case 735:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5430; /* pred_indexed_ustorervvm2hirvvm8di */

    case 736:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 5432; /* pred_indexed_ustorervvm4sirvvm8di */

    case 737:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 842 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 5434; /* pred_indexed_ustorervvm8dirvvm8di */

    case 738:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 843 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 5436; /* pred_indexed_ustorervvm2bfrvvm8di */

    case 739:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 844 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 5438; /* pred_indexed_ustorervvm2hfrvvm8di */

    case 740:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 845 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 5440; /* pred_indexed_ustorervvm4sfrvvm8di */

    case 741:
      if (!(
#line 2639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 846 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 5442; /* pred_indexed_ustorervvm8dfrvvm8di */

    case 742:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24364; /* pred_indexed_ustorervvm1x2qirvvm8di */

    case 743:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24372; /* pred_indexed_ustorervvm1x3qirvvm8di */

    case 744:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24380; /* pred_indexed_ustorervvm1x4qirvvm8di */

    case 745:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24388; /* pred_indexed_ustorervvm1x5qirvvm8di */

    case 746:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24396; /* pred_indexed_ustorervvm1x6qirvvm8di */

    case 747:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24404; /* pred_indexed_ustorervvm1x7qirvvm8di */

    case 748:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24412; /* pred_indexed_ustorervvm1x8qirvvm8di */

    case 749:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24420; /* pred_indexed_ustorervvm2x2hirvvm8di */

    case 750:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24428; /* pred_indexed_ustorervvm2x3hirvvm8di */

    case 751:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24436; /* pred_indexed_ustorervvm2x4hirvvm8di */

    case 752:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 24444; /* pred_indexed_ustorervvm4x2sirvvm8di */

    case 753:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24452; /* pred_indexed_ustorervvm2x2bfrvvm8di */

    case 754:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24460; /* pred_indexed_ustorervvm2x3bfrvvm8di */

    case 755:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 24468; /* pred_indexed_ustorervvm2x4bfrvvm8di */

    case 756:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24476; /* pred_indexed_ustorervvm2x2hfrvvm8di */

    case 757:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24484; /* pred_indexed_ustorervvm2x3hfrvvm8di */

    case 758:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 24492; /* pred_indexed_ustorervvm2x4hfrvvm8di */

    case 759:
      if (!(
#line 8660 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 24500; /* pred_indexed_ustorervvm4x2sfrvvm8di */

    case 760:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5444; /* pred_indexed_ustorervvm2qirvvm2qi */

    case 761:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5446; /* pred_indexed_ustorervvm4hirvvm2qi */

    case 762:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5448; /* pred_indexed_ustorervvm8sirvvm2qi */

    case 763:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 853 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5450; /* pred_indexed_ustorervvm4bfrvvm2qi */

    case 764:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 854 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5452; /* pred_indexed_ustorervvm4hfrvvm2qi */

    case 765:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 855 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5454; /* pred_indexed_ustorervvm8sfrvvm2qi */

    case 766:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24502; /* pred_indexed_ustorervvm2x2qirvvm2qi */

    case 767:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24508; /* pred_indexed_ustorervvm2x3qirvvm2qi */

    case 768:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24514; /* pred_indexed_ustorervvm2x4qirvvm2qi */

    case 769:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24520; /* pred_indexed_ustorervvm4x2hirvvm2qi */

    case 770:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24526; /* pred_indexed_ustorervvm4x2bfrvvm2qi */

    case 771:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24532; /* pred_indexed_ustorervvm4x2hfrvvm2qi */

    case 772:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5456; /* pred_indexed_ustorervvm2qirvvm4hi */

    case 773:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5458; /* pred_indexed_ustorervvm4hirvvm4hi */

    case 774:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5460; /* pred_indexed_ustorervvm8sirvvm4hi */

    case 775:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 853 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5462; /* pred_indexed_ustorervvm4bfrvvm4hi */

    case 776:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 854 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5464; /* pred_indexed_ustorervvm4hfrvvm4hi */

    case 777:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 855 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5466; /* pred_indexed_ustorervvm8sfrvvm4hi */

    case 778:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24504; /* pred_indexed_ustorervvm2x2qirvvm4hi */

    case 779:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24510; /* pred_indexed_ustorervvm2x3qirvvm4hi */

    case 780:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24516; /* pred_indexed_ustorervvm2x4qirvvm4hi */

    case 781:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24522; /* pred_indexed_ustorervvm4x2hirvvm4hi */

    case 782:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24528; /* pred_indexed_ustorervvm4x2bfrvvm4hi */

    case 783:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24534; /* pred_indexed_ustorervvm4x2hfrvvm4hi */

    case 784:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5468; /* pred_indexed_ustorervvm2qirvvm8si */

    case 785:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5470; /* pred_indexed_ustorervvm4hirvvm8si */

    case 786:
      if (!
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5472; /* pred_indexed_ustorervvm8sirvvm8si */

    case 787:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 853 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5474; /* pred_indexed_ustorervvm4bfrvvm8si */

    case 788:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 854 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5476; /* pred_indexed_ustorervvm4hfrvvm8si */

    case 789:
      if (!(
#line 2656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 855 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5478; /* pred_indexed_ustorervvm8sfrvvm8si */

    case 790:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24506; /* pred_indexed_ustorervvm2x2qirvvm8si */

    case 791:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24512; /* pred_indexed_ustorervvm2x3qirvvm8si */

    case 792:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24518; /* pred_indexed_ustorervvm2x4qirvvm8si */

    case 793:
      if (!
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24524; /* pred_indexed_ustorervvm4x2hirvvm8si */

    case 794:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 24530; /* pred_indexed_ustorervvm4x2bfrvvm8si */

    case 795:
      if (!(
#line 8677 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 24536; /* pred_indexed_ustorervvm4x2hfrvvm8si */

    case 796:
      if (!
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5480; /* pred_indexed_ustorervvm4qirvvm4qi */

    case 797:
      if (!
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5482; /* pred_indexed_ustorervvm8hirvvm4qi */

    case 798:
      if (!(
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 861 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5484; /* pred_indexed_ustorervvm8bfrvvm4qi */

    case 799:
      if (!(
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 862 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5486; /* pred_indexed_ustorervvm8hfrvvm4qi */

    case 800:
      if (!
#line 8694 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24538; /* pred_indexed_ustorervvm4x2qirvvm4qi */

    case 801:
      if (!
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5488; /* pred_indexed_ustorervvm4qirvvm8hi */

    case 802:
      if (!
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5490; /* pred_indexed_ustorervvm8hirvvm8hi */

    case 803:
      if (!(
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 861 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5492; /* pred_indexed_ustorervvm8bfrvvm8hi */

    case 804:
      if (!(
#line 2673 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 862 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5494; /* pred_indexed_ustorervvm8hfrvvm8hi */

    case 805:
      if (!
#line 8694 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 24540; /* pred_indexed_ustorervvm4x2qirvvm8hi */

    case 806:
      if (!
#line 2690 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5496; /* pred_indexed_ustorervvm8qirvvm8qi */

    default:
      return -1;
    }
}

 int
recog_482 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern602 (x2, 
E_V2048QImode, 
E_V2048BImode) != 0)
    return -1;
  if (vector_least_significant_set_mask_operand (operands[1], E_V2048BImode)
      && vector_const_0_operand (operands[3], E_V2048QImode)
      && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
    return 4285; /* *pred_broadcastv2048qi_zero */
  if (!vector_all_trues_mask_operand (operands[1], E_V2048BImode)
      || !vector_const_int_or_double_0_operand (operands[3], E_V2048QImode)
      || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 4407; /* *pred_broadcastv2048qi_imm */
}

 int
recog_489 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern602 (x2, 
E_V16QImode, 
E_V16BImode) != 0)
    return -1;
  if (vector_least_significant_set_mask_operand (operands[1], E_V16BImode)
      && vector_const_0_operand (operands[3], E_V16QImode)
      && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
    return 4278; /* *pred_broadcastv16qi_zero */
  if (!vector_all_trues_mask_operand (operands[1], E_V16BImode)
      || !vector_const_int_or_double_0_operand (operands[3], E_V16QImode)
      || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
    return -1;
  return 4400; /* *pred_broadcastv16qi_imm */
}

 int
recog_496 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern602 (x2, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0)
    return -1;
  if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF16BImode)
      && vector_const_0_operand (operands[3], E_RVVM4DFmode)
      && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return 4271; /* *pred_broadcastrvvm4df_zero */
  if (!vector_all_trues_mask_operand (operands[1], E_RVVMF16BImode)
      || !vector_const_int_or_double_0_operand (operands[3], E_RVVM4DFmode)
      || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 4393; /* *pred_broadcastrvvm4df_imm */
}

 int
recog_503 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern602 (x2, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0)
    return -1;
  if (vector_least_significant_set_mask_operand (operands[1], E_RVVMF64BImode)
      && vector_const_0_operand (operands[3], E_RVVMF4HFmode)
      && (
#line 2340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
    return 4264; /* *pred_broadcastrvvmf4hf_zero */
  if (!vector_all_trues_mask_operand (operands[1], E_RVVMF64BImode)
      || !vector_const_int_or_double_0_operand (operands[3], E_RVVMF4HFmode)
      || !(
#line 2360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
    return -1;
  return 4386; /* *pred_broadcastrvvmf4hf_imm */
}

 int
recog_510 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern669 (x2))
    {
    case 0:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4720; /* pred_indexed_uloadrvvm8qi_same_eew */

    case 1:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4722; /* pred_indexed_uloadrvvm4qi_same_eew */

    case 2:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5088; /* pred_indexed_uloadrvvm4qi_x2_smaller_eew */

    case 3:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4724; /* pred_indexed_uloadrvvm2qi_same_eew */

    case 4:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5090; /* pred_indexed_uloadrvvm2qi_x2_smaller_eew */

    case 5:
      if (!
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5146; /* pred_indexed_uloadrvvm2qi_x4_smaller_eew */

    case 6:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4726; /* pred_indexed_uloadrvvm1qi_same_eew */

    case 7:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5092; /* pred_indexed_uloadrvvm1qi_x2_smaller_eew */

    case 8:
      if (!
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5148; /* pred_indexed_uloadrvvm1qi_x4_smaller_eew */

    case 9:
      if (!(
#line 2571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 395 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5180; /* pred_indexed_uloadrvvm1qi_x8_smaller_eew */

    case 10:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4728; /* pred_indexed_uloadrvvmf2qi_same_eew */

    case 11:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5094; /* pred_indexed_uloadrvvmf2qi_x2_smaller_eew */

    case 12:
      if (!
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5150; /* pred_indexed_uloadrvvmf2qi_x4_smaller_eew */

    case 13:
      if (!(
#line 2571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 396 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5182; /* pred_indexed_uloadrvvmf2qi_x8_smaller_eew */

    case 14:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4730; /* pred_indexed_uloadrvvmf4qi_same_eew */

    case 15:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5096; /* pred_indexed_uloadrvvmf4qi_x2_smaller_eew */

    case 16:
      if (!
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5152; /* pred_indexed_uloadrvvmf4qi_x4_smaller_eew */

    case 17:
      if (!(
#line 2571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 397 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5184; /* pred_indexed_uloadrvvmf4qi_x8_smaller_eew */

    case 18:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1542 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 4732; /* pred_indexed_uloadrvvmf8qi_same_eew */

    case 19:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 352 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5098; /* pred_indexed_uloadrvvmf8qi_x2_smaller_eew */

    case 20:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 376 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5154; /* pred_indexed_uloadrvvmf8qi_x4_smaller_eew */

    case 21:
      if (!(
#line 2571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 398 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5186; /* pred_indexed_uloadrvvmf8qi_x8_smaller_eew */

    case 22:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4734; /* pred_indexed_uloadrvvm8hi_same_eew */

    case 23:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4964; /* pred_indexed_uloadrvvm8hi_x2_greater_eew */

    case 24:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4736; /* pred_indexed_uloadrvvm4hi_same_eew */

    case 25:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4966; /* pred_indexed_uloadrvvm4hi_x2_greater_eew */

    case 26:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5100; /* pred_indexed_uloadrvvm4hi_x2_smaller_eew */

    case 27:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4738; /* pred_indexed_uloadrvvm2hi_same_eew */

    case 28:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4968; /* pred_indexed_uloadrvvm2hi_x2_greater_eew */

    case 29:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5102; /* pred_indexed_uloadrvvm2hi_x2_smaller_eew */

    case 30:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 378 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5156; /* pred_indexed_uloadrvvm2hi_x4_smaller_eew */

    case 31:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4740; /* pred_indexed_uloadrvvm1hi_same_eew */

    case 32:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4970; /* pred_indexed_uloadrvvm1hi_x2_greater_eew */

    case 33:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5104; /* pred_indexed_uloadrvvm1hi_x2_smaller_eew */

    case 34:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5158; /* pred_indexed_uloadrvvm1hi_x4_smaller_eew */

    case 35:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4742; /* pred_indexed_uloadrvvmf2hi_same_eew */

    case 36:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4972; /* pred_indexed_uloadrvvmf2hi_x2_greater_eew */

    case 37:
      if (!
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5106; /* pred_indexed_uloadrvvmf2hi_x2_smaller_eew */

    case 38:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 380 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5160; /* pred_indexed_uloadrvvmf2hi_x4_smaller_eew */

    case 39:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1544 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 4744; /* pred_indexed_uloadrvvmf4hi_same_eew */

    case 40:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 4974; /* pred_indexed_uloadrvvmf4hi_x2_greater_eew */

    case 41:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 354 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5108; /* pred_indexed_uloadrvvmf4hi_x2_smaller_eew */

    case 42:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 381 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5162; /* pred_indexed_uloadrvvmf4hi_x4_smaller_eew */

    case 43:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4746; /* pred_indexed_uloadrvvm8si_same_eew */

    case 44:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5000; /* pred_indexed_uloadrvvm8si_x2_greater_eew */

    case 45:
      if (!
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5036; /* pred_indexed_uloadrvvm8si_x4_greater_eew */

    case 46:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4748; /* pred_indexed_uloadrvvm4si_same_eew */

    case 47:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5002; /* pred_indexed_uloadrvvm4si_x2_greater_eew */

    case 48:
      if (!
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5038; /* pred_indexed_uloadrvvm4si_x4_greater_eew */

    case 49:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 364 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5130; /* pred_indexed_uloadrvvm4si_x2_smaller_eew */

    case 50:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4750; /* pred_indexed_uloadrvvm2si_same_eew */

    case 51:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5004; /* pred_indexed_uloadrvvm2si_x2_greater_eew */

    case 52:
      if (!
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5040; /* pred_indexed_uloadrvvm2si_x4_greater_eew */

    case 53:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 365 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5132; /* pred_indexed_uloadrvvm2si_x2_smaller_eew */

    case 54:
      if (!
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 4752; /* pred_indexed_uloadrvvm1si_same_eew */

    case 55:
      if (!
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5006; /* pred_indexed_uloadrvvm1si_x2_greater_eew */

    case 56:
      if (!
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5042; /* pred_indexed_uloadrvvm1si_x4_greater_eew */

    case 57:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 366 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_64BIT)))
        return -1;
      return 5134; /* pred_indexed_uloadrvvm1si_x2_smaller_eew */

    case 58:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1546 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 4754; /* pred_indexed_uloadrvvmf2si_same_eew */

    case 59:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 318 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5008; /* pred_indexed_uloadrvvmf2si_x2_greater_eew */

    case 60:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 5044; /* pred_indexed_uloadrvvmf2si_x4_greater_eew */

    case 61:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 367 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5136; /* pred_indexed_uloadrvvmf2si_x2_smaller_eew */

    case 62:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1548 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4756; /* pred_indexed_uloadrvvm8di_same_eew */

    case 63:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 323 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5020; /* pred_indexed_uloadrvvm8di_x2_greater_eew */

    case 64:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5056; /* pred_indexed_uloadrvvm8di_x4_greater_eew */

    case 65:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 344 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5072; /* pred_indexed_uloadrvvm8di_x8_greater_eew */

    case 66:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1549 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4758; /* pred_indexed_uloadrvvm4di_same_eew */

    case 67:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 323 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5022; /* pred_indexed_uloadrvvm4di_x2_greater_eew */

    case 68:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 336 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5058; /* pred_indexed_uloadrvvm4di_x4_greater_eew */

    case 69:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 344 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5074; /* pred_indexed_uloadrvvm4di_x8_greater_eew */

    case 70:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4760; /* pred_indexed_uloadrvvm2di_same_eew */

    case 71:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5024; /* pred_indexed_uloadrvvm2di_x2_greater_eew */

    case 72:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 337 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5060; /* pred_indexed_uloadrvvm2di_x4_greater_eew */

    case 73:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 345 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5076; /* pred_indexed_uloadrvvm2di_x8_greater_eew */

    case 74:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1551 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4762; /* pred_indexed_uloadrvvm1di_same_eew */

    case 75:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 324 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5026; /* pred_indexed_uloadrvvm1di_x2_greater_eew */

    case 76:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 337 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5062; /* pred_indexed_uloadrvvm1di_x4_greater_eew */

    case 77:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 345 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5078; /* pred_indexed_uloadrvvm1di_x8_greater_eew */

    case 78:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4764; /* pred_indexed_uloadrvvm8bf_same_eew */

    case 79:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4976; /* pred_indexed_uloadrvvm8bf_x2_greater_eew */

    case 80:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1554 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4766; /* pred_indexed_uloadrvvm4bf_same_eew */

    case 81:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4978; /* pred_indexed_uloadrvvm4bf_x2_greater_eew */

    case 82:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 356 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5110; /* pred_indexed_uloadrvvm4bf_x2_smaller_eew */

    case 83:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1555 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4768; /* pred_indexed_uloadrvvm2bf_same_eew */

    case 84:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4980; /* pred_indexed_uloadrvvm2bf_x2_greater_eew */

    case 85:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 356 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5112; /* pred_indexed_uloadrvvm2bf_x2_smaller_eew */

    case 86:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 383 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5164; /* pred_indexed_uloadrvvm2bf_x4_smaller_eew */

    case 87:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1556 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4770; /* pred_indexed_uloadrvvm1bf_same_eew */

    case 88:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4982; /* pred_indexed_uloadrvvm1bf_x2_greater_eew */

    case 89:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5114; /* pred_indexed_uloadrvvm1bf_x2_smaller_eew */

    case 90:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 384 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5166; /* pred_indexed_uloadrvvm1bf_x4_smaller_eew */

    case 91:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1557 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4772; /* pred_indexed_uloadrvvmf2bf_same_eew */

    case 92:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 4984; /* pred_indexed_uloadrvvmf2bf_x2_greater_eew */

    case 93:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 357 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5116; /* pred_indexed_uloadrvvmf2bf_x2_smaller_eew */

    case 94:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 385 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 5168; /* pred_indexed_uloadrvvmf2bf_x4_smaller_eew */

    case 95:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1558 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4774; /* pred_indexed_uloadrvvmf4bf_same_eew */

    case 96:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4986; /* pred_indexed_uloadrvvmf4bf_x2_greater_eew */

    case 97:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 358 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 5118; /* pred_indexed_uloadrvvmf4bf_x2_smaller_eew */

    case 98:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 386 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5170; /* pred_indexed_uloadrvvmf4bf_x4_smaller_eew */

    case 99:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1560 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 4776; /* pred_indexed_uloadrvvm8hf_same_eew */

    case 100:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 314 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4988; /* pred_indexed_uloadrvvm8hf_x2_greater_eew */

    case 101:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1560 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 4778; /* pred_indexed_uloadrvvm4hf_same_eew */

    case 102:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 314 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4990; /* pred_indexed_uloadrvvm4hf_x2_greater_eew */

    case 103:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5120; /* pred_indexed_uloadrvvm4hf_x2_smaller_eew */

    case 104:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1560 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 4780; /* pred_indexed_uloadrvvm2hf_same_eew */

    case 105:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 314 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4992; /* pred_indexed_uloadrvvm2hf_x2_greater_eew */

    case 106:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 360 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5122; /* pred_indexed_uloadrvvm2hf_x2_smaller_eew */

    case 107:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 388 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_64BIT)))
        return -1;
      return 5172; /* pred_indexed_uloadrvvm2hf_x4_smaller_eew */

    case 108:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 4782; /* pred_indexed_uloadrvvm1hf_same_eew */

    case 109:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 315 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4994; /* pred_indexed_uloadrvvm1hf_x2_greater_eew */

    case 110:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 361 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5124; /* pred_indexed_uloadrvvm1hf_x2_smaller_eew */

    case 111:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 389 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_64BIT)))
        return -1;
      return 5174; /* pred_indexed_uloadrvvm1hf_x4_smaller_eew */

    case 112:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 4784; /* pred_indexed_uloadrvvmf2hf_same_eew */

    case 113:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 315 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 4996; /* pred_indexed_uloadrvvmf2hf_x2_greater_eew */

    case 114:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 361 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 5126; /* pred_indexed_uloadrvvmf2hf_x2_smaller_eew */

    case 115:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 390 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_64BIT)))
        return -1;
      return 5176; /* pred_indexed_uloadrvvmf2hf_x4_smaller_eew */

    case 116:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1562 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4786; /* pred_indexed_uloadrvvmf4hf_same_eew */

    case 117:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 316 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4998; /* pred_indexed_uloadrvvmf4hf_x2_greater_eew */

    case 118:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 362 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 5128; /* pred_indexed_uloadrvvmf4hf_x2_smaller_eew */

    case 119:
      if (!(
#line 2550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 391 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5178; /* pred_indexed_uloadrvvmf4hf_x4_smaller_eew */

    case 120:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1564 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4788; /* pred_indexed_uloadrvvm8sf_same_eew */

    case 121:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 320 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5010; /* pred_indexed_uloadrvvm8sf_x2_greater_eew */

    case 122:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5046; /* pred_indexed_uloadrvvm8sf_x4_greater_eew */

    case 123:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1564 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4790; /* pred_indexed_uloadrvvm4sf_same_eew */

    case 124:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 320 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5012; /* pred_indexed_uloadrvvm4sf_x2_greater_eew */

    case 125:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5048; /* pred_indexed_uloadrvvm4sf_x4_greater_eew */

    case 126:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 369 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_64BIT)))
        return -1;
      return 5138; /* pred_indexed_uloadrvvm4sf_x2_smaller_eew */

    case 127:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4792; /* pred_indexed_uloadrvvm2sf_same_eew */

    case 128:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 320 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5014; /* pred_indexed_uloadrvvm2sf_x2_greater_eew */

    case 129:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5050; /* pred_indexed_uloadrvvm2sf_x4_greater_eew */

    case 130:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 370 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_64BIT)))
        return -1;
      return 5140; /* pred_indexed_uloadrvvm2sf_x2_smaller_eew */

    case 131:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4794; /* pred_indexed_uloadrvvm1sf_same_eew */

    case 132:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 321 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5016; /* pred_indexed_uloadrvvm1sf_x2_greater_eew */

    case 133:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 334 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 5052; /* pred_indexed_uloadrvvm1sf_x4_greater_eew */

    case 134:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 371 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_64BIT)))
        return -1;
      return 5142; /* pred_indexed_uloadrvvm1sf_x2_smaller_eew */

    case 135:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1566 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 4796; /* pred_indexed_uloadrvvmf2sf_same_eew */

    case 136:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 321 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 5018; /* pred_indexed_uloadrvvmf2sf_x2_greater_eew */

    case 137:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 334 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 5054; /* pred_indexed_uloadrvvmf2sf_x4_greater_eew */

    case 138:
      if (!(
#line 2529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 372 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32 && TARGET_64BIT)))
        return -1;
      return 5144; /* pred_indexed_uloadrvvmf2sf_x2_smaller_eew */

    case 139:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1568 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4798; /* pred_indexed_uloadrvvm8df_same_eew */

    case 140:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 326 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5028; /* pred_indexed_uloadrvvm8df_x2_greater_eew */

    case 141:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 339 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5064; /* pred_indexed_uloadrvvm8df_x4_greater_eew */

    case 142:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 347 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5080; /* pred_indexed_uloadrvvm8df_x8_greater_eew */

    case 143:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4800; /* pred_indexed_uloadrvvm4df_same_eew */

    case 144:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 326 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5030; /* pred_indexed_uloadrvvm4df_x2_greater_eew */

    case 145:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 339 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5066; /* pred_indexed_uloadrvvm4df_x4_greater_eew */

    case 146:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 347 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5082; /* pred_indexed_uloadrvvm4df_x8_greater_eew */

    case 147:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1570 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4802; /* pred_indexed_uloadrvvm2df_same_eew */

    case 148:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5032; /* pred_indexed_uloadrvvm2df_x2_greater_eew */

    case 149:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5068; /* pred_indexed_uloadrvvm2df_x4_greater_eew */

    case 150:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 348 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5084; /* pred_indexed_uloadrvvm2df_x8_greater_eew */

    case 151:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4804; /* pred_indexed_uloadrvvm1df_same_eew */

    case 152:
      if (!(
#line 2465 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5034; /* pred_indexed_uloadrvvm1df_x2_greater_eew */

    case 153:
      if (!(
#line 2486 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 340 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5070; /* pred_indexed_uloadrvvm1df_x4_greater_eew */

    case 154:
      if (!(
#line 2507 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 348 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 5086; /* pred_indexed_uloadrvvm1df_x8_greater_eew */

    case 155:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 4806; /* pred_indexed_uloadv1qi_same_eew */

    case 156:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 4808; /* pred_indexed_uloadv2qi_same_eew */

    case 157:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 4810; /* pred_indexed_uloadv4qi_same_eew */

    case 158:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 4812; /* pred_indexed_uloadv8qi_same_eew */

    case 159:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 4814; /* pred_indexed_uloadv16qi_same_eew */

    case 160:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 4816; /* pred_indexed_uloadv32qi_same_eew */

    case 161:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4818; /* pred_indexed_uloadv64qi_same_eew */

    case 162:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4820; /* pred_indexed_uloadv128qi_same_eew */

    case 163:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4822; /* pred_indexed_uloadv256qi_same_eew */

    case 164:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4824; /* pred_indexed_uloadv512qi_same_eew */

    case 165:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4826; /* pred_indexed_uloadv1024qi_same_eew */

    case 166:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4828; /* pred_indexed_uloadv2048qi_same_eew */

    case 167:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4830; /* pred_indexed_uloadv4096qi_same_eew */

    case 168:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 4832; /* pred_indexed_uloadv1hi_same_eew */

    case 169:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 4834; /* pred_indexed_uloadv2hi_same_eew */

    case 170:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 4836; /* pred_indexed_uloadv4hi_same_eew */

    case 171:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 4838; /* pred_indexed_uloadv8hi_same_eew */

    case 172:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 4840; /* pred_indexed_uloadv16hi_same_eew */

    case 173:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4842; /* pred_indexed_uloadv32hi_same_eew */

    case 174:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4844; /* pred_indexed_uloadv64hi_same_eew */

    case 175:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4846; /* pred_indexed_uloadv128hi_same_eew */

    case 176:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4848; /* pred_indexed_uloadv256hi_same_eew */

    case 177:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4850; /* pred_indexed_uloadv512hi_same_eew */

    case 178:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4852; /* pred_indexed_uloadv1024hi_same_eew */

    case 179:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4854; /* pred_indexed_uloadv2048hi_same_eew */

    case 180:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 4856; /* pred_indexed_uloadv1si_same_eew */

    case 181:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 4858; /* pred_indexed_uloadv2si_same_eew */

    case 182:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 4860; /* pred_indexed_uloadv4si_same_eew */

    case 183:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 4862; /* pred_indexed_uloadv8si_same_eew */

    case 184:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4864; /* pred_indexed_uloadv16si_same_eew */

    case 185:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4866; /* pred_indexed_uloadv32si_same_eew */

    case 186:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4868; /* pred_indexed_uloadv64si_same_eew */

    case 187:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4870; /* pred_indexed_uloadv128si_same_eew */

    case 188:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4872; /* pred_indexed_uloadv256si_same_eew */

    case 189:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1607 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4874; /* pred_indexed_uloadv512si_same_eew */

    case 190:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1608 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4876; /* pred_indexed_uloadv1024si_same_eew */

    case 191:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1609 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4878; /* pred_indexed_uloadv1di_same_eew */

    case 192:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1610 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4880; /* pred_indexed_uloadv2di_same_eew */

    case 193:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1611 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 4882; /* pred_indexed_uloadv4di_same_eew */

    case 194:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1612 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64 && TARGET_64BIT)))
        return -1;
      return 4884; /* pred_indexed_uloadv8di_same_eew */

    case 195:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1613 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128 && TARGET_64BIT)))
        return -1;
      return 4886; /* pred_indexed_uloadv16di_same_eew */

    case 196:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1614 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256 && TARGET_64BIT)))
        return -1;
      return 4888; /* pred_indexed_uloadv32di_same_eew */

    case 197:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1615 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512 && TARGET_64BIT)))
        return -1;
      return 4890; /* pred_indexed_uloadv64di_same_eew */

    case 198:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1616 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024 && TARGET_64BIT)))
        return -1;
      return 4892; /* pred_indexed_uloadv128di_same_eew */

    case 199:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1617 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048 && TARGET_64BIT)))
        return -1;
      return 4894; /* pred_indexed_uloadv256di_same_eew */

    case 200:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1618 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096 && TARGET_64BIT)))
        return -1;
      return 4896; /* pred_indexed_uloadv512di_same_eew */

    case 201:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1620 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 4898; /* pred_indexed_uloadv1hf_same_eew */

    case 202:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1621 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 4900; /* pred_indexed_uloadv2hf_same_eew */

    case 203:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1622 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 4902; /* pred_indexed_uloadv4hf_same_eew */

    case 204:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1623 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 4904; /* pred_indexed_uloadv8hf_same_eew */

    case 205:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1624 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 4906; /* pred_indexed_uloadv16hf_same_eew */

    case 206:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1625 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4908; /* pred_indexed_uloadv32hf_same_eew */

    case 207:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1626 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4910; /* pred_indexed_uloadv64hf_same_eew */

    case 208:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1627 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4912; /* pred_indexed_uloadv128hf_same_eew */

    case 209:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1628 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4914; /* pred_indexed_uloadv256hf_same_eew */

    case 210:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1629 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4916; /* pred_indexed_uloadv512hf_same_eew */

    case 211:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1630 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4918; /* pred_indexed_uloadv1024hf_same_eew */

    case 212:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1631 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4920; /* pred_indexed_uloadv2048hf_same_eew */

    case 213:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1632 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4922; /* pred_indexed_uloadv1sf_same_eew */

    case 214:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1633 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4924; /* pred_indexed_uloadv2sf_same_eew */

    case 215:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1634 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4926; /* pred_indexed_uloadv4sf_same_eew */

    case 216:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1635 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 4928; /* pred_indexed_uloadv8sf_same_eew */

    case 217:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1636 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 4930; /* pred_indexed_uloadv16sf_same_eew */

    case 218:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1637 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 4932; /* pred_indexed_uloadv32sf_same_eew */

    case 219:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1638 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 4934; /* pred_indexed_uloadv64sf_same_eew */

    case 220:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1639 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 4936; /* pred_indexed_uloadv128sf_same_eew */

    case 221:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1640 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 4938; /* pred_indexed_uloadv256sf_same_eew */

    case 222:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1641 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 4940; /* pred_indexed_uloadv512sf_same_eew */

    case 223:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1642 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 4942; /* pred_indexed_uloadv1024sf_same_eew */

    case 224:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1643 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4944; /* pred_indexed_uloadv1df_same_eew */

    case 225:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1644 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4946; /* pred_indexed_uloadv2df_same_eew */

    case 226:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1645 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_64BIT)))
        return -1;
      return 4948; /* pred_indexed_uloadv4df_same_eew */

    case 227:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1646 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64 && TARGET_64BIT)))
        return -1;
      return 4950; /* pred_indexed_uloadv8df_same_eew */

    case 228:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1647 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128 && TARGET_64BIT)))
        return -1;
      return 4952; /* pred_indexed_uloadv16df_same_eew */

    case 229:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1648 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256 && TARGET_64BIT)))
        return -1;
      return 4954; /* pred_indexed_uloadv32df_same_eew */

    case 230:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1649 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512 && TARGET_64BIT)))
        return -1;
      return 4956; /* pred_indexed_uloadv64df_same_eew */

    case 231:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1650 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024 && TARGET_64BIT)))
        return -1;
      return 4958; /* pred_indexed_uloadv128df_same_eew */

    case 232:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1651 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048 && TARGET_64BIT)))
        return -1;
      return 4960; /* pred_indexed_uloadv256df_same_eew */

    case 233:
      if (!(
#line 2443 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1652 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096 && TARGET_64BIT)))
        return -1;
      return 4962; /* pred_indexed_uloadv512df_same_eew */

    case 234:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21934; /* pred_indexed_uloadrvvmf8x2qirvvmf8qi */

    case 235:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21936; /* pred_indexed_uloadrvvmf8x2qirvvmf4hi */

    case 236:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21938; /* pred_indexed_uloadrvvmf8x2qirvvmf2si */

    case 237:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21940; /* pred_indexed_uloadrvvmf8x2qirvvm1di */

    case 238:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21942; /* pred_indexed_uloadrvvmf8x3qirvvmf8qi */

    case 239:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21944; /* pred_indexed_uloadrvvmf8x3qirvvmf4hi */

    case 240:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21946; /* pred_indexed_uloadrvvmf8x3qirvvmf2si */

    case 241:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21948; /* pred_indexed_uloadrvvmf8x3qirvvm1di */

    case 242:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21950; /* pred_indexed_uloadrvvmf8x4qirvvmf8qi */

    case 243:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21952; /* pred_indexed_uloadrvvmf8x4qirvvmf4hi */

    case 244:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21954; /* pred_indexed_uloadrvvmf8x4qirvvmf2si */

    case 245:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21956; /* pred_indexed_uloadrvvmf8x4qirvvm1di */

    case 246:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21958; /* pred_indexed_uloadrvvmf8x5qirvvmf8qi */

    case 247:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21960; /* pred_indexed_uloadrvvmf8x5qirvvmf4hi */

    case 248:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21962; /* pred_indexed_uloadrvvmf8x5qirvvmf2si */

    case 249:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21964; /* pred_indexed_uloadrvvmf8x5qirvvm1di */

    case 250:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21966; /* pred_indexed_uloadrvvmf8x6qirvvmf8qi */

    case 251:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21968; /* pred_indexed_uloadrvvmf8x6qirvvmf4hi */

    case 252:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21970; /* pred_indexed_uloadrvvmf8x6qirvvmf2si */

    case 253:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21972; /* pred_indexed_uloadrvvmf8x6qirvvm1di */

    case 254:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21974; /* pred_indexed_uloadrvvmf8x7qirvvmf8qi */

    case 255:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21976; /* pred_indexed_uloadrvvmf8x7qirvvmf4hi */

    case 256:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21978; /* pred_indexed_uloadrvvmf8x7qirvvmf2si */

    case 257:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21980; /* pred_indexed_uloadrvvmf8x7qirvvm1di */

    case 258:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21982; /* pred_indexed_uloadrvvmf8x8qirvvmf8qi */

    case 259:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21984; /* pred_indexed_uloadrvvmf8x8qirvvmf4hi */

    case 260:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21986; /* pred_indexed_uloadrvvmf8x8qirvvmf2si */

    case 261:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1173 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21988; /* pred_indexed_uloadrvvmf8x8qirvvm1di */

    case 262:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21990; /* pred_indexed_uloadrvvmf4x2hirvvmf8qi */

    case 263:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21992; /* pred_indexed_uloadrvvmf4x2hirvvmf4hi */

    case 264:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21994; /* pred_indexed_uloadrvvmf4x2hirvvmf2si */

    case 265:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1174 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 21996; /* pred_indexed_uloadrvvmf4x2hirvvm1di */

    case 266:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 21998; /* pred_indexed_uloadrvvmf4x3hirvvmf8qi */

    case 267:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22000; /* pred_indexed_uloadrvvmf4x3hirvvmf4hi */

    case 268:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22002; /* pred_indexed_uloadrvvmf4x3hirvvmf2si */

    case 269:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1175 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22004; /* pred_indexed_uloadrvvmf4x3hirvvm1di */

    case 270:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22006; /* pred_indexed_uloadrvvmf4x4hirvvmf8qi */

    case 271:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22008; /* pred_indexed_uloadrvvmf4x4hirvvmf4hi */

    case 272:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22010; /* pred_indexed_uloadrvvmf4x4hirvvmf2si */

    case 273:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22012; /* pred_indexed_uloadrvvmf4x4hirvvm1di */

    case 274:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22014; /* pred_indexed_uloadrvvmf4x5hirvvmf8qi */

    case 275:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22016; /* pred_indexed_uloadrvvmf4x5hirvvmf4hi */

    case 276:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22018; /* pred_indexed_uloadrvvmf4x5hirvvmf2si */

    case 277:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22020; /* pred_indexed_uloadrvvmf4x5hirvvm1di */

    case 278:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22022; /* pred_indexed_uloadrvvmf4x6hirvvmf8qi */

    case 279:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22024; /* pred_indexed_uloadrvvmf4x6hirvvmf4hi */

    case 280:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22026; /* pred_indexed_uloadrvvmf4x6hirvvmf2si */

    case 281:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22028; /* pred_indexed_uloadrvvmf4x6hirvvm1di */

    case 282:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22030; /* pred_indexed_uloadrvvmf4x7hirvvmf8qi */

    case 283:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22032; /* pred_indexed_uloadrvvmf4x7hirvvmf4hi */

    case 284:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22034; /* pred_indexed_uloadrvvmf4x7hirvvmf2si */

    case 285:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1179 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22036; /* pred_indexed_uloadrvvmf4x7hirvvm1di */

    case 286:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22038; /* pred_indexed_uloadrvvmf4x8hirvvmf8qi */

    case 287:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22040; /* pred_indexed_uloadrvvmf4x8hirvvmf4hi */

    case 288:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22042; /* pred_indexed_uloadrvvmf4x8hirvvmf2si */

    case 289:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22044; /* pred_indexed_uloadrvvmf4x8hirvvm1di */

    case 290:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22046; /* pred_indexed_uloadrvvmf2x2sirvvmf8qi */

    case 291:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22048; /* pred_indexed_uloadrvvmf2x2sirvvmf4hi */

    case 292:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22050; /* pred_indexed_uloadrvvmf2x2sirvvmf2si */

    case 293:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22052; /* pred_indexed_uloadrvvmf2x2sirvvm1di */

    case 294:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22054; /* pred_indexed_uloadrvvmf2x3sirvvmf8qi */

    case 295:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22056; /* pred_indexed_uloadrvvmf2x3sirvvmf4hi */

    case 296:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22058; /* pred_indexed_uloadrvvmf2x3sirvvmf2si */

    case 297:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1182 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22060; /* pred_indexed_uloadrvvmf2x3sirvvm1di */

    case 298:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22062; /* pred_indexed_uloadrvvmf2x4sirvvmf8qi */

    case 299:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22064; /* pred_indexed_uloadrvvmf2x4sirvvmf4hi */

    case 300:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22066; /* pred_indexed_uloadrvvmf2x4sirvvmf2si */

    case 301:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22068; /* pred_indexed_uloadrvvmf2x4sirvvm1di */

    case 302:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22070; /* pred_indexed_uloadrvvmf2x5sirvvmf8qi */

    case 303:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22072; /* pred_indexed_uloadrvvmf2x5sirvvmf4hi */

    case 304:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22074; /* pred_indexed_uloadrvvmf2x5sirvvmf2si */

    case 305:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22076; /* pred_indexed_uloadrvvmf2x5sirvvm1di */

    case 306:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22078; /* pred_indexed_uloadrvvmf2x6sirvvmf8qi */

    case 307:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22080; /* pred_indexed_uloadrvvmf2x6sirvvmf4hi */

    case 308:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22082; /* pred_indexed_uloadrvvmf2x6sirvvmf2si */

    case 309:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1185 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22084; /* pred_indexed_uloadrvvmf2x6sirvvm1di */

    case 310:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22086; /* pred_indexed_uloadrvvmf2x7sirvvmf8qi */

    case 311:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22088; /* pred_indexed_uloadrvvmf2x7sirvvmf4hi */

    case 312:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22090; /* pred_indexed_uloadrvvmf2x7sirvvmf2si */

    case 313:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1186 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22092; /* pred_indexed_uloadrvvmf2x7sirvvm1di */

    case 314:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22094; /* pred_indexed_uloadrvvmf2x8sirvvmf8qi */

    case 315:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22096; /* pred_indexed_uloadrvvmf2x8sirvvmf4hi */

    case 316:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 22098; /* pred_indexed_uloadrvvmf2x8sirvvmf2si */

    case 317:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1187 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32))))
        return -1;
      return 22100; /* pred_indexed_uloadrvvmf2x8sirvvm1di */

    case 318:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22102; /* pred_indexed_uloadrvvm1x2dirvvmf8qi */

    case 319:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22104; /* pred_indexed_uloadrvvm1x2dirvvmf4hi */

    case 320:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22106; /* pred_indexed_uloadrvvm1x2dirvvmf2si */

    case 321:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22108; /* pred_indexed_uloadrvvm1x2dirvvm1di */

    case 322:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22110; /* pred_indexed_uloadrvvm1x3dirvvmf8qi */

    case 323:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22112; /* pred_indexed_uloadrvvm1x3dirvvmf4hi */

    case 324:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22114; /* pred_indexed_uloadrvvm1x3dirvvmf2si */

    case 325:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22116; /* pred_indexed_uloadrvvm1x3dirvvm1di */

    case 326:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22118; /* pred_indexed_uloadrvvm1x4dirvvmf8qi */

    case 327:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22120; /* pred_indexed_uloadrvvm1x4dirvvmf4hi */

    case 328:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22122; /* pred_indexed_uloadrvvm1x4dirvvmf2si */

    case 329:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22124; /* pred_indexed_uloadrvvm1x4dirvvm1di */

    case 330:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22126; /* pred_indexed_uloadrvvm1x5dirvvmf8qi */

    case 331:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22128; /* pred_indexed_uloadrvvm1x5dirvvmf4hi */

    case 332:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22130; /* pred_indexed_uloadrvvm1x5dirvvmf2si */

    case 333:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22132; /* pred_indexed_uloadrvvm1x5dirvvm1di */

    case 334:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22134; /* pred_indexed_uloadrvvm1x6dirvvmf8qi */

    case 335:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22136; /* pred_indexed_uloadrvvm1x6dirvvmf4hi */

    case 336:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22138; /* pred_indexed_uloadrvvm1x6dirvvmf2si */

    case 337:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22140; /* pred_indexed_uloadrvvm1x6dirvvm1di */

    case 338:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22142; /* pred_indexed_uloadrvvm1x7dirvvmf8qi */

    case 339:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22144; /* pred_indexed_uloadrvvm1x7dirvvmf4hi */

    case 340:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22146; /* pred_indexed_uloadrvvm1x7dirvvmf2si */

    case 341:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22148; /* pred_indexed_uloadrvvm1x7dirvvm1di */

    case 342:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22150; /* pred_indexed_uloadrvvm1x8dirvvmf8qi */

    case 343:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22152; /* pred_indexed_uloadrvvm1x8dirvvmf4hi */

    case 344:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22154; /* pred_indexed_uloadrvvm1x8dirvvmf2si */

    case 345:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22156; /* pred_indexed_uloadrvvm1x8dirvvm1di */

    case 346:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22158; /* pred_indexed_uloadrvvmf4x2bfrvvmf8qi */

    case 347:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22160; /* pred_indexed_uloadrvvmf4x2bfrvvmf4hi */

    case 348:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22162; /* pred_indexed_uloadrvvmf4x2bfrvvmf2si */

    case 349:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22164; /* pred_indexed_uloadrvvmf4x2bfrvvm1di */

    case 350:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22166; /* pred_indexed_uloadrvvmf4x3bfrvvmf8qi */

    case 351:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22168; /* pred_indexed_uloadrvvmf4x3bfrvvmf4hi */

    case 352:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22170; /* pred_indexed_uloadrvvmf4x3bfrvvmf2si */

    case 353:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22172; /* pred_indexed_uloadrvvmf4x3bfrvvm1di */

    case 354:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22174; /* pred_indexed_uloadrvvmf4x4bfrvvmf8qi */

    case 355:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22176; /* pred_indexed_uloadrvvmf4x4bfrvvmf4hi */

    case 356:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22178; /* pred_indexed_uloadrvvmf4x4bfrvvmf2si */

    case 357:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22180; /* pred_indexed_uloadrvvmf4x4bfrvvm1di */

    case 358:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22182; /* pred_indexed_uloadrvvmf4x5bfrvvmf8qi */

    case 359:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22184; /* pred_indexed_uloadrvvmf4x5bfrvvmf4hi */

    case 360:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22186; /* pred_indexed_uloadrvvmf4x5bfrvvmf2si */

    case 361:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22188; /* pred_indexed_uloadrvvmf4x5bfrvvm1di */

    case 362:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22190; /* pred_indexed_uloadrvvmf4x6bfrvvmf8qi */

    case 363:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22192; /* pred_indexed_uloadrvvmf4x6bfrvvmf4hi */

    case 364:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22194; /* pred_indexed_uloadrvvmf4x6bfrvvmf2si */

    case 365:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22196; /* pred_indexed_uloadrvvmf4x6bfrvvm1di */

    case 366:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22198; /* pred_indexed_uloadrvvmf4x7bfrvvmf8qi */

    case 367:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22200; /* pred_indexed_uloadrvvmf4x7bfrvvmf4hi */

    case 368:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22202; /* pred_indexed_uloadrvvmf4x7bfrvvmf2si */

    case 369:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22204; /* pred_indexed_uloadrvvmf4x7bfrvvm1di */

    case 370:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22206; /* pred_indexed_uloadrvvmf4x8bfrvvmf8qi */

    case 371:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22208; /* pred_indexed_uloadrvvmf4x8bfrvvmf4hi */

    case 372:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22210; /* pred_indexed_uloadrvvmf4x8bfrvvmf2si */

    case 373:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22212; /* pred_indexed_uloadrvvmf4x8bfrvvm1di */

    case 374:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22214; /* pred_indexed_uloadrvvmf4x2hfrvvmf8qi */

    case 375:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22216; /* pred_indexed_uloadrvvmf4x2hfrvvmf4hi */

    case 376:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22218; /* pred_indexed_uloadrvvmf4x2hfrvvmf2si */

    case 377:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22220; /* pred_indexed_uloadrvvmf4x2hfrvvm1di */

    case 378:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22222; /* pred_indexed_uloadrvvmf4x3hfrvvmf8qi */

    case 379:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22224; /* pred_indexed_uloadrvvmf4x3hfrvvmf4hi */

    case 380:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22226; /* pred_indexed_uloadrvvmf4x3hfrvvmf2si */

    case 381:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22228; /* pred_indexed_uloadrvvmf4x3hfrvvm1di */

    case 382:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22230; /* pred_indexed_uloadrvvmf4x4hfrvvmf8qi */

    case 383:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22232; /* pred_indexed_uloadrvvmf4x4hfrvvmf4hi */

    case 384:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22234; /* pred_indexed_uloadrvvmf4x4hfrvvmf2si */

    case 385:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22236; /* pred_indexed_uloadrvvmf4x4hfrvvm1di */

    case 386:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22238; /* pred_indexed_uloadrvvmf4x5hfrvvmf8qi */

    case 387:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22240; /* pred_indexed_uloadrvvmf4x5hfrvvmf4hi */

    case 388:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22242; /* pred_indexed_uloadrvvmf4x5hfrvvmf2si */

    case 389:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22244; /* pred_indexed_uloadrvvmf4x5hfrvvm1di */

    case 390:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22246; /* pred_indexed_uloadrvvmf4x6hfrvvmf8qi */

    case 391:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22248; /* pred_indexed_uloadrvvmf4x6hfrvvmf4hi */

    case 392:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22250; /* pred_indexed_uloadrvvmf4x6hfrvvmf2si */

    case 393:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22252; /* pred_indexed_uloadrvvmf4x6hfrvvm1di */

    case 394:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22254; /* pred_indexed_uloadrvvmf4x7hfrvvmf8qi */

    case 395:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22256; /* pred_indexed_uloadrvvmf4x7hfrvvmf4hi */

    case 396:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22258; /* pred_indexed_uloadrvvmf4x7hfrvvmf2si */

    case 397:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22260; /* pred_indexed_uloadrvvmf4x7hfrvvm1di */

    case 398:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22262; /* pred_indexed_uloadrvvmf4x8hfrvvmf8qi */

    case 399:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22264; /* pred_indexed_uloadrvvmf4x8hfrvvmf4hi */

    case 400:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22266; /* pred_indexed_uloadrvvmf4x8hfrvvmf2si */

    case 401:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22268; /* pred_indexed_uloadrvvmf4x8hfrvvm1di */

    case 402:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22270; /* pred_indexed_uloadrvvmf2x2sfrvvmf8qi */

    case 403:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22272; /* pred_indexed_uloadrvvmf2x2sfrvvmf4hi */

    case 404:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22274; /* pred_indexed_uloadrvvmf2x2sfrvvmf2si */

    case 405:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22276; /* pred_indexed_uloadrvvmf2x2sfrvvm1di */

    case 406:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22278; /* pred_indexed_uloadrvvmf2x3sfrvvmf8qi */

    case 407:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22280; /* pred_indexed_uloadrvvmf2x3sfrvvmf4hi */

    case 408:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22282; /* pred_indexed_uloadrvvmf2x3sfrvvmf2si */

    case 409:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22284; /* pred_indexed_uloadrvvmf2x3sfrvvm1di */

    case 410:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22286; /* pred_indexed_uloadrvvmf2x4sfrvvmf8qi */

    case 411:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22288; /* pred_indexed_uloadrvvmf2x4sfrvvmf4hi */

    case 412:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22290; /* pred_indexed_uloadrvvmf2x4sfrvvmf2si */

    case 413:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22292; /* pred_indexed_uloadrvvmf2x4sfrvvm1di */

    case 414:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22294; /* pred_indexed_uloadrvvmf2x5sfrvvmf8qi */

    case 415:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22296; /* pred_indexed_uloadrvvmf2x5sfrvvmf4hi */

    case 416:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22298; /* pred_indexed_uloadrvvmf2x5sfrvvmf2si */

    case 417:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22300; /* pred_indexed_uloadrvvmf2x5sfrvvm1di */

    case 418:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22302; /* pred_indexed_uloadrvvmf2x6sfrvvmf8qi */

    case 419:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22304; /* pred_indexed_uloadrvvmf2x6sfrvvmf4hi */

    case 420:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22306; /* pred_indexed_uloadrvvmf2x6sfrvvmf2si */

    case 421:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22308; /* pred_indexed_uloadrvvmf2x6sfrvvm1di */

    case 422:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22310; /* pred_indexed_uloadrvvmf2x7sfrvvmf8qi */

    case 423:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22312; /* pred_indexed_uloadrvvmf2x7sfrvvmf4hi */

    case 424:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22314; /* pred_indexed_uloadrvvmf2x7sfrvvmf2si */

    case 425:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22316; /* pred_indexed_uloadrvvmf2x7sfrvvm1di */

    case 426:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22318; /* pred_indexed_uloadrvvmf2x8sfrvvmf8qi */

    case 427:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22320; /* pred_indexed_uloadrvvmf2x8sfrvvmf4hi */

    case 428:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22322; /* pred_indexed_uloadrvvmf2x8sfrvvmf2si */

    case 429:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32 && TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22324; /* pred_indexed_uloadrvvmf2x8sfrvvm1di */

    case 430:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22326; /* pred_indexed_uloadrvvm1x2dfrvvmf8qi */

    case 431:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22328; /* pred_indexed_uloadrvvm1x2dfrvvmf4hi */

    case 432:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22330; /* pred_indexed_uloadrvvm1x2dfrvvmf2si */

    case 433:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22332; /* pred_indexed_uloadrvvm1x2dfrvvm1di */

    case 434:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22334; /* pred_indexed_uloadrvvm1x3dfrvvmf8qi */

    case 435:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22336; /* pred_indexed_uloadrvvm1x3dfrvvmf4hi */

    case 436:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22338; /* pred_indexed_uloadrvvm1x3dfrvvmf2si */

    case 437:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22340; /* pred_indexed_uloadrvvm1x3dfrvvm1di */

    case 438:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22342; /* pred_indexed_uloadrvvm1x4dfrvvmf8qi */

    case 439:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22344; /* pred_indexed_uloadrvvm1x4dfrvvmf4hi */

    case 440:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22346; /* pred_indexed_uloadrvvm1x4dfrvvmf2si */

    case 441:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22348; /* pred_indexed_uloadrvvm1x4dfrvvm1di */

    case 442:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22350; /* pred_indexed_uloadrvvm1x5dfrvvmf8qi */

    case 443:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22352; /* pred_indexed_uloadrvvm1x5dfrvvmf4hi */

    case 444:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22354; /* pred_indexed_uloadrvvm1x5dfrvvmf2si */

    case 445:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22356; /* pred_indexed_uloadrvvm1x5dfrvvm1di */

    case 446:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22358; /* pred_indexed_uloadrvvm1x6dfrvvmf8qi */

    case 447:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22360; /* pred_indexed_uloadrvvm1x6dfrvvmf4hi */

    case 448:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22362; /* pred_indexed_uloadrvvm1x6dfrvvmf2si */

    case 449:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22364; /* pred_indexed_uloadrvvm1x6dfrvvm1di */

    case 450:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22366; /* pred_indexed_uloadrvvm1x7dfrvvmf8qi */

    case 451:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22368; /* pred_indexed_uloadrvvm1x7dfrvvmf4hi */

    case 452:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22370; /* pred_indexed_uloadrvvm1x7dfrvvmf2si */

    case 453:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22372; /* pred_indexed_uloadrvvm1x7dfrvvm1di */

    case 454:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 870 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22374; /* pred_indexed_uloadrvvm1x8dfrvvmf8qi */

    case 455:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 871 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22376; /* pred_indexed_uloadrvvm1x8dfrvvmf4hi */

    case 456:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 872 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22378; /* pred_indexed_uloadrvvm1x8dfrvvmf2si */

    case 457:
      if (!(
#line 8487 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 873 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22380; /* pred_indexed_uloadrvvm1x8dfrvvm1di */

    case 458:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22382; /* pred_indexed_uloadrvvmf4x2qirvvmf4qi */

    case 459:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22478; /* pred_indexed_uloadrvvmf4x2qirvvmf2hi */

    case 460:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22574; /* pred_indexed_uloadrvvmf4x2qirvvm1si */

    case 461:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22670; /* pred_indexed_uloadrvvmf4x2qirvvm2di */

    case 462:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22384; /* pred_indexed_uloadrvvmf4x3qirvvmf4qi */

    case 463:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22480; /* pred_indexed_uloadrvvmf4x3qirvvmf2hi */

    case 464:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22576; /* pred_indexed_uloadrvvmf4x3qirvvm1si */

    case 465:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22672; /* pred_indexed_uloadrvvmf4x3qirvvm2di */

    case 466:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22386; /* pred_indexed_uloadrvvmf4x4qirvvmf4qi */

    case 467:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22482; /* pred_indexed_uloadrvvmf4x4qirvvmf2hi */

    case 468:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22578; /* pred_indexed_uloadrvvmf4x4qirvvm1si */

    case 469:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22674; /* pred_indexed_uloadrvvmf4x4qirvvm2di */

    case 470:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22388; /* pred_indexed_uloadrvvmf4x5qirvvmf4qi */

    case 471:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22484; /* pred_indexed_uloadrvvmf4x5qirvvmf2hi */

    case 472:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22580; /* pred_indexed_uloadrvvmf4x5qirvvm1si */

    case 473:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22676; /* pred_indexed_uloadrvvmf4x5qirvvm2di */

    case 474:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22390; /* pred_indexed_uloadrvvmf4x6qirvvmf4qi */

    case 475:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22486; /* pred_indexed_uloadrvvmf4x6qirvvmf2hi */

    case 476:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22582; /* pred_indexed_uloadrvvmf4x6qirvvm1si */

    case 477:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22678; /* pred_indexed_uloadrvvmf4x6qirvvm2di */

    case 478:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22392; /* pred_indexed_uloadrvvmf4x7qirvvmf4qi */

    case 479:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22488; /* pred_indexed_uloadrvvmf4x7qirvvmf2hi */

    case 480:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22584; /* pred_indexed_uloadrvvmf4x7qirvvm1si */

    case 481:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22680; /* pred_indexed_uloadrvvmf4x7qirvvm2di */

    case 482:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22394; /* pred_indexed_uloadrvvmf4x8qirvvmf4qi */

    case 483:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22490; /* pred_indexed_uloadrvvmf4x8qirvvmf2hi */

    case 484:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22586; /* pred_indexed_uloadrvvmf4x8qirvvm1si */

    case 485:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22682; /* pred_indexed_uloadrvvmf4x8qirvvm2di */

    case 486:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22396; /* pred_indexed_uloadrvvmf2x2hirvvmf4qi */

    case 487:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22492; /* pred_indexed_uloadrvvmf2x2hirvvmf2hi */

    case 488:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22588; /* pred_indexed_uloadrvvmf2x2hirvvm1si */

    case 489:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22684; /* pred_indexed_uloadrvvmf2x2hirvvm2di */

    case 490:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22398; /* pred_indexed_uloadrvvmf2x3hirvvmf4qi */

    case 491:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22494; /* pred_indexed_uloadrvvmf2x3hirvvmf2hi */

    case 492:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22590; /* pred_indexed_uloadrvvmf2x3hirvvm1si */

    case 493:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22686; /* pred_indexed_uloadrvvmf2x3hirvvm2di */

    case 494:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22400; /* pred_indexed_uloadrvvmf2x4hirvvmf4qi */

    case 495:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22496; /* pred_indexed_uloadrvvmf2x4hirvvmf2hi */

    case 496:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22592; /* pred_indexed_uloadrvvmf2x4hirvvm1si */

    case 497:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22688; /* pred_indexed_uloadrvvmf2x4hirvvm2di */

    case 498:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22402; /* pred_indexed_uloadrvvmf2x5hirvvmf4qi */

    case 499:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22498; /* pred_indexed_uloadrvvmf2x5hirvvmf2hi */

    case 500:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22594; /* pred_indexed_uloadrvvmf2x5hirvvm1si */

    case 501:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22690; /* pred_indexed_uloadrvvmf2x5hirvvm2di */

    case 502:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22404; /* pred_indexed_uloadrvvmf2x6hirvvmf4qi */

    case 503:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22500; /* pred_indexed_uloadrvvmf2x6hirvvmf2hi */

    case 504:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22596; /* pred_indexed_uloadrvvmf2x6hirvvm1si */

    case 505:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22692; /* pred_indexed_uloadrvvmf2x6hirvvm2di */

    case 506:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22406; /* pred_indexed_uloadrvvmf2x7hirvvmf4qi */

    case 507:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22502; /* pred_indexed_uloadrvvmf2x7hirvvmf2hi */

    case 508:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22598; /* pred_indexed_uloadrvvmf2x7hirvvm1si */

    case 509:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22694; /* pred_indexed_uloadrvvmf2x7hirvvm2di */

    case 510:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22408; /* pred_indexed_uloadrvvmf2x8hirvvmf4qi */

    case 511:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22504; /* pred_indexed_uloadrvvmf2x8hirvvmf2hi */

    case 512:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22600; /* pred_indexed_uloadrvvmf2x8hirvvm1si */

    case 513:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22696; /* pred_indexed_uloadrvvmf2x8hirvvm2di */

    case 514:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22410; /* pred_indexed_uloadrvvm1x2sirvvmf4qi */

    case 515:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22506; /* pred_indexed_uloadrvvm1x2sirvvmf2hi */

    case 516:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22602; /* pred_indexed_uloadrvvm1x2sirvvm1si */

    case 517:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22698; /* pred_indexed_uloadrvvm1x2sirvvm2di */

    case 518:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22412; /* pred_indexed_uloadrvvm1x3sirvvmf4qi */

    case 519:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22508; /* pred_indexed_uloadrvvm1x3sirvvmf2hi */

    case 520:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22604; /* pred_indexed_uloadrvvm1x3sirvvm1si */

    case 521:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22700; /* pred_indexed_uloadrvvm1x3sirvvm2di */

    case 522:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22414; /* pred_indexed_uloadrvvm1x4sirvvmf4qi */

    case 523:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22510; /* pred_indexed_uloadrvvm1x4sirvvmf2hi */

    case 524:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22606; /* pred_indexed_uloadrvvm1x4sirvvm1si */

    case 525:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22702; /* pred_indexed_uloadrvvm1x4sirvvm2di */

    case 526:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22416; /* pred_indexed_uloadrvvm1x5sirvvmf4qi */

    case 527:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22512; /* pred_indexed_uloadrvvm1x5sirvvmf2hi */

    case 528:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22608; /* pred_indexed_uloadrvvm1x5sirvvm1si */

    case 529:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22704; /* pred_indexed_uloadrvvm1x5sirvvm2di */

    case 530:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22418; /* pred_indexed_uloadrvvm1x6sirvvmf4qi */

    case 531:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22514; /* pred_indexed_uloadrvvm1x6sirvvmf2hi */

    case 532:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22610; /* pred_indexed_uloadrvvm1x6sirvvm1si */

    case 533:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22706; /* pred_indexed_uloadrvvm1x6sirvvm2di */

    case 534:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22420; /* pred_indexed_uloadrvvm1x7sirvvmf4qi */

    case 535:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22516; /* pred_indexed_uloadrvvm1x7sirvvmf2hi */

    case 536:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22612; /* pred_indexed_uloadrvvm1x7sirvvm1si */

    case 537:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22708; /* pred_indexed_uloadrvvm1x7sirvvm2di */

    case 538:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22422; /* pred_indexed_uloadrvvm1x8sirvvmf4qi */

    case 539:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22518; /* pred_indexed_uloadrvvm1x8sirvvmf2hi */

    case 540:
      if (!
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22614; /* pred_indexed_uloadrvvm1x8sirvvm1si */

    case 541:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22710; /* pred_indexed_uloadrvvm1x8sirvvm2di */

    case 542:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22424; /* pred_indexed_uloadrvvm2x2dirvvmf4qi */

    case 543:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22520; /* pred_indexed_uloadrvvm2x2dirvvmf2hi */

    case 544:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22616; /* pred_indexed_uloadrvvm2x2dirvvm1si */

    case 545:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22712; /* pred_indexed_uloadrvvm2x2dirvvm2di */

    case 546:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22426; /* pred_indexed_uloadrvvm2x3dirvvmf4qi */

    case 547:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22522; /* pred_indexed_uloadrvvm2x3dirvvmf2hi */

    case 548:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22618; /* pred_indexed_uloadrvvm2x3dirvvm1si */

    case 549:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22714; /* pred_indexed_uloadrvvm2x3dirvvm2di */

    case 550:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22428; /* pred_indexed_uloadrvvm2x4dirvvmf4qi */

    case 551:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22524; /* pred_indexed_uloadrvvm2x4dirvvmf2hi */

    case 552:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22620; /* pred_indexed_uloadrvvm2x4dirvvm1si */

    case 553:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 22716; /* pred_indexed_uloadrvvm2x4dirvvm2di */

    case 554:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22430; /* pred_indexed_uloadrvvmf2x2bfrvvmf4qi */

    case 555:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22526; /* pred_indexed_uloadrvvmf2x2bfrvvmf2hi */

    case 556:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22622; /* pred_indexed_uloadrvvmf2x2bfrvvm1si */

    case 557:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22718; /* pred_indexed_uloadrvvmf2x2bfrvvm2di */

    case 558:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22432; /* pred_indexed_uloadrvvmf2x3bfrvvmf4qi */

    case 559:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22528; /* pred_indexed_uloadrvvmf2x3bfrvvmf2hi */

    case 560:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22624; /* pred_indexed_uloadrvvmf2x3bfrvvm1si */

    case 561:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22720; /* pred_indexed_uloadrvvmf2x3bfrvvm2di */

    case 562:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22434; /* pred_indexed_uloadrvvmf2x4bfrvvmf4qi */

    case 563:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22530; /* pred_indexed_uloadrvvmf2x4bfrvvmf2hi */

    case 564:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22626; /* pred_indexed_uloadrvvmf2x4bfrvvm1si */

    case 565:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22722; /* pred_indexed_uloadrvvmf2x4bfrvvm2di */

    case 566:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22436; /* pred_indexed_uloadrvvmf2x5bfrvvmf4qi */

    case 567:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22532; /* pred_indexed_uloadrvvmf2x5bfrvvmf2hi */

    case 568:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22628; /* pred_indexed_uloadrvvmf2x5bfrvvm1si */

    case 569:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22724; /* pred_indexed_uloadrvvmf2x5bfrvvm2di */

    case 570:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22438; /* pred_indexed_uloadrvvmf2x6bfrvvmf4qi */

    case 571:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22534; /* pred_indexed_uloadrvvmf2x6bfrvvmf2hi */

    case 572:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22630; /* pred_indexed_uloadrvvmf2x6bfrvvm1si */

    case 573:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22726; /* pred_indexed_uloadrvvmf2x6bfrvvm2di */

    case 574:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22440; /* pred_indexed_uloadrvvmf2x7bfrvvmf4qi */

    case 575:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22536; /* pred_indexed_uloadrvvmf2x7bfrvvmf2hi */

    case 576:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22632; /* pred_indexed_uloadrvvmf2x7bfrvvm1si */

    case 577:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22728; /* pred_indexed_uloadrvvmf2x7bfrvvm2di */

    case 578:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22442; /* pred_indexed_uloadrvvmf2x8bfrvvmf4qi */

    case 579:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22538; /* pred_indexed_uloadrvvmf2x8bfrvvmf2hi */

    case 580:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22634; /* pred_indexed_uloadrvvmf2x8bfrvvm1si */

    case 581:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 22730; /* pred_indexed_uloadrvvmf2x8bfrvvm2di */

    case 582:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22444; /* pred_indexed_uloadrvvmf2x2hfrvvmf4qi */

    case 583:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22540; /* pred_indexed_uloadrvvmf2x2hfrvvmf2hi */

    case 584:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22636; /* pred_indexed_uloadrvvmf2x2hfrvvm1si */

    case 585:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22732; /* pred_indexed_uloadrvvmf2x2hfrvvm2di */

    case 586:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22446; /* pred_indexed_uloadrvvmf2x3hfrvvmf4qi */

    case 587:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22542; /* pred_indexed_uloadrvvmf2x3hfrvvmf2hi */

    case 588:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22638; /* pred_indexed_uloadrvvmf2x3hfrvvm1si */

    case 589:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22734; /* pred_indexed_uloadrvvmf2x3hfrvvm2di */

    case 590:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22448; /* pred_indexed_uloadrvvmf2x4hfrvvmf4qi */

    case 591:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22544; /* pred_indexed_uloadrvvmf2x4hfrvvmf2hi */

    case 592:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22640; /* pred_indexed_uloadrvvmf2x4hfrvvm1si */

    case 593:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22736; /* pred_indexed_uloadrvvmf2x4hfrvvm2di */

    case 594:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22450; /* pred_indexed_uloadrvvmf2x5hfrvvmf4qi */

    case 595:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22546; /* pred_indexed_uloadrvvmf2x5hfrvvmf2hi */

    case 596:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22642; /* pred_indexed_uloadrvvmf2x5hfrvvm1si */

    case 597:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22738; /* pred_indexed_uloadrvvmf2x5hfrvvm2di */

    case 598:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22452; /* pred_indexed_uloadrvvmf2x6hfrvvmf4qi */

    case 599:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22548; /* pred_indexed_uloadrvvmf2x6hfrvvmf2hi */

    case 600:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22644; /* pred_indexed_uloadrvvmf2x6hfrvvm1si */

    case 601:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22740; /* pred_indexed_uloadrvvmf2x6hfrvvm2di */

    case 602:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22454; /* pred_indexed_uloadrvvmf2x7hfrvvmf4qi */

    case 603:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22550; /* pred_indexed_uloadrvvmf2x7hfrvvmf2hi */

    case 604:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22646; /* pred_indexed_uloadrvvmf2x7hfrvvm1si */

    case 605:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22742; /* pred_indexed_uloadrvvmf2x7hfrvvm2di */

    case 606:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22456; /* pred_indexed_uloadrvvmf2x8hfrvvmf4qi */

    case 607:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22552; /* pred_indexed_uloadrvvmf2x8hfrvvmf2hi */

    case 608:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22648; /* pred_indexed_uloadrvvmf2x8hfrvvm1si */

    case 609:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 22744; /* pred_indexed_uloadrvvmf2x8hfrvvm2di */

    case 610:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22458; /* pred_indexed_uloadrvvm1x2sfrvvmf4qi */

    case 611:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22554; /* pred_indexed_uloadrvvm1x2sfrvvmf2hi */

    case 612:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22650; /* pred_indexed_uloadrvvm1x2sfrvvm1si */

    case 613:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22746; /* pred_indexed_uloadrvvm1x2sfrvvm2di */

    case 614:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22460; /* pred_indexed_uloadrvvm1x3sfrvvmf4qi */

    case 615:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22556; /* pred_indexed_uloadrvvm1x3sfrvvmf2hi */

    case 616:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22652; /* pred_indexed_uloadrvvm1x3sfrvvm1si */

    case 617:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22748; /* pred_indexed_uloadrvvm1x3sfrvvm2di */

    case 618:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22462; /* pred_indexed_uloadrvvm1x4sfrvvmf4qi */

    case 619:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22558; /* pred_indexed_uloadrvvm1x4sfrvvmf2hi */

    case 620:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22654; /* pred_indexed_uloadrvvm1x4sfrvvm1si */

    case 621:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22750; /* pred_indexed_uloadrvvm1x4sfrvvm2di */

    case 622:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22464; /* pred_indexed_uloadrvvm1x5sfrvvmf4qi */

    case 623:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22560; /* pred_indexed_uloadrvvm1x5sfrvvmf2hi */

    case 624:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22656; /* pred_indexed_uloadrvvm1x5sfrvvm1si */

    case 625:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22752; /* pred_indexed_uloadrvvm1x5sfrvvm2di */

    case 626:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22466; /* pred_indexed_uloadrvvm1x6sfrvvmf4qi */

    case 627:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22562; /* pred_indexed_uloadrvvm1x6sfrvvmf2hi */

    case 628:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22658; /* pred_indexed_uloadrvvm1x6sfrvvm1si */

    case 629:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22754; /* pred_indexed_uloadrvvm1x6sfrvvm2di */

    case 630:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22468; /* pred_indexed_uloadrvvm1x7sfrvvmf4qi */

    case 631:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22564; /* pred_indexed_uloadrvvm1x7sfrvvmf2hi */

    case 632:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22660; /* pred_indexed_uloadrvvm1x7sfrvvm1si */

    case 633:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1269 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22756; /* pred_indexed_uloadrvvm1x7sfrvvm2di */

    case 634:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22470; /* pred_indexed_uloadrvvm1x8sfrvvmf4qi */

    case 635:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22566; /* pred_indexed_uloadrvvm1x8sfrvvmf2hi */

    case 636:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22662; /* pred_indexed_uloadrvvm1x8sfrvvm1si */

    case 637:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1270 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 22758; /* pred_indexed_uloadrvvm1x8sfrvvm2di */

    case 638:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22472; /* pred_indexed_uloadrvvm2x2dfrvvmf4qi */

    case 639:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22568; /* pred_indexed_uloadrvvm2x2dfrvvmf2hi */

    case 640:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22664; /* pred_indexed_uloadrvvm2x2dfrvvm1si */

    case 641:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1271 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22760; /* pred_indexed_uloadrvvm2x2dfrvvm2di */

    case 642:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22474; /* pred_indexed_uloadrvvm2x3dfrvvmf4qi */

    case 643:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22570; /* pred_indexed_uloadrvvm2x3dfrvvmf2hi */

    case 644:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22666; /* pred_indexed_uloadrvvm2x3dfrvvm1si */

    case 645:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22762; /* pred_indexed_uloadrvvm2x3dfrvvm2di */

    case 646:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22476; /* pred_indexed_uloadrvvm2x4dfrvvmf4qi */

    case 647:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22572; /* pred_indexed_uloadrvvm2x4dfrvvmf2hi */

    case 648:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22668; /* pred_indexed_uloadrvvm2x4dfrvvm1si */

    case 649:
      if (!(
#line 8508 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 880 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 22764; /* pred_indexed_uloadrvvm2x4dfrvvm2di */

    case 650:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22766; /* pred_indexed_uloadrvvmf2x2qirvvmf2qi */

    case 651:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22838; /* pred_indexed_uloadrvvmf2x2qirvvm1hi */

    case 652:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22910; /* pred_indexed_uloadrvvmf2x2qirvvm2si */

    case 653:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22982; /* pred_indexed_uloadrvvmf2x2qirvvm4di */

    case 654:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22768; /* pred_indexed_uloadrvvmf2x3qirvvmf2qi */

    case 655:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22840; /* pred_indexed_uloadrvvmf2x3qirvvm1hi */

    case 656:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22912; /* pred_indexed_uloadrvvmf2x3qirvvm2si */

    case 657:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22984; /* pred_indexed_uloadrvvmf2x3qirvvm4di */

    case 658:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22770; /* pred_indexed_uloadrvvmf2x4qirvvmf2qi */

    case 659:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22842; /* pred_indexed_uloadrvvmf2x4qirvvm1hi */

    case 660:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22914; /* pred_indexed_uloadrvvmf2x4qirvvm2si */

    case 661:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22986; /* pred_indexed_uloadrvvmf2x4qirvvm4di */

    case 662:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22772; /* pred_indexed_uloadrvvmf2x5qirvvmf2qi */

    case 663:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22844; /* pred_indexed_uloadrvvmf2x5qirvvm1hi */

    case 664:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22916; /* pred_indexed_uloadrvvmf2x5qirvvm2si */

    case 665:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22988; /* pred_indexed_uloadrvvmf2x5qirvvm4di */

    case 666:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22774; /* pred_indexed_uloadrvvmf2x6qirvvmf2qi */

    case 667:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22846; /* pred_indexed_uloadrvvmf2x6qirvvm1hi */

    case 668:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22918; /* pred_indexed_uloadrvvmf2x6qirvvm2si */

    case 669:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22990; /* pred_indexed_uloadrvvmf2x6qirvvm4di */

    case 670:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22776; /* pred_indexed_uloadrvvmf2x7qirvvmf2qi */

    case 671:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22848; /* pred_indexed_uloadrvvmf2x7qirvvm1hi */

    case 672:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22920; /* pred_indexed_uloadrvvmf2x7qirvvm2si */

    case 673:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22992; /* pred_indexed_uloadrvvmf2x7qirvvm4di */

    case 674:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22778; /* pred_indexed_uloadrvvmf2x8qirvvmf2qi */

    case 675:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22850; /* pred_indexed_uloadrvvmf2x8qirvvm1hi */

    case 676:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22922; /* pred_indexed_uloadrvvmf2x8qirvvm2si */

    case 677:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22994; /* pred_indexed_uloadrvvmf2x8qirvvm4di */

    case 678:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22780; /* pred_indexed_uloadrvvm1x2hirvvmf2qi */

    case 679:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22852; /* pred_indexed_uloadrvvm1x2hirvvm1hi */

    case 680:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22924; /* pred_indexed_uloadrvvm1x2hirvvm2si */

    case 681:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22996; /* pred_indexed_uloadrvvm1x2hirvvm4di */

    case 682:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22782; /* pred_indexed_uloadrvvm1x3hirvvmf2qi */

    case 683:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22854; /* pred_indexed_uloadrvvm1x3hirvvm1hi */

    case 684:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22926; /* pred_indexed_uloadrvvm1x3hirvvm2si */

    case 685:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 22998; /* pred_indexed_uloadrvvm1x3hirvvm4di */

    case 686:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22784; /* pred_indexed_uloadrvvm1x4hirvvmf2qi */

    case 687:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22856; /* pred_indexed_uloadrvvm1x4hirvvm1hi */

    case 688:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22928; /* pred_indexed_uloadrvvm1x4hirvvm2si */

    case 689:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23000; /* pred_indexed_uloadrvvm1x4hirvvm4di */

    case 690:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22786; /* pred_indexed_uloadrvvm1x5hirvvmf2qi */

    case 691:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22858; /* pred_indexed_uloadrvvm1x5hirvvm1hi */

    case 692:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22930; /* pred_indexed_uloadrvvm1x5hirvvm2si */

    case 693:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23002; /* pred_indexed_uloadrvvm1x5hirvvm4di */

    case 694:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22788; /* pred_indexed_uloadrvvm1x6hirvvmf2qi */

    case 695:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22860; /* pred_indexed_uloadrvvm1x6hirvvm1hi */

    case 696:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22932; /* pred_indexed_uloadrvvm1x6hirvvm2si */

    case 697:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23004; /* pred_indexed_uloadrvvm1x6hirvvm4di */

    case 698:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22790; /* pred_indexed_uloadrvvm1x7hirvvmf2qi */

    case 699:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22862; /* pred_indexed_uloadrvvm1x7hirvvm1hi */

    case 700:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22934; /* pred_indexed_uloadrvvm1x7hirvvm2si */

    case 701:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23006; /* pred_indexed_uloadrvvm1x7hirvvm4di */

    case 702:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22792; /* pred_indexed_uloadrvvm1x8hirvvmf2qi */

    case 703:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22864; /* pred_indexed_uloadrvvm1x8hirvvm1hi */

    case 704:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22936; /* pred_indexed_uloadrvvm1x8hirvvm2si */

    case 705:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23008; /* pred_indexed_uloadrvvm1x8hirvvm4di */

    case 706:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22794; /* pred_indexed_uloadrvvm2x2sirvvmf2qi */

    case 707:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22866; /* pred_indexed_uloadrvvm2x2sirvvm1hi */

    case 708:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22938; /* pred_indexed_uloadrvvm2x2sirvvm2si */

    case 709:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23010; /* pred_indexed_uloadrvvm2x2sirvvm4di */

    case 710:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22796; /* pred_indexed_uloadrvvm2x3sirvvmf2qi */

    case 711:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22868; /* pred_indexed_uloadrvvm2x3sirvvm1hi */

    case 712:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22940; /* pred_indexed_uloadrvvm2x3sirvvm2si */

    case 713:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23012; /* pred_indexed_uloadrvvm2x3sirvvm4di */

    case 714:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22798; /* pred_indexed_uloadrvvm2x4sirvvmf2qi */

    case 715:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22870; /* pred_indexed_uloadrvvm2x4sirvvm1hi */

    case 716:
      if (!
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 22942; /* pred_indexed_uloadrvvm2x4sirvvm2si */

    case 717:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23014; /* pred_indexed_uloadrvvm2x4sirvvm4di */

    case 718:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22800; /* pred_indexed_uloadrvvm4x2dirvvmf2qi */

    case 719:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22872; /* pred_indexed_uloadrvvm4x2dirvvm1hi */

    case 720:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 22944; /* pred_indexed_uloadrvvm4x2dirvvm2si */

    case 721:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64))))
        return -1;
      return 23016; /* pred_indexed_uloadrvvm4x2dirvvm4di */

    case 722:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22802; /* pred_indexed_uloadrvvm1x2bfrvvmf2qi */

    case 723:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22874; /* pred_indexed_uloadrvvm1x2bfrvvm1hi */

    case 724:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22946; /* pred_indexed_uloadrvvm1x2bfrvvm2si */

    case 725:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23018; /* pred_indexed_uloadrvvm1x2bfrvvm4di */

    case 726:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22804; /* pred_indexed_uloadrvvm1x3bfrvvmf2qi */

    case 727:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22876; /* pred_indexed_uloadrvvm1x3bfrvvm1hi */

    case 728:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22948; /* pred_indexed_uloadrvvm1x3bfrvvm2si */

    case 729:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23020; /* pred_indexed_uloadrvvm1x3bfrvvm4di */

    case 730:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22806; /* pred_indexed_uloadrvvm1x4bfrvvmf2qi */

    case 731:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22878; /* pred_indexed_uloadrvvm1x4bfrvvm1hi */

    case 732:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22950; /* pred_indexed_uloadrvvm1x4bfrvvm2si */

    case 733:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23022; /* pred_indexed_uloadrvvm1x4bfrvvm4di */

    case 734:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22808; /* pred_indexed_uloadrvvm1x5bfrvvmf2qi */

    case 735:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22880; /* pred_indexed_uloadrvvm1x5bfrvvm1hi */

    case 736:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22952; /* pred_indexed_uloadrvvm1x5bfrvvm2si */

    case 737:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23024; /* pred_indexed_uloadrvvm1x5bfrvvm4di */

    case 738:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22810; /* pred_indexed_uloadrvvm1x6bfrvvmf2qi */

    case 739:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22882; /* pred_indexed_uloadrvvm1x6bfrvvm1hi */

    case 740:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22954; /* pred_indexed_uloadrvvm1x6bfrvvm2si */

    case 741:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23026; /* pred_indexed_uloadrvvm1x6bfrvvm4di */

    case 742:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22812; /* pred_indexed_uloadrvvm1x7bfrvvmf2qi */

    case 743:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22884; /* pred_indexed_uloadrvvm1x7bfrvvm1hi */

    case 744:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22956; /* pred_indexed_uloadrvvm1x7bfrvvm2si */

    case 745:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23028; /* pred_indexed_uloadrvvm1x7bfrvvm4di */

    case 746:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22814; /* pred_indexed_uloadrvvm1x8bfrvvmf2qi */

    case 747:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22886; /* pred_indexed_uloadrvvm1x8bfrvvm1hi */

    case 748:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 22958; /* pred_indexed_uloadrvvm1x8bfrvvm2si */

    case 749:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23030; /* pred_indexed_uloadrvvm1x8bfrvvm4di */

    case 750:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22816; /* pred_indexed_uloadrvvm1x2hfrvvmf2qi */

    case 751:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22888; /* pred_indexed_uloadrvvm1x2hfrvvm1hi */

    case 752:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22960; /* pred_indexed_uloadrvvm1x2hfrvvm2si */

    case 753:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23032; /* pred_indexed_uloadrvvm1x2hfrvvm4di */

    case 754:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22818; /* pred_indexed_uloadrvvm1x3hfrvvmf2qi */

    case 755:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22890; /* pred_indexed_uloadrvvm1x3hfrvvm1hi */

    case 756:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22962; /* pred_indexed_uloadrvvm1x3hfrvvm2si */

    case 757:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23034; /* pred_indexed_uloadrvvm1x3hfrvvm4di */

    case 758:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22820; /* pred_indexed_uloadrvvm1x4hfrvvmf2qi */

    case 759:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22892; /* pred_indexed_uloadrvvm1x4hfrvvm1hi */

    case 760:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22964; /* pred_indexed_uloadrvvm1x4hfrvvm2si */

    case 761:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23036; /* pred_indexed_uloadrvvm1x4hfrvvm4di */

    case 762:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22822; /* pred_indexed_uloadrvvm1x5hfrvvmf2qi */

    case 763:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22894; /* pred_indexed_uloadrvvm1x5hfrvvm1hi */

    case 764:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22966; /* pred_indexed_uloadrvvm1x5hfrvvm2si */

    case 765:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1305 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23038; /* pred_indexed_uloadrvvm1x5hfrvvm4di */

    case 766:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22824; /* pred_indexed_uloadrvvm1x6hfrvvmf2qi */

    case 767:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22896; /* pred_indexed_uloadrvvm1x6hfrvvm1hi */

    case 768:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22968; /* pred_indexed_uloadrvvm1x6hfrvvm2si */

    case 769:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1306 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23040; /* pred_indexed_uloadrvvm1x6hfrvvm4di */

    case 770:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22826; /* pred_indexed_uloadrvvm1x7hfrvvmf2qi */

    case 771:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22898; /* pred_indexed_uloadrvvm1x7hfrvvm1hi */

    case 772:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22970; /* pred_indexed_uloadrvvm1x7hfrvvm2si */

    case 773:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1307 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23042; /* pred_indexed_uloadrvvm1x7hfrvvm4di */

    case 774:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22828; /* pred_indexed_uloadrvvm1x8hfrvvmf2qi */

    case 775:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22900; /* pred_indexed_uloadrvvm1x8hfrvvm1hi */

    case 776:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 22972; /* pred_indexed_uloadrvvm1x8hfrvvm2si */

    case 777:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1308 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23044; /* pred_indexed_uloadrvvm1x8hfrvvm4di */

    case 778:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22830; /* pred_indexed_uloadrvvm2x2sfrvvmf2qi */

    case 779:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22902; /* pred_indexed_uloadrvvm2x2sfrvvm1hi */

    case 780:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22974; /* pred_indexed_uloadrvvm2x2sfrvvm2si */

    case 781:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1309 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23046; /* pred_indexed_uloadrvvm2x2sfrvvm4di */

    case 782:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22832; /* pred_indexed_uloadrvvm2x3sfrvvmf2qi */

    case 783:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22904; /* pred_indexed_uloadrvvm2x3sfrvvm1hi */

    case 784:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22976; /* pred_indexed_uloadrvvm2x3sfrvvm2si */

    case 785:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1310 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23048; /* pred_indexed_uloadrvvm2x3sfrvvm4di */

    case 786:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22834; /* pred_indexed_uloadrvvm2x4sfrvvmf2qi */

    case 787:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22906; /* pred_indexed_uloadrvvm2x4sfrvvm1hi */

    case 788:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 22978; /* pred_indexed_uloadrvvm2x4sfrvvm2si */

    case 789:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1311 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23050; /* pred_indexed_uloadrvvm2x4sfrvvm4di */

    case 790:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22836; /* pred_indexed_uloadrvvm4x2dfrvvmf2qi */

    case 791:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22908; /* pred_indexed_uloadrvvm4x2dfrvvm1hi */

    case 792:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 22980; /* pred_indexed_uloadrvvm4x2dfrvvm2si */

    case 793:
      if (!(
#line 8529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64) && 
#line 887 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1312 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64))))
        return -1;
      return 23052; /* pred_indexed_uloadrvvm4x2dfrvvm4di */

    case 794:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23054; /* pred_indexed_uloadrvvm1x2qirvvm1qi */

    case 795:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23056; /* pred_indexed_uloadrvvm1x2qirvvm2hi */

    case 796:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23058; /* pred_indexed_uloadrvvm1x2qirvvm4si */

    case 797:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23060; /* pred_indexed_uloadrvvm1x2qirvvm8di */

    case 798:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23062; /* pred_indexed_uloadrvvm1x3qirvvm1qi */

    case 799:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23064; /* pred_indexed_uloadrvvm1x3qirvvm2hi */

    case 800:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23066; /* pred_indexed_uloadrvvm1x3qirvvm4si */

    case 801:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23068; /* pred_indexed_uloadrvvm1x3qirvvm8di */

    case 802:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23070; /* pred_indexed_uloadrvvm1x4qirvvm1qi */

    case 803:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23072; /* pred_indexed_uloadrvvm1x4qirvvm2hi */

    case 804:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23074; /* pred_indexed_uloadrvvm1x4qirvvm4si */

    case 805:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23076; /* pred_indexed_uloadrvvm1x4qirvvm8di */

    case 806:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23078; /* pred_indexed_uloadrvvm1x5qirvvm1qi */

    case 807:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23080; /* pred_indexed_uloadrvvm1x5qirvvm2hi */

    case 808:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23082; /* pred_indexed_uloadrvvm1x5qirvvm4si */

    case 809:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23084; /* pred_indexed_uloadrvvm1x5qirvvm8di */

    case 810:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23086; /* pred_indexed_uloadrvvm1x6qirvvm1qi */

    case 811:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23088; /* pred_indexed_uloadrvvm1x6qirvvm2hi */

    case 812:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23090; /* pred_indexed_uloadrvvm1x6qirvvm4si */

    case 813:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23092; /* pred_indexed_uloadrvvm1x6qirvvm8di */

    case 814:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23094; /* pred_indexed_uloadrvvm1x7qirvvm1qi */

    case 815:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23096; /* pred_indexed_uloadrvvm1x7qirvvm2hi */

    case 816:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23098; /* pred_indexed_uloadrvvm1x7qirvvm4si */

    case 817:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23100; /* pred_indexed_uloadrvvm1x7qirvvm8di */

    case 818:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23102; /* pred_indexed_uloadrvvm1x8qirvvm1qi */

    case 819:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23104; /* pred_indexed_uloadrvvm1x8qirvvm2hi */

    case 820:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23106; /* pred_indexed_uloadrvvm1x8qirvvm4si */

    case 821:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23108; /* pred_indexed_uloadrvvm1x8qirvvm8di */

    case 822:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23110; /* pred_indexed_uloadrvvm2x2hirvvm1qi */

    case 823:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23112; /* pred_indexed_uloadrvvm2x2hirvvm2hi */

    case 824:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23114; /* pred_indexed_uloadrvvm2x2hirvvm4si */

    case 825:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23116; /* pred_indexed_uloadrvvm2x2hirvvm8di */

    case 826:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23118; /* pred_indexed_uloadrvvm2x3hirvvm1qi */

    case 827:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23120; /* pred_indexed_uloadrvvm2x3hirvvm2hi */

    case 828:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23122; /* pred_indexed_uloadrvvm2x3hirvvm4si */

    case 829:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23124; /* pred_indexed_uloadrvvm2x3hirvvm8di */

    case 830:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23126; /* pred_indexed_uloadrvvm2x4hirvvm1qi */

    case 831:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23128; /* pred_indexed_uloadrvvm2x4hirvvm2hi */

    case 832:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23130; /* pred_indexed_uloadrvvm2x4hirvvm4si */

    case 833:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23132; /* pred_indexed_uloadrvvm2x4hirvvm8di */

    case 834:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23134; /* pred_indexed_uloadrvvm4x2sirvvm1qi */

    case 835:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23136; /* pred_indexed_uloadrvvm4x2sirvvm2hi */

    case 836:
      if (!
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23138; /* pred_indexed_uloadrvvm4x2sirvvm4si */

    case 837:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)))
        return -1;
      return 23140; /* pred_indexed_uloadrvvm4x2sirvvm8di */

    case 838:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23142; /* pred_indexed_uloadrvvm2x2bfrvvm1qi */

    case 839:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23144; /* pred_indexed_uloadrvvm2x2bfrvvm2hi */

    case 840:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23146; /* pred_indexed_uloadrvvm2x2bfrvvm4si */

    case 841:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1327 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23148; /* pred_indexed_uloadrvvm2x2bfrvvm8di */

    case 842:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23150; /* pred_indexed_uloadrvvm2x3bfrvvm1qi */

    case 843:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23152; /* pred_indexed_uloadrvvm2x3bfrvvm2hi */

    case 844:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23154; /* pred_indexed_uloadrvvm2x3bfrvvm4si */

    case 845:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23156; /* pred_indexed_uloadrvvm2x3bfrvvm8di */

    case 846:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23158; /* pred_indexed_uloadrvvm2x4bfrvvm1qi */

    case 847:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23160; /* pred_indexed_uloadrvvm2x4bfrvvm2hi */

    case 848:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23162; /* pred_indexed_uloadrvvm2x4bfrvvm4si */

    case 849:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1329 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16))))
        return -1;
      return 23164; /* pred_indexed_uloadrvvm2x4bfrvvm8di */

    case 850:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23166; /* pred_indexed_uloadrvvm2x2hfrvvm1qi */

    case 851:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23168; /* pred_indexed_uloadrvvm2x2hfrvvm2hi */

    case 852:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23170; /* pred_indexed_uloadrvvm2x2hfrvvm4si */

    case 853:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23172; /* pred_indexed_uloadrvvm2x2hfrvvm8di */

    case 854:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23174; /* pred_indexed_uloadrvvm2x3hfrvvm1qi */

    case 855:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23176; /* pred_indexed_uloadrvvm2x3hfrvvm2hi */

    case 856:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23178; /* pred_indexed_uloadrvvm2x3hfrvvm4si */

    case 857:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1331 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23180; /* pred_indexed_uloadrvvm2x3hfrvvm8di */

    case 858:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23182; /* pred_indexed_uloadrvvm2x4hfrvvm1qi */

    case 859:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23184; /* pred_indexed_uloadrvvm2x4hfrvvm2hi */

    case 860:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23186; /* pred_indexed_uloadrvvm2x4hfrvvm4si */

    case 861:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1332 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16))))
        return -1;
      return 23188; /* pred_indexed_uloadrvvm2x4hfrvvm8di */

    case 862:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23190; /* pred_indexed_uloadrvvm4x2sfrvvm1qi */

    case 863:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23192; /* pred_indexed_uloadrvvm4x2sfrvvm2hi */

    case 864:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 23194; /* pred_indexed_uloadrvvm4x2sfrvvm4si */

    case 865:
      if (!(
#line 8550 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && ((
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32) && 
#line 894 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64 && TARGET_64BIT)) && 
#line 1333 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32))))
        return -1;
      return 23196; /* pred_indexed_uloadrvvm4x2sfrvvm8di */

    case 866:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23198; /* pred_indexed_uloadrvvm2x2qirvvm2qi */

    case 867:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23200; /* pred_indexed_uloadrvvm2x2qirvvm4hi */

    case 868:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23202; /* pred_indexed_uloadrvvm2x2qirvvm8si */

    case 869:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23204; /* pred_indexed_uloadrvvm2x3qirvvm2qi */

    case 870:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23206; /* pred_indexed_uloadrvvm2x3qirvvm4hi */

    case 871:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23208; /* pred_indexed_uloadrvvm2x3qirvvm8si */

    case 872:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23210; /* pred_indexed_uloadrvvm2x4qirvvm2qi */

    case 873:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23212; /* pred_indexed_uloadrvvm2x4qirvvm4hi */

    case 874:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23214; /* pred_indexed_uloadrvvm2x4qirvvm8si */

    case 875:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23216; /* pred_indexed_uloadrvvm4x2hirvvm2qi */

    case 876:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23218; /* pred_indexed_uloadrvvm4x2hirvvm4hi */

    case 877:
      if (!
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23220; /* pred_indexed_uloadrvvm4x2hirvvm8si */

    case 878:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23222; /* pred_indexed_uloadrvvm4x2bfrvvm2qi */

    case 879:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23224; /* pred_indexed_uloadrvvm4x2bfrvvm4hi */

    case 880:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1341 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 23226; /* pred_indexed_uloadrvvm4x2bfrvvm8si */

    case 881:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23228; /* pred_indexed_uloadrvvm4x2hfrvvm2qi */

    case 882:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23230; /* pred_indexed_uloadrvvm4x2hfrvvm4hi */

    case 883:
      if (!(
#line 8571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1342 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 23232; /* pred_indexed_uloadrvvm4x2hfrvvm8si */

    case 884:
      if (!
#line 8592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23234; /* pred_indexed_uloadrvvm4x2qirvvm4qi */

    case 885:
      if (!
#line 8592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 23236; /* pred_indexed_uloadrvvm4x2qirvvm8hi */

    default:
      return -1;
    }
}

 int
recog_899 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern503 (x2))
    {
    case 0:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5513; /* pred_umodrvvm8qi */

    case 1:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5530; /* pred_umodrvvm4qi */

    case 2:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5547; /* pred_umodrvvm2qi */

    case 3:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5564; /* pred_umodrvvm1qi */

    case 4:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5581; /* pred_umodrvvm8hi */

    case 5:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5598; /* pred_umodrvvm4hi */

    case 6:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5615; /* pred_umodrvvm2hi */

    case 7:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5632; /* pred_umodrvvm1hi */

    case 8:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5649; /* pred_umodrvvm8si */

    case 9:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5666; /* pred_umodrvvm4si */

    case 10:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5683; /* pred_umodrvvm2si */

    case 11:
      if (!
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 5700; /* pred_umodrvvm1si */

    case 12:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5717; /* pred_umodrvvm8di */

    case 13:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5734; /* pred_umodrvvm4di */

    case 14:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5751; /* pred_umodrvvm2di */

    case 15:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 5768; /* pred_umodrvvm1di */

    case 16:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 5785; /* pred_umodrvvmf2qi */

    case 17:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 5802; /* pred_umodrvvmf4qi */

    case 18:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 5819; /* pred_umodrvvmf8qi */

    case 19:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 5836; /* pred_umodrvvmf2hi */

    case 20:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 5853; /* pred_umodrvvmf4hi */

    case 21:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 5870; /* pred_umodrvvmf2si */

    case 22:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 5887; /* pred_umodv1qi */

    case 23:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 5904; /* pred_umodv2qi */

    case 24:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 5921; /* pred_umodv4qi */

    case 25:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 5938; /* pred_umodv8qi */

    case 26:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 5955; /* pred_umodv16qi */

    case 27:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 5972; /* pred_umodv32qi */

    case 28:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 5989; /* pred_umodv64qi */

    case 29:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 6006; /* pred_umodv128qi */

    case 30:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 6023; /* pred_umodv256qi */

    case 31:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 6040; /* pred_umodv512qi */

    case 32:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 6057; /* pred_umodv1024qi */

    case 33:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 6074; /* pred_umodv2048qi */

    case 34:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 6091; /* pred_umodv4096qi */

    case 35:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 6108; /* pred_umodv1hi */

    case 36:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 6125; /* pred_umodv2hi */

    case 37:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 6142; /* pred_umodv4hi */

    case 38:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 6159; /* pred_umodv8hi */

    case 39:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 6176; /* pred_umodv16hi */

    case 40:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 6193; /* pred_umodv32hi */

    case 41:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 6210; /* pred_umodv64hi */

    case 42:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 6227; /* pred_umodv128hi */

    case 43:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 6244; /* pred_umodv256hi */

    case 44:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 6261; /* pred_umodv512hi */

    case 45:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 6278; /* pred_umodv1024hi */

    case 46:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 6295; /* pred_umodv2048hi */

    case 47:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 6312; /* pred_umodv1si */

    case 48:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 6329; /* pred_umodv2si */

    case 49:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 6346; /* pred_umodv4si */

    case 50:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 6363; /* pred_umodv8si */

    case 51:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 6380; /* pred_umodv16si */

    case 52:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 6397; /* pred_umodv32si */

    case 53:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 6414; /* pred_umodv64si */

    case 54:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 6431; /* pred_umodv128si */

    case 55:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 6448; /* pred_umodv256si */

    case 56:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 6465; /* pred_umodv512si */

    case 57:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 6482; /* pred_umodv1024si */

    case 58:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 6499; /* pred_umodv1di */

    case 59:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 6516; /* pred_umodv2di */

    case 60:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 6533; /* pred_umodv4di */

    case 61:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 6550; /* pred_umodv8di */

    case 62:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 6567; /* pred_umodv16di */

    case 63:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 6584; /* pred_umodv32di */

    case 64:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 6601; /* pred_umodv64di */

    case 65:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 6618; /* pred_umodv128di */

    case 66:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 6635; /* pred_umodv256di */

    case 67:
      if (!(
#line 2723 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 6652; /* pred_umodv512di */

    case 68:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7347; /* pred_umodrvvm8qi_scalar */

    case 69:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7352; /* pred_umodrvvm4qi_scalar */

    case 70:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7357; /* pred_umodrvvm2qi_scalar */

    case 71:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7362; /* pred_umodrvvm1qi_scalar */

    case 72:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7367; /* pred_umodrvvmf2qi_scalar */

    case 73:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7372; /* pred_umodrvvmf4qi_scalar */

    case 74:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 724 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 7377; /* pred_umodrvvmf8qi_scalar */

    case 75:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7382; /* pred_umodrvvm8hi_scalar */

    case 76:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7387; /* pred_umodrvvm4hi_scalar */

    case 77:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7392; /* pred_umodrvvm2hi_scalar */

    case 78:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7397; /* pred_umodrvvm1hi_scalar */

    case 79:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7402; /* pred_umodrvvmf2hi_scalar */

    case 80:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 726 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 7407; /* pred_umodrvvmf4hi_scalar */

    case 81:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7412; /* pred_umodrvvm8si_scalar */

    case 82:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7417; /* pred_umodrvvm4si_scalar */

    case 83:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7422; /* pred_umodrvvm2si_scalar */

    case 84:
      if (!
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 7427; /* pred_umodrvvm1si_scalar */

    case 85:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 728 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 7432; /* pred_umodrvvmf2si_scalar */

    case 86:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 7437; /* pred_umodv1qi_scalar */

    case 87:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 731 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 7442; /* pred_umodv2qi_scalar */

    case 88:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 732 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 7447; /* pred_umodv4qi_scalar */

    case 89:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 733 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 7452; /* pred_umodv8qi_scalar */

    case 90:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 734 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 7457; /* pred_umodv16qi_scalar */

    case 91:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 735 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 7462; /* pred_umodv32qi_scalar */

    case 92:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 736 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 7467; /* pred_umodv64qi_scalar */

    case 93:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 7472; /* pred_umodv128qi_scalar */

    case 94:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 7477; /* pred_umodv256qi_scalar */

    case 95:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 739 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 7482; /* pred_umodv512qi_scalar */

    case 96:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 7487; /* pred_umodv1024qi_scalar */

    case 97:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 741 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 7492; /* pred_umodv2048qi_scalar */

    case 98:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 742 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 7497; /* pred_umodv4096qi_scalar */

    case 99:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 7502; /* pred_umodv1hi_scalar */

    case 100:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 744 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 7507; /* pred_umodv2hi_scalar */

    case 101:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 745 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 7512; /* pred_umodv4hi_scalar */

    case 102:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 7517; /* pred_umodv8hi_scalar */

    case 103:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 747 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 7522; /* pred_umodv16hi_scalar */

    case 104:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 748 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 7527; /* pred_umodv32hi_scalar */

    case 105:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 749 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 7532; /* pred_umodv64hi_scalar */

    case 106:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 7537; /* pred_umodv128hi_scalar */

    case 107:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 751 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 7542; /* pred_umodv256hi_scalar */

    case 108:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 752 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 7547; /* pred_umodv512hi_scalar */

    case 109:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 753 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 7552; /* pred_umodv1024hi_scalar */

    case 110:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 7557; /* pred_umodv2048hi_scalar */

    case 111:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 7562; /* pred_umodv1si_scalar */

    case 112:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 7567; /* pred_umodv2si_scalar */

    case 113:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 757 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 7572; /* pred_umodv4si_scalar */

    case 114:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 758 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 7577; /* pred_umodv8si_scalar */

    case 115:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 759 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 7582; /* pred_umodv16si_scalar */

    case 116:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 760 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 7587; /* pred_umodv32si_scalar */

    case 117:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 761 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 7592; /* pred_umodv64si_scalar */

    case 118:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 7597; /* pred_umodv128si_scalar */

    case 119:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 763 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 7602; /* pred_umodv256si_scalar */

    case 120:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 764 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 7607; /* pred_umodv512si_scalar */

    case 121:
      if (!(
#line 2802 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 7612; /* pred_umodv1024si_scalar */

    case 122:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7923; /* *pred_umodrvvm8di_scalar */

    case 123:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7928; /* *pred_umodrvvm4di_scalar */

    case 124:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7933; /* *pred_umodrvvm2di_scalar */

    case 125:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7938; /* *pred_umodrvvm1di_scalar */

    case 126:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7943; /* *pred_umodv1di_scalar */

    case 127:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7948; /* *pred_umodv2di_scalar */

    case 128:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7953; /* *pred_umodv4di_scalar */

    case 129:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 7958; /* *pred_umodv8di_scalar */

    case 130:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 7963; /* *pred_umodv16di_scalar */

    case 131:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 7968; /* *pred_umodv32di_scalar */

    case 132:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 7973; /* *pred_umodv64di_scalar */

    case 133:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 7978; /* *pred_umodv128di_scalar */

    case 134:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 7983; /* *pred_umodv256di_scalar */

    case 135:
      if (!(
#line 2955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 7988; /* *pred_umodv512di_scalar */

    case 136:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7993; /* *pred_umodrvvm8di_extended_scalar */

    case 137:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 774 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 7998; /* *pred_umodrvvm4di_extended_scalar */

    case 138:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8003; /* *pred_umodrvvm2di_extended_scalar */

    case 139:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 775 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8008; /* *pred_umodrvvm1di_extended_scalar */

    case 140:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8013; /* *pred_umodv1di_extended_scalar */

    case 141:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 778 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8018; /* *pred_umodv2di_extended_scalar */

    case 142:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 779 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 8023; /* *pred_umodv4di_extended_scalar */

    case 143:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 8028; /* *pred_umodv8di_extended_scalar */

    case 144:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 781 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 8033; /* *pred_umodv16di_extended_scalar */

    case 145:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 782 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 8038; /* *pred_umodv32di_extended_scalar */

    case 146:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 783 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 8043; /* *pred_umodv64di_extended_scalar */

    case 147:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 8048; /* *pred_umodv128di_extended_scalar */

    case 148:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 785 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 8053; /* *pred_umodv256di_extended_scalar */

    case 149:
      if (!(
#line 2977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 786 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 8058; /* *pred_umodv512di_extended_scalar */

    default:
      return -1;
    }
}

 int
recog_909 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[8] = x7;
  x8 = XEXP (x2, 1);
  x9 = XEXP (x8, 0);
  operands[3] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  x11 = XEXP (x8, 1);
  switch (GET_CODE (x11))
    {
    case REG:
    case SUBREG:
      switch (pattern498 (x2))
        {
        case 0:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10888; /* pred_ussubrvvm8qi */

        case 1:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10892; /* pred_ussubrvvm4qi */

        case 2:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10896; /* pred_ussubrvvm2qi */

        case 3:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10900; /* pred_ussubrvvm1qi */

        case 4:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10904; /* pred_ussubrvvm8hi */

        case 5:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10908; /* pred_ussubrvvm4hi */

        case 6:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10912; /* pred_ussubrvvm2hi */

        case 7:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10916; /* pred_ussubrvvm1hi */

        case 8:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10920; /* pred_ussubrvvm8si */

        case 9:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10924; /* pred_ussubrvvm4si */

        case 10:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10928; /* pred_ussubrvvm2si */

        case 11:
          if (!
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 10932; /* pred_ussubrvvm1si */

        case 12:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10936; /* pred_ussubrvvm8di */

        case 13:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10940; /* pred_ussubrvvm4di */

        case 14:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10944; /* pred_ussubrvvm2di */

        case 15:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 10948; /* pred_ussubrvvm1di */

        case 16:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 10952; /* pred_ussubrvvmf2qi */

        case 17:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 10956; /* pred_ussubrvvmf4qi */

        case 18:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 10960; /* pred_ussubrvvmf8qi */

        case 19:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
            return -1;
          return 10964; /* pred_ussubrvvmf2hi */

        case 20:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 10968; /* pred_ussubrvvmf4hi */

        case 21:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 10972; /* pred_ussubrvvmf2si */

        case 22:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 10976; /* pred_ussubv1qi */

        case 23:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 10980; /* pred_ussubv2qi */

        case 24:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 10984; /* pred_ussubv4qi */

        case 25:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 10988; /* pred_ussubv8qi */

        case 26:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 10992; /* pred_ussubv16qi */

        case 27:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 10996; /* pred_ussubv32qi */

        case 28:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11000; /* pred_ussubv64qi */

        case 29:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11004; /* pred_ussubv128qi */

        case 30:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11008; /* pred_ussubv256qi */

        case 31:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11012; /* pred_ussubv512qi */

        case 32:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11016; /* pred_ussubv1024qi */

        case 33:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11020; /* pred_ussubv2048qi */

        case 34:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11024; /* pred_ussubv4096qi */

        case 35:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 11028; /* pred_ussubv1hi */

        case 36:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 11032; /* pred_ussubv2hi */

        case 37:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 11036; /* pred_ussubv4hi */

        case 38:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 11040; /* pred_ussubv8hi */

        case 39:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 11044; /* pred_ussubv16hi */

        case 40:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11048; /* pred_ussubv32hi */

        case 41:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11052; /* pred_ussubv64hi */

        case 42:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11056; /* pred_ussubv128hi */

        case 43:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11060; /* pred_ussubv256hi */

        case 44:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11064; /* pred_ussubv512hi */

        case 45:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11068; /* pred_ussubv1024hi */

        case 46:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11072; /* pred_ussubv2048hi */

        case 47:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 11076; /* pred_ussubv1si */

        case 48:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 11080; /* pred_ussubv2si */

        case 49:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 11084; /* pred_ussubv4si */

        case 50:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 11088; /* pred_ussubv8si */

        case 51:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11092; /* pred_ussubv16si */

        case 52:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11096; /* pred_ussubv32si */

        case 53:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11100; /* pred_ussubv64si */

        case 54:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11104; /* pred_ussubv128si */

        case 55:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11108; /* pred_ussubv256si */

        case 56:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11112; /* pred_ussubv512si */

        case 57:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11116; /* pred_ussubv1024si */

        case 58:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11120; /* pred_ussubv1di */

        case 59:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11124; /* pred_ussubv2di */

        case 60:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11128; /* pred_ussubv4di */

        case 61:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11132; /* pred_ussubv8di */

        case 62:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11136; /* pred_ussubv16di */

        case 63:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11140; /* pred_ussubv32di */

        case 64:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11144; /* pred_ussubv64di */

        case 65:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11148; /* pred_ussubv128di */

        case 66:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11152; /* pred_ussubv256di */

        case 67:
          if (!(
#line 4328 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11156; /* pred_ussubv512di */

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      switch (pattern605 (x2))
        {
        case 0:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11266; /* pred_ussubrvvm8qi_scalar */

        case 1:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11268; /* pred_ussubrvvm4qi_scalar */

        case 2:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11270; /* pred_ussubrvvm2qi_scalar */

        case 3:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11272; /* pred_ussubrvvm1qi_scalar */

        case 4:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11274; /* pred_ussubrvvmf2qi_scalar */

        case 5:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11276; /* pred_ussubrvvmf4qi_scalar */

        case 6:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 11278; /* pred_ussubrvvmf8qi_scalar */

        case 7:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11280; /* pred_ussubrvvm8hi_scalar */

        case 8:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11282; /* pred_ussubrvvm4hi_scalar */

        case 9:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11284; /* pred_ussubrvvm2hi_scalar */

        case 10:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11286; /* pred_ussubrvvm1hi_scalar */

        case 11:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11288; /* pred_ussubrvvmf2hi_scalar */

        case 12:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 11290; /* pred_ussubrvvmf4hi_scalar */

        case 13:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11292; /* pred_ussubrvvm8si_scalar */

        case 14:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11294; /* pred_ussubrvvm4si_scalar */

        case 15:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11296; /* pred_ussubrvvm2si_scalar */

        case 16:
          if (!
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
            return -1;
          return 11298; /* pred_ussubrvvm1si_scalar */

        case 17:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
            return -1;
          return 11300; /* pred_ussubrvvmf2si_scalar */

        case 18:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
            return -1;
          return 11302; /* pred_ussubv1qi_scalar */

        case 19:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
            return -1;
          return 11304; /* pred_ussubv2qi_scalar */

        case 20:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
            return -1;
          return 11306; /* pred_ussubv4qi_scalar */

        case 21:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
            return -1;
          return 11308; /* pred_ussubv8qi_scalar */

        case 22:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
            return -1;
          return 11310; /* pred_ussubv16qi_scalar */

        case 23:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
            return -1;
          return 11312; /* pred_ussubv32qi_scalar */

        case 24:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11314; /* pred_ussubv64qi_scalar */

        case 25:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11316; /* pred_ussubv128qi_scalar */

        case 26:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11318; /* pred_ussubv256qi_scalar */

        case 27:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11320; /* pred_ussubv512qi_scalar */

        case 28:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11322; /* pred_ussubv1024qi_scalar */

        case 29:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11324; /* pred_ussubv2048qi_scalar */

        case 30:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11326; /* pred_ussubv4096qi_scalar */

        case 31:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
            return -1;
          return 11328; /* pred_ussubv1hi_scalar */

        case 32:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
            return -1;
          return 11330; /* pred_ussubv2hi_scalar */

        case 33:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
            return -1;
          return 11332; /* pred_ussubv4hi_scalar */

        case 34:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
            return -1;
          return 11334; /* pred_ussubv8hi_scalar */

        case 35:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
            return -1;
          return 11336; /* pred_ussubv16hi_scalar */

        case 36:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11338; /* pred_ussubv32hi_scalar */

        case 37:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11340; /* pred_ussubv64hi_scalar */

        case 38:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11342; /* pred_ussubv128hi_scalar */

        case 39:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11344; /* pred_ussubv256hi_scalar */

        case 40:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11346; /* pred_ussubv512hi_scalar */

        case 41:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11348; /* pred_ussubv1024hi_scalar */

        case 42:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11350; /* pred_ussubv2048hi_scalar */

        case 43:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
            return -1;
          return 11352; /* pred_ussubv1si_scalar */

        case 44:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
            return -1;
          return 11354; /* pred_ussubv2si_scalar */

        case 45:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
            return -1;
          return 11356; /* pred_ussubv4si_scalar */

        case 46:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
            return -1;
          return 11358; /* pred_ussubv8si_scalar */

        case 47:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
            return -1;
          return 11360; /* pred_ussubv16si_scalar */

        case 48:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
            return -1;
          return 11362; /* pred_ussubv32si_scalar */

        case 49:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
            return -1;
          return 11364; /* pred_ussubv64si_scalar */

        case 50:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
            return -1;
          return 11366; /* pred_ussubv128si_scalar */

        case 51:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
            return -1;
          return 11368; /* pred_ussubv256si_scalar */

        case 52:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
            return -1;
          return 11370; /* pred_ussubv512si_scalar */

        case 53:
          if (!(
#line 4379 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
            return -1;
          return 11372; /* pred_ussubv1024si_scalar */

        case 54:
          if (!(
#line 4509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11390; /* *pred_ussubrvvm8di_scalar */

        case 55:
          if (!(
#line 4509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11392; /* *pred_ussubrvvm4di_scalar */

        case 56:
          if (!(
#line 4509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11394; /* *pred_ussubrvvm2di_scalar */

        case 57:
          if (!(
#line 4509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11396; /* *pred_ussubrvvm1di_scalar */

        case 58:
          if (!(
#line 4531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11398; /* *pred_ussubrvvm8di_extended_scalar */

        case 59:
          if (!(
#line 4531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11400; /* *pred_ussubrvvm4di_extended_scalar */

        case 60:
          if (!(
#line 4531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11402; /* *pred_ussubrvvm2di_extended_scalar */

        case 61:
          if (!(
#line 4531 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 11404; /* *pred_ussubrvvm1di_extended_scalar */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_922 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern474 (x2))
    {
    case 0:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8QImode)
	|| register_operand (operands[3], RVVM8QImode)))))
        return -1;
      return 1256; /* *pred_mov_widthwurvvm8qi */

    case 1:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4QImode)
	|| register_operand (operands[3], RVVM4QImode)))))
        return -1;
      return 1262; /* *pred_mov_widthwurvvm4qi */

    case 2:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2QImode)
	|| register_operand (operands[3], RVVM2QImode)))))
        return -1;
      return 1268; /* *pred_mov_widthwurvvm2qi */

    case 3:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1QImode)
	|| register_operand (operands[3], RVVM1QImode)))))
        return -1;
      return 1274; /* *pred_mov_widthwurvvm1qi */

    case 4:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HImode)
	|| register_operand (operands[3], RVVM8HImode)))))
        return -1;
      return 1280; /* *pred_mov_widthwurvvm8hi */

    case 5:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HImode)
	|| register_operand (operands[3], RVVM4HImode)))))
        return -1;
      return 1286; /* *pred_mov_widthwurvvm4hi */

    case 6:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HImode)
	|| register_operand (operands[3], RVVM2HImode)))))
        return -1;
      return 1292; /* *pred_mov_widthwurvvm2hi */

    case 7:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HImode)
	|| register_operand (operands[3], RVVM1HImode)))))
        return -1;
      return 1298; /* *pred_mov_widthwurvvm1hi */

    case 8:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SImode)
	|| register_operand (operands[3], RVVM8SImode)))))
        return -1;
      return 1304; /* *pred_mov_widthwurvvm8si */

    case 9:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SImode)
	|| register_operand (operands[3], RVVM4SImode)))))
        return -1;
      return 1310; /* *pred_mov_widthwurvvm4si */

    case 10:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SImode)
	|| register_operand (operands[3], RVVM2SImode)))))
        return -1;
      return 1316; /* *pred_mov_widthwurvvm2si */

    case 11:
      if (!
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SImode)
	|| register_operand (operands[3], RVVM1SImode)))))
        return -1;
      return 1322; /* *pred_mov_widthwurvvm1si */

    case 12:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DImode)
	|| register_operand (operands[3], RVVM8DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1328; /* *pred_mov_widthwurvvm8di */

    case 13:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DImode)
	|| register_operand (operands[3], RVVM4DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1334; /* *pred_mov_widthwurvvm4di */

    case 14:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DImode)
	|| register_operand (operands[3], RVVM2DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1340; /* *pred_mov_widthwurvvm2di */

    case 15:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DImode)
	|| register_operand (operands[3], RVVM1DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1346; /* *pred_mov_widthwurvvm1di */

    case 16:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2QImode)
	|| register_operand (operands[3], RVVMF2QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1352; /* *pred_mov_widthwurvvmf2qi */

    case 17:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4QImode)
	|| register_operand (operands[3], RVVMF4QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1358; /* *pred_mov_widthwurvvmf4qi */

    case 18:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF8QImode)
	|| register_operand (operands[3], RVVMF8QImode)))) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1364; /* *pred_mov_widthwurvvmf8qi */

    case 19:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HImode)
	|| register_operand (operands[3], RVVMF2HImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 1370; /* *pred_mov_widthwurvvmf2hi */

    case 20:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HImode)
	|| register_operand (operands[3], RVVMF4HImode)))) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1376; /* *pred_mov_widthwurvvmf4hi */

    case 21:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SImode)
	|| register_operand (operands[3], RVVMF2SImode)))) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 1382; /* *pred_mov_widthwurvvmf2si */

    case 22:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8BFmode)
	|| register_operand (operands[3], RVVM8BFmode)))) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1388; /* *pred_mov_widthwurvvm8bf */

    case 23:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4BFmode)
	|| register_operand (operands[3], RVVM4BFmode)))) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1394; /* *pred_mov_widthwurvvm4bf */

    case 24:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2BFmode)
	|| register_operand (operands[3], RVVM2BFmode)))) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1400; /* *pred_mov_widthwurvvm2bf */

    case 25:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1BFmode)
	|| register_operand (operands[3], RVVM1BFmode)))) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1406; /* *pred_mov_widthwurvvm1bf */

    case 26:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2BFmode)
	|| register_operand (operands[3], RVVMF2BFmode)))) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
        return -1;
      return 1412; /* *pred_mov_widthwurvvmf2bf */

    case 27:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4BFmode)
	|| register_operand (operands[3], RVVMF4BFmode)))) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1418; /* *pred_mov_widthwurvvmf4bf */

    case 28:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HFmode)
	|| register_operand (operands[3], RVVM8HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1424; /* *pred_mov_widthwurvvm8hf */

    case 29:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HFmode)
	|| register_operand (operands[3], RVVM4HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1430; /* *pred_mov_widthwurvvm4hf */

    case 30:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HFmode)
	|| register_operand (operands[3], RVVM2HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1436; /* *pred_mov_widthwurvvm2hf */

    case 31:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HFmode)
	|| register_operand (operands[3], RVVM1HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1442; /* *pred_mov_widthwurvvm1hf */

    case 32:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HFmode)
	|| register_operand (operands[3], RVVMF2HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1448; /* *pred_mov_widthwurvvmf2hf */

    case 33:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HFmode)
	|| register_operand (operands[3], RVVMF4HFmode)))) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1454; /* *pred_mov_widthwurvvmf4hf */

    case 34:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SFmode)
	|| register_operand (operands[3], RVVM8SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1460; /* *pred_mov_widthwurvvm8sf */

    case 35:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SFmode)
	|| register_operand (operands[3], RVVM4SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1466; /* *pred_mov_widthwurvvm4sf */

    case 36:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SFmode)
	|| register_operand (operands[3], RVVM2SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1472; /* *pred_mov_widthwurvvm2sf */

    case 37:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SFmode)
	|| register_operand (operands[3], RVVM1SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1478; /* *pred_mov_widthwurvvm1sf */

    case 38:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SFmode)
	|| register_operand (operands[3], RVVMF2SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 1484; /* *pred_mov_widthwurvvmf2sf */

    case 39:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DFmode)
	|| register_operand (operands[3], RVVM8DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1490; /* *pred_mov_widthwurvvm8df */

    case 40:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DFmode)
	|| register_operand (operands[3], RVVM4DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1496; /* *pred_mov_widthwurvvm4df */

    case 41:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DFmode)
	|| register_operand (operands[3], RVVM2DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1502; /* *pred_mov_widthwurvvm2df */

    case 42:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DFmode)
	|| register_operand (operands[3], RVVM1DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1508; /* *pred_mov_widthwurvvm1df */

    case 43:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1QImode)
	|| register_operand (operands[3], V1QImode)))) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 1514; /* *pred_mov_widthwuv1qi */

    case 44:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2QImode)
	|| register_operand (operands[3], V2QImode)))) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 1520; /* *pred_mov_widthwuv2qi */

    case 45:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4QImode)
	|| register_operand (operands[3], V4QImode)))) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 1526; /* *pred_mov_widthwuv4qi */

    case 46:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8QImode)
	|| register_operand (operands[3], V8QImode)))) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 1532; /* *pred_mov_widthwuv8qi */

    case 47:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16QImode)
	|| register_operand (operands[3], V16QImode)))) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 1538; /* *pred_mov_widthwuv16qi */

    case 48:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32QImode)
	|| register_operand (operands[3], V32QImode)))) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 1544; /* *pred_mov_widthwuv32qi */

    case 49:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64QImode)
	|| register_operand (operands[3], V64QImode)))) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1550; /* *pred_mov_widthwuv64qi */

    case 50:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128QImode)
	|| register_operand (operands[3], V128QImode)))) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1556; /* *pred_mov_widthwuv128qi */

    case 51:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256QImode)
	|| register_operand (operands[3], V256QImode)))) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1562; /* *pred_mov_widthwuv256qi */

    case 52:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512QImode)
	|| register_operand (operands[3], V512QImode)))) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1568; /* *pred_mov_widthwuv512qi */

    case 53:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024QImode)
	|| register_operand (operands[3], V1024QImode)))) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1574; /* *pred_mov_widthwuv1024qi */

    case 54:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048QImode)
	|| register_operand (operands[3], V2048QImode)))) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1580; /* *pred_mov_widthwuv2048qi */

    case 55:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4096QImode)
	|| register_operand (operands[3], V4096QImode)))) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1586; /* *pred_mov_widthwuv4096qi */

    case 56:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HImode)
	|| register_operand (operands[3], V1HImode)))) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 1592; /* *pred_mov_widthwuv1hi */

    case 57:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HImode)
	|| register_operand (operands[3], V2HImode)))) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 1598; /* *pred_mov_widthwuv2hi */

    case 58:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HImode)
	|| register_operand (operands[3], V4HImode)))) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 1604; /* *pred_mov_widthwuv4hi */

    case 59:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HImode)
	|| register_operand (operands[3], V8HImode)))) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 1610; /* *pred_mov_widthwuv8hi */

    case 60:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HImode)
	|| register_operand (operands[3], V16HImode)))) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 1616; /* *pred_mov_widthwuv16hi */

    case 61:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HImode)
	|| register_operand (operands[3], V32HImode)))) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1622; /* *pred_mov_widthwuv32hi */

    case 62:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HImode)
	|| register_operand (operands[3], V64HImode)))) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1628; /* *pred_mov_widthwuv64hi */

    case 63:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HImode)
	|| register_operand (operands[3], V128HImode)))) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1634; /* *pred_mov_widthwuv128hi */

    case 64:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HImode)
	|| register_operand (operands[3], V256HImode)))) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1640; /* *pred_mov_widthwuv256hi */

    case 65:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HImode)
	|| register_operand (operands[3], V512HImode)))) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1646; /* *pred_mov_widthwuv512hi */

    case 66:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HImode)
	|| register_operand (operands[3], V1024HImode)))) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1652; /* *pred_mov_widthwuv1024hi */

    case 67:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HImode)
	|| register_operand (operands[3], V2048HImode)))) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1658; /* *pred_mov_widthwuv2048hi */

    case 68:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SImode)
	|| register_operand (operands[3], V1SImode)))) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 1664; /* *pred_mov_widthwuv1si */

    case 69:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SImode)
	|| register_operand (operands[3], V2SImode)))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 1670; /* *pred_mov_widthwuv2si */

    case 70:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SImode)
	|| register_operand (operands[3], V4SImode)))) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 1676; /* *pred_mov_widthwuv4si */

    case 71:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SImode)
	|| register_operand (operands[3], V8SImode)))) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 1682; /* *pred_mov_widthwuv8si */

    case 72:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SImode)
	|| register_operand (operands[3], V16SImode)))) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1688; /* *pred_mov_widthwuv16si */

    case 73:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SImode)
	|| register_operand (operands[3], V32SImode)))) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1694; /* *pred_mov_widthwuv32si */

    case 74:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SImode)
	|| register_operand (operands[3], V64SImode)))) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1700; /* *pred_mov_widthwuv64si */

    case 75:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SImode)
	|| register_operand (operands[3], V128SImode)))) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1706; /* *pred_mov_widthwuv128si */

    case 76:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SImode)
	|| register_operand (operands[3], V256SImode)))) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1712; /* *pred_mov_widthwuv256si */

    case 77:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SImode)
	|| register_operand (operands[3], V512SImode)))) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1718; /* *pred_mov_widthwuv512si */

    case 78:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SImode)
	|| register_operand (operands[3], V1024SImode)))) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1724; /* *pred_mov_widthwuv1024si */

    case 79:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DImode)
	|| register_operand (operands[3], V1DImode)))) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1730; /* *pred_mov_widthwuv1di */

    case 80:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DImode)
	|| register_operand (operands[3], V2DImode)))) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1736; /* *pred_mov_widthwuv2di */

    case 81:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DImode)
	|| register_operand (operands[3], V4DImode)))) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 1742; /* *pred_mov_widthwuv4di */

    case 82:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DImode)
	|| register_operand (operands[3], V8DImode)))) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1748; /* *pred_mov_widthwuv8di */

    case 83:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DImode)
	|| register_operand (operands[3], V16DImode)))) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1754; /* *pred_mov_widthwuv16di */

    case 84:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DImode)
	|| register_operand (operands[3], V32DImode)))) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1760; /* *pred_mov_widthwuv32di */

    case 85:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DImode)
	|| register_operand (operands[3], V64DImode)))) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1766; /* *pred_mov_widthwuv64di */

    case 86:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DImode)
	|| register_operand (operands[3], V128DImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1772; /* *pred_mov_widthwuv128di */

    case 87:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DImode)
	|| register_operand (operands[3], V256DImode)))) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1778; /* *pred_mov_widthwuv256di */

    case 88:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DImode)
	|| register_operand (operands[3], V512DImode)))) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1784; /* *pred_mov_widthwuv512di */

    case 89:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HFmode)
	|| register_operand (operands[3], V1HFmode)))) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1790; /* *pred_mov_widthwuv1hf */

    case 90:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HFmode)
	|| register_operand (operands[3], V2HFmode)))) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1796; /* *pred_mov_widthwuv2hf */

    case 91:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HFmode)
	|| register_operand (operands[3], V4HFmode)))) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1802; /* *pred_mov_widthwuv4hf */

    case 92:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HFmode)
	|| register_operand (operands[3], V8HFmode)))) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1808; /* *pred_mov_widthwuv8hf */

    case 93:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HFmode)
	|| register_operand (operands[3], V16HFmode)))) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)))
        return -1;
      return 1814; /* *pred_mov_widthwuv16hf */

    case 94:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HFmode)
	|| register_operand (operands[3], V32HFmode)))) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1820; /* *pred_mov_widthwuv32hf */

    case 95:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HFmode)
	|| register_operand (operands[3], V64HFmode)))) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1826; /* *pred_mov_widthwuv64hf */

    case 96:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HFmode)
	|| register_operand (operands[3], V128HFmode)))) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1832; /* *pred_mov_widthwuv128hf */

    case 97:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HFmode)
	|| register_operand (operands[3], V256HFmode)))) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1838; /* *pred_mov_widthwuv256hf */

    case 98:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HFmode)
	|| register_operand (operands[3], V512HFmode)))) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1844; /* *pred_mov_widthwuv512hf */

    case 99:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HFmode)
	|| register_operand (operands[3], V1024HFmode)))) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1850; /* *pred_mov_widthwuv1024hf */

    case 100:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HFmode)
	|| register_operand (operands[3], V2048HFmode)))) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1856; /* *pred_mov_widthwuv2048hf */

    case 101:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SFmode)
	|| register_operand (operands[3], V1SFmode)))) && 
#line 284 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1862; /* *pred_mov_widthwuv1sf */

    case 102:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SFmode)
	|| register_operand (operands[3], V2SFmode)))) && 
#line 285 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1868; /* *pred_mov_widthwuv2sf */

    case 103:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SFmode)
	|| register_operand (operands[3], V4SFmode)))) && 
#line 286 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1874; /* *pred_mov_widthwuv4sf */

    case 104:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SFmode)
	|| register_operand (operands[3], V8SFmode)))) && 
#line 287 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 1880; /* *pred_mov_widthwuv8sf */

    case 105:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SFmode)
	|| register_operand (operands[3], V16SFmode)))) && 
#line 288 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1886; /* *pred_mov_widthwuv16sf */

    case 106:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SFmode)
	|| register_operand (operands[3], V32SFmode)))) && 
#line 289 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1892; /* *pred_mov_widthwuv32sf */

    case 107:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SFmode)
	|| register_operand (operands[3], V64SFmode)))) && 
#line 290 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1898; /* *pred_mov_widthwuv64sf */

    case 108:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SFmode)
	|| register_operand (operands[3], V128SFmode)))) && 
#line 291 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1904; /* *pred_mov_widthwuv128sf */

    case 109:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SFmode)
	|| register_operand (operands[3], V256SFmode)))) && 
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1910; /* *pred_mov_widthwuv256sf */

    case 110:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SFmode)
	|| register_operand (operands[3], V512SFmode)))) && 
#line 293 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1916; /* *pred_mov_widthwuv512sf */

    case 111:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SFmode)
	|| register_operand (operands[3], V1024SFmode)))) && 
#line 294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1922; /* *pred_mov_widthwuv1024sf */

    case 112:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DFmode)
	|| register_operand (operands[3], V1DFmode)))) && 
#line 295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1928; /* *pred_mov_widthwuv1df */

    case 113:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DFmode)
	|| register_operand (operands[3], V2DFmode)))) && 
#line 296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1934; /* *pred_mov_widthwuv2df */

    case 114:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DFmode)
	|| register_operand (operands[3], V4DFmode)))) && 
#line 297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 1940; /* *pred_mov_widthwuv4df */

    case 115:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DFmode)
	|| register_operand (operands[3], V8DFmode)))) && 
#line 298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 1946; /* *pred_mov_widthwuv8df */

    case 116:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DFmode)
	|| register_operand (operands[3], V16DFmode)))) && 
#line 299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 1952; /* *pred_mov_widthwuv16df */

    case 117:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DFmode)
	|| register_operand (operands[3], V32DFmode)))) && 
#line 300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 1958; /* *pred_mov_widthwuv32df */

    case 118:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DFmode)
	|| register_operand (operands[3], V64DFmode)))) && 
#line 301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 1964; /* *pred_mov_widthwuv64df */

    case 119:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DFmode)
	|| register_operand (operands[3], V128DFmode)))) && 
#line 302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 1970; /* *pred_mov_widthwuv128df */

    case 120:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DFmode)
	|| register_operand (operands[3], V256DFmode)))) && 
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 1976; /* *pred_mov_widthwuv256df */

    case 121:
      if (!(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DFmode)
	|| register_operand (operands[3], V512DFmode)))) && 
#line 304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 1982; /* *pred_mov_widthwuv512df */

    default:
      return -1;
    }
}

 int
recog_934 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern722 (x2))
    {
    case 0:
      if (register_operand (operands[4], E_RVVM8QImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11406; /* pred_aaddrvvm8qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11882; /* pred_aaddrvvm8qi_scalar */

    case 1:
      if (register_operand (operands[4], E_RVVM4QImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11413; /* pred_aaddrvvm4qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11887; /* pred_aaddrvvm4qi_scalar */

    case 2:
      if (register_operand (operands[4], E_RVVM2QImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11420; /* pred_aaddrvvm2qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11892; /* pred_aaddrvvm2qi_scalar */

    case 3:
      if (register_operand (operands[4], E_RVVM1QImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11427; /* pred_aaddrvvm1qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11897; /* pred_aaddrvvm1qi_scalar */

    case 4:
      if (register_operand (operands[4], E_RVVM8HImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11434; /* pred_aaddrvvm8hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11917; /* pred_aaddrvvm8hi_scalar */

    case 5:
      if (register_operand (operands[4], E_RVVM4HImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11441; /* pred_aaddrvvm4hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11922; /* pred_aaddrvvm4hi_scalar */

    case 6:
      if (register_operand (operands[4], E_RVVM2HImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11448; /* pred_aaddrvvm2hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11927; /* pred_aaddrvvm2hi_scalar */

    case 7:
      if (register_operand (operands[4], E_RVVM1HImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11455; /* pred_aaddrvvm1hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11932; /* pred_aaddrvvm1hi_scalar */

    case 8:
      if (register_operand (operands[4], E_RVVM8SImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11462; /* pred_aaddrvvm8si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11947; /* pred_aaddrvvm8si_scalar */

    case 9:
      if (register_operand (operands[4], E_RVVM4SImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11469; /* pred_aaddrvvm4si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11952; /* pred_aaddrvvm4si_scalar */

    case 10:
      if (register_operand (operands[4], E_RVVM2SImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11476; /* pred_aaddrvvm2si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11957; /* pred_aaddrvvm2si_scalar */

    case 11:
      if (register_operand (operands[4], E_RVVM1SImode)
          && 
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return 11483; /* pred_aaddrvvm1si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11962; /* pred_aaddrvvm1si_scalar */

    case 12:
      if (register_operand (operands[4], E_RVVM8DImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 11490; /* pred_aaddrvvm8di */
      if (!reg_or_0_operand (operands[4], E_DImode)
          || !(
#line 4656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12196; /* *pred_aaddrvvm8di_scalar */

    case 13:
      if (register_operand (operands[4], E_RVVM4DImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 11497; /* pred_aaddrvvm4di */
      if (!reg_or_0_operand (operands[4], E_DImode)
          || !(
#line 4656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12201; /* *pred_aaddrvvm4di_scalar */

    case 14:
      if (register_operand (operands[4], E_RVVM2DImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 11504; /* pred_aaddrvvm2di */
      if (!reg_or_0_operand (operands[4], E_DImode)
          || !(
#line 4656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12206; /* *pred_aaddrvvm2di_scalar */

    case 15:
      if (register_operand (operands[4], E_RVVM1DImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return 11511; /* pred_aaddrvvm1di */
      if (!reg_or_0_operand (operands[4], E_DImode)
          || !(
#line 4656 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12211; /* *pred_aaddrvvm1di_scalar */

    case 16:
      if (register_operand (operands[4], E_RVVMF2QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 11518; /* pred_aaddrvvmf2qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11902; /* pred_aaddrvvmf2qi_scalar */

    case 17:
      if (register_operand (operands[4], E_RVVMF4QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 11525; /* pred_aaddrvvmf4qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11907; /* pred_aaddrvvmf4qi_scalar */

    case 18:
      if (register_operand (operands[4], E_RVVMF8QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 11532; /* pred_aaddrvvmf8qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 11912; /* pred_aaddrvvmf8qi_scalar */

    case 19:
      if (register_operand (operands[4], E_RVVMF2HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return 11539; /* pred_aaddrvvmf2hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 11937; /* pred_aaddrvvmf2hi_scalar */

    case 20:
      if (register_operand (operands[4], E_RVVMF4HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 11546; /* pred_aaddrvvmf4hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 567 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 11942; /* pred_aaddrvvmf4hi_scalar */

    case 21:
      if (register_operand (operands[4], E_RVVMF2SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return 11553; /* pred_aaddrvvmf2si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
        return -1;
      return 11967; /* pred_aaddrvvmf2si_scalar */

    case 22:
      if (register_operand (operands[4], E_V1QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return 11560; /* pred_aaddv1qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 11972; /* pred_aaddv1qi_scalar */

    case 23:
      if (register_operand (operands[4], E_V2QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return 11567; /* pred_aaddv2qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 572 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 11977; /* pred_aaddv2qi_scalar */

    case 24:
      if (register_operand (operands[4], E_V4QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return 11574; /* pred_aaddv4qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 573 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 11982; /* pred_aaddv4qi_scalar */

    case 25:
      if (register_operand (operands[4], E_V8QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return 11581; /* pred_aaddv8qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 574 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 11987; /* pred_aaddv8qi_scalar */

    case 26:
      if (register_operand (operands[4], E_V16QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return 11588; /* pred_aaddv16qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 575 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 11992; /* pred_aaddv16qi_scalar */

    case 27:
      if (register_operand (operands[4], E_V32QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return 11595; /* pred_aaddv32qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 11997; /* pred_aaddv32qi_scalar */

    case 28:
      if (register_operand (operands[4], E_V64QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return 11602; /* pred_aaddv64qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 577 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12002; /* pred_aaddv64qi_scalar */

    case 29:
      if (register_operand (operands[4], E_V128QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return 11609; /* pred_aaddv128qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 578 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12007; /* pred_aaddv128qi_scalar */

    case 30:
      if (register_operand (operands[4], E_V256QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return 11616; /* pred_aaddv256qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 579 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12012; /* pred_aaddv256qi_scalar */

    case 31:
      if (register_operand (operands[4], E_V512QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return 11623; /* pred_aaddv512qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 580 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12017; /* pred_aaddv512qi_scalar */

    case 32:
      if (register_operand (operands[4], E_V1024QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return 11630; /* pred_aaddv1024qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 581 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12022; /* pred_aaddv1024qi_scalar */

    case 33:
      if (register_operand (operands[4], E_V2048QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return 11637; /* pred_aaddv2048qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 582 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12027; /* pred_aaddv2048qi_scalar */

    case 34:
      if (register_operand (operands[4], E_V4096QImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return 11644; /* pred_aaddv4096qi */
      if (!reg_or_0_operand (operands[4], E_QImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 583 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12032; /* pred_aaddv4096qi_scalar */

    case 35:
      if (register_operand (operands[4], E_V1HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return 11651; /* pred_aaddv1hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 584 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 12037; /* pred_aaddv1hi_scalar */

    case 36:
      if (register_operand (operands[4], E_V2HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return 11658; /* pred_aaddv2hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 585 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 12042; /* pred_aaddv2hi_scalar */

    case 37:
      if (register_operand (operands[4], E_V4HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return 11665; /* pred_aaddv4hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 586 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 12047; /* pred_aaddv4hi_scalar */

    case 38:
      if (register_operand (operands[4], E_V8HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return 11672; /* pred_aaddv8hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 12052; /* pred_aaddv8hi_scalar */

    case 39:
      if (register_operand (operands[4], E_V16HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return 11679; /* pred_aaddv16hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 588 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 12057; /* pred_aaddv16hi_scalar */

    case 40:
      if (register_operand (operands[4], E_V32HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return 11686; /* pred_aaddv32hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12062; /* pred_aaddv32hi_scalar */

    case 41:
      if (register_operand (operands[4], E_V64HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return 11693; /* pred_aaddv64hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 590 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12067; /* pred_aaddv64hi_scalar */

    case 42:
      if (register_operand (operands[4], E_V128HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 11700; /* pred_aaddv128hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 591 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12072; /* pred_aaddv128hi_scalar */

    case 43:
      if (register_operand (operands[4], E_V256HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return 11707; /* pred_aaddv256hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12077; /* pred_aaddv256hi_scalar */

    case 44:
      if (register_operand (operands[4], E_V512HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return 11714; /* pred_aaddv512hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 593 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12082; /* pred_aaddv512hi_scalar */

    case 45:
      if (register_operand (operands[4], E_V1024HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return 11721; /* pred_aaddv1024hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12087; /* pred_aaddv1024hi_scalar */

    case 46:
      if (register_operand (operands[4], E_V2048HImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return 11728; /* pred_aaddv2048hi */
      if (!reg_or_0_operand (operands[4], E_HImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 595 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12092; /* pred_aaddv2048hi_scalar */

    case 47:
      if (register_operand (operands[4], E_V1SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return 11735; /* pred_aaddv1si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 596 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 12097; /* pred_aaddv1si_scalar */

    case 48:
      if (register_operand (operands[4], E_V2SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return 11742; /* pred_aaddv2si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 597 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 12102; /* pred_aaddv2si_scalar */

    case 49:
      if (register_operand (operands[4], E_V4SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return 11749; /* pred_aaddv4si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 598 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 12107; /* pred_aaddv4si_scalar */

    case 50:
      if (register_operand (operands[4], E_V8SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return 11756; /* pred_aaddv8si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 599 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 12112; /* pred_aaddv8si_scalar */

    case 51:
      if (register_operand (operands[4], E_V16SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return 11763; /* pred_aaddv16si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12117; /* pred_aaddv16si_scalar */

    case 52:
      if (register_operand (operands[4], E_V32SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return 11770; /* pred_aaddv32si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 601 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12122; /* pred_aaddv32si_scalar */

    case 53:
      if (register_operand (operands[4], E_V64SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return 11777; /* pred_aaddv64si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 602 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12127; /* pred_aaddv64si_scalar */

    case 54:
      if (register_operand (operands[4], E_V128SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 11784; /* pred_aaddv128si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 603 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12132; /* pred_aaddv128si_scalar */

    case 55:
      if (register_operand (operands[4], E_V256SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return 11791; /* pred_aaddv256si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 604 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12137; /* pred_aaddv256si_scalar */

    case 56:
      if (register_operand (operands[4], E_V512SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return 11798; /* pred_aaddv512si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 605 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12142; /* pred_aaddv512si_scalar */

    case 57:
      if (register_operand (operands[4], E_V1024SImode)
          && (
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return 11805; /* pred_aaddv1024si */
      if (!reg_or_0_operand (operands[4], E_SImode)
          || !(
#line 4576 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 606 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 12147; /* pred_aaddv1024si_scalar */

    case 58:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 11812; /* pred_aaddv1di */

    case 59:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 11819; /* pred_aaddv2di */

    case 60:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 11826; /* pred_aaddv4di */

    case 61:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 11833; /* pred_aaddv8di */

    case 62:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 11840; /* pred_aaddv16di */

    case 63:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 11847; /* pred_aaddv32di */

    case 64:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 11854; /* pred_aaddv64di */

    case 65:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 11861; /* pred_aaddv128di */

    case 66:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 11868; /* pred_aaddv256di */

    case 67:
      if (!(
#line 4553 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 11875; /* pred_aaddv512di */

    case 68:
      if (!(
#line 4679 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12216; /* *pred_aaddrvvm8di_extended_scalar */

    case 69:
      if (!(
#line 4679 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12221; /* *pred_aaddrvvm4di_extended_scalar */

    case 70:
      if (!(
#line 4679 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12226; /* *pred_aaddrvvm2di_extended_scalar */

    case 71:
      if (!(
#line 4679 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_64BIT) && 
#line 770 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12231; /* *pred_aaddrvvm1di_extended_scalar */

    default:
      return -1;
    }
}

 int
recog_1090 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V128DFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V128DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V128DFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
    return -1;
  return 15824; /* *pred_mul_neg_addv128df_undef */
}

 int
recog_1100 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1085 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V4DFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V4DFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return 15910; /* *pred_nmsubv4df */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 16006; /* *pred_nmsacv4df */
}

 int
recog_1110 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1075 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V8SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V8SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return 15890; /* *pred_nmsubv8sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15986; /* *pred_nmsacv8sf */
}

 int
recog_1120 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1065 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V32HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V32HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
    return 15870; /* *pred_nmsubv32hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
    return -1;
  return 15966; /* *pred_nmsacv32hf */
}

 int
recog_1131 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1054 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_RVVM1SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_RVVM1SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return 15848; /* *pred_nmsubrvvm1sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15944; /* *pred_nmsacrvvm1sf */
}

 int
recog_1140 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1045 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_RVVM8HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_RVVM8HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
    return 15830; /* *pred_nmsubrvvm8hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
    return -1;
  return 15926; /* *pred_nmsacrvvm8hf */
}

 int
recog_1150 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_RVVM8SFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_RVVM8SFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_RVVM8SFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15267; /* *pred_mul_subrvvm8sf_undef */
}

 int
recog_1157 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_RVVM2DFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_RVVM2DFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_RVVM2DFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 15281; /* *pred_mul_subrvvm2df_undef */
}

 int
recog_1164 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_V32HFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_V32HFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_V32HFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
    return -1;
  return 15295; /* *pred_mul_subv32hf_undef */
}

 int
recog_1171 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_V1SFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_V1SFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_V1SFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15309; /* *pred_mul_subv1sf_undef */
}

 int
recog_1178 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_V128SFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_V128SFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_V128SFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
    return -1;
  return 15323; /* *pred_mul_subv128sf_undef */
}

 int
recog_1185 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 1);
  operands[4] = x11;
  if (!register_operand (operands[4], E_V8DFmode))
    return -1;
  x12 = XEXP (x9, 1);
  operands[5] = x12;
  if (!register_operand (operands[5], E_V8DFmode))
    return -1;
  x13 = XEXP (x2, 2);
  operands[2] = x13;
  if (!vector_undef_operand (operands[2], E_V8DFmode)
      || !(
#line 6502 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
    return -1;
  return 15337; /* *pred_mul_subv8df_undef */
}

 int
recog_1192 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1191 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V512DFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_V512DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
    return 15445; /* *pred_msubv512df */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
    return -1;
  return 15541; /* *pred_msacv512df */
}

 int
recog_1199 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1184 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V4DFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_V4DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return 15431; /* *pred_msubv4df */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 15527; /* *pred_msacv4df */
}

 int
recog_1206 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1177 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V64SFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_V64SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
    return 15417; /* *pred_msubv64sf */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
    return -1;
  return 15513; /* *pred_msacv64sf */
}

 int
recog_1213 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1170 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V2048HFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_V2048HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
    return 15403; /* *pred_msubv2048hf */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
    return -1;
  return 15499; /* *pred_msacv2048hf */
}

 int
recog_1220 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1163 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_V16HFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_V16HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
    return 15389; /* *pred_msubv16hf */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
    return -1;
  return 15485; /* *pred_msacv16hf */
}

 int
recog_1227 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1156 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_RVVM4DFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_RVVM4DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return 15375; /* *pred_msubrvvm4df */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 15471; /* *pred_msacrvvm4df */
}

 int
recog_1234 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[3] = x5;
  res = recog_1149 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x5;
  x6 = XEXP (x2, 0);
  x7 = XVECEXP (x6, 0, 1);
  operands[5] = x7;
  x8 = XVECEXP (x6, 0, 2);
  operands[6] = x8;
  x9 = XVECEXP (x6, 0, 3);
  operands[7] = x9;
  x10 = XVECEXP (x6, 0, 4);
  operands[8] = x10;
  x11 = XVECEXP (x6, 0, 5);
  operands[9] = x11;
  x12 = XEXP (x4, 1);
  operands[3] = x12;
  if (!register_operand (operands[3], E_RVVMF4HFmode))
    return -1;
  x13 = XEXP (x3, 1);
  operands[4] = x13;
  if (!register_operand (operands[4], E_RVVMF4HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  if (rtx_equal_p (x14, operands[2])
      && (
#line 6532 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
    return 15361; /* *pred_msubrvvmf4hf */
  if (!rtx_equal_p (x14, operands[4])
      || !(
#line 6565 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
    return -1;
  return 15457; /* *pred_msacrvvmf4hf */
}

 int
recog_1241 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_RVVM4HFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_RVVM4HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_RVVM4HFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
    return -1;
  return 15737; /* *pred_mul_neg_subrvvm4hf_undef */
}

 int
recog_1248 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_RVVM2SFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_RVVM2SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_RVVM2SFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15751; /* *pred_mul_neg_subrvvm2sf_undef */
}

 int
recog_1255 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V1HFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V1HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V1HFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
    return -1;
  return 15765; /* *pred_mul_neg_subv1hf_undef */
}

 int
recog_1262 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V128HFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V128HFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V128HFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
    return -1;
  return 15779; /* *pred_mul_neg_subv128hf_undef */
}

 int
recog_1269 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V4SFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V4SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V4SFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15793; /* *pred_mul_neg_subv4sf_undef */
}

 int
recog_1276 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V512SFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V512SFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V512SFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
    return -1;
  return 15807; /* *pred_mul_neg_subv512sf_undef */
}

 int
recog_1283 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[6] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[7] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[8] = x6;
  x7 = XVECEXP (x3, 0, 4);
  operands[9] = x7;
  x8 = XVECEXP (x3, 0, 5);
  operands[10] = x8;
  x9 = XEXP (x2, 1);
  x10 = XEXP (x9, 0);
  x11 = XEXP (x10, 0);
  x12 = XEXP (x11, 1);
  operands[4] = x12;
  if (!register_operand (operands[4], E_V32DFmode))
    return -1;
  x13 = XEXP (x9, 1);
  operands[5] = x13;
  if (!register_operand (operands[5], E_V32DFmode))
    return -1;
  x14 = XEXP (x2, 2);
  operands[2] = x14;
  if (!vector_undef_operand (operands[2], E_V32DFmode)
      || !(
#line 6715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
    return -1;
  return 15821; /* *pred_mul_neg_subv32df_undef */
}

 int
recog_1290 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1285 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V128DFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V128DFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
    return 15921; /* *pred_nmaddv128df */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
    return -1;
  return 16017; /* *pred_nmaccv128df */
}

 int
recog_1297 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1278 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V1DFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V1DFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return 15907; /* *pred_nmaddv1df */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
    return -1;
  return 16003; /* *pred_nmaccv1df */
}

 int
recog_1304 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1271 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V16SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V16SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
    return 15893; /* *pred_nmaddv16sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
    return -1;
  return 15989; /* *pred_nmaccv16sf */
}

 int
recog_1311 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1264 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V512HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V512HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
    return 15879; /* *pred_nmaddv512hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
    return -1;
  return 15975; /* *pred_nmaccv512hf */
}

 int
recog_1318 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1257 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_V4HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_V4HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
    return 15865; /* *pred_nmaddv4hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
    return -1;
  return 15961; /* *pred_nmaccv4hf */
}

 int
recog_1326 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1249 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_RVVM1SFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_RVVM1SFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return 15849; /* *pred_nmaddrvvm1sf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
    return -1;
  return 15945; /* *pred_nmaccrvvm1sf */
}

 int
recog_1334 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  x6 = XEXP (x5, 0);
  operands[3] = x6;
  res = recog_1241 (x1, insn, pnum_clobbers);
  if (res >= 0)
    return res;
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  x8 = XVECEXP (x7, 0, 1);
  operands[5] = x8;
  x9 = XVECEXP (x7, 0, 2);
  operands[6] = x9;
  x10 = XVECEXP (x7, 0, 3);
  operands[7] = x10;
  x11 = XVECEXP (x7, 0, 4);
  operands[8] = x11;
  x12 = XVECEXP (x7, 0, 5);
  operands[9] = x12;
  x13 = XEXP (x5, 1);
  operands[3] = x13;
  if (!register_operand (operands[3], E_RVVM4HFmode))
    return -1;
  x14 = XEXP (x3, 1);
  operands[4] = x14;
  if (!register_operand (operands[4], E_RVVM4HFmode))
    return -1;
  x15 = XEXP (x2, 2);
  if (rtx_equal_p (x15, operands[2])
      && (
#line 6746 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
    return 15833; /* *pred_nmaddrvvm4hf */
  if (!rtx_equal_p (x15, operands[4])
      || !(
#line 6780 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
    return -1;
  return 15929; /* *pred_nmaccrvvm4hf */
}

 int
recog_1342 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[3] = x4;
      x5 = XEXP (x2, 0);
      x6 = XVECEXP (x5, 0, 1);
      operands[5] = x6;
      x7 = XVECEXP (x5, 0, 2);
      operands[6] = x7;
      x8 = XVECEXP (x5, 0, 3);
      operands[7] = x8;
      x9 = XVECEXP (x5, 0, 4);
      operands[8] = x9;
      x10 = XVECEXP (x5, 0, 5);
      operands[9] = x10;
      x11 = XEXP (x2, 2);
      operands[2] = x11;
      x12 = XEXP (x3, 1);
      switch (GET_CODE (x12))
        {
        case REG:
        case SUBREG:
          switch (pattern713 (x2))
            {
            case 0:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 14498; /* pred_addrvvm8hf */

            case 1:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 14502; /* pred_addrvvm4hf */

            case 2:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 14506; /* pred_addrvvm2hf */

            case 3:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 14510; /* pred_addrvvm1hf */

            case 4:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 14514; /* pred_addrvvmf2hf */

            case 5:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
                return -1;
              return 14518; /* pred_addrvvmf4hf */

            case 6:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14522; /* pred_addrvvm8sf */

            case 7:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14526; /* pred_addrvvm4sf */

            case 8:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14530; /* pred_addrvvm2sf */

            case 9:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14534; /* pred_addrvvm1sf */

            case 10:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
                return -1;
              return 14538; /* pred_addrvvmf2sf */

            case 11:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14542; /* pred_addrvvm8df */

            case 12:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14546; /* pred_addrvvm4df */

            case 13:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14550; /* pred_addrvvm2df */

            case 14:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14554; /* pred_addrvvm1df */

            case 15:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
                return -1;
              return 14558; /* pred_addv1hf */

            case 16:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
                return -1;
              return 14562; /* pred_addv2hf */

            case 17:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
                return -1;
              return 14566; /* pred_addv4hf */

            case 18:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
                return -1;
              return 14570; /* pred_addv8hf */

            case 19:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
                return -1;
              return 14574; /* pred_addv16hf */

            case 20:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14578; /* pred_addv32hf */

            case 21:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14582; /* pred_addv64hf */

            case 22:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14586; /* pred_addv128hf */

            case 23:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14590; /* pred_addv256hf */

            case 24:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14594; /* pred_addv512hf */

            case 25:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14598; /* pred_addv1024hf */

            case 26:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14602; /* pred_addv2048hf */

            case 27:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14606; /* pred_addv1sf */

            case 28:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14610; /* pred_addv2sf */

            case 29:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14614; /* pred_addv4sf */

            case 30:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 14618; /* pred_addv8sf */

            case 31:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14622; /* pred_addv16sf */

            case 32:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14626; /* pred_addv32sf */

            case 33:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14630; /* pred_addv64sf */

            case 34:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14634; /* pred_addv128sf */

            case 35:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14638; /* pred_addv256sf */

            case 36:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14642; /* pred_addv512sf */

            case 37:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14646; /* pred_addv1024sf */

            case 38:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14650; /* pred_addv1df */

            case 39:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14654; /* pred_addv2df */

            case 40:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 14658; /* pred_addv4df */

            case 41:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 14662; /* pred_addv8df */

            case 42:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 14666; /* pred_addv16df */

            case 43:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 14670; /* pred_addv32df */

            case 44:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 14674; /* pred_addv64df */

            case 45:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 14678; /* pred_addv128df */

            case 46:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 14682; /* pred_addv256df */

            case 47:
              if (!(
#line 6202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 14686; /* pred_addv512df */

            default:
              return -1;
            }

        case FLOAT_EXTEND:
          x13 = XEXP (x12, 0);
          if (GET_CODE (x13) != VEC_DUPLICATE)
            return -1;
          switch (pattern734 (x2))
            {
            case 0:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1023 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16643; /* pred_single_widen_addrvvm8sf_scalar */

            case 1:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1024 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16645; /* pred_single_widen_addrvvm4sf_scalar */

            case 2:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1025 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16647; /* pred_single_widen_addrvvm2sf_scalar */

            case 3:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1026 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16649; /* pred_single_widen_addrvvm1sf_scalar */

            case 4:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1027 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
                return -1;
              return 16651; /* pred_single_widen_addrvvmf2sf_scalar */

            case 5:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16653; /* pred_single_widen_addrvvm8df_scalar */

            case 6:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16655; /* pred_single_widen_addrvvm4df_scalar */

            case 7:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16657; /* pred_single_widen_addrvvm2df_scalar */

            case 8:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1030 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16659; /* pred_single_widen_addrvvm1df_scalar */

            case 9:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1032 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16661; /* pred_single_widen_addv1sf_scalar */

            case 10:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1033 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16663; /* pred_single_widen_addv2sf_scalar */

            case 11:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1034 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16665; /* pred_single_widen_addv4sf_scalar */

            case 12:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1035 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 16667; /* pred_single_widen_addv8sf_scalar */

            case 13:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1036 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 16669; /* pred_single_widen_addv16sf_scalar */

            case 14:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1037 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 16671; /* pred_single_widen_addv32sf_scalar */

            case 15:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1038 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 16673; /* pred_single_widen_addv64sf_scalar */

            case 16:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1039 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 16675; /* pred_single_widen_addv128sf_scalar */

            case 17:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1040 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 16677; /* pred_single_widen_addv256sf_scalar */

            case 18:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1041 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 16679; /* pred_single_widen_addv512sf_scalar */

            case 19:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1042 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 16681; /* pred_single_widen_addv1024sf_scalar */

            case 20:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1043 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16683; /* pred_single_widen_addv1df_scalar */

            case 21:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1044 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16685; /* pred_single_widen_addv2df_scalar */

            case 22:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 16687; /* pred_single_widen_addv4df_scalar */

            case 23:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1046 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 16689; /* pred_single_widen_addv8df_scalar */

            case 24:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1047 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 16691; /* pred_single_widen_addv16df_scalar */

            case 25:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1048 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 16693; /* pred_single_widen_addv32df_scalar */

            case 26:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1049 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 16695; /* pred_single_widen_addv64df_scalar */

            case 27:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1050 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 16697; /* pred_single_widen_addv128df_scalar */

            case 28:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1051 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 16699; /* pred_single_widen_addv256df_scalar */

            case 29:
              if (!(
#line 7141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 1052 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 16701; /* pred_single_widen_addv512df_scalar */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      switch (pattern581 (x2))
        {
        case 0:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 14882; /* pred_addrvvm8hf_scalar */

        case 1:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 14884; /* pred_addrvvm4hf_scalar */

        case 2:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 14886; /* pred_addrvvm2hf_scalar */

        case 3:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 14888; /* pred_addrvvm1hf_scalar */

        case 4:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
            return -1;
          return 14890; /* pred_addrvvmf2hf_scalar */

        case 5:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
            return -1;
          return 14892; /* pred_addrvvmf4hf_scalar */

        case 6:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 14894; /* pred_addrvvm8sf_scalar */

        case 7:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 14896; /* pred_addrvvm4sf_scalar */

        case 8:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 14898; /* pred_addrvvm2sf_scalar */

        case 9:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
            return -1;
          return 14900; /* pred_addrvvm1sf_scalar */

        case 10:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
            return -1;
          return 14902; /* pred_addrvvmf2sf_scalar */

        case 11:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 14904; /* pred_addrvvm8df_scalar */

        case 12:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 14906; /* pred_addrvvm4df_scalar */

        case 13:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 14908; /* pred_addrvvm2df_scalar */

        case 14:
          if (!(
#line 6268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
            return -1;
          return 14910; /* pred_addrvvm1df_scalar */

        default:
          return -1;
        }

    case MULT:
      return recog_1141 (x1, insn, pnum_clobbers);

    case NEG:
      return recog_1142 (x1, insn, pnum_clobbers);

    case FLOAT_EXTEND:
      return recog_1143 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_1347 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM4QImode:
      if (!register_operand (operands[3], E_RVVM4QImode)
          || !vector_arith_operand (operands[4], E_RVVM4QImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12428; /* *pred_cmprvvm4qi_merge_tie_mask */

    case E_RVVM8HImode:
      if (!register_operand (operands[3], E_RVVM8HImode)
          || !vector_arith_operand (operands[4], E_RVVM8HImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12431; /* *pred_cmprvvm8hi_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1348 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM2QImode:
      if (!register_operand (operands[3], E_RVVM2QImode)
          || !vector_arith_operand (operands[4], E_RVVM2QImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12429; /* *pred_cmprvvm2qi_merge_tie_mask */

    case E_RVVM4HImode:
      if (!register_operand (operands[3], E_RVVM4HImode)
          || !vector_arith_operand (operands[4], E_RVVM4HImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12432; /* *pred_cmprvvm4hi_merge_tie_mask */

    case E_RVVM8SImode:
      if (!register_operand (operands[3], E_RVVM8SImode)
          || !vector_arith_operand (operands[4], E_RVVM8SImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12435; /* *pred_cmprvvm8si_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1349 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM1QImode:
      if (!register_operand (operands[3], E_RVVM1QImode)
          || !vector_arith_operand (operands[4], E_RVVM1QImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12430; /* *pred_cmprvvm1qi_merge_tie_mask */

    case E_RVVM2HImode:
      if (!register_operand (operands[3], E_RVVM2HImode)
          || !vector_arith_operand (operands[4], E_RVVM2HImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12433; /* *pred_cmprvvm2hi_merge_tie_mask */

    case E_RVVM4SImode:
      if (!register_operand (operands[3], E_RVVM4SImode)
          || !vector_arith_operand (operands[4], E_RVVM4SImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12436; /* *pred_cmprvvm4si_merge_tie_mask */

    case E_RVVM8DImode:
      if (!register_operand (operands[3], E_RVVM8DImode)
          || !vector_arith_operand (operands[4], E_RVVM8DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12439; /* *pred_cmprvvm8di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1350 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM1HImode:
      if (!register_operand (operands[3], E_RVVM1HImode)
          || !vector_arith_operand (operands[4], E_RVVM1HImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12434; /* *pred_cmprvvm1hi_merge_tie_mask */

    case E_RVVM2SImode:
      if (!register_operand (operands[3], E_RVVM2SImode)
          || !vector_arith_operand (operands[4], E_RVVM2SImode)
          || !
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12437; /* *pred_cmprvvm2si_merge_tie_mask */

    case E_RVVM4DImode:
      if (!register_operand (operands[3], E_RVVM4DImode)
          || !vector_arith_operand (operands[4], E_RVVM4DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12440; /* *pred_cmprvvm4di_merge_tie_mask */

    case E_RVVMF2QImode:
      if (!register_operand (operands[3], E_RVVMF2QImode)
          || !vector_arith_operand (operands[4], E_RVVMF2QImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 12443; /* *pred_cmprvvmf2qi_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1352 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM1DImode:
      if (!register_operand (operands[3], E_RVVM1DImode)
          || !vector_arith_operand (operands[4], E_RVVM1DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12442; /* *pred_cmprvvm1di_merge_tie_mask */

    case E_RVVMF8QImode:
      if (!register_operand (operands[3], E_RVVMF8QImode)
          || !vector_arith_operand (operands[4], E_RVVMF8QImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 12445; /* *pred_cmprvvmf8qi_merge_tie_mask */

    case E_RVVMF4HImode:
      if (!register_operand (operands[3], E_RVVMF4HImode)
          || !vector_arith_operand (operands[4], E_RVVMF4HImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 12447; /* *pred_cmprvvmf4hi_merge_tie_mask */

    case E_RVVMF2SImode:
      if (!register_operand (operands[3], E_RVVMF2SImode)
          || !vector_arith_operand (operands[4], E_RVVMF2SImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 12448; /* *pred_cmprvvmf2si_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1355 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V4QImode:
      if (!register_operand (operands[3], E_V4QImode)
          || !vector_arith_operand (operands[4], E_V4QImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 12451; /* *pred_cmpv4qi_merge_tie_mask */

    case E_V4HImode:
      if (!register_operand (operands[3], E_V4HImode)
          || !vector_arith_operand (operands[4], E_V4HImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 12464; /* *pred_cmpv4hi_merge_tie_mask */

    case E_V4SImode:
      if (!register_operand (operands[3], E_V4SImode)
          || !vector_arith_operand (operands[4], E_V4SImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 12476; /* *pred_cmpv4si_merge_tie_mask */

    case E_V4DImode:
      if (!register_operand (operands[3], E_V4DImode)
          || !vector_arith_operand (operands[4], E_V4DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12487; /* *pred_cmpv4di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1361 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V256QImode:
      if (!register_operand (operands[3], E_V256QImode)
          || !vector_arith_operand (operands[4], E_V256QImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12457; /* *pred_cmpv256qi_merge_tie_mask */

    case E_V256HImode:
      if (!register_operand (operands[3], E_V256HImode)
          || !vector_arith_operand (operands[4], E_V256HImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12470; /* *pred_cmpv256hi_merge_tie_mask */

    case E_V256SImode:
      if (!register_operand (operands[3], E_V256SImode)
          || !vector_arith_operand (operands[4], E_V256SImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12482; /* *pred_cmpv256si_merge_tie_mask */

    case E_V256DImode:
      if (!register_operand (operands[3], E_V256DImode)
          || !vector_arith_operand (operands[4], E_V256DImode)
          || !(
#line 4769 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12493; /* *pred_cmpv256di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1367 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern536 (x2, 
E_V128BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V128BImode))
    {
      res = recog_1360 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V128BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  operands[5] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  if (!vector_merge_operand (operands[2], E_V128BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V128QImode:
      if (!register_operand (operands[4], E_V128QImode)
          || !vector_arith_operand (operands[5], E_V128QImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128QImode)) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return 12524; /* *pred_cmpv128qi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128QImode)) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12592; /* *pred_cmpv128qi_narrow */

    case E_V128HImode:
      if (!register_operand (operands[4], E_V128HImode)
          || !vector_arith_operand (operands[5], E_V128HImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128HImode)) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 12537; /* *pred_cmpv128hi */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128HImode)) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12605; /* *pred_cmpv128hi_narrow */

    case E_V128SImode:
      if (!register_operand (operands[4], E_V128SImode)
          || !vector_arith_operand (operands[5], E_V128SImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128SImode)) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 12549; /* *pred_cmpv128si */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128SImode)) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12617; /* *pred_cmpv128si_narrow */

    case E_V128DImode:
      if (!register_operand (operands[4], E_V128DImode)
          || !vector_arith_operand (operands[5], E_V128DImode))
        return -1;
      if ((
#line 4793 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128DImode)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return 12560; /* *pred_cmpv128di */
      if (!(
#line 4814 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128DImode)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12628; /* *pred_cmpv128di_narrow */

    default:
      return -1;
    }
}

 int
recog_1375 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM2QImode:
      if (!register_operand (operands[3], E_RVVM2QImode)
          || !vector_neg_arith_operand (operands[4], E_RVVM2QImode)
          || !
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12633; /* *pred_ltgervvm2qi_merge_tie_mask */

    case E_RVVM4HImode:
      if (!register_operand (operands[3], E_RVVM4HImode)
          || !vector_neg_arith_operand (operands[4], E_RVVM4HImode)
          || !
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12636; /* *pred_ltgervvm4hi_merge_tie_mask */

    case E_RVVM8SImode:
      if (!register_operand (operands[3], E_RVVM8SImode)
          || !vector_neg_arith_operand (operands[4], E_RVVM8SImode)
          || !
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12639; /* *pred_ltgervvm8si_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1380 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V1QImode:
      if (!register_operand (operands[3], E_V1QImode)
          || !vector_neg_arith_operand (operands[4], E_V1QImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 12653; /* *pred_ltgev1qi_merge_tie_mask */

    case E_V1HImode:
      if (!register_operand (operands[3], E_V1HImode)
          || !vector_neg_arith_operand (operands[4], E_V1HImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 12666; /* *pred_ltgev1hi_merge_tie_mask */

    case E_V1SImode:
      if (!register_operand (operands[3], E_V1SImode)
          || !vector_neg_arith_operand (operands[4], E_V1SImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 12678; /* *pred_ltgev1si_merge_tie_mask */

    case E_V1DImode:
      if (!register_operand (operands[3], E_V1DImode)
          || !vector_neg_arith_operand (operands[4], E_V1DImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 12689; /* *pred_ltgev1di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1386 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V64QImode:
      if (!register_operand (operands[3], E_V64QImode)
          || !vector_neg_arith_operand (operands[4], E_V64QImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 12659; /* *pred_ltgev64qi_merge_tie_mask */

    case E_V64HImode:
      if (!register_operand (operands[3], E_V64HImode)
          || !vector_neg_arith_operand (operands[4], E_V64HImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12672; /* *pred_ltgev64hi_merge_tie_mask */

    case E_V64SImode:
      if (!register_operand (operands[3], E_V64SImode)
          || !vector_neg_arith_operand (operands[4], E_V64SImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12684; /* *pred_ltgev64si_merge_tie_mask */

    case E_V64DImode:
      if (!register_operand (operands[3], E_V64DImode)
          || !vector_neg_arith_operand (operands[4], E_V64DImode)
          || !(
#line 4851 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12695; /* *pred_ltgev64di_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1393 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern537 (x2, 
E_V256BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V256BImode))
    {
      res = recog_1388 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V256BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  operands[5] = x9;
  x10 = XEXP (x2, 2);
  operands[2] = x10;
  if (!vector_merge_operand (operands[2], E_V256BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V256QImode:
      if (!register_operand (operands[4], E_V256QImode)
          || !vector_neg_arith_operand (operands[5], E_V256QImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256QImode)) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return 12729; /* *pred_ltgev256qi */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256QImode)) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12797; /* *pred_ltgev256qi_narrow */

    case E_V256HImode:
      if (!register_operand (operands[4], E_V256HImode)
          || !vector_neg_arith_operand (operands[5], E_V256HImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256HImode)) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return 12742; /* *pred_ltgev256hi */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256HImode)) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12810; /* *pred_ltgev256hi_narrow */

    case E_V256SImode:
      if (!register_operand (operands[4], E_V256SImode)
          || !vector_neg_arith_operand (operands[5], E_V256SImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256SImode)) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return 12754; /* *pred_ltgev256si */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256SImode)) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 12822; /* *pred_ltgev256si_narrow */

    case E_V256DImode:
      if (!register_operand (operands[4], E_V256DImode)
          || !vector_neg_arith_operand (operands[5], E_V256DImode))
        return -1;
      if ((
#line 4875 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256DImode)) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return 12765; /* *pred_ltgev256di */
      if (!(
#line 4896 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256DImode)) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 12833; /* *pred_ltgev256di_narrow */

    default:
      return -1;
    }
}

 int
recog_1401 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM4QImode:
      if (!register_operand (operands[3], E_RVVM4QImode)
          || GET_MODE (x9) != E_RVVM4QImode
          || !register_operand (operands[4], E_QImode)
          || !
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12836; /* *pred_cmprvvm4qi_scalar_merge_tie_mask */

    case E_RVVM8HImode:
      if (!register_operand (operands[3], E_RVVM8HImode)
          || GET_MODE (x9) != E_RVVM8HImode
          || !register_operand (operands[4], E_HImode)
          || !
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR))
        return -1;
      return 12842; /* *pred_cmprvvm8hi_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1407 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V1QImode:
      if (!register_operand (operands[3], E_V1QImode)
          || GET_MODE (x9) != E_V1QImode
          || !register_operand (operands[4], E_QImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 12853; /* *pred_cmpv1qi_scalar_merge_tie_mask */

    case E_V1HImode:
      if (!register_operand (operands[3], E_V1HImode)
          || GET_MODE (x9) != E_V1HImode
          || !register_operand (operands[4], E_HImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 12866; /* *pred_cmpv1hi_scalar_merge_tie_mask */

    case E_V1SImode:
      if (!register_operand (operands[3], E_V1SImode)
          || GET_MODE (x9) != E_V1SImode
          || !register_operand (operands[4], E_SImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 12878; /* *pred_cmpv1si_scalar_merge_tie_mask */

    case E_V1DImode:
      if (!register_operand (operands[3], E_V1DImode)
          || GET_MODE (x9) != E_V1DImode
          || !register_operand (operands[4], E_DImode)
          || !(
#line 5045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 13001; /* *pred_cmpv1di_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1414 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V128QImode:
      if (!register_operand (operands[3], E_V128QImode)
          || GET_MODE (x9) != E_V128QImode
          || !register_operand (operands[4], E_QImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12860; /* *pred_cmpv128qi_scalar_merge_tie_mask */

    case E_V128HImode:
      if (!register_operand (operands[3], E_V128HImode)
          || GET_MODE (x9) != E_V128HImode
          || !register_operand (operands[4], E_HImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12873; /* *pred_cmpv128hi_scalar_merge_tie_mask */

    case E_V128SImode:
      if (!register_operand (operands[3], E_V128SImode)
          || GET_MODE (x9) != E_V128SImode
          || !register_operand (operands[4], E_SImode)
          || !(
#line 4935 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12885; /* *pred_cmpv128si_scalar_merge_tie_mask */

    case E_V128DImode:
      if (!register_operand (operands[3], E_V128DImode)
          || GET_MODE (x9) != E_V128DImode
          || !register_operand (operands[4], E_DImode)
          || !(
#line 5045 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 13008; /* *pred_cmpv128di_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1421 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern571 (x2, 
E_V128BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V128BImode))
    {
      res = recog_1414 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V128BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V128BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V128QImode:
      if (!register_operand (operands[4], E_V128QImode)
          || GET_MODE (x9) != E_V128QImode
          || !register_operand (operands[5], E_QImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128QImode)) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return 12914; /* *pred_cmpv128qi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128QImode)) && 
#line 737 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 12968; /* *pred_cmpv128qi_scalar_narrow */

    case E_V128HImode:
      if (!register_operand (operands[4], E_V128HImode)
          || GET_MODE (x9) != E_V128HImode
          || !register_operand (operands[5], E_HImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128HImode)) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return 12927; /* *pred_cmpv128hi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128HImode)) && 
#line 750 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 12981; /* *pred_cmpv128hi_scalar_narrow */

    case E_V128SImode:
      if (!register_operand (operands[4], E_V128SImode)
          || GET_MODE (x9) != E_V128SImode
          || !register_operand (operands[5], E_SImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128SImode)) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return 12939; /* *pred_cmpv128si_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128SImode)) && 
#line 762 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 12993; /* *pred_cmpv128si_scalar_narrow */

    case E_V128DImode:
      if (!register_operand (operands[4], E_V128DImode)
          || GET_MODE (x9) != E_V128DImode
          || !register_operand (operands[5], E_DImode))
        return -1;
      if ((
#line 5070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V128DImode)) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return 13022; /* *pred_cmpv128di_scalar */
      if (!(
#line 5092 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V128DImode)) && 
#line 784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 13036; /* *pred_cmpv128di_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1428 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern571 (x2, 
E_V1BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V1BImode))
    {
      res = recog_1407 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V1BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V1BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V1QImode:
      if (!register_operand (operands[4], E_V1QImode)
          || GET_MODE (x9) != E_V1QImode
          || !register_operand (operands[5], E_QImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V1QImode)) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return 12907; /* *pred_cmpv1qi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V1QImode)) && 
#line 730 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 12961; /* *pred_cmpv1qi_scalar_narrow */

    case E_V1HImode:
      if (!register_operand (operands[4], E_V1HImode)
          || GET_MODE (x9) != E_V1HImode
          || !register_operand (operands[5], E_HImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V1HImode)) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return 12920; /* *pred_cmpv1hi_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V1HImode)) && 
#line 743 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 12974; /* *pred_cmpv1hi_scalar_narrow */

    case E_V1SImode:
      if (!register_operand (operands[4], E_V1SImode)
          || GET_MODE (x9) != E_V1SImode
          || !register_operand (operands[5], E_SImode))
        return -1;
      if ((
#line 4960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V1SImode)) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return 12932; /* *pred_cmpv1si_scalar */
      if (!(
#line 4982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V1SImode)) && 
#line 755 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 12986; /* *pred_cmpv1si_scalar_narrow */

    case E_V1DImode:
      if (!register_operand (operands[4], E_V1DImode)
          || GET_MODE (x9) != E_V1DImode
          || !register_operand (operands[5], E_DImode))
        return -1;
      if ((
#line 5070 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V1DImode)) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return 13015; /* *pred_cmpv1di_scalar */
      if (!(
#line 5092 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V1DImode)) && 
#line 777 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 13029; /* *pred_cmpv1di_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1438 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[3], E_V4HFmode)
          || !register_operand (operands[4], E_V4HFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 17008; /* *pred_cmpv4hf_narrow_merge_tie_mask */

    case E_V4SFmode:
      if (!register_operand (operands[3], E_V4SFmode)
          || !register_operand (operands[4], E_V4SFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17020; /* *pred_cmpv4sf_narrow_merge_tie_mask */

    case E_V4DFmode:
      if (!register_operand (operands[3], E_V4DFmode)
          || !register_operand (operands[4], E_V4DFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17031; /* *pred_cmpv4df_narrow_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1443 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  operands[4] = x9;
  x10 = XEXP (x2, 2);
  if (!rtx_equal_p (x10, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V128HFmode:
      if (!register_operand (operands[3], E_V128HFmode)
          || !register_operand (operands[4], E_V128HFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17013; /* *pred_cmpv128hf_narrow_merge_tie_mask */

    case E_V128SFmode:
      if (!register_operand (operands[3], E_V128SFmode)
          || !register_operand (operands[4], E_V128SFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17025; /* *pred_cmpv128sf_narrow_merge_tie_mask */

    case E_V128DFmode:
      if (!register_operand (operands[3], E_V128DFmode)
          || !register_operand (operands[4], E_V128DFmode)
          || !(
#line 7330 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17036; /* *pred_cmpv128df_narrow_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1448 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_RVVM2HFmode:
      if (!register_operand (operands[3], E_RVVM2HFmode)
          || GET_MODE (x9) != E_RVVM2HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 17089; /* *pred_cmprvvm2hf_scalar_merge_tie_mask */

    case E_RVVM4SFmode:
      if (!register_operand (operands[3], E_RVVM4SFmode)
          || GET_MODE (x9) != E_RVVM4SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17094; /* *pred_cmprvvm4sf_scalar_merge_tie_mask */

    case E_RVVM8DFmode:
      if (!register_operand (operands[3], E_RVVM8DFmode)
          || GET_MODE (x9) != E_RVVM8DFmode
          || !register_operand (operands[4], E_DFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17098; /* *pred_cmprvvm8df_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1453 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V2HFmode:
      if (!register_operand (operands[3], E_V2HFmode)
          || GET_MODE (x9) != E_V2HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 17103; /* *pred_cmpv2hf_scalar_merge_tie_mask */

    case E_V2SFmode:
      if (!register_operand (operands[3], E_V2SFmode)
          || GET_MODE (x9) != E_V2SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 17115; /* *pred_cmpv2sf_scalar_merge_tie_mask */

    case E_V2DFmode:
      if (!register_operand (operands[3], E_V2DFmode)
          || GET_MODE (x9) != E_V2DFmode
          || !register_operand (operands[4], E_DFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 17126; /* *pred_cmpv2df_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1459 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 1);
  operands[5] = x4;
  x5 = XVECEXP (x3, 0, 2);
  operands[6] = x5;
  x6 = XVECEXP (x3, 0, 3);
  operands[7] = x6;
  x7 = XEXP (x2, 1);
  x8 = XEXP (x7, 0);
  operands[3] = x8;
  x9 = XEXP (x7, 1);
  x10 = XEXP (x9, 0);
  operands[4] = x10;
  x11 = XEXP (x2, 2);
  if (!rtx_equal_p (x11, operands[1]))
    return -1;
  switch (GET_MODE (operands[3]))
    {
    case E_V128HFmode:
      if (!register_operand (operands[3], E_V128HFmode)
          || GET_MODE (x9) != E_V128HFmode
          || !register_operand (operands[4], E_HFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 17109; /* *pred_cmpv128hf_scalar_merge_tie_mask */

    case E_V128SFmode:
      if (!register_operand (operands[3], E_V128SFmode)
          || GET_MODE (x9) != E_V128SFmode
          || !register_operand (operands[4], E_SFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17121; /* *pred_cmpv128sf_scalar_merge_tie_mask */

    case E_V128DFmode:
      if (!register_operand (operands[3], E_V128DFmode)
          || GET_MODE (x9) != E_V128DFmode
          || !register_operand (operands[4], E_DFmode)
          || !(
#line 7393 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17132; /* *pred_cmpv128df_scalar_merge_tie_mask */

    default:
      return -1;
    }
}

 int
recog_1465 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern548 (x2, 
E_V256BImode) != 0)
    return -1;
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  if (register_operand (operands[1], E_V256BImode))
    {
      res = recog_1460 (x1, insn, pnum_clobbers);
      if (res >= 0)
        return res;
    }
  operands[3] = x3;
  if (!vector_mask_operand (operands[1], E_V256BImode))
    return -1;
  x4 = XEXP (x2, 0);
  x5 = XVECEXP (x4, 0, 1);
  operands[6] = x5;
  x6 = XVECEXP (x4, 0, 2);
  operands[7] = x6;
  x7 = XVECEXP (x4, 0, 3);
  operands[8] = x7;
  x8 = XEXP (x3, 0);
  operands[4] = x8;
  x9 = XEXP (x3, 1);
  x10 = XEXP (x9, 0);
  operands[5] = x10;
  x11 = XEXP (x2, 2);
  operands[2] = x11;
  if (!vector_merge_operand (operands[2], E_V256BImode))
    return -1;
  switch (GET_MODE (operands[4]))
    {
    case E_V256HFmode:
      if (!register_operand (operands[4], E_V256HFmode)
          || GET_MODE (x9) != E_V256HFmode
          || !register_operand (operands[5], E_HFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256HFmode)) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return 17158; /* *pred_cmpv256hf_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256HFmode)) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 17206; /* *pred_cmpv256hf_scalar_narrow */

    case E_V256SFmode:
      if (!register_operand (operands[4], E_V256SFmode)
          || GET_MODE (x9) != E_V256SFmode
          || !register_operand (operands[5], E_SFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256SFmode)) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return 17170; /* *pred_cmpv256sf_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256SFmode)) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 17218; /* *pred_cmpv256sf_scalar_narrow */

    case E_V256DFmode:
      if (!register_operand (operands[4], E_V256DFmode)
          || GET_MODE (x9) != E_V256DFmode
          || !register_operand (operands[5], E_DFmode))
        return -1;
      if ((
#line 7418 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_le_one (V256DFmode)) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return 17181; /* *pred_cmpv256df_scalar */
      if (!(
#line 7440 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && riscv_vector::cmp_lmul_gt_one (V256DFmode)) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 17229; /* *pred_cmpv256df_scalar_narrow */

    default:
      return -1;
    }
}

 int
recog_1472 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  if (pattern266 (x3) != 0
      || pattern415 (x3) != 0)
    return -1;
  switch (XINT (x3, 1))
    {
    case 174:
      return recog_927 (x1, insn, pnum_clobbers);

    case 175:
      return recog_926 (x1, insn, pnum_clobbers);

    case 176:
      return recog_925 (x1, insn, pnum_clobbers);

    case 177:
      return recog_924 (x1, insn, pnum_clobbers);

    case 178:
      return recog_923 (x1, insn, pnum_clobbers);

    case 179:
      return recog_922 (x1, insn, pnum_clobbers);

    case 180:
      switch (pattern476 (x2, 
180))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2040; /* pred_strided_load_widthbrvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2046; /* pred_strided_load_widthbrvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2052; /* pred_strided_load_widthbrvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2058; /* pred_strided_load_widthbrvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2064; /* pred_strided_load_widthbrvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2070; /* pred_strided_load_widthbrvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2076; /* pred_strided_load_widthbrvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2082; /* pred_strided_load_widthbrvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2088; /* pred_strided_load_widthbrvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2094; /* pred_strided_load_widthbrvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2100; /* pred_strided_load_widthbrvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2106; /* pred_strided_load_widthbrvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2112; /* pred_strided_load_widthbrvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2118; /* pred_strided_load_widthbrvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2124; /* pred_strided_load_widthbrvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2130; /* pred_strided_load_widthbrvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2136; /* pred_strided_load_widthbrvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2142; /* pred_strided_load_widthbrvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2148; /* pred_strided_load_widthbrvvmf2si */

        default:
          return -1;
        }

    case 181:
      switch (pattern476 (x2, 
181))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2041; /* pred_strided_load_widthburvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2047; /* pred_strided_load_widthburvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2053; /* pred_strided_load_widthburvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2059; /* pred_strided_load_widthburvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2065; /* pred_strided_load_widthburvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2071; /* pred_strided_load_widthburvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2077; /* pred_strided_load_widthburvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2083; /* pred_strided_load_widthburvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2089; /* pred_strided_load_widthburvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2095; /* pred_strided_load_widthburvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2101; /* pred_strided_load_widthburvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2107; /* pred_strided_load_widthburvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2113; /* pred_strided_load_widthburvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2119; /* pred_strided_load_widthburvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2125; /* pred_strided_load_widthburvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2131; /* pred_strided_load_widthburvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2137; /* pred_strided_load_widthburvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2143; /* pred_strided_load_widthburvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2149; /* pred_strided_load_widthburvvmf2si */

        default:
          return -1;
        }

    case 182:
      switch (pattern476 (x2, 
182))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2042; /* pred_strided_load_widthhrvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2048; /* pred_strided_load_widthhrvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2054; /* pred_strided_load_widthhrvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2060; /* pred_strided_load_widthhrvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2066; /* pred_strided_load_widthhrvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2072; /* pred_strided_load_widthhrvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2078; /* pred_strided_load_widthhrvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2084; /* pred_strided_load_widthhrvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2090; /* pred_strided_load_widthhrvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2096; /* pred_strided_load_widthhrvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2102; /* pred_strided_load_widthhrvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2108; /* pred_strided_load_widthhrvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2114; /* pred_strided_load_widthhrvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2120; /* pred_strided_load_widthhrvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2126; /* pred_strided_load_widthhrvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2132; /* pred_strided_load_widthhrvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2138; /* pred_strided_load_widthhrvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2144; /* pred_strided_load_widthhrvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2150; /* pred_strided_load_widthhrvvmf2si */

        default:
          return -1;
        }

    case 183:
      switch (pattern476 (x2, 
183))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2043; /* pred_strided_load_widthhurvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2049; /* pred_strided_load_widthhurvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2055; /* pred_strided_load_widthhurvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2061; /* pred_strided_load_widthhurvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2067; /* pred_strided_load_widthhurvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2073; /* pred_strided_load_widthhurvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2079; /* pred_strided_load_widthhurvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2085; /* pred_strided_load_widthhurvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2091; /* pred_strided_load_widthhurvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2097; /* pred_strided_load_widthhurvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2103; /* pred_strided_load_widthhurvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2109; /* pred_strided_load_widthhurvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2115; /* pred_strided_load_widthhurvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2121; /* pred_strided_load_widthhurvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2127; /* pred_strided_load_widthhurvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2133; /* pred_strided_load_widthhurvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2139; /* pred_strided_load_widthhurvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2145; /* pred_strided_load_widthhurvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2151; /* pred_strided_load_widthhurvvmf2si */

        default:
          return -1;
        }

    case 184:
      switch (pattern476 (x2, 
184))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2044; /* pred_strided_load_widthwrvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2050; /* pred_strided_load_widthwrvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2056; /* pred_strided_load_widthwrvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2062; /* pred_strided_load_widthwrvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2068; /* pred_strided_load_widthwrvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2074; /* pred_strided_load_widthwrvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2080; /* pred_strided_load_widthwrvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2086; /* pred_strided_load_widthwrvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2092; /* pred_strided_load_widthwrvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2098; /* pred_strided_load_widthwrvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2104; /* pred_strided_load_widthwrvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2110; /* pred_strided_load_widthwrvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2116; /* pred_strided_load_widthwrvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2122; /* pred_strided_load_widthwrvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2128; /* pred_strided_load_widthwrvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2134; /* pred_strided_load_widthwrvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2140; /* pred_strided_load_widthwrvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2146; /* pred_strided_load_widthwrvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2152; /* pred_strided_load_widthwrvvmf2si */

        default:
          return -1;
        }

    case 185:
      switch (pattern476 (x2, 
185))
        {
        case 0:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2045; /* pred_strided_load_widthwurvvm8qi */

        case 1:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2051; /* pred_strided_load_widthwurvvm4qi */

        case 2:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2057; /* pred_strided_load_widthwurvvm2qi */

        case 3:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2063; /* pred_strided_load_widthwurvvm1qi */

        case 4:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2069; /* pred_strided_load_widthwurvvm8hi */

        case 5:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2075; /* pred_strided_load_widthwurvvm4hi */

        case 6:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2081; /* pred_strided_load_widthwurvvm2hi */

        case 7:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2087; /* pred_strided_load_widthwurvvm1hi */

        case 8:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2093; /* pred_strided_load_widthwurvvm8si */

        case 9:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2099; /* pred_strided_load_widthwurvvm4si */

        case 10:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2105; /* pred_strided_load_widthwurvvm2si */

        case 11:
          if (!
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2111; /* pred_strided_load_widthwurvvm1si */

        case 12:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2117; /* pred_strided_load_widthwurvvm8di */

        case 13:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2123; /* pred_strided_load_widthwurvvm4di */

        case 14:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2129; /* pred_strided_load_widthwurvvm2di */

        case 15:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2135; /* pred_strided_load_widthwurvvm1di */

        case 16:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2141; /* pred_strided_load_widthwurvvmf8qi */

        case 17:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2147; /* pred_strided_load_widthwurvvmf4hi */

        case 18:
          if (!(
#line 270 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2153; /* pred_strided_load_widthwurvvmf2si */

        default:
          return -1;
        }

    case 186:
      switch (pattern478 (x2, 
186))
        {
        case 0:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2211; /* pred_indexed_load_widthbrvvm8qi */

        case 1:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2217; /* pred_indexed_load_widthbrvvm4qi */

        case 2:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2223; /* pred_indexed_load_widthbrvvm2qi */

        case 3:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2229; /* pred_indexed_load_widthbrvvm1qi */

        case 4:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2235; /* pred_indexed_load_widthbrvvm8hi */

        case 5:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2241; /* pred_indexed_load_widthbrvvm4hi */

        case 6:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2247; /* pred_indexed_load_widthbrvvm2hi */

        case 7:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2253; /* pred_indexed_load_widthbrvvm1hi */

        case 8:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2259; /* pred_indexed_load_widthbrvvm8si */

        case 9:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2265; /* pred_indexed_load_widthbrvvm4si */

        case 10:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2271; /* pred_indexed_load_widthbrvvm2si */

        case 11:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2277; /* pred_indexed_load_widthbrvvm1si */

        case 12:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2283; /* pred_indexed_load_widthbrvvm8di */

        case 13:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2289; /* pred_indexed_load_widthbrvvm4di */

        case 14:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2295; /* pred_indexed_load_widthbrvvm2di */

        case 15:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2301; /* pred_indexed_load_widthbrvvm1di */

        case 16:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2307; /* pred_indexed_load_widthbrvvmf8qi */

        case 17:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2313; /* pred_indexed_load_widthbrvvmf4hi */

        case 18:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2319; /* pred_indexed_load_widthbrvvmf2si */

        default:
          return -1;
        }

    case 187:
      switch (pattern478 (x2, 
187))
        {
        case 0:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2212; /* pred_indexed_load_widthburvvm8qi */

        case 1:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2218; /* pred_indexed_load_widthburvvm4qi */

        case 2:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2224; /* pred_indexed_load_widthburvvm2qi */

        case 3:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2230; /* pred_indexed_load_widthburvvm1qi */

        case 4:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2236; /* pred_indexed_load_widthburvvm8hi */

        case 5:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2242; /* pred_indexed_load_widthburvvm4hi */

        case 6:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2248; /* pred_indexed_load_widthburvvm2hi */

        case 7:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2254; /* pred_indexed_load_widthburvvm1hi */

        case 8:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2260; /* pred_indexed_load_widthburvvm8si */

        case 9:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2266; /* pred_indexed_load_widthburvvm4si */

        case 10:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2272; /* pred_indexed_load_widthburvvm2si */

        case 11:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2278; /* pred_indexed_load_widthburvvm1si */

        case 12:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2284; /* pred_indexed_load_widthburvvm8di */

        case 13:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2290; /* pred_indexed_load_widthburvvm4di */

        case 14:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2296; /* pred_indexed_load_widthburvvm2di */

        case 15:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2302; /* pred_indexed_load_widthburvvm1di */

        case 16:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2308; /* pred_indexed_load_widthburvvmf8qi */

        case 17:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2314; /* pred_indexed_load_widthburvvmf4hi */

        case 18:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2320; /* pred_indexed_load_widthburvvmf2si */

        default:
          return -1;
        }

    case 188:
      switch (pattern478 (x2, 
188))
        {
        case 0:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2213; /* pred_indexed_load_widthhrvvm8qi */

        case 1:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2219; /* pred_indexed_load_widthhrvvm4qi */

        case 2:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2225; /* pred_indexed_load_widthhrvvm2qi */

        case 3:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2231; /* pred_indexed_load_widthhrvvm1qi */

        case 4:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2237; /* pred_indexed_load_widthhrvvm8hi */

        case 5:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2243; /* pred_indexed_load_widthhrvvm4hi */

        case 6:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2249; /* pred_indexed_load_widthhrvvm2hi */

        case 7:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2255; /* pred_indexed_load_widthhrvvm1hi */

        case 8:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2261; /* pred_indexed_load_widthhrvvm8si */

        case 9:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2267; /* pred_indexed_load_widthhrvvm4si */

        case 10:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2273; /* pred_indexed_load_widthhrvvm2si */

        case 11:
          if (!
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
            return -1;
          return 2279; /* pred_indexed_load_widthhrvvm1si */

        case 12:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2285; /* pred_indexed_load_widthhrvvm8di */

        case 13:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2291; /* pred_indexed_load_widthhrvvm4di */

        case 14:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2297; /* pred_indexed_load_widthhrvvm2di */

        case 15:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
            return -1;
          return 2303; /* pred_indexed_load_widthhrvvm1di */

        case 16:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2309; /* pred_indexed_load_widthhrvvmf8qi */

        case 17:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2315; /* pred_indexed_load_widthhrvvmf4hi */

        case 18:
          if (!(
#line 310 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
            return -1;
          return 2321; /* pred_indexed_load_widthhrvvmf2si */

        default:
          return -1;
        }

    case 189:
      return recog_930 (x1, insn, pnum_clobbers);

    case 190:
      return recog_929 (x1, insn, pnum_clobbers);

    case 191:
      return recog_928 (x1, insn, pnum_clobbers);

    case 93:
      return recog_921 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_1483 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 2:
      return recog_104 (x1, insn, pnum_clobbers);

    case 1:
      return recog_106 (x1, insn, pnum_clobbers);

    case 3:
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      switch (XINT (x2, 1))
        {
        case 6:
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern389 (x2, 
E_SImode) != 0
                  || !
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))
                return -1;
              return 262; /* tls_add_tp_lesi */

            case E_DImode:
              if (pattern389 (x2, 
E_DImode) != 0
                  || !
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))
                return -1;
              return 263; /* tls_add_tp_ledi */

            default:
              return -1;
            }

        case 10:
          x6 = XVECEXP (x2, 0, 2);
          if (GET_CODE (x6) != PC)
            return -1;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern390 (x2, 
E_SImode) != 0
                  || !
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode))
                return -1;
              return 270; /* auipcsi */

            case E_DImode:
              if (pattern390 (x2, 
E_DImode) != 0
                  || !
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode))
                return -1;
              return 271; /* auipcdi */

            default:
              return -1;
            }

        case 51:
          if (pattern252 (x2) != 0
              || !
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKND && !TARGET_64BIT))
            return -1;
          return 683; /* riscv_aes32dsi */

        case 52:
          if (pattern252 (x2) != 0
              || !
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKND && !TARGET_64BIT))
            return -1;
          return 684; /* riscv_aes32dsmi */

        case 60:
          if (pattern252 (x2) != 0
              || !
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNE && !TARGET_64BIT))
            return -1;
          return 690; /* riscv_aes32esi */

        case 61:
          if (pattern252 (x2) != 0
              || !
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKNE && !TARGET_64BIT))
            return -1;
          return 691; /* riscv_aes32esmi */

        case 78:
          if (pattern252 (x2) != 0
              || !
#line 499 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSED && !TARGET_64BIT))
            return -1;
          return 716; /* *riscv_sm4ed_si */

        case 79:
          if (pattern252 (x2) != 0
              || !
#line 499 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZKSED && !TARGET_64BIT))
            return -1;
          return 717; /* *riscv_sm4ks_si */

        case 104:
          return recog_86 (x1, insn, pnum_clobbers);

        case 105:
          return recog_88 (x1, insn, pnum_clobbers);

        case 142:
          return recog_87 (x1, insn, pnum_clobbers);

        case 136:
          x4 = XVECEXP (x2, 0, 0);
          if (GET_CODE (x4) != UNSPEC
              || XVECLEN (x4, 0) != 6
              || XINT (x4, 1) != 93
              || pattern361 (x4) != 0)
            return -1;
          x7 = XVECEXP (x4, 0, 0);
          operands[3] = x7;
          x8 = XVECEXP (x4, 0, 1);
          operands[4] = x8;
          if (!vector_length_operand (operands[4], E_VOIDmode))
            return -1;
          x9 = XVECEXP (x4, 0, 2);
          operands[5] = x9;
          if (!const_int_operand (operands[5], E_VOIDmode))
            return -1;
          x10 = XVECEXP (x4, 0, 3);
          operands[6] = x10;
          if (!const_int_operand (operands[6], E_VOIDmode))
            return -1;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          x6 = XVECEXP (x2, 0, 2);
          operands[1] = x6;
          return recog_85 (x1, insn, pnum_clobbers);

        case 234:
          if (pattern255 (x2) != 0
              || !
#line 876 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 33944; /* riscv_cv_simd_add_h_si */

        case 238:
          if (pattern255 (x2) != 0
              || !
#line 929 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 33948; /* riscv_cv_simd_sub_h_si */

        case 298:
          if (pattern256 (x2) != 0
              || !
#line 1639 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34008; /* riscv_cv_simd_insert_h_si */

        case 299:
          if (pattern256 (x2) != 0
              || !
#line 1651 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34009; /* riscv_cv_simd_insert_b_si */

        case 312:
          if (pattern257 (x2) != 0
              || !
#line 1808 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34022; /* riscv_cv_simd_sdotup_h_si */

        case 313:
          if (pattern257 (x2) != 0
              || !
#line 1820 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34023; /* riscv_cv_simd_sdotup_b_si */

        case 314:
          if (pattern258 (x2, 
E_HImode) != 0
              || !
#line 1832 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34024; /* riscv_cv_simd_sdotup_sc_h_si */

        case 315:
          if (pattern258 (x2, 
E_QImode) != 0
              || !
#line 1846 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34025; /* riscv_cv_simd_sdotup_sc_b_si */

        case 316:
          if (pattern257 (x2) != 0
              || !
#line 1860 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34026; /* riscv_cv_simd_sdotusp_h_si */

        case 317:
          if (pattern257 (x2) != 0
              || !
#line 1872 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34027; /* riscv_cv_simd_sdotusp_b_si */

        case 318:
          if (pattern259 (x2, 
E_HImode) != 0
              || !
#line 1884 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34028; /* riscv_cv_simd_sdotusp_sc_h_si */

        case 319:
          if (pattern259 (x2, 
E_QImode) != 0
              || !
#line 1898 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34029; /* riscv_cv_simd_sdotusp_sc_b_si */

        case 320:
          if (pattern257 (x2) != 0
              || !
#line 1912 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34030; /* riscv_cv_simd_sdotsp_h_si */

        case 321:
          if (pattern257 (x2) != 0
              || !
#line 1924 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34031; /* riscv_cv_simd_sdotsp_b_si */

        case 322:
          if (pattern259 (x2, 
E_HImode) != 0
              || !
#line 1936 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34032; /* riscv_cv_simd_sdotsp_sc_h_si */

        case 323:
          if (pattern259 (x2, 
E_QImode) != 0
              || !
#line 1950 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34033; /* riscv_cv_simd_sdotsp_sc_b_si */

        case 328:
          if (pattern257 (x2) != 0
              || !
#line 2013 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34038; /* riscv_cv_simd_shuffle2_h_si */

        case 329:
          if (pattern257 (x2) != 0
              || !
#line 2025 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34039; /* riscv_cv_simd_shuffle2_b_si */

        case 332:
          if (pattern257 (x2) != 0
              || !
#line 2059 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34042; /* riscv_cv_simd_packhi_b_si */

        case 333:
          if (pattern257 (x2) != 0
              || !
#line 2071 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34043; /* riscv_cv_simd_packlo_b_si */

        case 377:
          if (pattern255 (x2) != 0
              || !
#line 2609 "../../gcc-15.0.1-20250329/gcc/config/riscv/corev.md"
(TARGET_XCVSIMD && !TARGET_64BIT))
            return -1;
          return 34087; /* riscv_cv_simd_subrotmj_si */

        default:
          return -1;
        }

    case 5:
      switch (XINT (x2, 1))
        {
        case 195:
          if (pattern181 (x2) != 0)
            return -1;
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          if (!vector_length_operand (operands[2], E_VOIDmode))
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          return recog_89 (x1, insn, pnum_clobbers);

        case 91:
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          if (!const_int_operand (operands[2], E_VOIDmode))
            return -1;
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          switch (pattern391 (x2))
            {
            case 0:
              if (!(
#line 1784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
                return -1;
              return 3647; /* vsetvlsi_no_side_effects */

            case 1:
              if (!(
#line 1784 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
                return -1;
              return 3648; /* vsetvldi_no_side_effects */

            default:
              return -1;
            }

        case 96:
          return recog_92 (x1, insn, pnum_clobbers);

        case 145:
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          x5 = XVECEXP (x2, 0, 1);
          operands[1] = x5;
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          switch (pattern335 (x2))
            {
            case 0:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 28239; /* mask_len_fold_left_plus_rvvm8hf */

            case 1:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 28240; /* mask_len_fold_left_plus_rvvm4hf */

            case 2:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 28241; /* mask_len_fold_left_plus_rvvm2hf */

            case 3:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 28242; /* mask_len_fold_left_plus_rvvm1hf */

            case 4:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 28243; /* mask_len_fold_left_plus_rvvmf2hf */

            case 5:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
                return -1;
              return 28244; /* mask_len_fold_left_plus_rvvmf4hf */

            case 6:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 28245; /* mask_len_fold_left_plus_rvvm8sf */

            case 7:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 28246; /* mask_len_fold_left_plus_rvvm4sf */

            case 8:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 28247; /* mask_len_fold_left_plus_rvvm2sf */

            case 9:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 28248; /* mask_len_fold_left_plus_rvvm1sf */

            case 10:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
                return -1;
              return 28249; /* mask_len_fold_left_plus_rvvmf2sf */

            case 11:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 28250; /* mask_len_fold_left_plus_rvvm8df */

            case 12:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 28251; /* mask_len_fold_left_plus_rvvm4df */

            case 13:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 28252; /* mask_len_fold_left_plus_rvvm2df */

            case 14:
              if (!(
#line 2423 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
                return -1;
              return 28253; /* mask_len_fold_left_plus_rvvm1df */

            case 15:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 685 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 31280; /* *mask_len_fold_left_widen_plus_rvvm4hf */

            case 16:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 686 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 31281; /* *mask_len_fold_left_widen_plus_rvvm2hf */

            case 17:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 687 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 31282; /* *mask_len_fold_left_widen_plus_rvvm1hf */

            case 18:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 688 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
                return -1;
              return 31283; /* *mask_len_fold_left_widen_plus_rvvmf2hf */

            case 19:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 689 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
                return -1;
              return 31284; /* *mask_len_fold_left_widen_plus_rvvmf4hf */

            case 20:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 695 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
                return -1;
              return 31289; /* *mask_len_fold_left_widen_plus_v1hf */

            case 21:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 696 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
                return -1;
              return 31290; /* *mask_len_fold_left_widen_plus_v2hf */

            case 22:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 697 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
                return -1;
              return 31291; /* *mask_len_fold_left_widen_plus_v4hf */

            case 23:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 698 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
                return -1;
              return 31292; /* *mask_len_fold_left_widen_plus_v8hf */

            case 24:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 699 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
                return -1;
              return 31293; /* *mask_len_fold_left_widen_plus_v16hf */

            case 25:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 700 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 31294; /* *mask_len_fold_left_widen_plus_v32hf */

            case 26:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 701 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 31295; /* *mask_len_fold_left_widen_plus_v64hf */

            case 27:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 702 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 31296; /* *mask_len_fold_left_widen_plus_v128hf */

            case 28:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 703 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 31297; /* *mask_len_fold_left_widen_plus_v256hf */

            case 29:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 704 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 31298; /* *mask_len_fold_left_widen_plus_v512hf */

            case 30:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 705 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 31299; /* *mask_len_fold_left_widen_plus_v1024hf */

            case 31:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 690 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31285; /* *mask_len_fold_left_widen_plus_rvvm4sf */

            case 32:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 691 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31286; /* *mask_len_fold_left_widen_plus_rvvm2sf */

            case 33:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 692 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31287; /* *mask_len_fold_left_widen_plus_rvvm1sf */

            case 34:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 693 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
                return -1;
              return 31288; /* *mask_len_fold_left_widen_plus_rvvmf2sf */

            case 35:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 706 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31300; /* *mask_len_fold_left_widen_plus_v1sf */

            case 36:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 707 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31301; /* *mask_len_fold_left_widen_plus_v2sf */

            case 37:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 708 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31302; /* *mask_len_fold_left_widen_plus_v4sf */

            case 38:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 709 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
                return -1;
              return 31303; /* *mask_len_fold_left_widen_plus_v8sf */

            case 39:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 710 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 31304; /* *mask_len_fold_left_widen_plus_v16sf */

            case 40:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 711 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 31305; /* *mask_len_fold_left_widen_plus_v32sf */

            case 41:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 712 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 31306; /* *mask_len_fold_left_widen_plus_v64sf */

            case 42:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 713 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 31307; /* *mask_len_fold_left_widen_plus_v128sf */

            case 43:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 714 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 31308; /* *mask_len_fold_left_widen_plus_v256sf */

            case 44:
              if (!(
#line 928 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 715 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 31309; /* *mask_len_fold_left_widen_plus_v512sf */

            default:
              return -1;
            }

        case 171:
          x3 = XEXP (x1, 0);
          operands[0] = x3;
          x4 = XVECEXP (x2, 0, 0);
          operands[1] = x4;
          x5 = XVECEXP (x2, 0, 1);
          operands[2] = x5;
          x6 = XVECEXP (x2, 0, 2);
          operands[3] = x6;
          switch (pattern363 (x2))
            {
            case 0:
              if (!(
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF64BImode)).exists ()) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 28254; /* vcond_mask_len_rvvmf64bi */

            case 1:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF32BImode)).exists ()))
                return -1;
              return 28255; /* vcond_mask_len_rvvmf32bi */

            case 2:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF16BImode)).exists ()))
                return -1;
              return 28256; /* vcond_mask_len_rvvmf16bi */

            case 3:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF8BImode)).exists ()))
                return -1;
              return 28257; /* vcond_mask_len_rvvmf8bi */

            case 4:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF4BImode)).exists ()))
                return -1;
              return 28258; /* vcond_mask_len_rvvmf4bi */

            case 5:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVMF2BImode)).exists ()))
                return -1;
              return 28259; /* vcond_mask_len_rvvmf2bi */

            case 6:
              if (!
#line 2878 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR
   && can_create_pseudo_p ()
   && riscv_vector::get_vector_mode (Pmode, GET_MODE_NUNITS (RVVM1BImode)).exists ()))
                return -1;
              return 28260; /* vcond_mask_len_rvvm1bi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 4:
      return recog_105 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_1491 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      return recog_109 (x1, insn, pnum_clobbers);

    case ASHIFT:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          operands[1] = x5;
          x6 = XEXP (x4, 1);
          operands[2] = x6;
          if (!immediate_operand (operands[2], E_VOIDmode))
            return -1;
          x7 = XEXP (x3, 1);
          switch (GET_CODE (x7))
            {
            case CONST_INT:
            case CONST_WIDE_INT:
            case CONST_POLY_INT:
            case CONST_FIXED:
            case CONST_DOUBLE:
            case CONST_VECTOR:
            case CONST:
            case LABEL_REF:
            case SYMBOL_REF:
            case HIGH:
              switch (pattern230 (x3))
                {
                case 0:
                  if (!(
#line 2992 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((!SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_OPERAND (INTVAL (operands[3]) >> INTVAL (operands[2]))
    && (!TARGET_ZBS || popcount_hwi (INTVAL (operands[3])) > 1)
    && (INTVAL (operands[3]) & ((1ULL << INTVAL (operands[2])) - 1)) == 0)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                    return -1;
                  return 324; /* ior_shift_reversesi */

                case 1:
                  if (!(
#line 2992 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((!SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_OPERAND (INTVAL (operands[3]) >> INTVAL (operands[2]))
    && (!TARGET_ZBS || popcount_hwi (INTVAL (operands[3])) > 1)
    && (INTVAL (operands[3]) & ((1ULL << INTVAL (operands[2])) - 1)) == 0)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return -1;
                  return 327; /* ior_shift_reversedi */

                default:
                  return -1;
                }

            case ZERO_EXTEND:
              x8 = XEXP (x7, 0);
              operands[3] = x8;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern413 (x3, 
E_HImode, 
E_SImode) != 0
                      || !(
#line 116 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB && INTVAL (operands[2]) == BITS_PER_WORD / 2) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                    return -1;
                  return 669; /* riscv_xpack_si_hi_2 */

                case E_DImode:
                  if (pattern413 (x3, 
E_SImode, 
E_DImode) != 0
                      || !(
#line 116 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB && INTVAL (operands[2]) == BITS_PER_WORD / 2) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return -1;
                  return 670; /* riscv_xpack_di_si_2 */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case CONST_INT:
          if (XWINT (x5, 0) != 1L)
            return -1;
          x6 = XEXP (x4, 1);
          operands[2] = x6;
          switch (pattern292 (x3))
            {
            case 0:
              if ((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 578; /* *bsetsi */
              break;

            case 1:
              if ((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 580; /* *bsetdi */
              break;

            default:
              break;
            }
          if (GET_CODE (x6) != SUBREG)
            return -1;
          switch (pattern336 (x3))
            {
            case 0:
              if (!(
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 582; /* *bsetsi_mask */

            case 1:
              if (!(
#line 600 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 584; /* *bsetdi_mask */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case NOT:
      x7 = XEXP (x3, 1);
      switch (GET_CODE (x7))
        {
        case REG:
        case SUBREG:
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern293 (x3, 
E_SImode) != 0
                  || !(
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 516; /* ior_notsi3 */

            case E_DImode:
              if (pattern293 (x3, 
E_DImode) != 0
                  || !(
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBB || TARGET_ZBKB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 518; /* ior_notdi3 */

            case E_RVVMF64BImode:
              if (pattern294 (x3, 
E_RVVMF64BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)))
                return -1;
              return 32106; /* *iornotrvvmf64bi */

            case E_RVVMF32BImode:
              if (pattern294 (x3, 
E_RVVMF32BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32108; /* *iornotrvvmf32bi */

            case E_RVVMF16BImode:
              if (pattern294 (x3, 
E_RVVMF16BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32110; /* *iornotrvvmf16bi */

            case E_RVVMF8BImode:
              if (pattern294 (x3, 
E_RVVMF8BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32112; /* *iornotrvvmf8bi */

            case E_RVVMF4BImode:
              if (pattern294 (x3, 
E_RVVMF4BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32114; /* *iornotrvvmf4bi */

            case E_RVVMF2BImode:
              if (pattern294 (x3, 
E_RVVMF2BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32116; /* *iornotrvvmf2bi */

            case E_RVVM1BImode:
              if (pattern294 (x3, 
E_RVVM1BImode) != 0
                  || !
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
                return -1;
              return 32118; /* *iornotrvvm1bi */

            case E_V1BImode:
              if (pattern294 (x3, 
E_V1BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))))
                return -1;
              return 32120; /* *iornotv1bi */

            case E_V2BImode:
              if (pattern294 (x3, 
E_V2BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))))
                return -1;
              return 32122; /* *iornotv2bi */

            case E_V4BImode:
              if (pattern294 (x3, 
E_V4BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))))
                return -1;
              return 32124; /* *iornotv4bi */

            case E_V8BImode:
              if (pattern294 (x3, 
E_V8BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))))
                return -1;
              return 32126; /* *iornotv8bi */

            case E_V16BImode:
              if (pattern294 (x3, 
E_V16BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))))
                return -1;
              return 32128; /* *iornotv16bi */

            case E_V32BImode:
              if (pattern294 (x3, 
E_V32BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))))
                return -1;
              return 32130; /* *iornotv32bi */

            case E_V64BImode:
              if (pattern294 (x3, 
E_V64BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)))
                return -1;
              return 32132; /* *iornotv64bi */

            case E_V128BImode:
              if (pattern294 (x3, 
E_V128BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)))
                return -1;
              return 32134; /* *iornotv128bi */

            case E_V256BImode:
              if (pattern294 (x3, 
E_V256BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)))
                return -1;
              return 32136; /* *iornotv256bi */

            case E_V512BImode:
              if (pattern294 (x3, 
E_V512BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)))
                return -1;
              return 32138; /* *iornotv512bi */

            case E_V1024BImode:
              if (pattern294 (x3, 
E_V1024BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)))
                return -1;
              return 32140; /* *iornotv1024bi */

            case E_V2048BImode:
              if (pattern294 (x3, 
E_V2048BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)))
                return -1;
              return 32142; /* *iornotv2048bi */

            case E_V4096BImode:
              if (pattern294 (x3, 
E_V4096BImode) != 0
                  || !(
#line 1473 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)))
                return -1;
              return 32144; /* *iornotv4096bi */

            default:
              return -1;
            }

        case CONST_INT:
          switch (pattern264 (x3, pnum_clobbers))
            {
            case 0:
              if (!(
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
((TARGET_ZBB || TARGET_ZBKB) && !TARGET_ZCB
   && !optimize_function_for_size_p (cfun)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              *pnum_clobbers = 1;
              return 520; /* *ior_not_constsi */

            case 1:
              if (!(
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
((TARGET_ZBB || TARGET_ZBKB) && !TARGET_ZCB
   && !optimize_function_for_size_p (cfun)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              *pnum_clobbers = 1;
              return 522; /* *ior_not_constdi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case SIGN_EXTEND:
      switch (pattern199 (x3, pnum_clobbers))
        {
        case 0:
          if ((
#line 684 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (TARGET_ZBB || TARGET_ZBKB)
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            {
              *pnum_clobbers = 1;
              return 595; /* *bitmanip.md:673 */
            }
          if (!(
#line 684 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (TARGET_ZBB || TARGET_ZBKB)
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          *pnum_clobbers = 1;
          return 599; /* *bitmanip.md:673 */

        case 1:
          if ((
#line 710 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            {
              *pnum_clobbers = 1;
              return 603; /* *bitmanip.md:699 */
            }
          if (!(
#line 710 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          *pnum_clobbers = 1;
          return 607; /* *bitmanip.md:699 */

        default:
          return -1;
        }

    case ZERO_EXTEND:
      switch (pattern199 (x3, pnum_clobbers))
        {
        case 0:
          if ((
#line 684 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (TARGET_ZBB || TARGET_ZBKB)
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            {
              *pnum_clobbers = 1;
              return 597; /* *bitmanip.md:673 */
            }
          if (!(
#line 684 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (TARGET_ZBB || TARGET_ZBKB)
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          *pnum_clobbers = 1;
          return 601; /* *bitmanip.md:673 */

        case 1:
          if ((
#line 710 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            {
              *pnum_clobbers = 1;
              return 605; /* *bitmanip.md:699 */
            }
          if (!(
#line 710 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_64BIT
   && TARGET_ZBS
   && (INTVAL (operands[2]) & 0x1f) != 0x1f) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          *pnum_clobbers = 1;
          return 609; /* *bitmanip.md:699 */

        default:
          return -1;
        }

    case AND:
      x5 = XEXP (x4, 0);
      if (GET_CODE (x5) != ASHIFT)
        return -1;
      x9 = XEXP (x5, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 8])
        return -1;
      x6 = XEXP (x4, 1);
      if (GET_CODE (x6) != CONST_INT
          || XWINT (x6, 0) != 65280L)
        return -1;
      x7 = XEXP (x3, 1);
      if (GET_CODE (x7) != ZERO_EXTEND)
        return -1;
      x10 = XEXP (x5, 0);
      operands[1] = x10;
      x8 = XEXP (x7, 0);
      operands[2] = x8;
      if (!register_operand (operands[2], E_QImode))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern433 (x3, 
E_SImode) != 0
              || !(
#line 148 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            return -1;
          return 675; /* *riscv_packh_si_3 */

        case E_DImode:
          if (pattern433 (x3, 
E_DImode) != 0
              || !(
#line 148 "../../gcc-15.0.1-20250329/gcc/config/riscv/crypto.md"
(TARGET_ZBKB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 676; /* *riscv_packh_di_3 */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_1498 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern1 (x1))
    {
    case 0:
      if (!
#line 1416 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_DIV))
        return -1;
      return 39; /* *umodsi3 */

    case 1:
      if (!
#line 1443 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_DIV && TARGET_64BIT))
        return -1;
      return 43; /* umoddi3 */

    case 2:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24554; /* umodrvvm8qi3 */

    case 3:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24568; /* umodrvvm4qi3 */

    case 4:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24582; /* umodrvvm2qi3 */

    case 5:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24596; /* umodrvvm1qi3 */

    case 6:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24610; /* umodrvvm8hi3 */

    case 7:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24624; /* umodrvvm4hi3 */

    case 8:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24638; /* umodrvvm2hi3 */

    case 9:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24652; /* umodrvvm1hi3 */

    case 10:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24666; /* umodrvvm8si3 */

    case 11:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24680; /* umodrvvm4si3 */

    case 12:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24694; /* umodrvvm2si3 */

    case 13:
      if (!
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()))
        return -1;
      return 24708; /* umodrvvm1si3 */

    case 14:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24722; /* umodrvvm8di3 */

    case 15:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24736; /* umodrvvm4di3 */

    case 16:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24750; /* umodrvvm2di3 */

    case 17:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)))
        return -1;
      return 24764; /* umodrvvm1di3 */

    case 18:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 24778; /* umodrvvmf2qi3 */

    case 19:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 24792; /* umodrvvmf4qi3 */

    case 20:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 24806; /* umodrvvmf8qi3 */

    case 21:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)))
        return -1;
      return 24820; /* umodrvvmf2hi3 */

    case 22:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 24834; /* umodrvvmf4hi3 */

    case 23:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))))
        return -1;
      return 24848; /* umodrvvmf2si3 */

    case 24:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))))
        return -1;
      return 24862; /* umodv1qi3 */

    case 25:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))))
        return -1;
      return 24876; /* umodv2qi3 */

    case 26:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))))
        return -1;
      return 24890; /* umodv4qi3 */

    case 27:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))))
        return -1;
      return 24904; /* umodv8qi3 */

    case 28:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))))
        return -1;
      return 24918; /* umodv16qi3 */

    case 29:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))))
        return -1;
      return 24932; /* umodv32qi3 */

    case 30:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 24946; /* umodv64qi3 */

    case 31:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 24960; /* umodv128qi3 */

    case 32:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 24974; /* umodv256qi3 */

    case 33:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 24988; /* umodv512qi3 */

    case 34:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25002; /* umodv1024qi3 */

    case 35:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25016; /* umodv2048qi3 */

    case 36:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25030; /* umodv4096qi3 */

    case 37:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))))
        return -1;
      return 25044; /* umodv1hi3 */

    case 38:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))))
        return -1;
      return 25058; /* umodv2hi3 */

    case 39:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))))
        return -1;
      return 25072; /* umodv4hi3 */

    case 40:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))))
        return -1;
      return 25086; /* umodv8hi3 */

    case 41:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))))
        return -1;
      return 25100; /* umodv16hi3 */

    case 42:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25114; /* umodv32hi3 */

    case 43:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25128; /* umodv64hi3 */

    case 44:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25142; /* umodv128hi3 */

    case 45:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25156; /* umodv256hi3 */

    case 46:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25170; /* umodv512hi3 */

    case 47:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25184; /* umodv1024hi3 */

    case 48:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25198; /* umodv2048hi3 */

    case 49:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))))
        return -1;
      return 25212; /* umodv1si3 */

    case 50:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))))
        return -1;
      return 25226; /* umodv2si3 */

    case 51:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))))
        return -1;
      return 25240; /* umodv4si3 */

    case 52:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))))
        return -1;
      return 25254; /* umodv8si3 */

    case 53:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25268; /* umodv16si3 */

    case 54:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25282; /* umodv32si3 */

    case 55:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25296; /* umodv64si3 */

    case 56:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25310; /* umodv128si3 */

    case 57:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25324; /* umodv256si3 */

    case 58:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25338; /* umodv512si3 */

    case 59:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25352; /* umodv1024si3 */

    case 60:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25366; /* umodv1di3 */

    case 61:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25380; /* umodv2di3 */

    case 62:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)))
        return -1;
      return 25394; /* umodv4di3 */

    case 63:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 25408; /* umodv8di3 */

    case 64:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 25422; /* umodv16di3 */

    case 65:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 25436; /* umodv32di3 */

    case 66:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 25450; /* umodv64di3 */

    case 67:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 25464; /* umodv128di3 */

    case 68:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 25478; /* umodv256di3 */

    case 69:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 25492; /* umodv512di3 */

    default:
      return -1;
    }
}

 int
recog_1507 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern2 (x1))
    {
    case 0:
      if (!(
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((TARGET_HARD_FLOAT || TARGET_ZFINX) && TARGET_FDIV) && 
#line 105 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_HARD_FLOAT || TARGET_ZFINX)))
        return -1;
      return 51; /* sqrtsf2 */

    case 1:
      if (!(
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((TARGET_HARD_FLOAT || TARGET_ZFINX) && TARGET_FDIV) && 
#line 106 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_DOUBLE_FLOAT || TARGET_ZDINX)))
        return -1;
      return 52; /* sqrtdf2 */

    case 2:
      if (!(
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
((TARGET_HARD_FLOAT || TARGET_ZFINX) && TARGET_FDIV) && 
#line 107 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_ZFH || TARGET_ZHINX)))
        return -1;
      return 53; /* sqrthf2 */

    case 3:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27131; /* sqrtrvvm8hf2 */

    case 4:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27132; /* sqrtrvvm4hf2 */

    case 5:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27133; /* sqrtrvvm2hf2 */

    case 6:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27134; /* sqrtrvvm1hf2 */

    case 7:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)))
        return -1;
      return 27135; /* sqrtrvvmf2hf2 */

    case 8:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)))
        return -1;
      return 27136; /* sqrtrvvmf4hf2 */

    case 9:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27137; /* sqrtrvvm8sf2 */

    case 10:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27138; /* sqrtrvvm4sf2 */

    case 11:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27139; /* sqrtrvvm2sf2 */

    case 12:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27140; /* sqrtrvvm1sf2 */

    case 13:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)))
        return -1;
      return 27141; /* sqrtrvvmf2sf2 */

    case 14:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27142; /* sqrtrvvm8df2 */

    case 15:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27143; /* sqrtrvvm4df2 */

    case 16:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27144; /* sqrtrvvm2df2 */

    case 17:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27145; /* sqrtrvvm1df2 */

    case 18:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)))
        return -1;
      return 27146; /* sqrtv1hf2 */

    case 19:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)))
        return -1;
      return 27147; /* sqrtv2hf2 */

    case 20:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)))
        return -1;
      return 27148; /* sqrtv4hf2 */

    case 21:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)))
        return -1;
      return 27149; /* sqrtv8hf2 */

    case 22:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)))
        return -1;
      return 27150; /* sqrtv16hf2 */

    case 23:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27151; /* sqrtv32hf2 */

    case 24:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27152; /* sqrtv64hf2 */

    case 25:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27153; /* sqrtv128hf2 */

    case 26:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27154; /* sqrtv256hf2 */

    case 27:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27155; /* sqrtv512hf2 */

    case 28:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27156; /* sqrtv1024hf2 */

    case 29:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27157; /* sqrtv2048hf2 */

    case 30:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27158; /* sqrtv1sf2 */

    case 31:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27159; /* sqrtv2sf2 */

    case 32:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27160; /* sqrtv4sf2 */

    case 33:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)))
        return -1;
      return 27161; /* sqrtv8sf2 */

    case 34:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27162; /* sqrtv16sf2 */

    case 35:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27163; /* sqrtv32sf2 */

    case 36:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27164; /* sqrtv64sf2 */

    case 37:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27165; /* sqrtv128sf2 */

    case 38:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27166; /* sqrtv256sf2 */

    case 39:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27167; /* sqrtv512sf2 */

    case 40:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27168; /* sqrtv1024sf2 */

    case 41:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27169; /* sqrtv1df2 */

    case 42:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27170; /* sqrtv2df2 */

    case 43:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)))
        return -1;
      return 27171; /* sqrtv4df2 */

    case 44:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)))
        return -1;
      return 27172; /* sqrtv8df2 */

    case 45:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)))
        return -1;
      return 27173; /* sqrtv16df2 */

    case 46:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)))
        return -1;
      return 27174; /* sqrtv32df2 */

    case 47:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)))
        return -1;
      return 27175; /* sqrtv64df2 */

    case 48:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)))
        return -1;
      return 27176; /* sqrtv128df2 */

    case 49:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)))
        return -1;
      return 27177; /* sqrtv256df2 */

    case 50:
      if (!(
#line 1142 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)))
        return -1;
      return 27178; /* sqrtv512df2 */

    default:
      return -1;
    }
}

 int
recog_1521 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (GET_CODE (x3) != PC)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != USE)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != LABEL_REF)
    return -1;
  x6 = XEXP (x5, 0);
  operands[0] = x6;
  x7 = XEXP (x2, 1);
  switch (GET_MODE (x7))
    {
    case E_SImode:
      if (!
#line 3788 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(is_zicfilp_p ()))
        return -1;
      return 446; /* tablejump_cfisi */

    case E_DImode:
      if (!(
#line 3788 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(is_zicfilp_p ()) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
        return -1;
      return 447; /* tablejump_cfidi */

    default:
      return -1;
    }
}

 int
recog_1522 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 0);
  if (pattern330 (x3) != 0)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != SET)
    return -1;
  x5 = XEXP (x4, 1);
  if (GET_CODE (x5) != PLUS)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_CODE (x6) != REG
      || REGNO (x6) != 2)
    return -1;
  x7 = XEXP (x4, 0);
  if (GET_CODE (x7) != REG
      || REGNO (x7) != 2)
    return -1;
  x8 = XEXP (x5, 1);
  operands[0] = x8;
  if (!stack_push_up_to_ra_operand (operands[0], E_VOIDmode))
    return -1;
  x9 = XEXP (x3, 0);
  x10 = XEXP (x9, 1);
  switch (XWINT (x10, 0))
    {
    case -4L:
      if (pattern551 (x1, 
E_SImode) != 0
          || !(
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
        return -1;
      return 33877; /* gpr_multi_push_up_to_ra_si */

    case -8L:
      if (pattern551 (x1, 
E_DImode) != 0
          || !(
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
        return -1;
      return 33878; /* gpr_multi_push_up_to_ra_di */

    default:
      return -1;
    }
}

 int
recog_1524 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  switch (XVECLEN (x3, 0))
    {
    case 1:
      switch (XINT (x3, 1))
        {
        case 9:
          x4 = XEXP (x2, 0);
          if (GET_CODE (x4) != REG
              || REGNO (x4) != 10)
            return -1;
          x5 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x5) != CLOBBER)
            return -1;
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != REG
              || REGNO (x6) != 5)
            return -1;
          x7 = XVECEXP (x3, 0, 0);
          operands[0] = x7;
          switch (GET_MODE (x4))
            {
            case E_SImode:
              if (GET_MODE (x3) != E_SImode
                  || !symbolic_operand (operands[0], E_SImode)
                  || GET_MODE (x6) != E_SImode
                  || !(
#line 2400 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_TLSDESC) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
                return -1;
              return 268; /* tlsdescsi */

            case E_DImode:
              if (GET_MODE (x3) != E_DImode
                  || !symbolic_operand (operands[0], E_DImode)
                  || GET_MODE (x6) != E_DImode
                  || !(
#line 2400 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_TLSDESC) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
                return -1;
              return 269; /* tlsdescdi */

            default:
              return -1;
            }

        case 41:
          x5 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x5) != SET)
            return -1;
          x8 = XEXP (x5, 1);
          if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          x4 = XEXP (x2, 0);
          operands[0] = x4;
          x7 = XVECEXP (x3, 0, 0);
          operands[1] = x7;
          x6 = XEXP (x5, 0);
          operands[2] = x6;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern422 (x3, 
E_SImode) != 0)
                return -1;
              return 475; /* stack_protect_set_si */

            case E_DImode:
              if (pattern422 (x3, 
E_DImode) != 0
                  || !
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))
                return -1;
              return 476; /* stack_protect_set_di */

            default:
              return -1;
            }

        case 90:
          if (GET_MODE (x3) != E_BLKmode)
            return -1;
          x4 = XEXP (x2, 0);
          operands[0] = x4;
          x5 = XVECEXP (x1, 0, 1);
          operands[1] = x5;
          if (!const_int_operand (operands[1], E_SImode))
            return -1;
          x7 = XVECEXP (x3, 0, 0);
          if (!rtx_equal_p (x7, operands[0]))
            return -1;
          if (
#line 28 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync-rvwmo.md"
(!TARGET_ZTSO))
            return 787; /* mem_thread_fence_rvwmo */
          if (!
#line 28 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync-ztso.md"
(TARGET_ZTSO))
            return -1;
          return 796; /* mem_thread_fence_ztso */

        default:
          return -1;
        }

    case 2:
      if (XINT (x3, 1) != 42)
        return -1;
      x5 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x5) != CLOBBER)
        return -1;
      x4 = XEXP (x2, 0);
      operands[0] = x4;
      x7 = XVECEXP (x3, 0, 0);
      operands[1] = x7;
      x9 = XVECEXP (x3, 0, 1);
      operands[2] = x9;
      x6 = XEXP (x5, 0);
      operands[3] = x6;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (pattern423 (x3, 
E_SImode) != 0)
            return -1;
          return 477; /* stack_protect_test_si */

        case E_DImode:
          if (pattern423 (x3, 
E_DImode) != 0
              || !
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT))
            return -1;
          return 478; /* stack_protect_test_di */

        default:
          return -1;
        }

    case 3:
      if (XINT (x3, 1) != 91
          || GET_MODE (x3) != E_SImode)
        return -1;
      x4 = XEXP (x2, 0);
      if (GET_CODE (x4) != REG
          || REGNO (x4) != 66
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x5) != SET)
        return -1;
      x8 = XEXP (x5, 1);
      if (GET_CODE (x8) != UNSPEC
          || XVECLEN (x8, 0) != 4
          || XINT (x8, 1) != 91
          || GET_MODE (x8) != E_SImode)
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != REG
          || REGNO (x6) != 67
          || GET_MODE (x6) != E_SImode)
        return -1;
      x7 = XVECEXP (x3, 0, 0);
      operands[0] = x7;
      x9 = XVECEXP (x3, 0, 1);
      operands[1] = x9;
      if (!const_int_operand (operands[1], E_VOIDmode))
        return -1;
      x10 = XVECEXP (x3, 0, 2);
      operands[2] = x10;
      if (!const_int_operand (operands[2], E_VOIDmode))
        return -1;
      x11 = XVECEXP (x8, 0, 2);
      operands[3] = x11;
      if (!const_int_operand (operands[3], E_VOIDmode))
        return -1;
      x12 = XVECEXP (x8, 0, 3);
      operands[4] = x12;
      if (!const_int_operand (operands[4], E_VOIDmode))
        return -1;
      x13 = XVECEXP (x8, 0, 0);
      if (!rtx_equal_p (x13, operands[1]))
        return -1;
      x14 = XVECEXP (x8, 0, 1);
      if (!rtx_equal_p (x14, operands[2]))
        return -1;
      if (vector_length_operand (operands[0], E_SImode)
          && (
#line 1765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
        return 3645; /* vsetvl_discard_resultsi */
      if (!vector_length_operand (operands[0], E_DImode)
          || !(
#line 1765 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
        return -1;
      return 3646; /* vsetvl_discard_resultdi */

    default:
      return -1;
    }
}

 int
recog_1527 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35, x36, x37, x38;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  switch (GET_CODE (x2))
    {
    case SET:
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case IF_THEN_ELSE:
          if (pattern225 (x2) != 0)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != CLOBBER)
            return -1;
          x5 = XVECEXP (x1, 0, 2);
          if (GET_CODE (x5) != CLOBBER)
            return -1;
          x6 = XEXP (x3, 0);
          x7 = XEXP (x6, 0);
          x8 = XEXP (x7, 0);
          operands[1] = x8;
          switch (pattern429 (x1))
            {
            case 0:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 345; /* *branchqi_shiftedarith_eq_shifted */
              break;

            case 1:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 353; /* *branchqi_shiftedarith_eq_shifted */
              break;

            case 2:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 347; /* *branchhi_shiftedarith_eq_shifted */
              break;

            case 3:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 355; /* *branchhi_shiftedarith_eq_shifted */
              break;

            case 4:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 349; /* *branchsi_shiftedarith_eq_shifted */
              break;

            case 5:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 357; /* *branchsi_shiftedarith_eq_shifted */
              break;

            case 6:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && (((
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))))
                return 351; /* *branchdi_shiftedarith_eq_shifted */
              break;

            case 7:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 359; /* *branchdi_shiftedarith_eq_shifted */
              break;

            case 8:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 346; /* *branchqi_shiftedarith_ne_shifted */
              break;

            case 9:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 354; /* *branchqi_shiftedarith_ne_shifted */
              break;

            case 10:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 348; /* *branchhi_shiftedarith_ne_shifted */
              break;

            case 11:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 356; /* *branchhi_shiftedarith_ne_shifted */
              break;

            case 12:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return 350; /* *branchsi_shiftedarith_ne_shifted */
              break;

            case 13:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 358; /* *branchsi_shiftedarith_ne_shifted */
              break;

            case 14:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && (((
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT))))
                return 352; /* *branchdi_shiftedarith_ne_shifted */
              break;

            case 15:
              if ((
#line 3194 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!SMALL_OPERAND (INTVAL (operands[2]))
    && !SMALL_OPERAND (INTVAL (operands[3]))
    && SMALL_AFTER_COMMON_TRAILING_SHIFT (INTVAL (operands[2]),
					     INTVAL (operands[3]))) && 
#line 69 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return 360; /* *branchdi_shiftedarith_ne_shifted */
              break;

            default:
              break;
            }
          operands[1] = x6;
          switch (pattern431 (x1))
            {
            case 0:
              if (!(
#line 1099 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS && TARGET_ZBB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 651; /* *branchsi_mask_twobits_equals_singlebit */

            case 1:
              if (!(
#line 1099 "../../gcc-15.0.1-20250329/gcc/config/riscv/bitmanip.md"
(TARGET_ZBS && TARGET_ZBB) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 652; /* *branchdi_mask_twobits_equals_singlebit */

            default:
              return -1;
            }

        case CALL:
          x6 = XEXP (x3, 0);
          if (GET_CODE (x6) != MEM
              || GET_MODE (x6) != E_SImode
              || pattern273 (x1) != 0)
            return -1;
          x9 = XEXP (x2, 0);
          operands[0] = x9;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          if (!call_insn_operand (operands[1], E_VOIDmode))
            return -1;
          x10 = XEXP (x3, 1);
          operands[2] = x10;
          x4 = XVECEXP (x1, 0, 1);
          x11 = XEXP (x4, 0);
          x12 = XVECEXP (x11, 0, 0);
          operands[3] = x12;
          if (!const_int_operand (operands[3], E_VOIDmode))
            return -1;
          return 457; /* call_value_internal */

        case SUBREG:
        case MEM:
          operands[1] = x3;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != SET)
            return -1;
          x13 = XEXP (x4, 1);
          if (GET_CODE (x13) != UNSPEC_VOLATILE)
            return -1;
          x9 = XEXP (x2, 0);
          operands[0] = x9;
          switch (pattern374 (x4))
            {
            case 0:
              switch (XINT (x13, 1))
                {
                case 82:
                  x5 = XVECEXP (x1, 0, 2);
                  if (GET_CODE (x5) != CLOBBER)
                    return -1;
                  x14 = XEXP (x5, 0);
                  operands[4] = x14;
                  x15 = XVECEXP (x13, 0, 0);
                  switch (GET_CODE (x15))
                    {
                    case PLUS:
                      switch (pattern461 (x13))
                        {
                        case 0:
                          if (!
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC))
                            return -1;
                          return 752; /* lrsc_atomic_fetch_addsi */

                        case 1:
                          if (!(
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                            return -1;
                          return 756; /* lrsc_atomic_fetch_adddi */

                        default:
                          return -1;
                        }

                    case IOR:
                      switch (pattern461 (x13))
                        {
                        case 0:
                          if (!
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC))
                            return -1;
                          return 753; /* lrsc_atomic_fetch_orsi */

                        case 1:
                          if (!(
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                            return -1;
                          return 757; /* lrsc_atomic_fetch_ordi */

                        default:
                          return -1;
                        }

                    case XOR:
                      switch (pattern461 (x13))
                        {
                        case 0:
                          if (!
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC))
                            return -1;
                          return 754; /* lrsc_atomic_fetch_xorsi */

                        case 1:
                          if (!(
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                            return -1;
                          return 758; /* lrsc_atomic_fetch_xordi */

                        default:
                          return -1;
                        }

                    case AND:
                      switch (pattern461 (x13))
                        {
                        case 0:
                          if (!
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC))
                            return -1;
                          return 755; /* lrsc_atomic_fetch_andsi */

                        case 1:
                          if (!(
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                            return -1;
                          return 759; /* lrsc_atomic_fetch_anddi */

                        default:
                          return -1;
                        }

                    default:
                      return -1;
                    }

                case 86:
                  if (pnum_clobbers == NULL
                      || GET_MODE (x13) != E_SImode
                      || !register_operand (operands[0], E_SImode)
                      || !memory_operand (operands[1], E_SImode))
                    return -1;
                  x15 = XVECEXP (x13, 0, 0);
                  operands[2] = x15;
                  if (!reg_or_0_operand (operands[2], E_SImode))
                    return -1;
                  x5 = XVECEXP (x1, 0, 2);
                  operands[4] = x5;
                  if (!reg_or_0_operand (operands[4], E_SImode)
                      || !
#line 493 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(TARGET_ZALRSC && TARGET_INLINE_SUBWORD_ATOMIC))
                    return -1;
                  *pnum_clobbers = 1;
                  return 779; /* subword_atomic_exchange_strong */

                default:
                  return -1;
                }

            case 1:
              x5 = XVECEXP (x1, 0, 2);
              if (GET_CODE (x5) != CLOBBER)
                return -1;
              x15 = XVECEXP (x13, 0, 0);
              operands[2] = x15;
              x16 = XVECEXP (x13, 0, 1);
              operands[3] = x16;
              x17 = XVECEXP (x13, 0, 2);
              operands[4] = x17;
              if (!const_int_operand (operands[4], E_SImode))
                return -1;
              x18 = XVECEXP (x13, 0, 3);
              operands[5] = x18;
              if (!const_int_operand (operands[5], E_SImode))
                return -1;
              x14 = XEXP (x5, 0);
              operands[6] = x14;
              switch (GET_MODE (operands[0]))
                {
                case E_SImode:
                  if (pattern552 (x13, 
E_SImode) != 0
                      || !
#line 517 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(TARGET_ZALRSC))
                    return -1;
                  return 780; /* zalrsc_atomic_cas_value_strongsi */

                case E_DImode:
                  if (pattern552 (x13, 
E_DImode) != 0
                      || !(
#line 517 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                    return -1;
                  return 781; /* zalrsc_atomic_cas_value_strongdi */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case UNSPEC_VOLATILE:
          if (XVECLEN (x3, 0) != 2
              || XINT (x3, 1) != 85)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != SET)
            return -1;
          x5 = XVECEXP (x1, 0, 2);
          if (GET_CODE (x5) != CLOBBER)
            return -1;
          x9 = XEXP (x2, 0);
          operands[0] = x9;
          x19 = XVECEXP (x3, 0, 0);
          operands[1] = x19;
          x20 = XVECEXP (x3, 0, 1);
          operands[3] = x20;
          if (!const_int_operand (operands[3], E_SImode))
            return -1;
          x13 = XEXP (x4, 1);
          operands[2] = x13;
          x14 = XEXP (x5, 0);
          operands[4] = x14;
          x11 = XEXP (x4, 0);
          if (!rtx_equal_p (x11, operands[1]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern462 (x3, 
E_SImode) != 0
                  || !
#line 410 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC))
                return -1;
              return 775; /* lrsc_atomic_exchangesi */

            case E_DImode:
              if (pattern462 (x3, 
E_DImode) != 0
                  || !(
#line 410 "../../gcc-15.0.1-20250329/gcc/config/riscv/sync.md"
(!TARGET_ZAAMO && TARGET_ZALRSC) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 776; /* lrsc_atomic_exchangedi */

            default:
              return -1;
            }

        case UNSPEC:
          if (XVECLEN (x3, 0) != 5
              || XINT (x3, 1) != 91)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (GET_CODE (x4) != SET)
            return -1;
          x13 = XEXP (x4, 1);
          if (GET_CODE (x13) != UNSPEC
              || XVECLEN (x13, 0) != 3
              || XINT (x13, 1) != 91
              || GET_MODE (x13) != E_SImode)
            return -1;
          x11 = XEXP (x4, 0);
          if (GET_CODE (x11) != REG
              || REGNO (x11) != 66
              || GET_MODE (x11) != E_SImode)
            return -1;
          x5 = XVECEXP (x1, 0, 2);
          if (GET_CODE (x5) != SET)
            return -1;
          x21 = XEXP (x5, 1);
          if (GET_CODE (x21) != UNSPEC
              || XVECLEN (x21, 0) != 4
              || XINT (x21, 1) != 91
              || GET_MODE (x21) != E_SImode)
            return -1;
          x14 = XEXP (x5, 0);
          if (GET_CODE (x14) != REG
              || REGNO (x14) != 67
              || GET_MODE (x14) != E_SImode)
            return -1;
          x9 = XEXP (x2, 0);
          operands[0] = x9;
          x19 = XVECEXP (x3, 0, 0);
          operands[1] = x19;
          x20 = XVECEXP (x3, 0, 1);
          operands[2] = x20;
          if (!const_int_operand (operands[2], E_VOIDmode))
            return -1;
          x22 = XVECEXP (x3, 0, 2);
          operands[3] = x22;
          if (!const_int_operand (operands[3], E_VOIDmode))
            return -1;
          x23 = XVECEXP (x3, 0, 3);
          operands[4] = x23;
          if (!const_int_operand (operands[4], E_VOIDmode))
            return -1;
          x24 = XVECEXP (x3, 0, 4);
          operands[5] = x24;
          if (!const_int_operand (operands[5], E_VOIDmode))
            return -1;
          x15 = XVECEXP (x13, 0, 0);
          if (!rtx_equal_p (x15, operands[1]))
            return -1;
          x16 = XVECEXP (x13, 0, 1);
          if (!rtx_equal_p (x16, operands[2]))
            return -1;
          x17 = XVECEXP (x13, 0, 2);
          if (!rtx_equal_p (x17, operands[3]))
            return -1;
          x25 = XVECEXP (x21, 0, 0);
          if (!rtx_equal_p (x25, operands[2]))
            return -1;
          x26 = XVECEXP (x21, 0, 1);
          if (!rtx_equal_p (x26, operands[3]))
            return -1;
          x27 = XVECEXP (x21, 0, 2);
          if (!rtx_equal_p (x27, operands[4]))
            return -1;
          x28 = XVECEXP (x21, 0, 3);
          if (!rtx_equal_p (x28, operands[5]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || GET_MODE (x3) != E_SImode
                  || !vector_length_operand (operands[1], E_SImode)
                  || !(
#line 1725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == SImode)))
                return -1;
              return 3642; /* vsetvlsi */

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || GET_MODE (x3) != E_DImode
                  || !vector_length_operand (operands[1], E_DImode)
                  || !(
#line 1725 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 35 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(Pmode == DImode)))
                return -1;
              return 3643; /* vsetvldi */

            default:
              return -1;
            }

        case PLUS:
          x6 = XEXP (x3, 0);
          if (GET_CODE (x6) != REG
              || pattern271 (x1, 
8) != 0)
            return -1;
          x5 = XVECEXP (x1, 0, 2);
          if (GET_CODE (x5) != SET)
            return -1;
          x21 = XEXP (x5, 1);
          if (GET_CODE (x21) != MEM)
            return -1;
          x29 = XEXP (x21, 0);
          if (GET_CODE (x29) != PLUS)
            return -1;
          x30 = XEXP (x29, 0);
          if (GET_CODE (x30) != REG
              || REGNO (x30) != 2)
            return -1;
          x31 = XEXP (x29, 1);
          if (GET_CODE (x31) != CONST_INT)
            return -1;
          x14 = XEXP (x5, 0);
          if (GET_CODE (x14) != REG
              || REGNO (x14) != 1)
            return -1;
          x10 = XEXP (x3, 1);
          operands[0] = x10;
          if (!stack_pop_up_to_s0_operand (operands[0], E_VOIDmode))
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          x13 = XEXP (x4, 1);
          x32 = XEXP (x13, 0);
          x33 = XEXP (x32, 1);
          switch (XWINT (x33, 0))
            {
            case -4L:
              if (XWINT (x31, 0) != -8L
                  || pattern695 (x1, 
E_SImode) != 0
                  || !(
#line 42 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 33807; /* gpr_multi_pop_up_to_s0_si */

            case -8L:
              if (XWINT (x31, 0) != -16L
                  || pattern695 (x1, 
E_DImode) != 0
                  || !(
#line 42 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 33808; /* gpr_multi_pop_up_to_s0_di */

            default:
              return -1;
            }

        case REG:
          if (pattern226 (x1, 
8) != 0)
            return -1;
          x4 = XVECEXP (x1, 0, 1);
          if (pattern418 (x4, 
1) != 0)
            return -1;
          x5 = XVECEXP (x1, 0, 2);
          if (GET_CODE (x5) != SET)
            return -1;
          x21 = XEXP (x5, 1);
          if (GET_CODE (x21) != PLUS)
            return -1;
          x29 = XEXP (x21, 0);
          if (GET_CODE (x29) != REG
              || REGNO (x29) != 2)
            return -1;
          x14 = XEXP (x5, 0);
          if (GET_CODE (x14) != REG
              || REGNO (x14) != 2)
            return -1;
          x34 = XEXP (x21, 1);
          operands[0] = x34;
          if (!stack_push_up_to_s0_operand (operands[0], E_VOIDmode))
            return -1;
          x9 = XEXP (x2, 0);
          x35 = XEXP (x9, 0);
          x36 = XEXP (x35, 1);
          switch (XWINT (x36, 0))
            {
            case -4L:
              x11 = XEXP (x4, 0);
              x37 = XEXP (x11, 0);
              x38 = XEXP (x37, 1);
              if (XWINT (x38, 0) != -8L
                  || pattern696 (x1, 
E_SImode) != 0
                  || !(
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 33879; /* gpr_multi_push_up_to_s0_si */

            case -8L:
              x11 = XEXP (x4, 0);
              x37 = XEXP (x11, 0);
              x38 = XEXP (x37, 1);
              if (XWINT (x38, 0) != -16L
                  || pattern696 (x1, 
E_DImode) != 0
                  || !(
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 33880; /* gpr_multi_push_up_to_s0_di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case CALL:
      x9 = XEXP (x2, 0);
      if (GET_CODE (x9) != MEM
          || GET_MODE (x9) != E_SImode
          || pattern273 (x1) != 0)
        return -1;
      x35 = XEXP (x9, 0);
      operands[0] = x35;
      if (!call_insn_operand (operands[0], E_VOIDmode))
        return -1;
      x3 = XEXP (x2, 1);
      operands[1] = x3;
      x4 = XVECEXP (x1, 0, 1);
      x11 = XEXP (x4, 0);
      x12 = XVECEXP (x11, 0, 0);
      operands[2] = x12;
      if (!const_int_operand (operands[2], E_VOIDmode))
        return -1;
      return 456; /* call_internal */

    case RETURN:
      x4 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x4) != USE)
        return -1;
      x5 = XVECEXP (x1, 0, 2);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x11 = XEXP (x4, 0);
      operands[0] = x11;
      if (!pmode_register_operand (operands[0], E_VOIDmode))
        return -1;
      return 462; /* gpr_restore_return */

    default:
      return -1;
    }
}

 int
recog_1540 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30, x31, x32, x33;
  rtx x34, x35, x36, x37, x38, x39, x40, x41;
  rtx x42, x43, x44, x45, x46, x47, x48, x49;
  rtx x50, x51, x52, x53, x54, x55, x56, x57;
  rtx x58, x59, x60, x61, x62, x63, x64, x65;
  rtx x66, x67, x68, x69, x70, x71, x72, x73;
  rtx x74, x75, x76;
  int res ATTRIBUTE_UNUSED;
  if (pattern115 (x1) != 0)
    return -1;
  x2 = XVECEXP (x1, 0, 9);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XVECEXP (x1, 0, 10);
  if (GET_CODE (x3) != SET)
    return -1;
  x4 = XVECEXP (x1, 0, 0);
  x5 = XEXP (x4, 1);
  switch (GET_CODE (x5))
    {
    case PLUS:
      if (pattern432 (x1) != 0)
        return -1;
      x6 = XVECEXP (x1, 0, 8);
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != MEM)
        return -1;
      x8 = XEXP (x7, 0);
      if (GET_CODE (x8) != PLUS)
        return -1;
      x9 = XEXP (x8, 0);
      if (GET_CODE (x9) != REG
          || REGNO (x9) != 2)
        return -1;
      x10 = XEXP (x8, 1);
      if (GET_CODE (x10) != CONST_INT)
        return -1;
      x11 = XEXP (x6, 0);
      if (GET_CODE (x11) != REG
          || pattern759 (x2) != 0)
        return -1;
      x12 = XEXP (x3, 0);
      if (GET_CODE (x12) != REG)
        return -1;
      x13 = XEXP (x5, 1);
      operands[0] = x13;
      switch (pattern766 (x1))
        {
        case 0:
          switch (pattern773 (x1, 
E_SImode))
            {
            case 0:
              if (pattern795 (x1, 
18, 
19, 
20, 
21, 
22) != 0
                  || pattern800 (x1, 
E_SImode, 
SET, 
9) != 0)
                return -1;
              x14 = XVECEXP (x1, 0, 12);
              x15 = XEXP (x14, 1);
              if (pattern802 (x15) != 0)
                return -1;
              x16 = XEXP (x14, 0);
              if (GET_CODE (x16) != REG
                  || REGNO (x16) != 8
                  || GET_MODE (x16) != E_SImode)
                return -1;
              x17 = XVECEXP (x1, 0, 13);
              if (pattern805 (x17) != 0
                  || !(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 33827; /* gpr_multi_pop_up_to_s11_si */

            case 1:
              if (pattern795 (x1, 
8, 
9, 
18, 
19, 
20) != 0
                  || pattern801 (x1, 
E_SImode) != 0
                  || !(
#line 658 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 33849; /* gpr_multi_popret_up_to_s9_si */

            case 2:
              if (!(
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
                return -1;
              return 33869; /* gpr_multi_popretz_up_to_s7_si */

            default:
              return -1;
            }

        case 1:
          switch (pattern773 (x1, 
E_DImode))
            {
            case 0:
              if (pattern797 (x1, 
18, 
19, 
20, 
21, 
22) != 0
                  || pattern800 (x1, 
E_DImode, 
SET, 
9) != 0)
                return -1;
              x14 = XVECEXP (x1, 0, 12);
              x15 = XEXP (x14, 1);
              if (pattern803 (x15) != 0)
                return -1;
              x16 = XEXP (x14, 0);
              if (GET_CODE (x16) != REG
                  || REGNO (x16) != 8
                  || GET_MODE (x16) != E_DImode)
                return -1;
              x17 = XVECEXP (x1, 0, 13);
              if (pattern806 (x17) != 0
                  || !(
#line 350 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 33828; /* gpr_multi_pop_up_to_s11_di */

            case 1:
              if (pattern797 (x1, 
8, 
9, 
18, 
19, 
20) != 0
                  || pattern801 (x1, 
E_DImode) != 0
                  || !(
#line 658 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 33850; /* gpr_multi_popret_up_to_s9_di */

            case 2:
              if (!(
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
                return -1;
              return 33870; /* gpr_multi_popretz_up_to_s7_di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case REG:
      if (REGNO (x5) != 27)
        return -1;
      x18 = XEXP (x4, 0);
      if (GET_CODE (x18) != MEM)
        return -1;
      x19 = XEXP (x18, 0);
      if (GET_CODE (x19) != PLUS)
        return -1;
      x20 = XEXP (x19, 0);
      if (GET_CODE (x20) != REG
          || REGNO (x20) != 2)
        return -1;
      x21 = XEXP (x19, 1);
      if (GET_CODE (x21) != CONST_INT)
        return -1;
      x22 = XVECEXP (x1, 0, 1);
      x23 = XEXP (x22, 1);
      if (GET_CODE (x23) != REG
          || REGNO (x23) != 26)
        return -1;
      x24 = XEXP (x22, 0);
      if (GET_CODE (x24) != MEM)
        return -1;
      x25 = XEXP (x24, 0);
      if (GET_CODE (x25) != PLUS)
        return -1;
      x26 = XEXP (x25, 0);
      if (GET_CODE (x26) != REG
          || REGNO (x26) != 2)
        return -1;
      x27 = XEXP (x25, 1);
      if (GET_CODE (x27) != CONST_INT)
        return -1;
      x28 = XVECEXP (x1, 0, 2);
      x29 = XEXP (x28, 1);
      if (GET_CODE (x29) != REG
          || REGNO (x29) != 25)
        return -1;
      x30 = XEXP (x28, 0);
      if (GET_CODE (x30) != MEM)
        return -1;
      x31 = XEXP (x30, 0);
      if (GET_CODE (x31) != PLUS)
        return -1;
      x32 = XEXP (x31, 0);
      if (GET_CODE (x32) != REG
          || REGNO (x32) != 2)
        return -1;
      x33 = XEXP (x31, 1);
      if (GET_CODE (x33) != CONST_INT)
        return -1;
      x34 = XVECEXP (x1, 0, 3);
      x35 = XEXP (x34, 1);
      if (GET_CODE (x35) != REG
          || REGNO (x35) != 24)
        return -1;
      x36 = XEXP (x34, 0);
      if (GET_CODE (x36) != MEM)
        return -1;
      x37 = XEXP (x36, 0);
      if (GET_CODE (x37) != PLUS)
        return -1;
      x38 = XEXP (x37, 0);
      if (GET_CODE (x38) != REG
          || REGNO (x38) != 2)
        return -1;
      x39 = XEXP (x37, 1);
      if (GET_CODE (x39) != CONST_INT)
        return -1;
      x40 = XVECEXP (x1, 0, 4);
      x41 = XEXP (x40, 1);
      if (GET_CODE (x41) != REG
          || REGNO (x41) != 23)
        return -1;
      x42 = XEXP (x40, 0);
      if (GET_CODE (x42) != MEM)
        return -1;
      x43 = XEXP (x42, 0);
      if (GET_CODE (x43) != PLUS)
        return -1;
      x44 = XEXP (x43, 0);
      if (GET_CODE (x44) != REG
          || REGNO (x44) != 2)
        return -1;
      x45 = XEXP (x43, 1);
      if (GET_CODE (x45) != CONST_INT)
        return -1;
      x46 = XVECEXP (x1, 0, 5);
      x47 = XEXP (x46, 1);
      if (GET_CODE (x47) != REG
          || REGNO (x47) != 22)
        return -1;
      x48 = XEXP (x46, 0);
      if (GET_CODE (x48) != MEM)
        return -1;
      x49 = XEXP (x48, 0);
      if (GET_CODE (x49) != PLUS)
        return -1;
      x50 = XEXP (x49, 0);
      if (GET_CODE (x50) != REG
          || REGNO (x50) != 2)
        return -1;
      x51 = XEXP (x49, 1);
      if (GET_CODE (x51) != CONST_INT)
        return -1;
      x52 = XVECEXP (x1, 0, 6);
      x53 = XEXP (x52, 1);
      if (GET_CODE (x53) != REG
          || REGNO (x53) != 21)
        return -1;
      x54 = XEXP (x52, 0);
      if (GET_CODE (x54) != MEM)
        return -1;
      x55 = XEXP (x54, 0);
      if (GET_CODE (x55) != PLUS)
        return -1;
      x56 = XEXP (x55, 0);
      if (GET_CODE (x56) != REG
          || REGNO (x56) != 2)
        return -1;
      x57 = XEXP (x55, 1);
      if (GET_CODE (x57) != CONST_INT)
        return -1;
      x58 = XVECEXP (x1, 0, 7);
      x59 = XEXP (x58, 1);
      if (GET_CODE (x59) != REG
          || REGNO (x59) != 20)
        return -1;
      x60 = XEXP (x58, 0);
      if (GET_CODE (x60) != MEM)
        return -1;
      x61 = XEXP (x60, 0);
      if (GET_CODE (x61) != PLUS)
        return -1;
      x62 = XEXP (x61, 0);
      if (GET_CODE (x62) != REG
          || REGNO (x62) != 2)
        return -1;
      x63 = XEXP (x61, 1);
      if (GET_CODE (x63) != CONST_INT)
        return -1;
      x6 = XVECEXP (x1, 0, 8);
      if (pattern761 (x6, 
19) != 0
          || pattern762 (x2, 
18) != 0
          || pattern771 (x3, 
9) != 0)
        return -1;
      x64 = XVECEXP (x1, 0, 11);
      if (GET_CODE (x64) != SET)
        return -1;
      x65 = XEXP (x64, 1);
      if (GET_CODE (x65) != REG
          || REGNO (x65) != 8)
        return -1;
      x66 = XEXP (x64, 0);
      if (GET_CODE (x66) != MEM)
        return -1;
      x67 = XEXP (x66, 0);
      if (GET_CODE (x67) != PLUS)
        return -1;
      x68 = XEXP (x67, 0);
      if (GET_CODE (x68) != REG
          || REGNO (x68) != 2)
        return -1;
      x69 = XEXP (x67, 1);
      if (GET_CODE (x69) != CONST_INT)
        return -1;
      x14 = XVECEXP (x1, 0, 12);
      if (GET_CODE (x14) != SET)
        return -1;
      x15 = XEXP (x14, 1);
      if (GET_CODE (x15) != REG
          || REGNO (x15) != 1)
        return -1;
      x16 = XEXP (x14, 0);
      if (GET_CODE (x16) != MEM)
        return -1;
      x70 = XEXP (x16, 0);
      if (GET_CODE (x70) != PLUS)
        return -1;
      x71 = XEXP (x70, 0);
      if (GET_CODE (x71) != REG
          || REGNO (x71) != 2)
        return -1;
      x72 = XEXP (x70, 1);
      if (GET_CODE (x72) != CONST_INT)
        return -1;
      x17 = XVECEXP (x1, 0, 13);
      if (GET_CODE (x17) != SET)
        return -1;
      x73 = XEXP (x17, 1);
      if (GET_CODE (x73) != PLUS)
        return -1;
      x74 = XEXP (x73, 0);
      if (GET_CODE (x74) != REG
          || REGNO (x74) != 2)
        return -1;
      x75 = XEXP (x17, 0);
      if (GET_CODE (x75) != REG
          || REGNO (x75) != 2)
        return -1;
      x76 = XEXP (x73, 1);
      operands[0] = x76;
      if (!stack_push_up_to_s11_operand (operands[0], E_VOIDmode))
        return -1;
      switch (pattern776 (x1))
        {
        case 0:
          if (XWINT (x69, 0) != -48L
              || XWINT (x72, 0) != -52L
              || pattern793 (x1, 
E_SImode) != 0
              || !(
#line 1433 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(!TARGET_64BIT)))
            return -1;
          return 33899; /* gpr_multi_push_up_to_s11_si */

        case 1:
          if (XWINT (x69, 0) != -96L
              || XWINT (x72, 0) != -104L
              || pattern793 (x1, 
E_DImode) != 0
              || !(
#line 1433 "../../gcc-15.0.1-20250329/gcc/config/riscv/zc.md"
(TARGET_ZCMP) && 
#line 38 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)))
            return -1;
          return 33900; /* gpr_multi_push_up_to_s11_di */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_3 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8HImode:
      if (pattern138 (x2, 
E_RVVM8HImode, 
E_RVVM4QImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9488 (insn, operands);

    case E_RVVM4HImode:
      if (pattern138 (x2, 
E_RVVM4HImode, 
E_RVVM2QImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9490 (insn, operands);

    case E_RVVM2HImode:
      if (pattern138 (x2, 
E_RVVM2HImode, 
E_RVVM1QImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9492 (insn, operands);

    case E_RVVM1HImode:
      if (pattern138 (x2, 
E_RVVM1HImode, 
E_RVVMF2QImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9494 (insn, operands);

    case E_RVVMF2HImode:
      if (pattern138 (x2, 
E_RVVMF2HImode, 
E_RVVMF4QImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9496 (insn, operands);

    case E_RVVMF4HImode:
      if (pattern138 (x2, 
E_RVVMF4HImode, 
E_RVVMF8QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9498 (insn, operands);

    case E_RVVM8SImode:
      if (pattern138 (x2, 
E_RVVM8SImode, 
E_RVVM4HImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9500 (insn, operands);

    case E_RVVM4SImode:
      if (pattern138 (x2, 
E_RVVM4SImode, 
E_RVVM2HImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9502 (insn, operands);

    case E_RVVM2SImode:
      if (pattern138 (x2, 
E_RVVM2SImode, 
E_RVVM1HImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9504 (insn, operands);

    case E_RVVM1SImode:
      if (pattern138 (x2, 
E_RVVM1SImode, 
E_RVVMF2HImode) != 0
          || !(
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9506 (insn, operands);

    case E_RVVMF2SImode:
      if (pattern138 (x2, 
E_RVVMF2SImode, 
E_RVVMF4HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9508 (insn, operands);

    case E_RVVM8DImode:
      if (pattern138 (x2, 
E_RVVM8DImode, 
E_RVVM4SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9510 (insn, operands);

    case E_RVVM4DImode:
      if (pattern138 (x2, 
E_RVVM4DImode, 
E_RVVM2SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9512 (insn, operands);

    case E_RVVM2DImode:
      if (pattern138 (x2, 
E_RVVM2DImode, 
E_RVVM1SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9514 (insn, operands);

    case E_RVVM1DImode:
      if (pattern138 (x2, 
E_RVVM1DImode, 
E_RVVMF2SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9516 (insn, operands);

    case E_V1HImode:
      if (pattern138 (x2, 
E_V1HImode, 
E_V1QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9518 (insn, operands);

    case E_V2HImode:
      if (pattern138 (x2, 
E_V2HImode, 
E_V2QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9520 (insn, operands);

    case E_V4HImode:
      if (pattern138 (x2, 
E_V4HImode, 
E_V4QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9522 (insn, operands);

    case E_V8HImode:
      if (pattern138 (x2, 
E_V8HImode, 
E_V8QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9524 (insn, operands);

    case E_V16HImode:
      if (pattern138 (x2, 
E_V16HImode, 
E_V16QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9526 (insn, operands);

    case E_V32HImode:
      if (pattern138 (x2, 
E_V32HImode, 
E_V32QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9528 (insn, operands);

    case E_V64HImode:
      if (pattern138 (x2, 
E_V64HImode, 
E_V64QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9530 (insn, operands);

    case E_V128HImode:
      if (pattern138 (x2, 
E_V128HImode, 
E_V128QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9532 (insn, operands);

    case E_V256HImode:
      if (pattern138 (x2, 
E_V256HImode, 
E_V256QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9534 (insn, operands);

    case E_V512HImode:
      if (pattern138 (x2, 
E_V512HImode, 
E_V512QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9536 (insn, operands);

    case E_V1024HImode:
      if (pattern138 (x2, 
E_V1024HImode, 
E_V1024QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9538 (insn, operands);

    case E_V2048HImode:
      if (pattern138 (x2, 
E_V2048HImode, 
E_V2048QImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9540 (insn, operands);

    case E_V1SImode:
      if (pattern138 (x2, 
E_V1SImode, 
E_V1HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9542 (insn, operands);

    case E_V2SImode:
      if (pattern138 (x2, 
E_V2SImode, 
E_V2HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9544 (insn, operands);

    case E_V4SImode:
      if (pattern138 (x2, 
E_V4SImode, 
E_V4HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9546 (insn, operands);

    case E_V8SImode:
      if (pattern138 (x2, 
E_V8SImode, 
E_V8HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9548 (insn, operands);

    case E_V16SImode:
      if (pattern138 (x2, 
E_V16SImode, 
E_V16HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9550 (insn, operands);

    case E_V32SImode:
      if (pattern138 (x2, 
E_V32SImode, 
E_V32HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9552 (insn, operands);

    case E_V64SImode:
      if (pattern138 (x2, 
E_V64SImode, 
E_V64HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9554 (insn, operands);

    case E_V128SImode:
      if (pattern138 (x2, 
E_V128SImode, 
E_V128HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9556 (insn, operands);

    case E_V256SImode:
      if (pattern138 (x2, 
E_V256SImode, 
E_V256HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9558 (insn, operands);

    case E_V512SImode:
      if (pattern138 (x2, 
E_V512SImode, 
E_V512HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9560 (insn, operands);

    case E_V1024SImode:
      if (pattern138 (x2, 
E_V1024SImode, 
E_V1024HImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9562 (insn, operands);

    case E_V1DImode:
      if (pattern138 (x2, 
E_V1DImode, 
E_V1SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9564 (insn, operands);

    case E_V2DImode:
      if (pattern138 (x2, 
E_V2DImode, 
E_V2SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9566 (insn, operands);

    case E_V4DImode:
      if (pattern138 (x2, 
E_V4DImode, 
E_V4SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9568 (insn, operands);

    case E_V8DImode:
      if (pattern138 (x2, 
E_V8DImode, 
E_V8SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9570 (insn, operands);

    case E_V16DImode:
      if (pattern138 (x2, 
E_V16DImode, 
E_V16SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9572 (insn, operands);

    case E_V32DImode:
      if (pattern138 (x2, 
E_V32DImode, 
E_V32SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9574 (insn, operands);

    case E_V64DImode:
      if (pattern138 (x2, 
E_V64DImode, 
E_V64SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9576 (insn, operands);

    case E_V128DImode:
      if (pattern138 (x2, 
E_V128DImode, 
E_V128SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9578 (insn, operands);

    case E_V256DImode:
      if (pattern138 (x2, 
E_V256DImode, 
E_V256SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9580 (insn, operands);

    case E_V512DImode:
      if (pattern138 (x2, 
E_V512DImode, 
E_V512SImode) != 0
          || !((
#line 1029 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1031 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_9582 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_8 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  switch (GET_MODE (operands[0]))
    {
    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x2) != E_DImode)
        return NULL;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!nonimmediate_operand (operands[1], E_SImode))
            return NULL;
          if ((
#line 1878 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(TARGET_64BIT && !TARGET_ZBA && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX
   && !(REG_P (operands[1]) && VL_REG_P (REGNO (operands[1])))) && 
#line 1883 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
            return gen_split_5 (insn, operands);
          if (!(
#line 500 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_64BIT && TARGET_XTHEADMEMIDX && !TARGET_XTHEADBB) && 
#line 508 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
            return NULL;
          return gen_split_188 (insn, operands);

        case E_HImode:
          if (!nonimmediate_operand (operands[1], E_HImode))
            return NULL;
          if (((
#line 1905 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZBB && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 1909 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
            return gen_split_7 (insn, operands);
          if (!((
#line 524 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADMEMIDX && !TARGET_XTHEADBB) && 
#line 27 "../../gcc-15.0.1-20250329/gcc/config/riscv/iterators.md"
(TARGET_64BIT)) && 
#line 532 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
            return NULL;
          return gen_split_190 (insn, operands);

        default:
          return NULL;
        }

    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x2) != E_SImode
          || !nonimmediate_operand (operands[1], E_HImode))
        return NULL;
      if ((
#line 1905 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
(!TARGET_ZBB && !TARGET_XTHEADBB && !TARGET_XTHEADMEMIDX) && 
#line 1909 "../../gcc-15.0.1-20250329/gcc/config/riscv/riscv.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
        return gen_split_6 (insn, operands);
      if (!(
#line 524 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
(TARGET_XTHEADMEMIDX && !TARGET_XTHEADBB) && 
#line 532 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead.md"
( reload_completed
   && REG_P (operands[1])
   && !paradoxical_subreg_p (operands[0]))))
        return NULL;
      return gen_split_189 (insn, operands);

    case E_RVVM8HImode:
      if (!register_operand (operands[0], E_RVVM8HImode)
          || GET_MODE (x2) != E_RVVM8HImode
          || !register_operand (operands[1], E_RVVM4QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4150 (insn, operands);

    case E_RVVM4HImode:
      if (!register_operand (operands[0], E_RVVM4HImode)
          || GET_MODE (x2) != E_RVVM4HImode
          || !register_operand (operands[1], E_RVVM2QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4152 (insn, operands);

    case E_RVVM2HImode:
      if (!register_operand (operands[0], E_RVVM2HImode)
          || GET_MODE (x2) != E_RVVM2HImode
          || !register_operand (operands[1], E_RVVM1QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4154 (insn, operands);

    case E_RVVM1HImode:
      if (!register_operand (operands[0], E_RVVM1HImode)
          || GET_MODE (x2) != E_RVVM1HImode
          || !register_operand (operands[1], E_RVVMF2QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4156 (insn, operands);

    case E_RVVMF2HImode:
      if (!register_operand (operands[0], E_RVVMF2HImode)
          || GET_MODE (x2) != E_RVVMF2HImode
          || !register_operand (operands[1], E_RVVMF4QImode)
          || !(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4158 (insn, operands);

    case E_RVVMF4HImode:
      if (!register_operand (operands[0], E_RVVMF4HImode)
          || GET_MODE (x2) != E_RVVMF4HImode
          || !register_operand (operands[1], E_RVVMF8QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4160 (insn, operands);

    case E_RVVM8SImode:
      switch (pattern296 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4162 (insn, operands);

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4246 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM4SImode:
      switch (pattern297 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4164 (insn, operands);

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4248 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM2SImode:
      switch (pattern298 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4166 (insn, operands);

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4250 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM1SImode:
      switch (pattern299 (x2))
        {
        case 0:
          if (!(
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4168 (insn, operands);

        case 1:
          if (!(
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4252 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVMF2SImode:
      switch (pattern300 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4170 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4254 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM8DImode:
      switch (pattern301 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4172 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4256 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4306 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM4DImode:
      switch (pattern302 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4174 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4258 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4308 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM2DImode:
      switch (pattern303 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4176 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4260 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4310 (insn, operands);

        default:
          return NULL;
        }

    case E_RVVM1DImode:
      switch (pattern304 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4178 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4262 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4312 (insn, operands);

        default:
          return NULL;
        }

    case E_V1HImode:
      if (!register_operand (operands[0], E_V1HImode)
          || GET_MODE (x2) != E_V1HImode
          || !register_operand (operands[1], E_V1QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4180 (insn, operands);

    case E_V2HImode:
      if (!register_operand (operands[0], E_V2HImode)
          || GET_MODE (x2) != E_V2HImode
          || !register_operand (operands[1], E_V2QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4182 (insn, operands);

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x2) != E_V4HImode
          || !register_operand (operands[1], E_V4QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4184 (insn, operands);

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x2) != E_V8HImode
          || !register_operand (operands[1], E_V8QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4186 (insn, operands);

    case E_V16HImode:
      if (!register_operand (operands[0], E_V16HImode)
          || GET_MODE (x2) != E_V16HImode
          || !register_operand (operands[1], E_V16QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4188 (insn, operands);

    case E_V32HImode:
      if (!register_operand (operands[0], E_V32HImode)
          || GET_MODE (x2) != E_V32HImode
          || !register_operand (operands[1], E_V32QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4190 (insn, operands);

    case E_V64HImode:
      if (!register_operand (operands[0], E_V64HImode)
          || GET_MODE (x2) != E_V64HImode
          || !register_operand (operands[1], E_V64QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4192 (insn, operands);

    case E_V128HImode:
      if (!register_operand (operands[0], E_V128HImode)
          || GET_MODE (x2) != E_V128HImode
          || !register_operand (operands[1], E_V128QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4194 (insn, operands);

    case E_V256HImode:
      if (!register_operand (operands[0], E_V256HImode)
          || GET_MODE (x2) != E_V256HImode
          || !register_operand (operands[1], E_V256QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4196 (insn, operands);

    case E_V512HImode:
      if (!register_operand (operands[0], E_V512HImode)
          || GET_MODE (x2) != E_V512HImode
          || !register_operand (operands[1], E_V512QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4198 (insn, operands);

    case E_V1024HImode:
      if (!register_operand (operands[0], E_V1024HImode)
          || GET_MODE (x2) != E_V1024HImode
          || !register_operand (operands[1], E_V1024QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4200 (insn, operands);

    case E_V2048HImode:
      if (!register_operand (operands[0], E_V2048HImode)
          || GET_MODE (x2) != E_V2048HImode
          || !register_operand (operands[1], E_V2048QImode)
          || !((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_4202 (insn, operands);

    case E_V1SImode:
      switch (pattern305 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4204 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4264 (insn, operands);

        default:
          return NULL;
        }

    case E_V2SImode:
      switch (pattern306 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4206 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4266 (insn, operands);

        default:
          return NULL;
        }

    case E_V4SImode:
      switch (pattern307 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4208 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4268 (insn, operands);

        default:
          return NULL;
        }

    case E_V8SImode:
      switch (pattern308 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4210 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4270 (insn, operands);

        default:
          return NULL;
        }

    case E_V16SImode:
      switch (pattern309 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4212 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4272 (insn, operands);

        default:
          return NULL;
        }

    case E_V32SImode:
      switch (pattern310 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4214 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4274 (insn, operands);

        default:
          return NULL;
        }

    case E_V64SImode:
      switch (pattern311 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4216 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4276 (insn, operands);

        default:
          return NULL;
        }

    case E_V128SImode:
      switch (pattern312 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4218 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4278 (insn, operands);

        default:
          return NULL;
        }

    case E_V256SImode:
      switch (pattern313 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4220 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4280 (insn, operands);

        default:
          return NULL;
        }

    case E_V512SImode:
      switch (pattern314 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4222 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4282 (insn, operands);

        default:
          return NULL;
        }

    case E_V1024SImode:
      switch (pattern315 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4224 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4284 (insn, operands);

        default:
          return NULL;
        }

    case E_V1DImode:
      switch (pattern316 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4226 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4286 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1154 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4314 (insn, operands);

        default:
          return NULL;
        }

    case E_V2DImode:
      switch (pattern317 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4228 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4288 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4316 (insn, operands);

        default:
          return NULL;
        }

    case E_V4DImode:
      switch (pattern318 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4230 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4290 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4318 (insn, operands);

        default:
          return NULL;
        }

    case E_V8DImode:
      switch (pattern319 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4232 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4292 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4320 (insn, operands);

        default:
          return NULL;
        }

    case E_V16DImode:
      switch (pattern320 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4234 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4294 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1158 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4322 (insn, operands);

        default:
          return NULL;
        }

    case E_V32DImode:
      switch (pattern321 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4236 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4296 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4324 (insn, operands);

        default:
          return NULL;
        }

    case E_V64DImode:
      switch (pattern322 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4238 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4298 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4326 (insn, operands);

        default:
          return NULL;
        }

    case E_V128DImode:
      switch (pattern323 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4240 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4300 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1161 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4328 (insn, operands);

        default:
          return NULL;
        }

    case E_V256DImode:
      switch (pattern324 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4242 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4302 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4330 (insn, operands);

        default:
          return NULL;
        }

    case E_V512DImode:
      switch (pattern325 (x2))
        {
        case 0:
          if (!((
#line 738 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 740 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4244 (insn, operands);

        case 1:
          if (!((
#line 754 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 756 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4304 (insn, operands);

        case 2:
          if (!((
#line 769 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 771 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
            return NULL;
          return gen_split_4332 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_77 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (reg_or_mem_operand (operands[0], E_V64SImode)
      && reg_or_mem_operand (operands[1], E_V64SImode)
      && (
#line 99 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)))
    return gen_split_275 (insn, operands);
  if (!register_operand (operands[0], E_V64SImode)
      || !register_operand (operands[1], E_V64SImode)
      || !((
#line 1509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
    return NULL;
  return gen_split_2122 (insn, operands);
}

 rtx_insn *
split_84 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (reg_or_mem_operand (operands[0], E_V64HImode)
      && reg_or_mem_operand (operands[1], E_V64HImode)
      && (
#line 99 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)))
    return gen_split_263 (insn, operands);
  if (!register_operand (operands[0], E_V64HImode)
      || !register_operand (operands[1], E_V64HImode)
      || !((
#line 1509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
    return NULL;
  return gen_split_2110 (insn, operands);
}

 rtx_insn *
split_91 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (reg_or_mem_operand (operands[0], E_V128QImode)
      && reg_or_mem_operand (operands[1], E_V128QImode)
      && (
#line 99 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)))
    return gen_split_251 (insn, operands);
  if (!register_operand (operands[0], E_V128QImode)
      || !register_operand (operands[1], E_V128QImode)
      || !((
#line 1509 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1511 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
    return NULL;
  return gen_split_2098 (insn, operands);
}

 rtx_insn *
split_98 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (reg_or_mem_operand (operands[0], E_RVVMF16BImode)
      && reg_or_mem_operand (operands[1], E_RVVMF16BImode)
      && 
#line 99 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR))
    return gen_split_239 (insn, operands);
  if (!register_operand (operands[0], E_RVVMF16BImode)
      || !register_operand (operands[1], E_RVVMF16BImode)
      || !(
#line 1294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && !TARGET_XTHEADVECTOR) && 
#line 1296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
    return NULL;
  return gen_split_1576 (insn, operands);
}

 rtx_insn *
split_105 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (reg_or_mem_operand (operands[0], E_RVVMF2BFmode)
      && reg_or_mem_operand (operands[1], E_RVVMF2BFmode)
      && (
#line 99 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
(TARGET_XTHEADVECTOR) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)))
    return gen_split_220 (insn, operands);
  if (!register_operand (operands[0], E_RVVMF2BFmode)
      || !register_operand (operands[1], E_RVVMF2BFmode)
      || !((
#line 1257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR) && 
#line 936 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
    return NULL;
  return gen_split_1568 (insn, operands);
}

 rtx_insn *
split_112 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern205 (x2))
    {
    case 0:
      if (vector_shift_operand (operands[2], E_RVVM4QImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10231 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10327 (insn, operands);

    case 1:
      if (vector_shift_operand (operands[2], E_RVVM2QImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10232 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10328 (insn, operands);

    case 2:
      if (vector_shift_operand (operands[2], E_RVVM1QImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10233 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10329 (insn, operands);

    case 3:
      if (vector_shift_operand (operands[2], E_RVVMF2QImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10234 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10330 (insn, operands);

    case 4:
      if (vector_shift_operand (operands[2], E_RVVMF4QImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10235 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10331 (insn, operands);

    case 5:
      if (vector_shift_operand (operands[2], E_RVVMF8QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10236 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10332 (insn, operands);

    case 6:
      if (vector_shift_operand (operands[2], E_RVVM4HImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10237 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10333 (insn, operands);

    case 7:
      if (vector_shift_operand (operands[2], E_RVVM2HImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10238 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10334 (insn, operands);

    case 8:
      if (vector_shift_operand (operands[2], E_RVVM1HImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10239 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10335 (insn, operands);

    case 9:
      if (vector_shift_operand (operands[2], E_RVVMF2HImode)
          && (
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10240 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !(
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10336 (insn, operands);

    case 10:
      if (vector_shift_operand (operands[2], E_RVVMF4HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10241 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10337 (insn, operands);

    case 11:
      if (vector_shift_operand (operands[2], E_RVVM4SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10242 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10338 (insn, operands);

    case 12:
      if (vector_shift_operand (operands[2], E_RVVM2SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10243 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10339 (insn, operands);

    case 13:
      if (vector_shift_operand (operands[2], E_RVVM1SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10244 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10340 (insn, operands);

    case 14:
      if (vector_shift_operand (operands[2], E_RVVMF2SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10245 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10341 (insn, operands);

    case 15:
      if (vector_shift_operand (operands[2], E_V1QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10246 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10342 (insn, operands);

    case 16:
      if (vector_shift_operand (operands[2], E_V2QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10247 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10343 (insn, operands);

    case 17:
      if (vector_shift_operand (operands[2], E_V4QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10248 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10344 (insn, operands);

    case 18:
      if (vector_shift_operand (operands[2], E_V8QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10249 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10345 (insn, operands);

    case 19:
      if (vector_shift_operand (operands[2], E_V16QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10250 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10346 (insn, operands);

    case 20:
      if (vector_shift_operand (operands[2], E_V32QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10251 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10347 (insn, operands);

    case 21:
      if (vector_shift_operand (operands[2], E_V64QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10252 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10348 (insn, operands);

    case 22:
      if (vector_shift_operand (operands[2], E_V128QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10253 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10349 (insn, operands);

    case 23:
      if (vector_shift_operand (operands[2], E_V256QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10254 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10350 (insn, operands);

    case 24:
      if (vector_shift_operand (operands[2], E_V512QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10255 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10351 (insn, operands);

    case 25:
      if (vector_shift_operand (operands[2], E_V1024QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10256 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10352 (insn, operands);

    case 26:
      if (vector_shift_operand (operands[2], E_V2048QImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10257 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_HImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10353 (insn, operands);

    case 27:
      if (vector_shift_operand (operands[2], E_V1HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10258 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10354 (insn, operands);

    case 28:
      if (vector_shift_operand (operands[2], E_V2HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10259 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10355 (insn, operands);

    case 29:
      if (vector_shift_operand (operands[2], E_V4HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10260 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10356 (insn, operands);

    case 30:
      if (vector_shift_operand (operands[2], E_V8HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10261 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10357 (insn, operands);

    case 31:
      if (vector_shift_operand (operands[2], E_V16HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10262 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10358 (insn, operands);

    case 32:
      if (vector_shift_operand (operands[2], E_V32HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10263 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10359 (insn, operands);

    case 33:
      if (vector_shift_operand (operands[2], E_V64HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10264 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10360 (insn, operands);

    case 34:
      if (vector_shift_operand (operands[2], E_V128HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10265 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10361 (insn, operands);

    case 35:
      if (vector_shift_operand (operands[2], E_V256HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10266 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10362 (insn, operands);

    case 36:
      if (vector_shift_operand (operands[2], E_V512HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10267 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10363 (insn, operands);

    case 37:
      if (vector_shift_operand (operands[2], E_V1024HImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10268 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_SImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10364 (insn, operands);

    case 38:
      if (vector_shift_operand (operands[2], E_V1SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10269 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10365 (insn, operands);

    case 39:
      if (vector_shift_operand (operands[2], E_V2SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10270 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10366 (insn, operands);

    case 40:
      if (vector_shift_operand (operands[2], E_V4SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10271 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10367 (insn, operands);

    case 41:
      if (vector_shift_operand (operands[2], E_V8SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10272 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10368 (insn, operands);

    case 42:
      if (vector_shift_operand (operands[2], E_V16SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10273 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10369 (insn, operands);

    case 43:
      if (vector_shift_operand (operands[2], E_V32SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10274 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10370 (insn, operands);

    case 44:
      if (vector_shift_operand (operands[2], E_V64SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10275 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10371 (insn, operands);

    case 45:
      if (vector_shift_operand (operands[2], E_V128SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10276 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10372 (insn, operands);

    case 46:
      if (vector_shift_operand (operands[2], E_V256SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10277 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10373 (insn, operands);

    case 47:
      if (vector_shift_operand (operands[2], E_V512SImode)
          && ((
#line 1541 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1543 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return gen_split_10278 (insn, operands);
      if (!vector_scalar_shift_operand (operands[2], E_DImode)
          || !((
#line 1577 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1579 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10374 (insn, operands);

    case 48:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10279 (insn, operands);

    case 49:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10280 (insn, operands);

    case 50:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10281 (insn, operands);

    case 51:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10282 (insn, operands);

    case 52:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10283 (insn, operands);

    case 53:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10284 (insn, operands);

    case 54:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10285 (insn, operands);

    case 55:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10286 (insn, operands);

    case 56:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10287 (insn, operands);

    case 57:
      if (!(
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10288 (insn, operands);

    case 58:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10289 (insn, operands);

    case 59:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10290 (insn, operands);

    case 60:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10291 (insn, operands);

    case 61:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10292 (insn, operands);

    case 62:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10293 (insn, operands);

    case 63:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10294 (insn, operands);

    case 64:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10295 (insn, operands);

    case 65:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10296 (insn, operands);

    case 66:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10297 (insn, operands);

    case 67:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10298 (insn, operands);

    case 68:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10299 (insn, operands);

    case 69:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10300 (insn, operands);

    case 70:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10301 (insn, operands);

    case 71:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10302 (insn, operands);

    case 72:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10303 (insn, operands);

    case 73:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10304 (insn, operands);

    case 74:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10305 (insn, operands);

    case 75:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10306 (insn, operands);

    case 76:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10307 (insn, operands);

    case 77:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10308 (insn, operands);

    case 78:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10309 (insn, operands);

    case 79:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10310 (insn, operands);

    case 80:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10311 (insn, operands);

    case 81:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10312 (insn, operands);

    case 82:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10313 (insn, operands);

    case 83:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10314 (insn, operands);

    case 84:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10315 (insn, operands);

    case 85:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10316 (insn, operands);

    case 86:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10317 (insn, operands);

    case 87:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10318 (insn, operands);

    case 88:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10319 (insn, operands);

    case 89:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10320 (insn, operands);

    case 90:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10321 (insn, operands);

    case 91:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10322 (insn, operands);

    case 92:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10323 (insn, operands);

    case 93:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10324 (insn, operands);

    case 94:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10325 (insn, operands);

    case 95:
      if (!((
#line 1559 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_ZVBB && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1561 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_10326 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_123 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern595 (x2))
    {
    case 0:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6595 (insn, operands);

    case 1:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6597 (insn, operands);

    case 2:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6599 (insn, operands);

    case 3:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6601 (insn, operands);

    case 4:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6603 (insn, operands);

    case 5:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6605 (insn, operands);

    case 6:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6607 (insn, operands);

    case 7:
      if (!(
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6691 (insn, operands);

    case 8:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6609 (insn, operands);

    case 9:
      if (!(
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6693 (insn, operands);

    case 10:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6611 (insn, operands);

    case 11:
      if (!(
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6695 (insn, operands);

    case 12:
      if (!(
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6613 (insn, operands);

    case 13:
      if (!(
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6697 (insn, operands);

    case 14:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6615 (insn, operands);

    case 15:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1106 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6699 (insn, operands);

    case 16:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6617 (insn, operands);

    case 17:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6701 (insn, operands);

    case 18:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6751 (insn, operands);

    case 19:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6619 (insn, operands);

    case 20:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1108 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6703 (insn, operands);

    case 21:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1151 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6753 (insn, operands);

    case 22:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6621 (insn, operands);

    case 23:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6705 (insn, operands);

    case 24:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6755 (insn, operands);

    case 25:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6623 (insn, operands);

    case 26:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1109 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6707 (insn, operands);

    case 27:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1152 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6757 (insn, operands);

    case 28:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6625 (insn, operands);

    case 29:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6627 (insn, operands);

    case 30:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6629 (insn, operands);

    case 31:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6631 (insn, operands);

    case 32:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6633 (insn, operands);

    case 33:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6635 (insn, operands);

    case 34:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6637 (insn, operands);

    case 35:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6639 (insn, operands);

    case 36:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6641 (insn, operands);

    case 37:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6643 (insn, operands);

    case 38:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6645 (insn, operands);

    case 39:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6647 (insn, operands);

    case 40:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6649 (insn, operands);

    case 41:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1111 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6709 (insn, operands);

    case 42:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6651 (insn, operands);

    case 43:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1112 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6711 (insn, operands);

    case 44:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6653 (insn, operands);

    case 45:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1113 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6713 (insn, operands);

    case 46:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6655 (insn, operands);

    case 47:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1114 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6715 (insn, operands);

    case 48:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6657 (insn, operands);

    case 49:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1115 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6717 (insn, operands);

    case 50:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6659 (insn, operands);

    case 51:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1116 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6719 (insn, operands);

    case 52:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6661 (insn, operands);

    case 53:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1117 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6721 (insn, operands);

    case 54:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6663 (insn, operands);

    case 55:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1118 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6723 (insn, operands);

    case 56:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6665 (insn, operands);

    case 57:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1119 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6725 (insn, operands);

    case 58:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6667 (insn, operands);

    case 59:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1120 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6727 (insn, operands);

    case 60:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6669 (insn, operands);

    case 61:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1121 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6729 (insn, operands);

    case 62:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6671 (insn, operands);

    case 63:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1122 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6731 (insn, operands);

    case 64:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1154 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6759 (insn, operands);

    case 65:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6673 (insn, operands);

    case 66:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1123 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6733 (insn, operands);

    case 67:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6761 (insn, operands);

    case 68:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6675 (insn, operands);

    case 69:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1124 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6735 (insn, operands);

    case 70:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6763 (insn, operands);

    case 71:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6677 (insn, operands);

    case 72:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1125 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6737 (insn, operands);

    case 73:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6765 (insn, operands);

    case 74:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6679 (insn, operands);

    case 75:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1126 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6739 (insn, operands);

    case 76:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1158 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6767 (insn, operands);

    case 77:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6681 (insn, operands);

    case 78:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1127 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6741 (insn, operands);

    case 79:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6769 (insn, operands);

    case 80:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6683 (insn, operands);

    case 81:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1128 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6743 (insn, operands);

    case 82:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6771 (insn, operands);

    case 83:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6685 (insn, operands);

    case 84:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1129 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6745 (insn, operands);

    case 85:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1161 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6773 (insn, operands);

    case 86:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6687 (insn, operands);

    case 87:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1130 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6747 (insn, operands);

    case 88:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6775 (insn, operands);

    case 89:
      if (!((
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6689 (insn, operands);

    case 90:
      if (!((
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6749 (insn, operands);

    case 91:
      if (!((
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR) && 
#line 1163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_6777 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_127 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8QImode, 
E_RVVM1BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8QImode)
	|| register_operand (operands[3], RVVM8QImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8QImode, 7))))
        return NULL;
      return gen_split_801 (insn, operands);

    case E_RVVM4QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4QImode, 
E_RVVMF2BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4QImode)
	|| register_operand (operands[3], RVVM4QImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4QImode, 7))))
        return NULL;
      return gen_split_807 (insn, operands);

    case E_RVVM2QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2QImode, 
E_RVVMF4BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2QImode)
	|| register_operand (operands[3], RVVM2QImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2QImode, 7))))
        return NULL;
      return gen_split_813 (insn, operands);

    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1QImode, 
E_RVVMF8BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1QImode)
	|| register_operand (operands[3], RVVM1QImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1QImode, 7))))
        return NULL;
      return gen_split_819 (insn, operands);

    case E_RVVM8HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8HImode, 
E_RVVMF2BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HImode)
	|| register_operand (operands[3], RVVM8HImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8HImode, 7))))
        return NULL;
      return gen_split_825 (insn, operands);

    case E_RVVM4HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4HImode, 
E_RVVMF4BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HImode)
	|| register_operand (operands[3], RVVM4HImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4HImode, 7))))
        return NULL;
      return gen_split_831 (insn, operands);

    case E_RVVM2HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2HImode, 
E_RVVMF8BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HImode)
	|| register_operand (operands[3], RVVM2HImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2HImode, 7))))
        return NULL;
      return gen_split_837 (insn, operands);

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1HImode, 
E_RVVMF16BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HImode)
	|| register_operand (operands[3], RVVM1HImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1HImode, 7))))
        return NULL;
      return gen_split_843 (insn, operands);

    case E_RVVM8SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8SImode, 
E_RVVMF4BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SImode)
	|| register_operand (operands[3], RVVM8SImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8SImode, 7))))
        return NULL;
      return gen_split_849 (insn, operands);

    case E_RVVM4SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4SImode, 
E_RVVMF8BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SImode)
	|| register_operand (operands[3], RVVM4SImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4SImode, 7))))
        return NULL;
      return gen_split_855 (insn, operands);

    case E_RVVM2SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2SImode, 
E_RVVMF16BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SImode)
	|| register_operand (operands[3], RVVM2SImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2SImode, 7))))
        return NULL;
      return gen_split_861 (insn, operands);

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1SImode, 
E_RVVMF32BImode) != 0
          || !(
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SImode)
	|| register_operand (operands[3], RVVM1SImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1SImode, 7))))
        return NULL;
      return gen_split_867 (insn, operands);

    case E_RVVM8DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8DImode, 
E_RVVMF8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DImode)
	|| register_operand (operands[3], RVVM8DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8DImode, 7))))
        return NULL;
      return gen_split_873 (insn, operands);

    case E_RVVM4DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4DImode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DImode)
	|| register_operand (operands[3], RVVM4DImode)))) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4DImode, 7))))
        return NULL;
      return gen_split_879 (insn, operands);

    case E_RVVM2DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2DImode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DImode)
	|| register_operand (operands[3], RVVM2DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2DImode, 7))))
        return NULL;
      return gen_split_885 (insn, operands);

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1DImode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DImode)
	|| register_operand (operands[3], RVVM1DImode)))) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1DImode, 7))))
        return NULL;
      return gen_split_891 (insn, operands);

    case E_RVVMF2QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2QImode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2QImode)
	|| register_operand (operands[3], RVVMF2QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2QImode, 7))))
        return NULL;
      return gen_split_897 (insn, operands);

    case E_RVVMF4QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF4QImode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4QImode)
	|| register_operand (operands[3], RVVMF4QImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF4QImode, 7))))
        return NULL;
      return gen_split_903 (insn, operands);

    case E_RVVMF8QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF8QImode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF8QImode)
	|| register_operand (operands[3], RVVMF8QImode)))) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF8QImode, 7))))
        return NULL;
      return gen_split_909 (insn, operands);

    case E_RVVMF2HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2HImode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HImode)
	|| register_operand (operands[3], RVVMF2HImode)))) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2HImode, 7))))
        return NULL;
      return gen_split_915 (insn, operands);

    case E_RVVMF4HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF4HImode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HImode)
	|| register_operand (operands[3], RVVMF4HImode)))) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF4HImode, 7))))
        return NULL;
      return gen_split_921 (insn, operands);

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2SImode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SImode)
	|| register_operand (operands[3], RVVMF2SImode)))) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2SImode, 7))))
        return NULL;
      return gen_split_927 (insn, operands);

    case E_RVVM8BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8BFmode, 
E_RVVMF2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8BFmode)
	|| register_operand (operands[3], RVVM8BFmode)))) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8BFmode, 7))))
        return NULL;
      return gen_split_933 (insn, operands);

    case E_RVVM4BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4BFmode, 
E_RVVMF4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4BFmode)
	|| register_operand (operands[3], RVVM4BFmode)))) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4BFmode, 7))))
        return NULL;
      return gen_split_939 (insn, operands);

    case E_RVVM2BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2BFmode, 
E_RVVMF8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2BFmode)
	|| register_operand (operands[3], RVVM2BFmode)))) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2BFmode, 7))))
        return NULL;
      return gen_split_945 (insn, operands);

    case E_RVVM1BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1BFmode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1BFmode)
	|| register_operand (operands[3], RVVM1BFmode)))) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1BFmode, 7))))
        return NULL;
      return gen_split_951 (insn, operands);

    case E_RVVMF2BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2BFmode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2BFmode)
	|| register_operand (operands[3], RVVMF2BFmode)))) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2BFmode, 7))))
        return NULL;
      return gen_split_957 (insn, operands);

    case E_RVVMF4BFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF4BFmode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4BFmode)
	|| register_operand (operands[3], RVVMF4BFmode)))) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF4BFmode, 7))))
        return NULL;
      return gen_split_963 (insn, operands);

    case E_RVVM8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8HFmode, 
E_RVVMF2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8HFmode)
	|| register_operand (operands[3], RVVM8HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8HFmode, 7))))
        return NULL;
      return gen_split_969 (insn, operands);

    case E_RVVM4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4HFmode, 
E_RVVMF4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4HFmode)
	|| register_operand (operands[3], RVVM4HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4HFmode, 7))))
        return NULL;
      return gen_split_975 (insn, operands);

    case E_RVVM2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2HFmode, 
E_RVVMF8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2HFmode)
	|| register_operand (operands[3], RVVM2HFmode)))) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2HFmode, 7))))
        return NULL;
      return gen_split_981 (insn, operands);

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1HFmode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1HFmode)
	|| register_operand (operands[3], RVVM1HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1HFmode, 7))))
        return NULL;
      return gen_split_987 (insn, operands);

    case E_RVVMF2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2HFmode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2HFmode)
	|| register_operand (operands[3], RVVMF2HFmode)))) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2HFmode, 7))))
        return NULL;
      return gen_split_993 (insn, operands);

    case E_RVVMF4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF4HFmode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF4HFmode)
	|| register_operand (operands[3], RVVMF4HFmode)))) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF4HFmode, 7))))
        return NULL;
      return gen_split_999 (insn, operands);

    case E_RVVM8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8SFmode, 
E_RVVMF4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8SFmode)
	|| register_operand (operands[3], RVVM8SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8SFmode, 7))))
        return NULL;
      return gen_split_1005 (insn, operands);

    case E_RVVM4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4SFmode, 
E_RVVMF8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4SFmode)
	|| register_operand (operands[3], RVVM4SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4SFmode, 7))))
        return NULL;
      return gen_split_1011 (insn, operands);

    case E_RVVM2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2SFmode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2SFmode)
	|| register_operand (operands[3], RVVM2SFmode)))) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2SFmode, 7))))
        return NULL;
      return gen_split_1017 (insn, operands);

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1SFmode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1SFmode)
	|| register_operand (operands[3], RVVM1SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1SFmode, 7))))
        return NULL;
      return gen_split_1023 (insn, operands);

    case E_RVVMF2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVMF2SFmode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVMF2SFmode)
	|| register_operand (operands[3], RVVMF2SFmode)))) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVMF2SFmode, 7))))
        return NULL;
      return gen_split_1029 (insn, operands);

    case E_RVVM8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM8DFmode, 
E_RVVMF8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM8DFmode)
	|| register_operand (operands[3], RVVM8DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM8DFmode, 7))))
        return NULL;
      return gen_split_1035 (insn, operands);

    case E_RVVM4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM4DFmode, 
E_RVVMF16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM4DFmode)
	|| register_operand (operands[3], RVVM4DFmode)))) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM4DFmode, 7))))
        return NULL;
      return gen_split_1041 (insn, operands);

    case E_RVVM2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM2DFmode, 
E_RVVMF32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM2DFmode)
	|| register_operand (operands[3], RVVM2DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM2DFmode, 7))))
        return NULL;
      return gen_split_1047 (insn, operands);

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_RVVM1DFmode, 
E_RVVMF64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], RVVM1DFmode)
	|| register_operand (operands[3], RVVM1DFmode)))) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, RVVM1DFmode, 7))))
        return NULL;
      return gen_split_1053 (insn, operands);

    case E_V1QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1QImode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1QImode)
	|| register_operand (operands[3], V1QImode)))) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1QImode, 7))))
        return NULL;
      return gen_split_1059 (insn, operands);

    case E_V2QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2QImode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2QImode)
	|| register_operand (operands[3], V2QImode)))) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2QImode, 7))))
        return NULL;
      return gen_split_1065 (insn, operands);

    case E_V4QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4QImode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4QImode)
	|| register_operand (operands[3], V4QImode)))) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4QImode, 7))))
        return NULL;
      return gen_split_1071 (insn, operands);

    case E_V8QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8QImode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8QImode)
	|| register_operand (operands[3], V8QImode)))) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8QImode, 7))))
        return NULL;
      return gen_split_1077 (insn, operands);

    case E_V16QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16QImode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16QImode)
	|| register_operand (operands[3], V16QImode)))) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16QImode, 7))))
        return NULL;
      return gen_split_1083 (insn, operands);

    case E_V32QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32QImode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32QImode)
	|| register_operand (operands[3], V32QImode)))) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32QImode, 7))))
        return NULL;
      return gen_split_1089 (insn, operands);

    case E_V64QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64QImode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64QImode)
	|| register_operand (operands[3], V64QImode)))) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64QImode, 7))))
        return NULL;
      return gen_split_1095 (insn, operands);

    case E_V128QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128QImode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128QImode)
	|| register_operand (operands[3], V128QImode)))) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128QImode, 7))))
        return NULL;
      return gen_split_1101 (insn, operands);

    case E_V256QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256QImode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256QImode)
	|| register_operand (operands[3], V256QImode)))) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256QImode, 7))))
        return NULL;
      return gen_split_1107 (insn, operands);

    case E_V512QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512QImode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512QImode)
	|| register_operand (operands[3], V512QImode)))) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512QImode, 7))))
        return NULL;
      return gen_split_1113 (insn, operands);

    case E_V1024QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1024QImode, 
E_V1024BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024QImode)
	|| register_operand (operands[3], V1024QImode)))) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024QImode, 7))))
        return NULL;
      return gen_split_1119 (insn, operands);

    case E_V2048QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2048QImode, 
E_V2048BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048QImode)
	|| register_operand (operands[3], V2048QImode)))) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2048QImode, 7))))
        return NULL;
      return gen_split_1125 (insn, operands);

    case E_V4096QImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4096QImode, 
E_V4096BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4096QImode)
	|| register_operand (operands[3], V4096QImode)))) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4096QImode, 7))))
        return NULL;
      return gen_split_1131 (insn, operands);

    case E_V1HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1HImode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HImode)
	|| register_operand (operands[3], V1HImode)))) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1HImode, 7))))
        return NULL;
      return gen_split_1137 (insn, operands);

    case E_V2HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2HImode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HImode)
	|| register_operand (operands[3], V2HImode)))) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2HImode, 7))))
        return NULL;
      return gen_split_1143 (insn, operands);

    case E_V4HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4HImode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HImode)
	|| register_operand (operands[3], V4HImode)))) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4HImode, 7))))
        return NULL;
      return gen_split_1149 (insn, operands);

    case E_V8HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8HImode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HImode)
	|| register_operand (operands[3], V8HImode)))) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8HImode, 7))))
        return NULL;
      return gen_split_1155 (insn, operands);

    case E_V16HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16HImode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HImode)
	|| register_operand (operands[3], V16HImode)))) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16HImode, 7))))
        return NULL;
      return gen_split_1161 (insn, operands);

    case E_V32HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32HImode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HImode)
	|| register_operand (operands[3], V32HImode)))) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32HImode, 7))))
        return NULL;
      return gen_split_1167 (insn, operands);

    case E_V64HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64HImode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HImode)
	|| register_operand (operands[3], V64HImode)))) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64HImode, 7))))
        return NULL;
      return gen_split_1173 (insn, operands);

    case E_V128HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128HImode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HImode)
	|| register_operand (operands[3], V128HImode)))) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128HImode, 7))))
        return NULL;
      return gen_split_1179 (insn, operands);

    case E_V256HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256HImode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HImode)
	|| register_operand (operands[3], V256HImode)))) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256HImode, 7))))
        return NULL;
      return gen_split_1185 (insn, operands);

    case E_V512HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512HImode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HImode)
	|| register_operand (operands[3], V512HImode)))) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512HImode, 7))))
        return NULL;
      return gen_split_1191 (insn, operands);

    case E_V1024HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1024HImode, 
E_V1024BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HImode)
	|| register_operand (operands[3], V1024HImode)))) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024HImode, 7))))
        return NULL;
      return gen_split_1197 (insn, operands);

    case E_V2048HImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2048HImode, 
E_V2048BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HImode)
	|| register_operand (operands[3], V2048HImode)))) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2048HImode, 7))))
        return NULL;
      return gen_split_1203 (insn, operands);

    case E_V1SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1SImode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SImode)
	|| register_operand (operands[3], V1SImode)))) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1SImode, 7))))
        return NULL;
      return gen_split_1209 (insn, operands);

    case E_V2SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2SImode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SImode)
	|| register_operand (operands[3], V2SImode)))) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2SImode, 7))))
        return NULL;
      return gen_split_1215 (insn, operands);

    case E_V4SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4SImode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SImode)
	|| register_operand (operands[3], V4SImode)))) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4SImode, 7))))
        return NULL;
      return gen_split_1221 (insn, operands);

    case E_V8SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8SImode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SImode)
	|| register_operand (operands[3], V8SImode)))) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8SImode, 7))))
        return NULL;
      return gen_split_1227 (insn, operands);

    case E_V16SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16SImode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SImode)
	|| register_operand (operands[3], V16SImode)))) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16SImode, 7))))
        return NULL;
      return gen_split_1233 (insn, operands);

    case E_V32SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32SImode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SImode)
	|| register_operand (operands[3], V32SImode)))) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32SImode, 7))))
        return NULL;
      return gen_split_1239 (insn, operands);

    case E_V64SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64SImode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SImode)
	|| register_operand (operands[3], V64SImode)))) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64SImode, 7))))
        return NULL;
      return gen_split_1245 (insn, operands);

    case E_V128SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128SImode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SImode)
	|| register_operand (operands[3], V128SImode)))) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128SImode, 7))))
        return NULL;
      return gen_split_1251 (insn, operands);

    case E_V256SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256SImode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SImode)
	|| register_operand (operands[3], V256SImode)))) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256SImode, 7))))
        return NULL;
      return gen_split_1257 (insn, operands);

    case E_V512SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512SImode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SImode)
	|| register_operand (operands[3], V512SImode)))) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512SImode, 7))))
        return NULL;
      return gen_split_1263 (insn, operands);

    case E_V1024SImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1024SImode, 
E_V1024BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SImode)
	|| register_operand (operands[3], V1024SImode)))) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024SImode, 7))))
        return NULL;
      return gen_split_1269 (insn, operands);

    case E_V1DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1DImode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DImode)
	|| register_operand (operands[3], V1DImode)))) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1DImode, 7))))
        return NULL;
      return gen_split_1275 (insn, operands);

    case E_V2DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2DImode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DImode)
	|| register_operand (operands[3], V2DImode)))) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2DImode, 7))))
        return NULL;
      return gen_split_1281 (insn, operands);

    case E_V4DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4DImode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DImode)
	|| register_operand (operands[3], V4DImode)))) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4DImode, 7))))
        return NULL;
      return gen_split_1287 (insn, operands);

    case E_V8DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8DImode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DImode)
	|| register_operand (operands[3], V8DImode)))) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8DImode, 7))))
        return NULL;
      return gen_split_1293 (insn, operands);

    case E_V16DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16DImode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DImode)
	|| register_operand (operands[3], V16DImode)))) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16DImode, 7))))
        return NULL;
      return gen_split_1299 (insn, operands);

    case E_V32DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32DImode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DImode)
	|| register_operand (operands[3], V32DImode)))) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32DImode, 7))))
        return NULL;
      return gen_split_1305 (insn, operands);

    case E_V64DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64DImode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DImode)
	|| register_operand (operands[3], V64DImode)))) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64DImode, 7))))
        return NULL;
      return gen_split_1311 (insn, operands);

    case E_V128DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128DImode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DImode)
	|| register_operand (operands[3], V128DImode)))) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128DImode, 7))))
        return NULL;
      return gen_split_1317 (insn, operands);

    case E_V256DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256DImode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DImode)
	|| register_operand (operands[3], V256DImode)))) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256DImode, 7))))
        return NULL;
      return gen_split_1323 (insn, operands);

    case E_V512DImode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512DImode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DImode)
	|| register_operand (operands[3], V512DImode)))) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512DImode, 7))))
        return NULL;
      return gen_split_1329 (insn, operands);

    case E_V1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1HFmode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1HFmode)
	|| register_operand (operands[3], V1HFmode)))) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1HFmode, 7))))
        return NULL;
      return gen_split_1335 (insn, operands);

    case E_V2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2HFmode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2HFmode)
	|| register_operand (operands[3], V2HFmode)))) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2HFmode, 7))))
        return NULL;
      return gen_split_1341 (insn, operands);

    case E_V4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4HFmode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4HFmode)
	|| register_operand (operands[3], V4HFmode)))) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4HFmode, 7))))
        return NULL;
      return gen_split_1347 (insn, operands);

    case E_V8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8HFmode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8HFmode)
	|| register_operand (operands[3], V8HFmode)))) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8HFmode, 7))))
        return NULL;
      return gen_split_1353 (insn, operands);

    case E_V16HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16HFmode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16HFmode)
	|| register_operand (operands[3], V16HFmode)))) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16HFmode, 7))))
        return NULL;
      return gen_split_1359 (insn, operands);

    case E_V32HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32HFmode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32HFmode)
	|| register_operand (operands[3], V32HFmode)))) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32HFmode, 7))))
        return NULL;
      return gen_split_1365 (insn, operands);

    case E_V64HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64HFmode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64HFmode)
	|| register_operand (operands[3], V64HFmode)))) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64HFmode, 7))))
        return NULL;
      return gen_split_1371 (insn, operands);

    case E_V128HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128HFmode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128HFmode)
	|| register_operand (operands[3], V128HFmode)))) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128HFmode, 7))))
        return NULL;
      return gen_split_1377 (insn, operands);

    case E_V256HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256HFmode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256HFmode)
	|| register_operand (operands[3], V256HFmode)))) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256HFmode, 7))))
        return NULL;
      return gen_split_1383 (insn, operands);

    case E_V512HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512HFmode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512HFmode)
	|| register_operand (operands[3], V512HFmode)))) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512HFmode, 7))))
        return NULL;
      return gen_split_1389 (insn, operands);

    case E_V1024HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1024HFmode, 
E_V1024BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024HFmode)
	|| register_operand (operands[3], V1024HFmode)))) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024HFmode, 7))))
        return NULL;
      return gen_split_1395 (insn, operands);

    case E_V2048HFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2048HFmode, 
E_V2048BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2048HFmode)
	|| register_operand (operands[3], V2048HFmode)))) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2048HFmode, 7))))
        return NULL;
      return gen_split_1401 (insn, operands);

    case E_V1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1SFmode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1SFmode)
	|| register_operand (operands[3], V1SFmode)))) && 
#line 284 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1SFmode, 7))))
        return NULL;
      return gen_split_1407 (insn, operands);

    case E_V2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2SFmode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2SFmode)
	|| register_operand (operands[3], V2SFmode)))) && 
#line 285 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2SFmode, 7))))
        return NULL;
      return gen_split_1413 (insn, operands);

    case E_V4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4SFmode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4SFmode)
	|| register_operand (operands[3], V4SFmode)))) && 
#line 286 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4SFmode, 7))))
        return NULL;
      return gen_split_1419 (insn, operands);

    case E_V8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8SFmode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8SFmode)
	|| register_operand (operands[3], V8SFmode)))) && 
#line 287 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8SFmode, 7))))
        return NULL;
      return gen_split_1425 (insn, operands);

    case E_V16SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16SFmode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16SFmode)
	|| register_operand (operands[3], V16SFmode)))) && 
#line 288 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16SFmode, 7))))
        return NULL;
      return gen_split_1431 (insn, operands);

    case E_V32SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32SFmode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32SFmode)
	|| register_operand (operands[3], V32SFmode)))) && 
#line 289 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32SFmode, 7))))
        return NULL;
      return gen_split_1437 (insn, operands);

    case E_V64SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64SFmode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64SFmode)
	|| register_operand (operands[3], V64SFmode)))) && 
#line 290 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64SFmode, 7))))
        return NULL;
      return gen_split_1443 (insn, operands);

    case E_V128SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128SFmode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128SFmode)
	|| register_operand (operands[3], V128SFmode)))) && 
#line 291 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128SFmode, 7))))
        return NULL;
      return gen_split_1449 (insn, operands);

    case E_V256SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256SFmode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256SFmode)
	|| register_operand (operands[3], V256SFmode)))) && 
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256SFmode, 7))))
        return NULL;
      return gen_split_1455 (insn, operands);

    case E_V512SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512SFmode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512SFmode)
	|| register_operand (operands[3], V512SFmode)))) && 
#line 293 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512SFmode, 7))))
        return NULL;
      return gen_split_1461 (insn, operands);

    case E_V1024SFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1024SFmode, 
E_V1024BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1024SFmode)
	|| register_operand (operands[3], V1024SFmode)))) && 
#line 294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1024SFmode, 7))))
        return NULL;
      return gen_split_1467 (insn, operands);

    case E_V1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V1DFmode, 
E_V1BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V1DFmode)
	|| register_operand (operands[3], V1DFmode)))) && 
#line 295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V1DFmode, 7))))
        return NULL;
      return gen_split_1473 (insn, operands);

    case E_V2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V2DFmode, 
E_V2BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V2DFmode)
	|| register_operand (operands[3], V2DFmode)))) && 
#line 296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V2DFmode, 7))))
        return NULL;
      return gen_split_1479 (insn, operands);

    case E_V4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V4DFmode, 
E_V4BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V4DFmode)
	|| register_operand (operands[3], V4DFmode)))) && 
#line 297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V4DFmode, 7))))
        return NULL;
      return gen_split_1485 (insn, operands);

    case E_V8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V8DFmode, 
E_V8BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V8DFmode)
	|| register_operand (operands[3], V8DFmode)))) && 
#line 298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V8DFmode, 7))))
        return NULL;
      return gen_split_1491 (insn, operands);

    case E_V16DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V16DFmode, 
E_V16BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V16DFmode)
	|| register_operand (operands[3], V16DFmode)))) && 
#line 299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V16DFmode, 7))))
        return NULL;
      return gen_split_1497 (insn, operands);

    case E_V32DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V32DFmode, 
E_V32BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V32DFmode)
	|| register_operand (operands[3], V32DFmode)))) && 
#line 300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V32DFmode, 7))))
        return NULL;
      return gen_split_1503 (insn, operands);

    case E_V64DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V64DFmode, 
E_V64BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V64DFmode)
	|| register_operand (operands[3], V64DFmode)))) && 
#line 301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V64DFmode, 7))))
        return NULL;
      return gen_split_1509 (insn, operands);

    case E_V128DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V128DFmode, 
E_V128BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V128DFmode)
	|| register_operand (operands[3], V128DFmode)))) && 
#line 302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V128DFmode, 7))))
        return NULL;
      return gen_split_1515 (insn, operands);

    case E_V256DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V256DFmode, 
E_V256BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V256DFmode)
	|| register_operand (operands[3], V256DFmode)))) && 
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V256DFmode, 7))))
        return NULL;
      return gen_split_1521 (insn, operands);

    case E_V512DFmode:
      x2 = XEXP (x1, 1);
      if (pattern473 (x2, 
E_V512DFmode, 
E_V512BImode) != 0
          || !((
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
((TARGET_XTHEADVECTOR
    && (register_operand (operands[0], V512DFmode)
	|| register_operand (operands[3], V512DFmode)))) && 
#line 304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/thead-vector.md"
( riscv_vector::whole_reg_to_reg_move_p (operands, V512DFmode, 7))))
        return NULL;
      return gen_split_1527 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_135 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_RVVM8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5293 (insn, operands);

    case E_RVVM4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5294 (insn, operands);

    case E_RVVM2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5295 (insn, operands);

    case E_RVVM1QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1QImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5296 (insn, operands);

    case E_RVVM8HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5297 (insn, operands);

    case E_RVVM4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5298 (insn, operands);

    case E_RVVM2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5299 (insn, operands);

    case E_RVVM1HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1HImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5300 (insn, operands);

    case E_RVVM8SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5301 (insn, operands);

    case E_RVVM4SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5302 (insn, operands);

    case E_RVVM2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5303 (insn, operands);

    case E_RVVM1SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1SImode) != 0
          || !(
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5304 (insn, operands);

    case E_RVVM8DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5305 (insn, operands);

    case E_RVVM4DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5306 (insn, operands);

    case E_RVVM2DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5307 (insn, operands);

    case E_RVVM1DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5308 (insn, operands);

    case E_RVVMF2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5309 (insn, operands);

    case E_RVVMF4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5310 (insn, operands);

    case E_RVVMF8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF8QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5311 (insn, operands);

    case E_RVVMF2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5312 (insn, operands);

    case E_RVVMF4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5313 (insn, operands);

    case E_RVVMF2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5314 (insn, operands);

    case E_V1QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5315 (insn, operands);

    case E_V2QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5316 (insn, operands);

    case E_V4QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5317 (insn, operands);

    case E_V8QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5318 (insn, operands);

    case E_V16QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5319 (insn, operands);

    case E_V32QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5320 (insn, operands);

    case E_V64QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5321 (insn, operands);

    case E_V128QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5322 (insn, operands);

    case E_V256QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5323 (insn, operands);

    case E_V512QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5324 (insn, operands);

    case E_V1024QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5325 (insn, operands);

    case E_V2048QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5326 (insn, operands);

    case E_V4096QImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4096QImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5327 (insn, operands);

    case E_V1HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5328 (insn, operands);

    case E_V2HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5329 (insn, operands);

    case E_V4HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5330 (insn, operands);

    case E_V8HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5331 (insn, operands);

    case E_V16HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5332 (insn, operands);

    case E_V32HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5333 (insn, operands);

    case E_V64HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5334 (insn, operands);

    case E_V128HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5335 (insn, operands);

    case E_V256HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5336 (insn, operands);

    case E_V512HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5337 (insn, operands);

    case E_V1024HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5338 (insn, operands);

    case E_V2048HImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048HImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5339 (insn, operands);

    case E_V1SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5340 (insn, operands);

    case E_V2SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5341 (insn, operands);

    case E_V4SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5342 (insn, operands);

    case E_V8SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5343 (insn, operands);

    case E_V16SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5344 (insn, operands);

    case E_V32SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5345 (insn, operands);

    case E_V64SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5346 (insn, operands);

    case E_V128SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5347 (insn, operands);

    case E_V256SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5348 (insn, operands);

    case E_V512SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5349 (insn, operands);

    case E_V1024SImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024SImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5350 (insn, operands);

    case E_V1DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5351 (insn, operands);

    case E_V2DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5352 (insn, operands);

    case E_V4DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5353 (insn, operands);

    case E_V8DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5354 (insn, operands);

    case E_V16DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5355 (insn, operands);

    case E_V32DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5356 (insn, operands);

    case E_V64DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5357 (insn, operands);

    case E_V128DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5358 (insn, operands);

    case E_V256DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5359 (insn, operands);

    case E_V512DImode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512DImode) != 0
          || !((
#line 1200 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1202 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5360 (insn, operands);

    case E_RVVM8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5409 (insn, operands);

    case E_RVVM4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5410 (insn, operands);

    case E_RVVM2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 155 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5411 (insn, operands);

    case E_RVVM1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5412 (insn, operands);

    case E_RVVMF2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 156 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5413 (insn, operands);

    case E_RVVMF4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF4HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 157 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_ZVFH && TARGET_MIN_VLEN > 32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5414 (insn, operands);

    case E_RVVM8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5415 (insn, operands);

    case E_RVVM4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5416 (insn, operands);

    case E_RVVM2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 159 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5417 (insn, operands);

    case E_RVVM1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5418 (insn, operands);

    case E_RVVMF2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVMF2SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 160 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5419 (insn, operands);

    case E_RVVM8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM8DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5420 (insn, operands);

    case E_RVVM4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM4DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 162 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5421 (insn, operands);

    case E_RVVM2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM2DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5422 (insn, operands);

    case E_RVVM1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_RVVM1DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 163 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5423 (insn, operands);

    case E_V1HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 236 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5424 (insn, operands);

    case E_V2HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 237 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5425 (insn, operands);

    case E_V4HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 238 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5426 (insn, operands);

    case E_V8HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 239 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5427 (insn, operands);

    case E_V16HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 240 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_ZVFH)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5428 (insn, operands);

    case E_V32HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 241 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5429 (insn, operands);

    case E_V64HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 242 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 128)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5430 (insn, operands);

    case E_V128HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 243 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 256)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5431 (insn, operands);

    case E_V256HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 244 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 512)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5432 (insn, operands);

    case E_V512HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 245 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 1024)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5433 (insn, operands);

    case E_V1024HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 246 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 2048)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5434 (insn, operands);

    case E_V2048HFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2048HFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 247 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_ZVFH && TARGET_MIN_VLEN >= 4096)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5435 (insn, operands);

    case E_V1SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 248 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5436 (insn, operands);

    case E_V2SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 249 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5437 (insn, operands);

    case E_V4SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 250 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5438 (insn, operands);

    case E_V8SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 251 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5439 (insn, operands);

    case E_V16SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 252 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5440 (insn, operands);

    case E_V32SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 253 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5441 (insn, operands);

    case E_V64SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 254 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5442 (insn, operands);

    case E_V128SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 255 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5443 (insn, operands);

    case E_V256SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 256 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5444 (insn, operands);

    case E_V512SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 257 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5445 (insn, operands);

    case E_V1024SFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1024SFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 258 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5446 (insn, operands);

    case E_V1DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V1DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 259 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5447 (insn, operands);

    case E_V2DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V2DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 260 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5448 (insn, operands);

    case E_V4DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V4DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 261 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5449 (insn, operands);

    case E_V8DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V8DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 262 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5450 (insn, operands);

    case E_V16DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V16DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 263 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5451 (insn, operands);

    case E_V32DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V32DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 264 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5452 (insn, operands);

    case E_V64DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V64DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 265 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5453 (insn, operands);

    case E_V128DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V128DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 266 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5454 (insn, operands);

    case E_V256DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V256DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 267 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5455 (insn, operands);

    case E_V512DFmode:
      x2 = XEXP (x1, 1);
      if (pattern402 (x2, 
E_V512DFmode) != 0
          || !((
#line 1256 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 268 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1258 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_5456 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_144 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern160 (x2))
    {
    case 0:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7845 (insn, operands);

    case 1:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7849 (insn, operands);

    case 2:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7853 (insn, operands);

    case 3:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7857 (insn, operands);

    case 4:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7861 (insn, operands);

    case 5:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7865 (insn, operands);

    case 6:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7869 (insn, operands);

    case 7:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7873 (insn, operands);

    case 8:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7877 (insn, operands);

    case 9:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7881 (insn, operands);

    case 10:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7885 (insn, operands);

    case 11:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7889 (insn, operands);

    case 12:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7893 (insn, operands);

    case 13:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7897 (insn, operands);

    case 14:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7901 (insn, operands);

    case 15:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7905 (insn, operands);

    case 16:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7909 (insn, operands);

    case 17:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7913 (insn, operands);

    case 18:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7917 (insn, operands);

    case 19:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7921 (insn, operands);

    case 20:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7925 (insn, operands);

    case 21:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7929 (insn, operands);

    case 22:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7933 (insn, operands);

    case 23:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7937 (insn, operands);

    case 24:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7941 (insn, operands);

    case 25:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7945 (insn, operands);

    case 26:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7949 (insn, operands);

    case 27:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7953 (insn, operands);

    case 28:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7957 (insn, operands);

    case 29:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7961 (insn, operands);

    case 30:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7965 (insn, operands);

    case 31:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7969 (insn, operands);

    case 32:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7973 (insn, operands);

    case 33:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7977 (insn, operands);

    case 34:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7981 (insn, operands);

    case 35:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7985 (insn, operands);

    case 36:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7989 (insn, operands);

    case 37:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7993 (insn, operands);

    case 38:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7997 (insn, operands);

    case 39:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8001 (insn, operands);

    case 40:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8005 (insn, operands);

    case 41:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8009 (insn, operands);

    case 42:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8013 (insn, operands);

    case 43:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8017 (insn, operands);

    case 44:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8021 (insn, operands);

    case 45:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8025 (insn, operands);

    case 46:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8029 (insn, operands);

    case 47:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8033 (insn, operands);

    case 48:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7847 (insn, operands);

    case 49:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7851 (insn, operands);

    case 50:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7855 (insn, operands);

    case 51:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7859 (insn, operands);

    case 52:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7863 (insn, operands);

    case 53:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7867 (insn, operands);

    case 54:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7871 (insn, operands);

    case 55:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7875 (insn, operands);

    case 56:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7879 (insn, operands);

    case 57:
      if (!(
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7883 (insn, operands);

    case 58:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7887 (insn, operands);

    case 59:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7891 (insn, operands);

    case 60:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7895 (insn, operands);

    case 61:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7899 (insn, operands);

    case 62:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7903 (insn, operands);

    case 63:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7907 (insn, operands);

    case 64:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7911 (insn, operands);

    case 65:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7915 (insn, operands);

    case 66:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7919 (insn, operands);

    case 67:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7923 (insn, operands);

    case 68:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7927 (insn, operands);

    case 69:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7931 (insn, operands);

    case 70:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7935 (insn, operands);

    case 71:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7939 (insn, operands);

    case 72:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7943 (insn, operands);

    case 73:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7947 (insn, operands);

    case 74:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7951 (insn, operands);

    case 75:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7955 (insn, operands);

    case 76:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7959 (insn, operands);

    case 77:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7963 (insn, operands);

    case 78:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7967 (insn, operands);

    case 79:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7971 (insn, operands);

    case 80:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7975 (insn, operands);

    case 81:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7979 (insn, operands);

    case 82:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7983 (insn, operands);

    case 83:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7987 (insn, operands);

    case 84:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7991 (insn, operands);

    case 85:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7995 (insn, operands);

    case 86:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_7999 (insn, operands);

    case 87:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8003 (insn, operands);

    case 88:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8007 (insn, operands);

    case 89:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8011 (insn, operands);

    case 90:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8015 (insn, operands);

    case 91:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8019 (insn, operands);

    case 92:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8023 (insn, operands);

    case 93:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8027 (insn, operands);

    case 94:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8031 (insn, operands);

    case 95:
      if (!((
#line 569 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 571 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8035 (insn, operands);

    case 96:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8037 (insn, operands);

    case 97:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8039 (insn, operands);

    case 98:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8041 (insn, operands);

    case 99:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8043 (insn, operands);

    case 100:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8045 (insn, operands);

    case 101:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 946 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8047 (insn, operands);

    case 102:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8049 (insn, operands);

    case 103:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8051 (insn, operands);

    case 104:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8053 (insn, operands);

    case 105:
      if (!(
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8055 (insn, operands);

    case 106:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 948 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8057 (insn, operands);

    case 107:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8059 (insn, operands);

    case 108:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 950 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8061 (insn, operands);

    case 109:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8063 (insn, operands);

    case 110:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 951 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8065 (insn, operands);

    case 111:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 953 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8067 (insn, operands);

    case 112:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 954 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8069 (insn, operands);

    case 113:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 955 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8071 (insn, operands);

    case 114:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 956 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8073 (insn, operands);

    case 115:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 957 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8075 (insn, operands);

    case 116:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 958 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8077 (insn, operands);

    case 117:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 959 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8079 (insn, operands);

    case 118:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 960 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8081 (insn, operands);

    case 119:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 961 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8083 (insn, operands);

    case 120:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 962 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8085 (insn, operands);

    case 121:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 963 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8087 (insn, operands);

    case 122:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 964 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8089 (insn, operands);

    case 123:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 965 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8091 (insn, operands);

    case 124:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 966 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8093 (insn, operands);

    case 125:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 967 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8095 (insn, operands);

    case 126:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 968 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8097 (insn, operands);

    case 127:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 969 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8099 (insn, operands);

    case 128:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 970 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8101 (insn, operands);

    case 129:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 971 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8103 (insn, operands);

    case 130:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 972 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8105 (insn, operands);

    case 131:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 973 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8107 (insn, operands);

    case 132:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 974 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8109 (insn, operands);

    case 133:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 975 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8111 (insn, operands);

    case 134:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 976 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8113 (insn, operands);

    case 135:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 977 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8115 (insn, operands);

    case 136:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 978 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8117 (insn, operands);

    case 137:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 979 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8119 (insn, operands);

    case 138:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 980 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8121 (insn, operands);

    case 139:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 981 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8123 (insn, operands);

    case 140:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 982 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8125 (insn, operands);

    case 141:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 983 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8127 (insn, operands);

    case 142:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 984 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8129 (insn, operands);

    case 143:
      if (!((
#line 587 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 985 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 589 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
        return NULL;
      return gen_split_8131 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_154 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern117 (x2))
    {
    case 0:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2183 (insn, operands);

    case 1:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2184 (insn, operands);

    case 2:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2185 (insn, operands);

    case 3:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2186 (insn, operands);

    case 4:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2187 (insn, operands);

    case 5:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2188 (insn, operands);

    case 6:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2189 (insn, operands);

    case 7:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2190 (insn, operands);

    case 8:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2191 (insn, operands);

    case 9:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2192 (insn, operands);

    case 10:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2193 (insn, operands);

    case 11:
      if (!(
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2194 (insn, operands);

    case 12:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2195 (insn, operands);

    case 13:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2196 (insn, operands);

    case 14:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2197 (insn, operands);

    case 15:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2198 (insn, operands);

    case 16:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2199 (insn, operands);

    case 17:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2200 (insn, operands);

    case 18:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2201 (insn, operands);

    case 19:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2202 (insn, operands);

    case 20:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2203 (insn, operands);

    case 21:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2204 (insn, operands);

    case 22:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 167 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2205 (insn, operands);

    case 23:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 168 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2206 (insn, operands);

    case 24:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 169 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2207 (insn, operands);

    case 25:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 170 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2208 (insn, operands);

    case 26:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 171 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2209 (insn, operands);

    case 27:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 172 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_BF_16 && TARGET_MIN_VLEN > 32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2210 (insn, operands);

    case 28:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2211 (insn, operands);

    case 29:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2212 (insn, operands);

    case 30:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 176 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2213 (insn, operands);

    case 31:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2214 (insn, operands);

    case 32:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 177 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2215 (insn, operands);

    case 33:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 178 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN > 32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2216 (insn, operands);

    case 34:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2217 (insn, operands);

    case 35:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2218 (insn, operands);

    case 36:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 180 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2219 (insn, operands);

    case 37:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2220 (insn, operands);

    case 38:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 181 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN > 32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2221 (insn, operands);

    case 39:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2222 (insn, operands);

    case 40:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 183 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2223 (insn, operands);

    case 41:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2224 (insn, operands);

    case 42:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 184 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2225 (insn, operands);

    case 43:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2226 (insn, operands);

    case 44:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2227 (insn, operands);

    case 45:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2228 (insn, operands);

    case 46:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2229 (insn, operands);

    case 47:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2230 (insn, operands);

    case 48:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2231 (insn, operands);

    case 49:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2232 (insn, operands);

    case 50:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2233 (insn, operands);

    case 51:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2234 (insn, operands);

    case 52:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2235 (insn, operands);

    case 53:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2236 (insn, operands);

    case 54:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2237 (insn, operands);

    case 55:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2238 (insn, operands);

    case 56:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2239 (insn, operands);

    case 57:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2240 (insn, operands);

    case 58:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2241 (insn, operands);

    case 59:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2242 (insn, operands);

    case 60:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2243 (insn, operands);

    case 61:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2244 (insn, operands);

    case 62:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2245 (insn, operands);

    case 63:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2246 (insn, operands);

    case 64:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2247 (insn, operands);

    case 65:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2248 (insn, operands);

    case 66:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2249 (insn, operands);

    case 67:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2250 (insn, operands);

    case 68:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2251 (insn, operands);

    case 69:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2252 (insn, operands);

    case 70:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2253 (insn, operands);

    case 71:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2254 (insn, operands);

    case 72:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2255 (insn, operands);

    case 73:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2256 (insn, operands);

    case 74:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2257 (insn, operands);

    case 75:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2258 (insn, operands);

    case 76:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2259 (insn, operands);

    case 77:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2260 (insn, operands);

    case 78:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2261 (insn, operands);

    case 79:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2262 (insn, operands);

    case 80:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2263 (insn, operands);

    case 81:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2264 (insn, operands);

    case 82:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2265 (insn, operands);

    case 83:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2266 (insn, operands);

    case 84:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2267 (insn, operands);

    case 85:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2268 (insn, operands);

    case 86:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2269 (insn, operands);

    case 87:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2270 (insn, operands);

    case 88:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2271 (insn, operands);

    case 89:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 272 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2272 (insn, operands);

    case 90:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 273 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2273 (insn, operands);

    case 91:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 274 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2274 (insn, operands);

    case 92:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 275 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2275 (insn, operands);

    case 93:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 276 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HFmode) && TARGET_VECTOR_ELEN_FP_16)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2276 (insn, operands);

    case 94:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 277 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2277 (insn, operands);

    case 95:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 278 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2278 (insn, operands);

    case 96:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 279 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2279 (insn, operands);

    case 97:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 280 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2280 (insn, operands);

    case 98:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 281 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2281 (insn, operands);

    case 99:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 282 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2282 (insn, operands);

    case 100:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 283 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HFmode) && TARGET_VECTOR_ELEN_FP_16 && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2283 (insn, operands);

    case 101:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 284 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2284 (insn, operands);

    case 102:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 285 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2285 (insn, operands);

    case 103:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 286 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2286 (insn, operands);

    case 104:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 287 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SFmode) && TARGET_VECTOR_ELEN_FP_32)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2287 (insn, operands);

    case 105:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 288 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2288 (insn, operands);

    case 106:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 289 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2289 (insn, operands);

    case 107:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 290 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2290 (insn, operands);

    case 108:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 291 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2291 (insn, operands);

    case 109:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 292 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2292 (insn, operands);

    case 110:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 293 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2293 (insn, operands);

    case 111:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 294 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SFmode) && TARGET_VECTOR_ELEN_FP_32 && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2294 (insn, operands);

    case 112:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 295 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2295 (insn, operands);

    case 113:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 296 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2296 (insn, operands);

    case 114:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 297 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DFmode) && TARGET_VECTOR_ELEN_FP_64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2297 (insn, operands);

    case 115:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 298 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 64)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2298 (insn, operands);

    case 116:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 299 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 128)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2299 (insn, operands);

    case 117:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 300 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 256)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2300 (insn, operands);

    case 118:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 301 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 512)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2301 (insn, operands);

    case 119:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 302 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2302 (insn, operands);

    case 120:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 303 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2303 (insn, operands);

    case 121:
      if (!((
#line 1592 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 304 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DFmode) && TARGET_VECTOR_ELEN_FP_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 1594 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector.md"
( 1)))
        return NULL;
      return gen_split_2304 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_165 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern124 (x2))
    {
    case 0:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2599 (insn, operands);

    case 1:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2613 (insn, operands);

    case 2:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2627 (insn, operands);

    case 3:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2641 (insn, operands);

    case 4:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2655 (insn, operands);

    case 5:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2669 (insn, operands);

    case 6:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2683 (insn, operands);

    case 7:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2697 (insn, operands);

    case 8:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2711 (insn, operands);

    case 9:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2725 (insn, operands);

    case 10:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2739 (insn, operands);

    case 11:
      if (!(
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2753 (insn, operands);

    case 12:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2767 (insn, operands);

    case 13:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 141 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2781 (insn, operands);

    case 14:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2795 (insn, operands);

    case 15:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 142 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2809 (insn, operands);

    case 16:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2823 (insn, operands);

    case 17:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2837 (insn, operands);

    case 18:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 131 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2851 (insn, operands);

    case 19:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2865 (insn, operands);

    case 20:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 132 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2879 (insn, operands);

    case 21:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && (
#line 133 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32) && 
#line 145 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(!TARGET_XTHEADVECTOR))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2893 (insn, operands);

    case 22:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 188 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2907 (insn, operands);

    case 23:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 189 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2921 (insn, operands);

    case 24:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 190 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2935 (insn, operands);

    case 25:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 191 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2949 (insn, operands);

    case 26:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 192 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2963 (insn, operands);

    case 27:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 193 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32QImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2977 (insn, operands);

    case 28:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 194 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64QImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_2991 (insn, operands);

    case 29:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 195 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128QImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3005 (insn, operands);

    case 30:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 196 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256QImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3019 (insn, operands);

    case 31:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 197 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512QImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3033 (insn, operands);

    case 32:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 198 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024QImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3047 (insn, operands);

    case 33:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 199 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048QImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3061 (insn, operands);

    case 34:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 200 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096QImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3075 (insn, operands);

    case 35:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 201 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3089 (insn, operands);

    case 36:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 202 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3103 (insn, operands);

    case 37:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 203 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3117 (insn, operands);

    case 38:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 204 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3131 (insn, operands);

    case 39:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 205 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16HImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3145 (insn, operands);

    case 40:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 206 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32HImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3159 (insn, operands);

    case 41:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 207 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64HImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3173 (insn, operands);

    case 42:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 208 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128HImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3187 (insn, operands);

    case 43:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 209 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256HImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3201 (insn, operands);

    case 44:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 210 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512HImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3215 (insn, operands);

    case 45:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 211 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024HImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3229 (insn, operands);

    case 46:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 212 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048HImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3243 (insn, operands);

    case 47:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 213 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3257 (insn, operands);

    case 48:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 214 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3271 (insn, operands);

    case 49:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 215 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3285 (insn, operands);

    case 50:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 216 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8SImode))) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3299 (insn, operands);

    case 51:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 217 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16SImode) && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3313 (insn, operands);

    case 52:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 218 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32SImode) && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3327 (insn, operands);

    case 53:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 219 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64SImode) && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3341 (insn, operands);

    case 54:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 220 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128SImode) && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3355 (insn, operands);

    case 55:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 221 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256SImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3369 (insn, operands);

    case 56:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 222 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512SImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3383 (insn, operands);

    case 57:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 223 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024SImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3397 (insn, operands);

    case 58:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 224 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3411 (insn, operands);

    case 59:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 225 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3425 (insn, operands);

    case 60:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 226 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4DImode) && TARGET_VECTOR_ELEN_64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3439 (insn, operands);

    case 61:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 227 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 64)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3453 (insn, operands);

    case 62:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 228 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 128)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3467 (insn, operands);

    case 63:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 229 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 256)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3481 (insn, operands);

    case 64:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 230 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 512)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3495 (insn, operands);

    case 65:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 231 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 1024)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3509 (insn, operands);

    case 66:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 232 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 2048)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3523 (insn, operands);

    case 67:
      if (!((
#line 476 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 233 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512DImode) && TARGET_VECTOR_ELEN_64 && TARGET_MIN_VLEN >= 4096)) && 
#line 478 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec.md"
( 1)))
        return NULL;
      return gen_split_3537 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_170 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case REG:
    case SUBREG:
      operands[1] = x3;
      return split_142 (x1, insn);

    case AND:
      switch (pattern201 (x2))
        {
        case 0:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10131 (insn, operands);

        case 1:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10134 (insn, operands);

        case 2:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10137 (insn, operands);

        case 3:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10140 (insn, operands);

        case 4:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10143 (insn, operands);

        case 5:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10146 (insn, operands);

        case 6:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10149 (insn, operands);

        case 7:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10152 (insn, operands);

        case 8:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10155 (insn, operands);

        case 9:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10158 (insn, operands);

        case 10:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10161 (insn, operands);

        case 11:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10164 (insn, operands);

        case 12:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10167 (insn, operands);

        case 13:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10170 (insn, operands);

        case 14:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10173 (insn, operands);

        case 15:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10176 (insn, operands);

        case 16:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10179 (insn, operands);

        case 17:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10182 (insn, operands);

        case 18:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10185 (insn, operands);

        case 19:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10188 (insn, operands);

        default:
          return NULL;
        }

    case IOR:
      switch (pattern201 (x2))
        {
        case 0:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10132 (insn, operands);

        case 1:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10135 (insn, operands);

        case 2:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10138 (insn, operands);

        case 3:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10141 (insn, operands);

        case 4:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10144 (insn, operands);

        case 5:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10147 (insn, operands);

        case 6:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10150 (insn, operands);

        case 7:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10153 (insn, operands);

        case 8:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10156 (insn, operands);

        case 9:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10159 (insn, operands);

        case 10:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10162 (insn, operands);

        case 11:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10165 (insn, operands);

        case 12:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10168 (insn, operands);

        case 13:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10171 (insn, operands);

        case 14:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10174 (insn, operands);

        case 15:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10177 (insn, operands);

        case 16:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10180 (insn, operands);

        case 17:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10183 (insn, operands);

        case 18:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10186 (insn, operands);

        case 19:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10189 (insn, operands);

        default:
          return NULL;
        }

    case XOR:
      switch (pattern201 (x2))
        {
        case 0:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1533 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(TARGET_MIN_VLEN > 32)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10133 (insn, operands);

        case 1:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10136 (insn, operands);

        case 2:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10139 (insn, operands);

        case 3:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10142 (insn, operands);

        case 4:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10145 (insn, operands);

        case 5:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10148 (insn, operands);

        case 6:
          if (!(
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10151 (insn, operands);

        case 7:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1518 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10154 (insn, operands);

        case 8:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1519 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10157 (insn, operands);

        case 9:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1520 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10160 (insn, operands);

        case 10:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1521 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V8BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10163 (insn, operands);

        case 11:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1522 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V16BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10166 (insn, operands);

        case 12:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1523 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V32BImode))) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10169 (insn, operands);

        case 13:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1524 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V64BImode) && TARGET_MIN_VLEN >= 64)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10172 (insn, operands);

        case 14:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1525 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V128BImode) && TARGET_MIN_VLEN >= 128)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10175 (insn, operands);

        case 15:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1526 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V256BImode) && TARGET_MIN_VLEN >= 256)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10178 (insn, operands);

        case 16:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1527 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V512BImode) && TARGET_MIN_VLEN >= 512)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10181 (insn, operands);

        case 17:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1528 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V1024BImode) && TARGET_MIN_VLEN >= 1024)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10184 (insn, operands);

        case 18:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1529 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V2048BImode) && TARGET_MIN_VLEN >= 2048)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10187 (insn, operands);

        case 19:
          if (!((
#line 1491 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
(TARGET_VECTOR && can_create_pseudo_p ()) && 
#line 1530 "../../gcc-15.0.1-20250329/gcc/config/riscv/vector-iterators.md"
(riscv_vector::vls_mode_valid_p (V4096BImode) && TARGET_MIN_VLEN >= 4096)) && 
#line 1493 "../../gcc-15.0.1-20250329/gcc/config/riscv/autovec-opt.md"
( 1)))
            return NULL;
          return gen_split_10190 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}
